<?php
 namespace App\Backup; use App\System\CommandExecutor; use App\System\Command\ChownCommand; use App\System\Command\FindChmodCommand; use App\System\Command\CreateDirectoryCommand; use App\System\Command\DeleteDirectoryCommand; use App\System\Command\WriteFileCommand; use App\System\Command\DeleteFileCommand; use App\System\Command\RcloneCopyCommand; use App\System\Command\RcloneLsJsonCommand; use App\System\Command\RclonePurgeCommand; class Rclone { private const FREQUENCY_DAILY = "\x64\141\x69\154\171"; private const CONFIG_DIRECTORY = "\x2f\x72\157\157\x74\57\x2e\x63\157\x6e\146\151\147\57\162\x63\154\x6f\x6e\x65\57"; private const CLP_USER_CONFIG_DIRECTORY = "\57\x68\157\x6d\x65\57\x63\154\x70\x2f\x2e\143\x6f\156\146\x69\x67\57"; private const CLP_USER = "\143\154\160"; public const CREDENTIALS_DIRECTORY = "\57\x68\157\x6d\x65\x2f\x63\x6c\x70\57\56\x63\x6f\156\x66\151\147\57\x72\143\x6c\157\x6e\x65\57\x63\x72\145\x64\x65\156\x74\151\141\154\x73\x2f"; private const CONFIG_FILE = "\x2f\162\x6f\157\x74\x2f\x2e\143\x6f\156\146\x69\147\57\162\x63\154\157\156\145\57\162\143\x6c\157\156\145\56\x63\157\156\x66"; private const CRON_JOB_FILE = "\57\145\x74\x63\x2f\x63\x72\x6f\x6e\x2e\x64\57\x63\154\x70\55\x72\143\154\x6f\x6e\145"; private CommandExecutor $commandExecutor; private ?string $configFile = null; private array $flags = []; public function __construct() { $this->commandExecutor = new CommandExecutor(); } public function setConfigFile(string $configFile) : void { $this->configFile = $configFile; } public function getConfigFile() : ?string { goto E549b; Dde61: return $this->configFile; goto e7a2b; E549b: if (!(true === is_null($this->configFile))) { goto ad7c2; } goto a6630; a6630: $this->configFile = self::CONFIG_FILE; goto f901d; f901d: ad7c2: goto Dde61; e7a2b: } public function addFlag(string $flag, string $value) { $this->flags[] = ["\146\154\141\x67" => $flag, "\166\x61\154\165\145" => $value]; } public function getFlags() : array { return $this->flags; } public function copy(string $source, string $destination) : void { goto d9785; e3d3f: $rcloneCopyCommand->setSource($source); goto Da201; d9785: $flags = $this->getFlags(); goto Eff5e; edce8: $rcloneCopyCommand->setConfigFile($configFile); goto e3d3f; A57ba: $rcloneCopyCommand = new RcloneCopyCommand(); goto edce8; F78d4: $this->addFlagsToCommand($flags, $rcloneCopyCommand); goto ed651; Eff5e: $configFile = $this->getConfigFile(); goto A57ba; Da201: $rcloneCopyCommand->setDestination($destination); goto F78d4; ed651: $this->commandExecutor->execute($rcloneCopyCommand, 21600); goto bec0f; bec0f: } public function lsJson(?string $remotePath = null, $directoriesOnly = false) : array { goto ff187; d6039: $files = $rcloneLsJsonCommand->getFiles(); goto Df448; eed86: $configFile = $this->getConfigFile(); goto edede; b7f37: $rcloneLsJsonCommand->setRemotePath($remotePath); goto Ca364; decce: $rcloneLsJsonCommand->setConfigFile($configFile); goto b7f37; edede: $rcloneLsJsonCommand = new RcloneLsJsonCommand(); goto decce; ff187: $flags = $this->getFlags(); goto eed86; D1147: D2e24: goto b2c96; b2c96: $this->addFlagsToCommand($flags, $rcloneLsJsonCommand); goto Fba38; Df448: return $files; goto Eb0ff; Beda8: $rcloneLsJsonCommand->setDirectoriesOnly(true); goto D1147; Ca364: if (!(true === $directoriesOnly)) { goto D2e24; } goto Beda8; Fba38: $this->commandExecutor->execute($rcloneLsJsonCommand, 20); goto d6039; Eb0ff: } public function purge(string $remotePath) { goto E5e52; e672c: $this->addFlagsToCommand($flags, $rclonePurgeCommand); goto e6e18; Ba4e3: $rclonePurgeCommand->setRemotePath($remotePath); goto e672c; E5e52: $flags = $this->getFlags(); goto Ae3de; e6e18: $this->commandExecutor->execute($rclonePurgeCommand, 21600); goto f0cff; Ae3de: $rclonePurgeCommand = new RclonePurgeCommand(); goto Ba4e3; f0cff: } public function writeConfig(string $config) : void { goto e66a7; Bd901: $writeConfigFileCommand->setFile($configFile); goto f6fa8; c4bf2: $this->commandExecutor->execute($createConfigDirectoryCommand); goto c4c5c; c4c5c: $this->commandExecutor->execute($writeConfigFileCommand); goto Cdfce; D4561: $createConfigDirectoryCommand->setDirectory(self::CONFIG_DIRECTORY); goto Ba8d8; f6fa8: $writeConfigFileCommand->setContent($config); goto c4bf2; Ba8d8: $writeConfigFileCommand = new WriteFileCommand(); goto Bd901; b1d93: $createConfigDirectoryCommand = new CreateDirectoryCommand(); goto D4561; e66a7: $configFile = $this->getConfigFile(); goto b1d93; Cdfce: } public function writeCredentialsFile(string $file, string $content) : void { goto dd4fc; C392c: $chownConfigDirectoryCommand->setUser(self::CLP_USER); goto ee182; c5222: $chmodConfigDirectoryCommand->setFileChmod(770); goto D9acf; B5d3e: $chownConfigDirectoryCommand->setFile(self::CLP_USER_CONFIG_DIRECTORY); goto c64e3; ff7d1: file_put_contents($file, $content); goto D27e6; E4f10: $chmodConfigDirectoryCommand->setFile(self::CLP_USER_CONFIG_DIRECTORY); goto de912; f7716: $credentialsDirectoryCommand->setDirectory(self::CREDENTIALS_DIRECTORY); goto ef7f6; de912: $chmodConfigDirectoryCommand->setDirectoryChmod(770); goto c5222; ee182: $chownConfigDirectoryCommand->setGroup(self::CLP_USER); goto e024f; ef7f6: $chownConfigDirectoryCommand = new ChownCommand(); goto B5d3e; c64e3: $chownConfigDirectoryCommand->setRecursive(true); goto C392c; f8328: $this->commandExecutor->execute($chmodConfigDirectoryCommand); goto ff7d1; e024f: $chmodConfigDirectoryCommand = new FindChmodCommand(); goto E4f10; D9acf: $this->commandExecutor->execute($credentialsDirectoryCommand); goto Ffd92; Ffd92: $this->commandExecutor->execute($chownConfigDirectoryCommand); goto f8328; dd4fc: $credentialsDirectoryCommand = new CreateDirectoryCommand(); goto f7716; D27e6: } public function createCronJob(string $frequency, string $executionTime = null) : void { goto Acb9f; B4bfe: if (self::FREQUENCY_DAILY == $frequency) { goto Dc89c; } goto Efcef; Ececc: Dc89c: goto e49ed; D2cdd: c5e81: goto Ff124; e61ff: $this->commandExecutor->execute($writeCronJobFileCommand); goto d16e1; Ff124: $writeCronJobFileCommand = new WriteFileCommand(); goto ab9f6; Acb9f: $cronJobContent = sprintf("\x4d\101\111\114\x54\x4f\x3d\42\x22\45\163", PHP_EOL); goto B4bfe; ab9f6: $writeCronJobFileCommand->setFile(self::CRON_JOB_FILE); goto ab553; ab553: $writeCronJobFileCommand->setContent($cronJobContent); goto e61ff; D75a6: goto c5e81; goto Ececc; e49ed: $cronJobContent .= sprintf("\60\40\45\163\40\x2a\x20\52\40\x2a\x20\x63\x6c\x70\40\x2f\165\163\162\x2f\x62\151\156\x2f\x62\141\x73\150\x20\55\143\x20\42\57\165\163\x72\57\142\x69\x6e\57\x63\154\x70\143\164\x6c\x20\162\145\155\x6f\x74\x65\x2d\x62\141\x63\153\165\160\x3a\x63\x72\145\141\164\x65\x20\55\55\144\145\154\x61\171\x3d\164\x72\165\x65\42\40\46\76\x20\x2f\144\x65\x76\57\x6e\x75\154\x6c", $executionTime); goto D2cdd; Efcef: $cronJobContent .= sprintf("\x30\x20\x2a\x2f\x25\x73\40\x2a\40\52\40\x2a\40\143\x6c\160\x20\x2f\x75\x73\x72\x2f\142\151\156\x2f\x62\x61\x73\x68\40\55\x63\x20\x22\x2f\165\x73\162\x2f\142\151\156\57\x63\x6c\160\143\x74\x6c\40\162\x65\x6d\157\x74\x65\55\142\141\x63\x6b\x75\x70\x3a\143\x72\x65\x61\164\x65\40\55\55\x64\x65\154\x61\171\x3d\x74\162\x75\145\x22\x20\x26\76\x20\x2f\144\145\x76\57\x6e\x75\x6c\x6c", $frequency); goto D75a6; d16e1: } private function addFlagsToCommand(array $flags, $command) : void { goto C6a42; C6a42: if (!(false === empty($flags))) { goto Ff348; } goto Dcf6e; D9ac6: E960c: goto E5929; Dcf6e: foreach ($flags as $flagData) { $command->addFlag($flagData["\x66\x6c\x61\147"], $flagData["\x76\141\x6c\x75\145"]); F6b91: } goto D9ac6; E5929: Ff348: goto Ede80; Ede80: } public function deleteCronJob() : void { goto b714f; b714f: $deleteCronJobFileCommand = new DeleteFileCommand(); goto cb2f0; b8865: $this->commandExecutor->execute($deleteCronJobFileCommand); goto c951d; cb2f0: $deleteCronJobFileCommand->setFile(self::CRON_JOB_FILE); goto b8865; c951d: } public function deleteCredentials() : void { goto efbd7; D4592: $this->commandExecutor->execute($deleteCredentialsDirectoryCommand); goto Adf87; e8b4a: $deleteCredentialsDirectoryCommand->setDirectory(self::CREDENTIALS_DIRECTORY); goto D4592; efbd7: $deleteCredentialsDirectoryCommand = new DeleteDirectoryCommand(); goto e8b4a; Adf87: } }
