<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\Command as BaseCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\DatabaseUser as DatabaseUserEntity; use App\Database\Manager as DatabaseManager; use App\Service\Crypto; class DatabaseAddCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private ValidatorInterface $validator; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto e5b9f; a4bdf: $this->databaseUserEntityManager = $databaseUserEntityManager; goto E0957; e5b9f: $this->siteEntityManager = $siteEntityManager; goto C5435; E0957: $this->databaseServerEntityManager = $databaseServerEntityManager; goto B8e3f; B072e: parent::__construct(); goto bbdf5; C5435: $this->databaseEntityManager = $databaseEntityManager; goto a4bdf; B8e3f: $this->validator = $validator; goto B072e; bbdf5: } protected function configure() : void { goto a3084; b4d48: $this->addOption("\144\141\x74\x61\x62\141\x73\145\125\163\x65\162\116\141\155\x65", null, InputOption::VALUE_REQUIRED); goto b77c7; a3084: $this->setName("\x64\x62\x3a\141\x64\x64"); goto E19a6; E19a6: $this->setDescription("\x63\x6c\160\x63\164\x6c\40\144\x62\x3a\x61\144\144\x20\55\55\x64\x6f\155\x61\151\x6e\x4e\141\x6d\x65\x3d\x77\167\167\56\x64\157\x6d\141\x69\156\56\143\157\x6d\x20\x2d\55\144\x61\x74\x61\142\141\163\145\116\x61\x6d\145\75\x6d\171\x2d\144\141\x74\141\142\x61\x73\145\x20\55\x2d\x64\x61\x74\141\142\x61\163\x65\x55\163\145\162\116\x61\155\145\x3d\x6a\157\x68\156\40\55\x2d\144\141\164\x61\142\x61\163\145\125\163\145\x72\120\141\163\163\167\157\x72\x64\x3d\x27\41\163\145\143\x72\x65\x74\120\x61\x73\x73\x77\x6f\x72\144\41\x27"); goto dd055; dd055: $this->addOption("\x64\157\x6d\x61\x69\x6e\x4e\x61\155\x65", null, InputOption::VALUE_REQUIRED); goto f9c64; b77c7: $this->addOption("\144\141\x74\x61\x62\x61\x73\x65\x55\163\145\x72\x50\141\x73\x73\x77\157\162\144", null, InputOption::VALUE_REQUIRED); goto B4586; f9c64: $this->addOption("\144\x61\x74\141\142\141\163\145\x4e\141\155\x65", null, InputOption::VALUE_REQUIRED); goto b4d48; B4586: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto a0b8c; a9653: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto Bc457; fe56a: $databaseEntity->setDatabaseServer($activeDatabaseServerEntity); goto Dc2cc; e6c39: return $this->renderConstraints($constraints, $output); goto dd4bb; Bd546: $databaseUserPassword = trim($input->getOption("\144\141\x74\x61\x62\141\163\145\x55\x73\x65\162\120\x61\x73\163\x77\x6f\x72\x64")); goto B7cbf; cf3f5: $databaseConstraints = $this->validator->validate($databaseEntity); goto C4466; f1cd8: $databaseUserName = trim($input->getOption("\144\141\x74\x61\x62\141\163\145\x55\163\145\162\x4e\x61\155\x65")); goto Bd546; F0b30: if (0 == count($databaseConstraints) && 0 == count($databaseUserConstraints)) { goto D976d; } goto Ecb4c; a0490: $databaseUserEntity->setUserName($databaseUserName); goto eb1bb; ae202: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto a549e; Dc2cc: $databaseEntity->setName($databaseName); goto f28b1; B7cbf: $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); goto caa5e; d4779: $databaseName = trim($input->getOption("\144\141\164\141\142\x61\163\145\x4e\141\155\x65")); goto f1cd8; D9cd1: $constraints->addAll($databaseUserConstraints); goto e6c39; a549e: $databaseManager->createDatabase($databaseEntity); goto e054f; C883e: $databaseEntity = $this->databaseEntityManager->createEntity(); goto fe56a; Dc4ec: $databaseUserEntity->setPermissions(DatabaseUserEntity::PERMISSIONS_READ_WRITE); goto Eb543; b33a1: $this->siteEntityManager->updateEntity($siteEntity); goto Cc95e; db5ff: $constraints->addAll($databaseConstraints); goto D9cd1; e9461: D976d: goto ae202; caa5e: if (!(true === is_null($siteEntity))) { goto C7e98; } goto e3126; c3727: $siteEntity->addDatabase($databaseEntity); goto cf3f5; Eb543: $databaseUserEntity->setDatabase($databaseEntity); goto Dfb38; f28b1: $databaseEntity->setSite($siteEntity); goto fef2b; e054f: $databaseManager->createUser($databaseUserEntity); goto b33a1; e3126: throw new \Exception(sprintf("\104\x6f\155\x61\x69\156\116\141\155\145\x20\x22\45\x73\42\x20\144\x6f\x65\163\x20\x6e\157\164\40\145\x78\x69\163\164\56", $domainName)); goto ca89f; Bc457: if (!(false === is_null($activeDatabaseServerEntity))) { goto D8175; } goto C883e; Ffd71: d24a3: goto Ce75f; dd4bb: goto d24a3; goto e9461; ca89f: C7e98: goto a9653; fef2b: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto a0490; e2b3f: return BaseCommand::FAILURE; goto b2ccf; Ecb4c: $constraints = new ConstraintViolationList(); goto db5ff; Ce75f: D8175: goto e2b3f; Cc95e: $output->writeln(sprintf("\74\151\x6e\146\x6f\x3e\104\x61\x74\141\x62\141\163\x65\x3c\57\x69\156\x66\157\76\x20\x3c\x63\157\155\155\145\156\164\x3e\x25\x73\74\x2f\143\x6f\x6d\155\x65\x6e\164\x3e\40\x3c\x69\x6e\x66\x6f\76\x68\141\163\40\142\x65\145\156\40\141\x64\x64\x65\x64\x2e\x3c\57\x69\x6e\x66\157\x3e", $databaseName)); goto ea0ed; C4466: $databaseUserConstraints = $this->validator->validate($databaseUserEntity); goto F0b30; ea0ed: return BaseCommand::SUCCESS; goto Ffd71; Db1a2: $domainName = trim($input->getOption("\x64\x6f\x6d\141\x69\156\x4e\x61\x6d\x65")); goto d4779; eb1bb: $databaseUserEntity->setPassword(Crypto::encrypt($databaseUserPassword)); goto Dc4ec; a0b8c: $this->validateInput($input); goto Db1a2; Dfb38: $databaseEntity->addUser($databaseUserEntity); goto c3727; b2ccf: } catch (\Exception $e) { goto d5176; d1349: $output->writeln(sprintf("\x3c\145\x72\162\157\x72\x3e\45\163\74\57\x65\x72\162\157\x72\x3e", $errorMessage)); goto A0dd2; d5176: $errorMessage = $e->getMessage(); goto d1349; A0dd2: return BaseCommand::FAILURE; goto B3e3b; B3e3b: } } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\x6e\x61\155\x65", "\144\141\164\141\142\x61\163\x65\x4e\x61\x6d\145", $constraints); $this->changePropertyPath("\x75\x73\x65\x72\x4e\141\x6d\x65", "\144\141\164\141\142\141\163\145\x55\x73\x65\x72\x4e\141\x6d\145", $constraints); } }
