<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use App\Command\Command as BaseCommand; use App\Entity\Database as DatabaseEntity; use App\System\CommandExecutor; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\System\Command\DeleteOldFilesRecursiveCommand; use App\System\Command\FindChmodCommand; use App\System\Command\ChownCommand; use App\Database\Exporter as DatabaseExporter; class DatabaseBackupCommand extends BaseCommand { private const RETENTION_PERIOD = 7; private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private CommandExecutor $commandExecutor; private ValidatorInterface $validator; private int $retentionPeriod = 0; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto Eb135; B41bf: $this->commandExecutor = new CommandExecutor(); goto B1d00; f80b3: $this->databaseServerEntityManager = $databaseServerEntityManager; goto B41bf; B1d00: $this->validator = $validator; goto c8069; c8069: parent::__construct(); goto fa103; ec135: $this->databaseEntityManager = $databaseEntityManager; goto f80b3; Eb135: $this->siteEntityManager = $siteEntityManager; goto ec135; fa103: } protected function configure() : void { goto Bf955; E2c39: $this->addOption("\151\147\156\x6f\x72\145\104\x61\164\141\142\141\163\x65\163", null, InputOption::VALUE_OPTIONAL); goto Ea9da; Bf955: $this->setName("\x64\142\72\x62\x61\143\153\165\160"); goto c9ff5; c9ff5: $this->setDescription("\x63\154\x70\143\164\x6c\40\144\142\72\142\141\x63\x6b\165\160\x20\x2d\55\151\147\156\x6f\x72\x65\x44\141\164\141\x62\x61\x73\145\163\x3d\47\x64\142\61\54\x64\x62\62\x27\x20\x2d\55\x72\145\164\x65\156\x74\151\157\x6e\120\145\x72\x69\157\144\75\x37"); goto E2c39; Ea9da: $this->addOption("\162\x65\164\145\x6e\164\151\157\x6e\120\145\162\x69\x6f\x64", null, InputOption::VALUE_OPTIONAL, '', self::RETENTION_PERIOD); goto B0f7a; B0f7a: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto D882e; efa28: return BaseCommand::SUCCESS; goto C53c8; fe5ae: f6186: goto efa28; E1914: $ignoredDatabases = explode("\54", $input->getOption("\x69\147\x6e\157\x72\x65\104\141\164\141\x62\x61\163\x65\163")); goto f5932; db5a0: $siteEntities = $this->siteEntityManager->findAll(); goto Dad92; b0b40: B87f4: goto fe5ae; bc770: foreach ($siteEntities as $siteEntity) { goto aa13f; Aeff0: c6d43: goto Ca91b; cb07f: if (!count($databaseEntities)) { goto B30e5; } goto c2aba; E4eee: B30e5: goto Aeff0; aa13f: $databaseEntities = $siteEntity->getDatabases(); goto cb07f; c2aba: foreach ($databaseEntities as $databaseEntity) { goto e76de; e76de: $databaseName = $databaseEntity->getName(); goto D6564; D6564: if (!(false === in_array($databaseName, $ignoredDatabases))) { goto ff272; } goto e92f6; A450e: B4ee6: goto B1887; e92f6: $this->createDatabaseDump($databaseEntity); goto C7850; C7850: ff272: goto A450e; B1887: } goto e162c; e162c: cb058: goto E4eee; Ca91b: } goto b0b40; f5932: $this->retentionPeriod = (int) $input->getOption("\x72\145\x74\145\x6e\164\x69\x6f\x6e\120\x65\x72\x69\157\144"); goto db5a0; Dad92: if (!count($siteEntities)) { goto f6186; } goto bc770; D882e: $this->validateInput($input); goto E1914; C53c8: } catch (\Exception $e) { goto E5c7a; Eceb3: return BaseCommand::FAILURE; goto Da997; E5c7a: $errorMessage = $e->getMessage(); goto a4fdb; a4fdb: $output->writeln(sprintf("\74\x65\x72\x72\x6f\162\x3e\x25\x73\x3c\x2f\x65\x72\x72\157\162\76", $errorMessage)); goto Eceb3; Da997: } } private function createDatabaseDump(DatabaseEntity $databaseEntity) : void { try { goto E32b7; B840e: $this->cleanUpBackups($databaseEntity); goto Ede9f; E32b7: $dateTime = new \DateTime("\x6e\157\167", new \DateTimeZone("\125\x54\x43")); goto A0eda; Dd6e4: $outputDirectory = sprintf("\45\163\x2f\x25\x73\57\x25\x73\57", rtrim($backupDirectory, "\x2f"), $databaseName, $dateTime->format("\x59\55\x6d\55\144")); goto e1aca; b40b6: $siteUser = $siteEntity->getUser(); goto A6376; A0eda: $siteEntity = $databaseEntity->getSite(); goto b40b6; B9afd: $this->resetPermissions($databaseEntity); goto B840e; b1498: $backupDirectory = sprintf("\x2f\x68\157\x6d\x65\57\45\x73\x2f\x62\x61\x63\x6b\x75\160\163\x2f\144\x61\x74\141\x62\141\163\145\163\57", $siteUser); goto Dd6e4; A6376: $databaseName = $databaseEntity->getName(); goto b1498; E0cd4: $databaseExporter = new DatabaseExporter($databaseEntity); goto Cebfd; Ee636: $databaseExporter->export(); goto B9afd; cb65a: $databaseExporter->createOutputDirectory(); goto Ee636; e1aca: $outputFile = sprintf("\45\x73\x2f\x25\x73", rtrim($outputDirectory, "\57"), sprintf("\45\x73\137\x25\163\56\x73\x71\x6c\x2e\147\172", $databaseName, $dateTime->getTimestamp())); goto E0cd4; Cebfd: $databaseExporter->setFile($outputFile); goto cb65a; Ede9f: } catch (\Exception $e) { $logger = $this->getLogger(); $logger->exception($e); } } private function resetPermissions(DatabaseEntity $databaseEntity) { goto fd9f4; A392f: $backupDirectoryChmodCommand->setFile($backupDirectory); goto F83c0; Bb2ec: $backupDirectoryChownCommand = new ChownCommand(); goto C232e; F8c10: $backupDirectoryChmodCommand->setFileChmod(760); goto de5bf; ccd29: $this->commandExecutor->execute($backupDirectoryChmodCommand); goto af0ae; C232e: $backupDirectoryChownCommand->setFile($backupDirectory); goto Fc022; fd9f4: $siteEntity = $databaseEntity->getSite(); goto E31f8; F781e: $backupDirectoryChownCommand->setUser($siteUser); goto a77d6; Fc022: $backupDirectoryChownCommand->setRecursive(true); goto F781e; F861e: $backupDirectory = sprintf("\57\150\x6f\155\x65\57\45\163\57\x62\x61\143\153\x75\160\163\x2f\x64\141\164\141\x62\141\x73\145\x73\x2f", $siteUser); goto Bb2ec; C6463: $backupDirectoryChmodCommand = new FindChmodCommand(); goto A392f; F83c0: $backupDirectoryChmodCommand->setDirectoryChmod(750); goto F8c10; de5bf: $this->commandExecutor->execute($backupDirectoryChownCommand); goto ccd29; E31f8: $siteUser = $siteEntity->getUser(); goto F861e; a77d6: $backupDirectoryChownCommand->setGroup($siteUser); goto C6463; af0ae: } private function cleanUpBackups(DatabaseEntity $databaseEntity) { goto Ab33e; E7f1d: $deleteOldBackupsCommand->setDirectory($databaseBackupDirectory); goto afac2; Ef436: $databaseBackupDirectory = sprintf("\57\150\x6f\155\x65\x2f\x25\163\57\x62\x61\x63\x6b\165\160\163\x2f\x64\x61\164\x61\x62\141\x73\x65\x73\x2f", $siteUser); goto c0a9f; afac2: $deleteOldBackupsCommand->setRetentionPeriod($this->retentionPeriod); goto A06cf; A06cf: $this->commandExecutor->execute($deleteOldBackupsCommand, 360); goto d682f; Ab33e: $siteEntity = $databaseEntity->getSite(); goto a5ae7; c0a9f: $deleteOldBackupsCommand = new DeleteOldFilesRecursiveCommand(); goto E7f1d; a5ae7: $siteUser = $siteEntity->getUser(); goto Ef436; d682f: } }
