<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use Symfony\Component\Console\Question\ConfirmationQuestion; use App\Command\Command as BaseCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Database\Manager as DatabaseManager; class DatabaseDeleteCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private ValidatorInterface $validator; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto d7024; fd260: $this->databaseUserEntityManager = $databaseUserEntityManager; goto B61f8; Cc248: $this->databaseEntityManager = $databaseEntityManager; goto fd260; f51ae: $this->validator = $validator; goto b1874; b1874: parent::__construct(); goto a7713; B61f8: $this->databaseServerEntityManager = $databaseServerEntityManager; goto f51ae; d7024: $this->siteEntityManager = $siteEntityManager; goto Cc248; a7713: } protected function configure() : void { goto bbd49; bbd49: $this->setName("\144\x62\72\144\145\x6c\x65\x74\145"); goto f4d5d; e04f2: $this->addOption("\x64\141\164\x61\x62\x61\163\145\116\141\155\x65", null, InputOption::VALUE_REQUIRED); goto c1275; c1275: $this->addOption("\146\x6f\162\x63\x65", "\x66", InputOption::VALUE_NONE); goto a0bef; f4d5d: $this->setDescription("\143\154\x70\143\x74\154\40\x64\x62\72\144\145\x6c\145\164\x65\x20\x2d\x2d\144\x61\164\x61\142\141\163\145\x4e\x61\x6d\145\75\x6d\x79\x2d\144\141\164\141\x62\x61\x73\145"); goto e04f2; a0bef: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto A2504; F3745: return BaseCommand::SUCCESS; goto Cf6d1; b4f1d: $helper = $this->getHelper("\x71\x75\145\x73\164\151\x6f\x6e"); goto a11cb; Cf6d1: a8b44: goto D9b66; Ae223: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto D248d; De92e: $siteEntity = $databaseEntity->getSite(); goto ed6c8; e6996: $databaseManager = new DatabaseManager($databaseServerEntity); goto a7531; D9b66: E07c6: goto De92e; a11cb: $question = new ConfirmationQuestion(sprintf("\x3c\x69\x6e\146\157\76\103\157\156\146\x69\x72\155\x20\x74\x6f\x20\144\145\154\145\x74\145\40\x74\150\x65\40\144\141\164\x61\x62\141\163\x65\72\x20\45\x73\x3c\x2f\x69\x6e\146\x6f\x3e\40\74\x63\x6f\x6d\155\145\x6e\x74\x3e\x28\171\145\x73\x2f\x6e\157\x29\x3a\74\57\143\157\x6d\155\x65\156\164\76\x20", $databaseName), false, "\57\x5e\x28\x79\x65\163\x29\x2f\x69"); goto Be63a; E6635: return BaseCommand::SUCCESS; goto F21f7; B8d83: throw new \Exception(sprintf("\x44\x61\x74\141\x62\141\163\x65\40\42\x25\163\42\x20\144\157\x65\x73\40\x6e\157\x74\x20\145\170\x69\163\x74\56", $databaseName)); goto A1fd2; D248d: if (!(true === is_null($databaseEntity))) { goto f68d1; } goto B8d83; A1fd2: f68d1: goto ff46f; e1cac: if (!(false === $answer)) { goto a8b44; } goto F3745; a7531: $databaseManager->deleteDatabase($databaseEntity, true); goto a23bd; ed6c8: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto e6996; ff46f: if (!(false === $force)) { goto E07c6; } goto b4f1d; b4f74: $this->siteEntityManager->updateEntity($siteEntity); goto C880c; A2504: $this->validateInput($input); goto A14dd; a23bd: $siteEntity->removeDatabase($databaseEntity); goto b4f74; d73aa: $force = $input->getOption("\146\157\x72\143\145") === true; goto Ae223; C880c: $output->writeln(sprintf("\x3c\x69\x6e\x66\x6f\x3e\x44\x61\x74\141\x62\x61\163\x65\74\57\151\x6e\x66\x6f\76\x20\74\143\157\155\155\x65\156\164\x3e\x25\163\x3c\x2f\143\x6f\155\x6d\x65\x6e\x74\76\40\x3c\151\x6e\x66\157\x3e\150\x61\163\x20\142\x65\145\x6e\x20\x64\x65\154\x65\x74\145\144\56\74\x2f\151\x6e\146\157\x3e", $databaseName)); goto E6635; A14dd: $databaseName = trim($input->getOption("\x64\x61\164\141\x62\x61\163\x65\116\x61\x6d\145")); goto d73aa; Be63a: $answer = $helper->ask($input, $output, $question); goto e1cac; F21f7: } catch (\Exception $e) { goto B740f; b80ba: return BaseCommand::FAILURE; goto fb108; B740f: $errorMessage = $e->getMessage(); goto Eba45; Eba45: $output->writeln(sprintf("\x3c\145\x72\162\x6f\162\76\x25\x73\74\x2f\x65\x72\162\157\x72\x3e", $errorMessage)); goto b80ba; fb108: } } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\156\x61\x6d\x65", "\x64\x61\164\x61\142\x61\x73\x65\x4e\141\x6d\x65", $constraints); $this->changePropertyPath("\165\163\x65\x72\116\x61\x6d\145", "\x64\141\x74\x61\x62\x61\x73\x65\125\x73\145\162\116\141\155\145", $constraints); } }
