<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use App\Command\Command as BaseCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\Manager\SshUserManager as SshUserEntityManager; use App\Database\Importer as DatabaseImporter; use App\System\Command\CheckIfFileExistsCommand; use App\System\CommandExecutor; class DatabaseImportCommand extends BaseCommand { const SYSTEM_USER_ROOT = "\x72\157\157\164"; private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private SshUserEntityManager $sshUserEntityManager; private CommandExecutor $commandExecutor; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, SshUserEntityManager $sshUserEntityManager) { goto e4a51; B73fd: parent::__construct(); goto F9725; d8ac9: $this->databaseServerEntityManager = $databaseServerEntityManager; goto A5f37; e4a51: $this->siteEntityManager = $siteEntityManager; goto Ad7d2; Ad7d2: $this->databaseEntityManager = $databaseEntityManager; goto d8ac9; be97a: $this->commandExecutor = new CommandExecutor(); goto B73fd; A5f37: $this->sshUserEntityManager = $sshUserEntityManager; goto be97a; F9725: } protected function configure() : void { goto afaee; afaee: $this->setName("\144\142\72\x69\x6d\160\x6f\x72\x74"); goto e5993; e5993: $this->setDescription("\143\154\160\x63\x74\154\40\144\x62\72\151\155\x70\157\x72\164\40\x2d\x2d\144\141\x74\141\142\141\163\x65\116\x61\155\145\x3d\155\x79\55\144\x61\164\x61\x62\x61\163\145\x20\55\55\146\x69\x6c\x65\x3d\144\x75\x6d\160\x2e\163\161\x6c\x2e\x67\x7a"); goto e6c75; e6c75: $this->addOption("\x64\x61\x74\x61\x62\141\163\x65\x4e\141\x6d\145", null, InputOption::VALUE_REQUIRED); goto B9ba3; B9ba3: $this->addOption("\146\x69\x6c\145", null, InputOption::VALUE_REQUIRED); goto c5a74; c5a74: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto f43c4; ff662: $systemUserName = $_SERVER["\x53\125\x44\x4f\137\125\123\x45\x52"] ?? ''; goto F015a; e109c: goto B0830; goto a3eb8; db1e5: $userBelongsToSite = false === is_null($siteEntity) && $siteUser === $databaseEntity->getSite()->getUser(); goto C335f; C335f: $isSuperUser = false; goto a9d33; ed12f: if (false === is_null($databaseEntity)) { goto eb32d; } goto eadcf; Ee531: c60d4: goto B72ca; d1648: $systemUserName = self::SYSTEM_USER_ROOT; goto c791c; Fa6e9: if (!(false === is_null($sshUserEntity))) { goto A25ea; } goto f4362; f06f1: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($systemUserName); goto Fa6e9; a9d33: if (!(self::SYSTEM_USER_ROOT == $systemUserName)) { goto abab3; } goto f05d5; f05d5: $isSuperUser = true; goto A7f76; A77ba: $siteUser = null; goto d8d88; Bc415: $siteEntity = $this->siteEntityManager->findOneByUser($systemUserName); goto A77ba; Aae03: $this->checkIfFileExists($importFile); goto b2bc1; F1902: abab3: goto f9aef; B72ca: return BaseCommand::FAILURE; goto A0ab0; cda29: A25ea: goto e109c; D7136: goto c60d4; goto Aa5c6; bac3d: $databaseImporter->import($importFile); goto fd26c; A5a30: return BaseCommand::SUCCESS; goto e4edb; f4362: $siteEntity = $sshUserEntity->getSite(); goto c0cd7; E9a3a: if (!(true === $userIsAllowedToImport && false === is_null($siteUser))) { goto e8d88; } goto c1b01; b2bc1: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto ed12f; D0b40: if (!(false === str_contains($importFile, "\57"))) { goto afafc; } goto A53d9; A7f76: $siteUser = self::SYSTEM_USER_ROOT; goto F1902; c1b01: $databaseImporter = new DatabaseImporter($databaseEntity); goto bac3d; A53d9: $importFile = sprintf("\45\x73\57\x25\x73", rtrim(getcwd(), "\x2f"), $importFile); goto cdbcd; Baab2: $siteUser = $siteEntity->getUser(); goto C9373; f43c4: $this->validateInput($input); goto Beb84; fd26c: $output->writeln(sprintf("\74\151\x6e\x66\x6f\x3e\x49\x6d\x70\157\x72\x74\40\151\x6e\164\x6f\x20\144\x61\164\x61\x62\x61\163\145\74\x2f\x69\156\x66\x6f\x3e\x20\74\143\157\x6d\x6d\145\x6e\164\76\x25\x73\x3c\x2f\x63\x6f\x6d\x6d\145\156\x74\x3e\x20\74\x69\156\x66\157\76\x77\141\163\40\163\165\x63\x63\145\163\x73\146\x75\x6c\x2e\74\x2f\x69\156\x66\x6f\76", $databaseName)); goto A5a30; F015a: if (!("\x64\x65\166" == $_ENV["\x41\120\x50\x5f\105\x4e\x56"])) { goto df3e5; } goto d1648; Beb84: $databaseName = $input->getOption("\144\x61\164\x61\x62\x61\x73\145\116\x61\x6d\145"); goto cf0aa; cdbcd: afafc: goto Aae03; c0cd7: $siteUser = $siteEntity->getUser(); goto cda29; f9aef: $userIsAllowedToImport = true === $isSuperUser || true === $userBelongsToSite; goto E9a3a; c791c: df3e5: goto D0b40; eadcf: throw new \Exception(sprintf("\x44\141\x74\141\142\x61\x73\x65\40\42\x25\163\42\x20\x64\157\x65\163\x20\156\x6f\x74\x20\x65\x78\x69\x73\x74\x2e", $databaseName)); goto D7136; C9373: B0830: goto db1e5; d8d88: if (false === is_null($siteEntity)) { goto Be327; } goto f06f1; a3eb8: Be327: goto Baab2; Aa5c6: eb32d: goto Bc415; cf0aa: $importFile = $input->getOption("\146\x69\154\145"); goto ff662; e4edb: e8d88: goto Ee531; A0ab0: } catch (\Exception $e) { goto c3da9; c3da9: $errorMessage = $this->maskString($e->getMessage()); goto Ac5ac; Ac5ac: $output->writeln(sprintf("\x3c\145\x72\162\x6f\162\x3e\45\x73\x3c\57\145\x72\x72\x6f\162\x3e", $errorMessage)); goto cc486; cc486: return BaseCommand::FAILURE; goto a2a2d; a2a2d: } } private function checkIfFileExists(string $importFile) { try { goto edb54; b0d85: $this->commandExecutor->execute($checkIfFileExistsCommand); goto D1091; e6f8d: $checkIfFileExistsCommand->setFile($importFile); goto b0d85; edb54: $checkIfFileExistsCommand = new CheckIfFileExistsCommand(); goto e6f8d; D1091: } catch (\Exception $e) { throw new \Exception(sprintf("\106\x69\154\145\x20\x22\x25\163\42\x20\x64\x6f\145\x73\x20\156\x6f\164\40\145\170\151\163\164\x2e", $importFile)); } } }
