<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use App\Command\Command as BaseCommand; use App\System\CommandExecutor; use App\System\Command\WriteFileCommand; use App\System\Command\DeleteFileCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Site as SiteEntity; use App\Entity\Notification; use App\Notification\NotificationQueue; use App\Backup\Rclone; use App\Backup\Dropbox\Client as DropboxClient; use App\Backup\Rclone\DropboxConfigTemplate; use App\Backup\Rclone\ConfigBuilder as RcloneConfigBuilder; use App\Backup\StorageProvider; use App\Backup\TarCreator; use App\Service\Logger; class RemoteBackupCreateCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private CommandExecutor $commandExecutor; private ValidatorInterface $validator; private ?\DateTime $serverDateTime = null; private array $excludes = []; private ?string $storageProvider = null; public function __construct(SiteEntityManager $siteEntityManager, Logger $logger, ValidatorInterface $validator) { goto D0fbe; e3c6c: parent::__construct(); goto b0ef1; C5653: $this->commandExecutor = new CommandExecutor(); goto a02ca; B2b6e: $this->validator = $validator; goto e3c6c; a02ca: $this->logger = $logger; goto B2b6e; D0fbe: $this->siteEntityManager = $siteEntityManager; goto C5653; b0ef1: } protected function configure() : void { goto Ea30d; A28ee: $this->setDescription("\x63\x6c\x70\143\164\x6c\40\162\145\155\x6f\x74\145\55\142\141\x63\153\165\x70\x3a\x63\x72\x65\141\x74\x65"); goto de1e2; de1e2: $this->addOption("\x64\145\154\141\x79", null, InputOption::VALUE_OPTIONAL, false); goto e1053; Ea30d: $this->setName("\162\x65\155\x6f\164\145\55\142\141\x63\153\165\160\x3a\143\162\x65\x61\164\x65"); goto A28ee; e1053: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto A9a71; f367a: $this->storageProvider = $this->getConfigValue("\162\145\155\157\164\x65\x5f\142\141\143\153\165\160\x5f\163\164\x6f\x72\141\147\x65\x5f\160\162\x6f\166\x69\x64\145\162"); goto d6bdd; d6bdd: if (!(true === $isEnabled && false === empty($this->storageProvider))) { goto D6c0c; } goto F9b25; e1214: b8489: goto F621a; Ecdd5: $delay = (bool) $input->getOption("\144\145\154\x61\x79"); goto Ed320; Ed320: $this->refreshDropboxAccessToken($delay); goto e1214; F621a: foreach ($siteEntities as $siteEntity) { $this->backupSite($siteEntity); e2f88: } goto D6678; a3aa8: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto b8489; } goto Ecdd5; e4c77: return BaseCommand::SUCCESS; goto E55c0; e63c2: A339c: goto c7c4f; E8f59: if (!count($siteEntities)) { goto A339c; } goto f8680; c7c4f: $this->cleanBackups(); goto F009a; A9a71: $this->validateInput($input); goto f44d1; F009a: D6c0c: goto e4c77; f8680: $this->backupDatabases(clone $input, clone $output); goto a3aa8; D6678: D56a0: goto e63c2; F9b25: $siteEntities = $this->siteEntityManager->findAll(); goto E8f59; f44d1: $isEnabled = (bool) $this->getConfigValue("\162\145\x6d\x6f\x74\145\x5f\x62\x61\143\x6b\165\x70\137\145\x6e\x61\142\154\145\144"); goto f367a; E55c0: } catch (\Exception $e) { goto b0f07; Acbb2: $output->writeln(sprintf("\x3c\x65\162\162\x6f\x72\x3e\x25\x73\x3c\x2f\145\162\162\157\162\76", $errorMessage)); goto F54ba; b0f07: $errorMessage = $e->getMessage(); goto Acbb2; F54ba: return BaseCommand::FAILURE; goto B8c3a; B8c3a: } } private function backupDatabases(InputInterface $input, OutputInterface $output) : void { try { goto dd6d9; Fdb21: $command = $application->find("\x64\x62\72\x62\x61\143\153\165\x70"); goto e8ef5; e8ef5: $exitCode = $command->run($input, $output); goto e4f0b; dd6d9: $application = $this->getApplication(); goto Fdb21; e4f0b: } catch (\Exception $e) { $this->logger->exception($e); } } private function backupSite(SiteEntity $siteEntity) { goto f7ffd; fda18: if (!(false === $isSiteExcluded)) { goto C5cf1; } goto e66b3; Ff891: C5cf1: goto da396; f7ffd: $isSiteExcluded = $this->isSiteExcluded($siteEntity); goto fda18; e66b3: try { try { goto F12aa; B0ad7: $excludes = array_merge($excludes, $siteExcludes); goto E9109; B003a: $homeDirectory = sprintf("\57\150\157\x6d\x65\57\x25\x73\57", $siteUser); goto A80d7; Aade4: $rclone->copy($destinationFile, $destination); goto ba4e5; c4f6c: switch ($this->storageProvider) { case StorageProvider::GOOGLE_DRIVE: goto e4baa; e4baa: $email = $this->getConfigValue("\162\145\155\157\164\x65\137\x62\141\x63\153\x75\x70\x5f\145\x6d\141\151\154"); goto d3466; E7c21: goto bfc68; goto f6537; d3466: $rclone->addFlag("\x2d\55\144\x72\151\166\x65\x2d\x69\155\x70\145\162\x73\x6f\x6e\141\164\x65", $email); goto E7c21; f6537: } goto b92f4; F12aa: $excludes = ["\56\x73\163\x68", "\164\x6d\160", "\154\x6f\x67\163"]; goto C034d; b2206: $rclone = new Rclone(); goto c4f6c; E9109: D2b81: goto c790b; c5c70: $this->createSiteVhostFile($siteVhostFile, $siteEntity); goto A1ea2; A77dc: $destinationFile = sprintf("\x2f\x68\157\155\145\57\45\x73\57\x74\x6d\x70\57\142\141\x63\153\165\x70\56\164\x61\162", $siteUser); goto E83d6; A80d7: $vhostFile = sprintf("\x2f\x65\x74\x63\x2f\x6e\147\x69\156\170\x2f\x73\151\164\145\163\x2d\145\x6e\x61\142\154\145\144\x2f\45\x73\x2e\x63\x6f\156\146", $domainName); goto A77dc; c790b: $siteUser = $siteEntity->getUser(); goto ffdf1; Cf607: $this->createSiteSettingsFile($siteSettingsFile, $siteEntity); goto c5c70; a5dd5: $destination = $this->getDestination($siteEntity); goto b2206; Cf4bb: $tarCreator = new TarCreator(); goto C9e27; E83d6: $siteSettingsFile = sprintf("\57\150\x6f\155\145\57\x25\163\57\x73\x69\164\145\55\x73\145\164\x74\x69\x6e\x67\163\56\152\x73\x6f\156", $siteUser); goto Ca42b; b92f4: b3f18: goto deba9; deba9: bfc68: goto Aade4; Ca42b: $siteVhostFile = sprintf("\57\150\x6f\155\145\57\45\x73\57\163\151\x74\145\x2d\x76\150\x6f\163\x74", $siteUser); goto Cf607; ffdf1: $domainName = $siteEntity->getDomainName(); goto B003a; C034d: $siteExcludes = $this->getSiteExcludes($siteEntity); goto C154b; C9e27: $tarCreator->create($sources, $destinationFile, $excludes); goto a5dd5; A1ea2: $sources = [$homeDirectory, $vhostFile]; goto Cf4bb; C154b: if (!(false === empty($siteExcludes))) { goto D2b81; } goto B0ad7; ba4e5: } catch (\Exception $e) { throw $e; } finally { $files = [$destinationFile, $siteSettingsFile, $siteVhostFile]; foreach ($files as $file) { goto C3348; aa728: $deleteFileCommand->setFile($file); goto Ff246; C3348: $deleteFileCommand = new DeleteFileCommand(); goto aa728; b47b1: b31de: goto a7995; Ff246: $this->commandExecutor->execute($deleteFileCommand, 60); goto b47b1; a7995: } Ea23f: } } catch (\Exception $e) { goto D2d22; f06c2: $this->addNotification($subject, $errorMessage); goto c7611; ab8f4: $subject = sprintf("\x52\145\x6d\x6f\x74\x65\x20\102\141\x63\153\165\x70\x20\146\141\151\x6c\x65\x64\72\x20\x25\163", $domainName); goto f06c2; D2d22: $errorMessage = $e->getMessage(); goto ab8f4; c7611: } goto Ff891; da396: } private function createSiteSettingsFile(string $siteSettingsFile, SiteEntity $siteEntity) : void { goto B233e; A55e3: $settings = ["\x74\x79\160\x65" => $siteType, "\144\x6f\x6d\141\x69\x6e\x4e\141\155\145" => $siteEntity->getDomainName(), "\162\x6f\x6f\164\104\151\x72\145\143\164\x6f\x72\171" => $siteEntity->getRootDirectory(), "\x73\151\164\145\x55\163\x65\x72" => $siteEntity->getUser(), "\160\x61\x67\145\x53\x70\x65\x65\144" => $siteEntity->getPageSpeedSettings()]; goto Bfaeb; e46a6: $writeFileCommand->setContent($fileContent); goto a5286; a5286: $this->commandExecutor->execute($writeFileCommand, 15); goto E1a2f; c6574: b99ca: goto f92b6; Bfaeb: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto f2b2d; e1901: goto Cd88f; goto Df92c; a9224: $nodejsSettings = ["\x76\145\x72\163\x69\157\156" => $nodejsSettingsEntity->getNodejsVersion(), "\x70\x6f\x72\x74" => $nodejsSettingsEntity->getPort()]; goto B8ef0; f2b2d: $nodejsSettingsEntity = $siteEntity->getNodejsSettings(); goto a9224; B8ef0: $settings["\156\x6f\144\x65\152\x73\x53\145\x74\x74\x69\156\x67\x73"] = $nodejsSettings; goto e1901; Df92c: case SiteEntity::TYPE_PHP: goto c228e; ede1f: $settings["\160\x68\x70\x53\x65\164\164\151\156\x67\x73"] = $phpSettings; goto a6fa6; cbf3b: $phpSettings = ["\166\x65\162\x73\151\157\156" => $phpSettingsEntity->getPhpVersion(), "\155\145\155\157\162\x79\114\x69\x6d\151\x74" => $phpSettingsEntity->getMemoryLimit(), "\x6d\x61\170\x45\170\x65\143\x75\164\151\157\x6e\x54\x69\155\145" => $phpSettingsEntity->getMaxExecutionTime(), "\x6d\x61\170\111\x6e\x70\165\164\x54\x69\155\145" => $phpSettingsEntity->getMaxInputTime(), "\x6d\x61\x78\111\156\160\165\x74\x56\x61\162\163" => $phpSettingsEntity->getMaxInputVars(), "\160\x6f\x73\x74\115\x61\x78\x53\x69\172\145" => $phpSettingsEntity->getPostMaxSize(), "\165\160\154\157\141\x64\x4d\141\x78\106\x69\154\145\x53\x69\172\145" => $phpSettingsEntity->getUploadMaxFileSize(), "\x61\144\144\x69\x74\151\157\x6e\x61\x6c\103\x6f\x6e\x66\x69\147\x75\162\x61\x74\151\157\x6e" => $phpSettingsEntity->getAdditionalConfiguration()]; goto ede1f; a6fa6: goto Cd88f; goto Bf34e; c228e: $phpSettingsEntity = $siteEntity->getPhpSettings(); goto cbf3b; Bf34e: case SiteEntity::TYPE_PYTHON: goto f57b4; Fb585: goto Cd88f; goto B9e5a; Df2df: $settings["\160\171\x74\150\x6f\156\123\x65\164\164\151\156\147\x73"] = $pythonSettings; goto Fb585; f57b4: $pythonSettingsEntity = $siteEntity->getPythonSettings(); goto A77a6; A77a6: $pythonSettings = ["\x76\x65\162\x73\151\x6f\156" => $pythonSettingsEntity->getPythonVersion(), "\160\x6f\162\164" => $pythonSettingsEntity->getPort()]; goto Df2df; B9e5a: case SiteEntity::TYPE_REVERSE_PROXY: goto B1958; f97ac: $settings["\x72\145\166\x65\x72\x73\145\x50\x72\x6f\x78\x79\x53\x65\164\x74\x69\156\147\x73"] = $reverseProxySettings; goto fb61c; fb61c: goto Cd88f; goto A6034; B1958: $reverseProxySettings = ["\165\162\x6c" => $siteEntity->getReverseProxyUrl()]; goto f97ac; A6034: } goto c6574; f92b6: Cd88f: goto d7d47; B233e: $siteType = $siteEntity->getType(); goto A55e3; F655a: $writeFileCommand->setFile($siteSettingsFile); goto e46a6; d7d47: $fileContent = json_encode($settings, JSON_PRETTY_PRINT); goto Ff2c1; Ff2c1: $writeFileCommand = new WriteFileCommand(); goto F655a; E1a2f: } private function createSiteVhostFile(string $siteVhostFile, SiteEntity $siteEntity) : void { goto c61f6; c61f6: $vhost = $siteEntity->getVhostTemplate(); goto B419a; B419a: $writeFileCommand = new WriteFileCommand(); goto a6733; f9f3b: $this->commandExecutor->execute($writeFileCommand, 15); goto Db0b4; a6733: $writeFileCommand->setFile($siteVhostFile); goto Fe985; Fe985: $writeFileCommand->setContent($vhost); goto f9f3b; Db0b4: } private function isSiteExcluded(SiteEntity $siteEntity) : bool { goto ede3c; b3aca: $homeDirectory = sprintf("\57\x68\x6f\155\x65\57\45\x73", $siteUser); goto f1dbb; Ed5df: ff9b5: goto f4546; f4546: return $isSiteExcluded; goto B3773; b7112: Bb7fa: goto Ed5df; f5b50: if (!(false === empty($excludes))) { goto ff9b5; } goto b2beb; b2beb: $siteUser = $siteEntity->getUser(); goto b3aca; ede3c: $isSiteExcluded = false; goto Ead84; Ead84: $excludes = $this->getExcludes(); goto f5b50; f1dbb: foreach ($excludes as $exclude) { goto Cb0e4; fefd3: $isSiteExcluded = true; goto E0e65; aee8c: a7d48: goto F62b1; Eccf6: if (!($homeDirectory == $exclude)) { goto Cc811; } goto fefd3; E0e65: goto Bb7fa; goto e490b; e490b: Cc811: goto aee8c; Cb0e4: $exclude = rtrim($exclude, "\x2f"); goto Eccf6; F62b1: } goto b7112; B3773: } private function getExcludes() : array { goto F729c; Cd903: ecb97: goto A8e6f; Def80: $excludes = $this->getConfigValue("\x72\x65\x6d\157\164\x65\137\x62\x61\143\x6b\165\160\x5f\x65\170\x63\x6c\x75\144\145\x73"); goto E2316; A8e6f: return $this->excludes; goto b5125; ea50f: $this->excludes = json_decode($excludes); goto f0b0c; E2316: if (!(false === empty($excludes))) { goto b43ed; } goto ea50f; f0b0c: b43ed: goto Cd903; F729c: if (!(true === empty($this->excludes))) { goto ecb97; } goto Def80; b5125: } private function getSiteExcludes(SiteEntity $siteEntity) : array { goto De80e; F78cb: d4d2c: goto C7ec1; D00fe: F76a4: goto F78cb; d67ce: foreach ($excludes as $exclude) { goto cb847; ff0ea: if (!(false === empty($exclude))) { goto Eea20; } goto Edf66; cb847: if (!($homeDirectory == substr($exclude, 0, strlen($homeDirectory)))) { goto e9bb5; } goto A0f3c; f173f: e9bb5: goto D8291; D8291: B6af1: goto f1eab; A0f3c: $exclude = substr($exclude, strlen($homeDirectory) - 1); goto ff0ea; Dc861: Eea20: goto f173f; Edf66: $siteExcludes[] = rtrim(ltrim($exclude, "\x2f"), "\x2f"); goto Dc861; f1eab: } goto D00fe; C7ec1: return $siteExcludes; goto c9e92; Efb59: $siteUser = $siteEntity->getUser(); goto F16a8; Bdb91: $excludes = $this->getExcludes(); goto db4bb; De80e: $siteExcludes = []; goto Bdb91; db4bb: if (!(false === empty($excludes))) { goto d4d2c; } goto Efb59; F16a8: $homeDirectory = sprintf("\x2f\150\157\x6d\145\x2f\x25\163\57", $siteUser); goto d67ce; c9e92: } private function getServerDateTime() : \DateTime { goto dec35; c478d: $this->serverDateTime->setTimezone(new \DateTimeZone("\125\x54\103")); goto c2c3d; A5a85: return $this->serverDateTime; goto F12ad; Ba0b3: fd8d4: goto A5a85; dec35: if (!(true === is_null($this->serverDateTime))) { goto fd8d4; } goto d0bf6; c2c3d: if (!(false === empty($timezone))) { goto C552d; } goto fc042; f3a0d: $this->serverDateTime = new \DateTime("\156\x6f\x77"); goto c478d; C5302: C552d: goto Ba0b3; d0bf6: $timezone = $this->getConfigValue("\164\151\155\145\x7a\157\156\x65"); goto f3a0d; fc042: $this->serverDateTime->setTimezone(new \DateTimeZone($timezone)); goto C5302; F12ad: } private function getDestination(SiteEntity $siteEntity) : string { goto F6239; C5ddc: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto D97a5; } goto cec72; f74fe: $serverDateTime = $this->getServerDateTime(); goto Bc7eb; cec72: $destination = ltrim($destination, "\57"); goto d5aea; Bc7eb: $destination = sprintf("\45\x73\57\x25\163\57\x25\163\x2f\45\163\x2f\x68\x6f\x6d\x65\x2f\x25\163\57", $destination, rtrim(ltrim($storageDirectory, "\x2f"), "\57"), $serverDateTime->format("\x59\x2d\155\55\x64"), $serverDateTime->format("\x48\56\x69"), $siteUser); goto C5ddc; Dc9a0: return $destination; goto f4f6a; ea29a: Fcc1a: goto dab7e; cd7d5: $storageDirectory = $this->getConfigValue("\162\x65\x6d\x6f\x74\x65\x5f\x62\x61\x63\153\165\160\137\x73\x74\157\162\x61\147\x65\137\x64\151\x72\145\x63\x74\157\162\171"); goto f74fe; d5aea: D97a5: goto Dc9a0; dab7e: $siteUser = $siteEntity->getUser(); goto cd7d5; C463a: ca4d4: goto ea29a; F6239: $destination = ''; goto Bf4b8; Bf4b8: switch ($this->storageProvider) { case StorageProvider::AMAZON_S3: case StorageProvider::WASABI: $destination = $this->getConfigValue("\162\145\155\157\164\145\137\142\x61\x63\x6b\165\x70\137\142\x75\143\x6b\x65\x74"); goto Fcc1a; case StorageProvider::DIGITAL_OCEAN_SPACES: $destination = $this->getConfigValue("\x72\x65\x6d\157\164\145\x5f\142\141\143\153\165\x70\137\163\160\141\143\145"); goto Fcc1a; } goto C463a; f4f6a: } private function cleanBackups() : void { goto F9286; d47bc: try { goto D5f85; b79eb: F6aa1: goto Bc20e; A2733: D9856: goto f676c; Bc20e: $remotePath = sprintf("\45\x73\x2f\x25\163\57", $remotePath, rtrim(ltrim($storageDirectory, "\57"), "\x2f")); goto B4567; E5158: $directories = (array) $rclone->lsJson($remotePath, true); goto c938f; fd103: switch ($this->storageProvider) { case StorageProvider::AMAZON_S3: case StorageProvider::WASABI: $remotePath = $this->getConfigValue("\x72\x65\155\157\x74\145\x5f\142\141\x63\x6b\165\160\x5f\142\x75\143\153\145\164"); goto F6aa1; case StorageProvider::DIGITAL_OCEAN_SPACES: $remotePath = $this->getConfigValue("\x72\x65\x6d\x6f\164\x65\x5f\142\141\x63\x6b\x75\160\x5f\163\160\x61\143\145"); goto F6aa1; case StorageProvider::GOOGLE_DRIVE: goto aa7ff; B64be: $rclone->addFlag("\x2d\55\144\162\151\166\x65\55\x69\x6d\x70\x65\x72\x73\157\156\x61\164\145", $email); goto aa2ca; aa7ff: $email = $this->getConfigValue("\162\x65\155\x6f\164\x65\x5f\142\x61\143\x6b\x75\160\x5f\x65\x6d\x61\x69\154"); goto B64be; aa2ca: goto F6aa1; goto F0fb7; F0fb7: } goto Ddc2c; c938f: if (!(false === empty($directories))) { goto D9856; } goto E14ef; E267f: $remotePath = ltrim($remotePath, "\x2f"); goto C609a; e7070: fab9b: goto A2733; D5f85: $dateTime = new \DateTime(); goto E8940; E8940: $deleteDateTime = clone $dateTime; goto Adfa2; c87e4: $remotePath = ''; goto D75f2; D75f2: $rclone = new Rclone(); goto fd103; Adfa2: $deleteDateTime->modify(sprintf("\x2d\x25\x73\x20\144\141\x79\163", $retentionPeriod)); goto c849f; B4567: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto ef6ae; } goto E267f; c849f: $deleteDateTime->setTimezone(new \DateTimeZone("\125\124\x43")); goto f6de6; f6de6: $deleteDateTime->setTime(0, 0, 0, 0); goto c87e4; C609a: ef6ae: goto E5158; Ddc2c: a2206: goto b79eb; E14ef: foreach ($directories as $directory) { goto aebb7; c480a: F816a: goto d4c5e; bf674: if (!(false === is_null($directoryName))) { goto b4624; } goto ff6f1; F1cfc: if (!(StorageProvider::SFTP == $this->storageProvider)) { goto a60e9; } goto Fcf2f; F262b: $purgeRemotePath = ltrim($purgeRemotePath, "\x2f"); goto Fac99; F716f: if (!(true === $isValidDate)) { goto F816a; } goto Dd43c; f99a4: $purgeRemotePath = sprintf("\x25\x73\57\45\163\57", rtrim(ltrim($remotePath, "\57"), "\x2f"), $directoryName); goto C0360; Fcf2f: $purgeRemotePath = sprintf("\57\x25\163", ltrim($purgeRemotePath, "\x2f")); goto a5f7c; C0360: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto C8b95; } goto F262b; C20e8: A3a00: goto c655a; edbd5: $rclone->purge($purgeRemotePath); goto ccdd8; d4c5e: b4624: goto C20e8; ccdd8: Acbf0: goto c480a; ff6f1: try { $isValidDate = true; $directoryDate = new \DateTime($directoryName); } catch (\Exception $e) { $isValidDate = false; } goto F716f; Dd43c: if (!(true === isset($directoryDate) && $directoryDate <= $deleteDateTime)) { goto Acbf0; } goto f99a4; aebb7: $directoryName = $directory["\x4e\141\155\145"] ?? null; goto bf674; Fac99: C8b95: goto F1cfc; a5f7c: a60e9: goto edbd5; c655a: } goto e7070; f676c: } catch (\Exception $e) { goto Eea8c; Eea8c: $errorMessage = $e->getMessage(); goto B3fa6; B3fa6: $subject = sprintf("\x52\x65\x6d\x6f\164\145\x20\x42\x61\x63\x6b\x75\x70\40\143\154\145\141\156\x75\x70\40\146\x61\151\x6c\x65\x64\x2e"); goto F3ae1; F3ae1: $this->addNotification($subject, $errorMessage); goto aea80; aea80: } goto e326d; bc3ee: if (!($retentionPeriod && false === empty($storageDirectory))) { goto d54aa; } goto d47bc; Be001: $storageDirectory = $this->getConfigValue("\x72\x65\155\x6f\x74\145\137\142\141\x63\153\x75\x70\137\163\164\157\x72\141\147\145\137\144\151\x72\x65\143\x74\157\x72\171"); goto bc3ee; e326d: d54aa: goto ba591; F9286: $retentionPeriod = (int) $this->getConfigValue("\x72\145\155\157\164\x65\137\142\141\x63\x6b\165\x70\x5f\162\x65\164\x65\156\x74\151\157\156\x5f\160\145\x72\x69\157\144"); goto Be001; ba591: } private function refreshDropboxAccessToken(bool $delay) { try { goto df455; F4fb7: goto cc292; goto dda06; e23b0: $rcloneConfig = $rcloneConfigBuilder->build(); goto Af3c8; df455: if (!(true === $delay)) { goto a4aaf; } goto Efe6c; F1466: $rcloneConfigTemplate->setToken($token); goto D1fe3; dda06: ea760: goto b6506; b6506: $rcloneConfigTemplate = new DropboxConfigTemplate(); goto F1466; C1ca5: $token = $dropboxClient->getAccessToken($refreshToken); goto a5f95; ab245: $rclone->writeConfig($rcloneConfig); goto Fd3c6; Efe6c: sleep(rand(5, 60)); goto cafde; a5f95: if (false === empty($token)) { goto ea760; } goto D2981; Fd3c6: cc292: goto B6712; D2981: throw new \Exception("\x41\x63\x63\x65\x73\x73\40\124\x6f\x6b\145\x6e\x20\143\x61\x6e\x6e\x6f\164\40\142\x65\40\145\155\x70\164\171\56"); goto F4fb7; Af3c8: $rclone = new Rclone(); goto ab245; E6a78: $refreshToken = $this->getConfigValue("\x72\x65\x6d\x6f\x74\145\x5f\142\141\x63\153\165\x70\x5f\162\x65\146\x72\x65\163\x68\137\x74\x6f\x6b\145\x6e"); goto a2c19; cafde: a4aaf: goto E6a78; D1fe3: $rcloneConfigBuilder = new RcloneConfigBuilder($rcloneConfigTemplate); goto e23b0; a2c19: $dropboxClient = new DropboxClient(); goto C1ca5; B6712: } catch (\Exception $e) { $errorMessage = $e->getMessage(); $this->addNotification("\x52\145\146\x72\145\163\x68\x69\156\147\x20\x44\x72\157\x70\142\157\170\x20\x41\x63\x63\145\x73\163\40\x54\x6f\153\145\156\x20\106\x61\151\x6c\145\x64", $errorMessage); } } private function addNotification(string $subject, string $errorMessage) : void { goto B08ee; B08ee: $notification = new Notification(); goto ad073; edb87: $notification->setSeverity(Notification::SEVERITY_CRITICAL); goto B633b; cceed: $notification->setMessage($errorMessage); goto edb87; B633b: NotificationQueue::addNotification($notification); goto C7fce; ad073: $notification->setSubject($subject); goto cceed; C7fce: } }
