<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\SiteCommand as SiteCommand; use App\Entity\Site as SiteEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\NodejsSettings as NodejsSettingsEntity; use App\Site\NodejsSite; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\Util\Openssl; use App\Site\Nginx\Vhost\NodejsTemplate as NodejsVhostTemplate; use App\Site\Creator\NodejsSite as NodejsSiteCreator; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; class SiteAddNodejsCommand extends SiteCommand { private const VHOST_TEMPLATE_NAME = "\116\x6f\x64\x65\x6a\x73"; protected function configure() : void { goto fa4fb; b374c: $this->addOption("\x73\x69\164\x65\125\x73\145\162\x50\x61\x73\163\167\157\162\144", null, InputOption::VALUE_REQUIRED); goto f480a; f17ed: $this->setComment("\101\144\x64\x69\156\x67\40\141\x20\x4e\x6f\144\145\56\x6a\163\40\x53\x69\x74\x65"); goto F3d1c; b096f: $this->addOption("\156\x6f\x64\x65\x6a\163\126\x65\162\163\151\x6f\x6e", null, InputOption::VALUE_REQUIRED); goto cf95b; F8dde: $this->setDescription("\x63\154\x70\143\x74\154\x20\x73\151\164\x65\x3a\141\144\144\72\x6e\157\144\x65\152\x73\40\x2d\55\x64\157\x6d\x61\x69\156\116\x61\x6d\x65\75\167\x77\x77\x2e\x64\x6f\x6d\141\x69\156\56\143\x6f\155\40\55\55\x6e\157\x64\145\x6a\x73\x56\145\162\x73\x69\157\x6e\75\x32\x32\x20\55\x2d\141\x70\160\x50\x6f\x72\x74\75\x33\x30\60\x30\40\x2d\x2d\163\x69\164\x65\125\163\145\x72\x3d\152\157\x68\x6e\x20\55\55\x73\151\x74\145\x55\163\x65\162\120\x61\x73\163\167\x6f\x72\x64\75\x27\x21\163\x65\143\162\x65\x74\x50\x61\x73\x73\167\157\162\x64\41\47"); goto f17ed; fa4fb: $this->setName("\x73\x69\x74\x65\x3a\141\x64\x64\72\x6e\157\144\x65\x6a\x73"); goto F8dde; F3d1c: $this->addOption("\144\x6f\x6d\x61\151\x6e\116\141\x6d\x65", null, InputOption::VALUE_REQUIRED); goto b096f; f23b0: $this->addOption("\x73\x69\164\145\x55\163\145\162", null, InputOption::VALUE_REQUIRED); goto b374c; cf95b: $this->addOption("\x61\x70\160\120\x6f\162\x74", null, InputOption::VALUE_REQUIRED); goto f23b0; f480a: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto b622c; ffe7d: $vhostTemplate->build(); goto A7e12; A420f: $nodejsSite = new NodejsSite(); goto afb9f; ccf2f: $vhostTemplate = sprintf("\45\163\x25\x73", $redirectionVhostTemplate, $vhostTemplate); goto d50ff; d50ff: d802d: goto C87da; bc081: if (0 == count($siteConstraints) && 0 == count($nodejsSettingsConstraints)) { goto A57d2; } goto edf1f; C87da: a806e: goto C65b3; Bdeef: $rsaKeyGenerator = new RsaKeyGenerator(); goto e5161; f9721: $nodejsSite->setRegistrableDomain($registrableDomain); goto c9bb4; e7099: $siteEntity->setUserPassword($siteUserPassword); goto F1927; bcfbe: $siteEntity->setDomainName($domainName); goto db904; C55a7: C747e: goto Aa518; db904: $siteEntity->setRootDirectory($rootDirectory); goto c1d65; Dbe4c: $nodejsSiteCreator->createNginxVhost(); goto Ababb; C1f2a: throw new \Exception(sprintf("\x56\150\157\163\164\x20\x54\x65\x6d\x70\x6c\x61\x74\145\40\x22\45\163\x22\40\x64\x6f\x65\x73\x20\x6e\x6f\164\x20\145\x78\151\x73\x74\x2e", $vhostTemplate)); goto ed07c; a24ef: $certificateEntity->setSite($siteEntity); goto Bdeef; c1d65: $siteEntity->setUser($siteUser); goto e7099; d8ddc: $domainName = mb_strtolower(trim($input->getOption("\144\157\x6d\141\x69\156\116\141\155\x65"))); goto e2695; a74ed: $nodejsSiteCreator->createPrivateKeyAndCertificate(); goto Dbe4c; Cedeb: if (true === isset($_ENV["\x41\120\120\x5f\x48\x54\x54\120\x33"]) && "\x74\x72\165\145" === $_ENV["\101\120\120\137\110\124\124\120\x33"]) { goto d7fe8; } goto c76a4; e3a53: $siteUserPassword = trim($input->getOption("\x73\x69\x74\145\125\163\145\x72\120\x61\x73\163\x77\x6f\162\x64")); goto C5126; D376f: $nodejsSiteCreator->createRootDirectory(); goto bd2d8; ef978: $nodejsSettingsEntity = new NodejsSettingsEntity(); goto C3575; A2b7b: Cc523: goto e2b0d; c0090: $this->siteEntityManager->updateEntity($siteEntity); goto A6344; Ecdcb: $constraints->addAll($nodejsSettingsConstraints); goto dff94; D3664: $nodejsSettingsEntity->setNodejsVersion($nodejsVersion); goto B9b2d; c425d: $nodejsSiteCreator->createNvmDirectory(); goto f7cbb; Fc4f0: $certificateEntity = $this->certificateEntityManager->createEntity(); goto a24ef; e94e8: if (!(false === empty($redirectionVhostTemplate))) { goto d802d; } goto ccf2f; E7a87: $redirectionVhostTemplate = file_get_contents($redirectionVhostTemplateFile); goto e94e8; D5b69: d7fe8: goto a0fcd; Df778: $certificateEntity->setDefaultCertificate(true); goto b7379; afb9f: $nodejsSite->setUser($siteEntity->getUser()); goto d5f29; B9b2d: $nodejsSettingsEntity->setPort($appPort); goto be708; dc8c7: $certificateEntity->setPrivateKey($privateKey->getPEM()); goto da730; Dd703: if (false === is_null($vhostTemplateEntity)) { goto f1d65; } goto C1f2a; c9bb4: $nodejsSite->setSubdomain($subdomain); goto E6178; e770a: $subjectAlternativeNames = []; goto ff56a; Ddcdb: $subjectAlternativeNames[] = sprintf("\x77\x77\x77\56\x25\x73", $domainName); goto A2b7b; Cd941: $rootDirectory = $domainName; goto Bd11e; b8c2b: $nodejsSite->setNodejsSettings($nodejsSettingsEntity); goto F212a; a6080: $vhostTemplate = $vhostTemplateEntity->getTemplate(); goto F9ebb; A1d21: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto cc61f; Ea1f4: $siteUser = trim($input->getOption("\163\151\x74\x65\125\163\x65\162")); goto e3a53; e14ed: $vhostTemplate = new NodejsVhostTemplate($nodejsSite); goto B8f01; c76a4: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\x2f\56\56\57\56\x2e\57\162\145\163\x6f\x75\162\x63\x65\x73\x2f\156\147\x69\156\170\57\x76\150\x6f\163\x74\x5f\x74\145\155\x70\x6c\141\164\x65\x2f\162\x65\x64\x69\x72\x65\x63\x74"); goto Aad2b; C5126: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto A1d21; ff56a: if (!(true === is_null($subdomain))) { goto Cc523; } goto Ddcdb; e1f6b: db680: goto E7a87; e5161: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto e770a; C5c80: $csr = $csrGenerator->generate(); goto c4573; b622c: $this->validateInput($input); goto d8ddc; da730: $certificateEntity->setCertificate($selfSignedCertificate); goto a67d1; A7e12: $siteEntity->setVhostTemplate($vhostTemplate->getContent()); goto C01e2; D5e49: goto C747e; goto B0fbd; C3575: $siteEntity->setNodejsSettings($nodejsSettingsEntity); goto D3664; Cda4a: aef7e: goto D761b; A91fc: $siteEntity->setType(SiteEntity::TYPE_NODEJS); goto bcfbe; be708: $nodejsSettingsEntity->setSite($siteEntity); goto Ee257; ed07c: goto ec411; goto D1f6c; D1f6c: f1d65: goto a6080; cc61f: $subdomain = $resolvedDomainName->subDomain()->toString(); goto e6655; edf1f: $constraints = new ConstraintViolationList(); goto Cda55; Aad2b: goto db680; goto D5b69; e6655: $subdomain = false === empty($subdomain) ? $subdomain : null; goto Df004; Ee257: $siteConstraints = $this->validator->validate($siteEntity); goto Adec4; Cda55: $constraints->addAll($siteConstraints); goto Ecdcb; a67d1: $siteEntity->setCertificate($certificateEntity); goto A420f; F212a: $nodejsSite->setCertificate($certificateEntity); goto C6465; E52b1: $vhostTemplate->addProcessor(new RedirectServerNameProcessor()); goto Bbdcc; bfb66: $vhostTemplate->addProcessor(new ServerNameProcessor()); goto E52b1; Df004: $vhostTemplateEntity = $this->vhostTemplateEntityManager->findOneByName($vhostTemplate); goto Dd703; d0df8: $vhostTemplate->resetProcessors(); goto bfb66; F1927: if (!(true === is_null($subdomain) || "\x77\167\x77" == $subdomain)) { goto a806e; } goto Cedeb; Cde28: $nodejsSiteCreator = new NodejsSiteCreator($nodejsSite); goto ae35c; Bd11e: $nodejsVersion = (int) $input->getOption("\x6e\x6f\144\x65\152\x73\x56\145\162\x73\151\157\156"); goto E7397; Bbdcc: $vhostTemplate->addProcessor(new RedirectDomainProcessor()); goto ffe7d; D761b: $distinguishedName = new DistinguishedName($domainName, $subjectAlternativeNames); goto Df128; e2695: $vhostTemplate = self::VHOST_TEMPLATE_NAME; goto Cd941; a0fcd: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\x2f\56\x2e\x2f\56\x2e\x2f\x72\x65\163\157\165\x72\x63\145\163\x2f\x6e\147\x69\156\x78\57\x76\x68\x6f\163\164\137\164\x65\155\160\154\141\x74\x65\57\x72\x65\144\x69\x72\145\x63\x74\x2d\x68\164\x74\x70\63"); goto e1f6b; dff94: return $this->renderConstraints($constraints, $output); goto D5e49; B8f01: $vhostTemplate->setContent($siteEntity->getVhostTemplate()); goto d0df8; Aa518: ec411: goto b77f0; A484c: $certificateEntity->setCsr($csr); goto dc8c7; C65b3: $siteEntity->setVhostTemplate($vhostTemplate); goto ef978; A6344: $output->writeln(sprintf("\74\151\x6e\x66\157\x3e\123\x69\164\145\x3c\57\x69\x6e\146\157\76\x20\x3c\x63\x6f\x6d\155\x65\156\x74\x3e\45\x73\x3c\x2f\x63\x6f\x6d\155\145\x6e\164\x3e\x20\74\151\x6e\x66\x6f\76\150\141\163\x20\x62\145\x65\156\x20\x61\144\144\x65\144\x2e\x3c\57\x69\156\146\157\76", $domainName)); goto f1a28; ae35c: $nodejsSiteCreator->createUser(); goto D376f; cc7e3: $nodejsSiteCreator->resetPermissions(); goto e14ed; C01e2: $siteEntity->setApplication($vhostTemplateEntity->getName()); goto c0090; e2b0d: if (!(false === is_null($subdomain) && "\167\x77\x77" == $subdomain)) { goto aef7e; } goto d0590; ddb85: $nodejsSite->setDomainName($domainName); goto f9721; Adec4: $nodejsSettingsConstraints = $this->validator->validate($nodejsSettingsEntity); goto bc081; f1a28: return SiteCommand::SUCCESS; goto C55a7; d5f29: $nodejsSite->setUserPassword($siteEntity->getUserPassword()); goto ddb85; d0590: $subjectAlternativeNames[] = $registrableDomain; goto Cda4a; f7cbb: $nodejsSiteCreator->installNodejs(); goto a74ed; E7397: $appPort = (int) $input->getOption("\x61\x70\160\120\x6f\x72\164"); goto Ea1f4; bd2d8: $nodejsSiteCreator->createLogrotateFile(); goto c425d; B0fbd: A57d2: goto Fc4f0; C6465: $nodejsSite->setVhostTemplate($siteEntity->getVhostTemplate()); goto Cde28; Ababb: $nodejsSiteCreator->reloadNginxService(); goto cc7e3; Df128: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto C5c80; E6178: $nodejsSite->setRootDirectory($siteEntity->getRootDirectory()); goto b8c2b; c4573: $selfSignedCertificate = Openssl::createSelfSignedCertificate($privateKey, $csr); goto Df778; F9ebb: $siteEntity = $this->siteEntityManager->createEntity(); goto A91fc; b7379: $certificateEntity->setType(CertificateEntity::TYPE_SELF_SIGNED); goto A484c; b77f0: } catch (\Exception $e) { goto Ad614; Bf3cd: $output->writeln(sprintf("\74\x65\x72\162\x6f\x72\x3e\x25\163\74\x2f\x65\162\162\157\162\76", $errorMessage)); goto F8473; F8473: return SiteCommand::FAILURE; goto B8521; Ad614: $errorMessage = $e->getMessage(); goto Bf3cd; B8521: } } }
