<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\SiteCommand as SiteCommand; use App\Entity\Site as SiteEntity; use App\Entity\Certificate as CertificateEntity; use App\Site\ReverseProxySite; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\Util\Openssl; use App\Site\Nginx\Vhost\ReverseProxyTemplate as ReverseProxyVhostTemplate; use App\Site\Creator\ReverseProxySite as ReverseProxySiteCreator; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; class SiteAddReverseProxyCommand extends SiteCommand { private const VHOST_TEMPLATE_NAME = "\x52\x65\x76\x65\162\x73\145\x50\162\157\x78\171"; protected function configure() : void { goto a3103; a3103: $this->setName("\163\x69\x74\x65\x3a\141\144\144\72\x72\x65\x76\145\x72\x73\x65\x2d\x70\162\157\170\171"); goto e51d7; e5a84: $this->addOption("\163\151\x74\x65\125\163\x65\162\x50\x61\163\163\167\x6f\x72\x64", null, InputOption::VALUE_REQUIRED); goto F051e; E005e: $this->addOption("\144\x6f\x6d\x61\151\x6e\x4e\141\155\145", null, InputOption::VALUE_REQUIRED); goto c0379; d0b06: $this->addOption("\x73\x69\164\x65\x55\163\145\162", null, InputOption::VALUE_REQUIRED); goto e5a84; e51d7: $this->setDescription("\x63\154\160\x63\164\x6c\x20\163\x69\x74\145\72\141\x64\x64\72\x72\x65\x76\x65\162\163\x65\55\x70\162\157\170\171\x20\55\55\144\157\155\141\x69\156\116\x61\155\x65\x3d\x77\167\167\x2e\144\157\x6d\141\151\156\56\x63\x6f\x6d\x20\55\55\x72\x65\x76\x65\x72\x73\x65\x50\162\157\x78\x79\125\x72\154\x3d\x27\x68\164\164\x70\72\x2f\x2f\61\62\x37\56\60\x2e\60\x2e\61\72\70\x30\x30\x30\x27\x20\x2d\x2d\163\x69\x74\145\125\x73\x65\162\x3d\x6a\x6f\150\x6e\40\55\55\x73\151\164\145\125\163\145\x72\x50\x61\163\x73\167\157\x72\144\x3d\47\x21\163\145\143\x72\145\x74\x50\x61\x73\163\167\x6f\162\144\41\47"); goto C210a; c0379: $this->addOption("\162\145\166\145\x72\x73\145\120\x72\x6f\x78\171\x55\x72\154", null, InputOption::VALUE_REQUIRED); goto d0b06; C210a: $this->setComment("\101\x64\x64\x69\x6e\x67\x20\141\40\122\x65\166\x65\x72\163\x65\x20\x50\162\157\x78\x79"); goto E005e; F051e: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto E90f4; E25f1: $selfSignedCertificate = Openssl::createSelfSignedCertificate($privateKey, $csr); goto ae900; Ddb28: $reverseProxySite->setRegistrableDomain($registrableDomain); goto e8ed4; cf293: $certificateEntity->setPrivateKey($privateKey->getPEM()); goto ad5b0; c187f: b6582: goto Ac27e; B972d: $output->writeln(sprintf("\x3c\151\156\x66\157\76\123\151\164\145\x3c\x2f\x69\156\x66\157\x3e\40\x3c\143\157\155\155\x65\x6e\x74\76\45\x73\74\x2f\143\x6f\155\155\x65\x6e\164\76\40\x3c\x69\156\x66\x6f\76\x68\141\163\40\142\145\145\x6e\40\x61\144\x64\x65\144\x2e\74\57\x69\156\146\157\x3e", $domainName)); goto Cba54; bc3f3: $siteUser = trim($input->getOption("\x73\151\x74\145\125\163\x65\162")); goto A4689; e8ed4: $reverseProxySite->setSubdomain($subdomain); goto acb0a; b2cf5: if (false === is_null($vhostTemplateEntity)) { goto E6c69; } goto Ef0e2; a6e0b: $certificateEntity->setCsr($csr); goto cf293; A2748: $distinguishedName = new DistinguishedName($domainName, $subjectAlternativeNames); goto E0c29; f65e1: $siteConstraints = $this->validator->validate($siteEntity); goto fbf92; b4455: if (true === isset($_ENV["\x41\x50\x50\x5f\110\x54\124\x50\63"]) && "\x74\x72\165\145" === $_ENV["\x41\x50\120\x5f\110\x54\124\120\63"]) { goto b6582; } goto Dc07b; Cb9da: $subjectAlternativeNames[] = sprintf("\167\x77\x77\56\45\163", $domainName); goto F5d0e; ec2d3: Bf631: goto f806f; d9243: $domainName = mb_strtolower(trim($input->getOption("\x64\157\x6d\x61\151\156\116\141\x6d\x65"))); goto E1ee3; Eca67: goto F35a0; goto c187f; D42f1: $certificateEntity->setType(CertificateEntity::TYPE_SELF_SIGNED); goto a6e0b; D3d9d: c00f5: goto d03a5; ea171: $vhostTemplate->addProcessor(new ServerNameProcessor()); goto A0cf6; Dc07b: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\x2f\56\56\x2f\56\56\57\162\145\x73\x6f\x75\162\x63\145\163\57\156\x67\x69\156\170\57\x76\x68\157\163\x74\137\164\x65\155\160\x6c\x61\x74\x65\57\x72\145\x64\151\x72\x65\143\x74"); goto Eca67; ecff5: $vhostTemplate = sprintf("\x25\x73\45\163", $redirectionVhostTemplate, $vhostTemplate); goto D3d9d; E5705: $certificateEntity = $this->certificateEntityManager->createEntity(); goto F14ba; f7977: $vhostTemplate->build(); goto fd475; F01bb: $subjectAlternativeNames = []; goto a1ba6; F14ba: $certificateEntity->setSite($siteEntity); goto Fb4ce; db91b: $reverseProxySite->setUser($siteEntity->getUser()); goto ab4c2; bb784: $siteEntity->setReverseProxyUrl($reverseProxyUrl); goto E9c2e; fd475: $siteEntity->setVhostTemplate($vhostTemplate->getContent()); goto e2bc8; A67bc: $reversProxySiteCreator->createRootDirectory(); goto A8214; D6261: $subdomain = $resolvedDomainName->subDomain()->toString(); goto F3cc8; ae900: $certificateEntity->setDefaultCertificate(true); goto D42f1; a7f1f: $reverseProxySite->setReverseProxyUrl($reverseProxyUrl); goto ff447; E1ee3: $vhostTemplate = self::VHOST_TEMPLATE_NAME; goto a43c4; Fd314: $subjectAlternativeNames[] = $registrableDomain; goto Cdab1; ff447: $reverseProxySite->setVhostTemplate($siteEntity->getVhostTemplate()); goto C47b0; F6216: $reversProxySiteCreator->reloadNginxService(); goto A0854; cbf3e: $reversProxySiteCreator->createUser(); goto A67bc; Ec47c: $siteEntity->setVhostTemplate($vhostTemplate); goto f65e1; Fe4f1: $reverseProxyUrl = trim($input->getOption("\x72\145\166\x65\162\x73\145\120\162\x6f\x78\x79\x55\162\x6c")); goto bc3f3; E90f4: $this->validateInput($input); goto d9243; A8214: $reversProxySiteCreator->createLogrotateFile(); goto e1df6; Bd72a: D50d6: goto E5705; efeff: $vhostTemplate->resetProcessors(); goto ea171; A0854: $reversProxySiteCreator->resetPermissions(); goto Abdff; Cba54: return SiteCommand::SUCCESS; goto ec2d3; F5d0e: D34d2: goto b526c; Cae46: $vhostTemplateEntity = $this->vhostTemplateEntityManager->findOneByName($vhostTemplate); goto b2cf5; e2bc8: $siteEntity->setApplication($vhostTemplateEntity->getName()); goto a9013; E0c29: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto ec743; Ac27e: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\x2f\x2e\56\57\56\x2e\57\x72\145\x73\x6f\165\x72\143\x65\163\x2f\156\x67\x69\x6e\x78\x2f\x76\x68\x6f\x73\x74\137\164\x65\x6d\160\154\141\164\145\57\162\x65\x64\x69\162\x65\143\164\55\150\164\x74\x70\63"); goto Cf364; d7cdb: $constraints->addAll($siteConstraints); goto Aca8f; f806f: c5417: goto Ca20b; e1df6: $reversProxySiteCreator->createPrivateKeyAndCertificate(); goto Db78d; E9c2e: if (!(true === is_null($subdomain) || "\x77\167\x77" == $subdomain)) { goto f1ddd; } goto b4455; b9cb7: $reverseProxySite->setDomainName($domainName); goto Ddb28; Ca9dc: $siteEntity->setDomainName($domainName); goto f89d5; ec743: $csr = $csrGenerator->generate(); goto E25f1; c51ee: $vhostTemplate->addProcessor(new RedirectDomainProcessor()); goto f7977; Cdab1: A0ad9: goto A2748; b526c: if (!(false === is_null($subdomain) && "\167\x77\x77" == $subdomain)) { goto A0ad9; } goto Fd314; A0cf6: $vhostTemplate->addProcessor(new RedirectServerNameProcessor()); goto c51ee; a80ea: $redirectionVhostTemplate = file_get_contents($redirectionVhostTemplateFile); goto C77ca; C936f: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto A5e30; a1ba6: if (!(true === is_null($subdomain))) { goto D34d2; } goto Cb9da; e6b7b: $reverseProxySite = new ReverseProxySite(); goto db91b; B4f3d: $constraints = new ConstraintViolationList(); goto d7cdb; ab4c2: $reverseProxySite->setUserPassword($siteEntity->getUserPassword()); goto b9cb7; c42eb: $siteEntity = $this->siteEntityManager->createEntity(); goto F2256; F2256: $siteEntity->setType(SiteEntity::TYPE_REVERSE_PROXY); goto Ca9dc; A5e30: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto D6261; b3559: goto Bf631; goto Bd72a; Abdff: $vhostTemplate = new ReverseProxyVhostTemplate($reverseProxySite); goto eaa66; E1ac8: $vhostTemplate = $vhostTemplateEntity->getTemplate(); goto c42eb; ad5b0: $certificateEntity->setCertificate($selfSignedCertificate); goto bf967; acb0a: $reverseProxySite->setRootDirectory($siteEntity->getRootDirectory()); goto Ffcb2; Ef0e2: throw new \Exception(sprintf("\x56\x68\x6f\163\164\x20\x54\x65\155\x70\154\x61\x74\x65\40\x22\x25\x73\42\40\x64\157\145\x73\x20\156\x6f\x74\40\x65\170\151\163\x74\56", $vhostTemplate)); goto E43cd; E43cd: goto c5417; goto ee0b0; Db78d: $reversProxySiteCreator->createNginxVhost(); goto F6216; C77ca: if (!(false === empty($redirectionVhostTemplate))) { goto c00f5; } goto ecff5; Fb4ce: $rsaKeyGenerator = new RsaKeyGenerator(); goto a8a28; C47b0: $reversProxySiteCreator = new ReverseProxySiteCreator($reverseProxySite); goto cbf3e; bf967: $siteEntity->setCertificate($certificateEntity); goto e6b7b; A4689: $siteUserPassword = trim($input->getOption("\163\151\164\145\x55\163\145\162\120\141\163\x73\167\157\x72\144")); goto C936f; a8a28: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto F01bb; eaa66: $vhostTemplate->setContent($siteEntity->getVhostTemplate()); goto efeff; Ffcb2: $reverseProxySite->setCertificate($certificateEntity); goto a7f1f; Aca8f: return $this->renderConstraints($constraints, $output); goto b3559; F3cc8: $subdomain = false === empty($subdomain) ? $subdomain : null; goto Cae46; A31dd: $siteEntity->setUserPassword($siteUserPassword); goto A2620; a9013: $this->siteEntityManager->updateEntity($siteEntity); goto B972d; fbf92: if (0 == count($siteConstraints)) { goto D50d6; } goto B4f3d; d03a5: f1ddd: goto Ec47c; a43c4: $rootDirectory = $domainName; goto Fe4f1; f89d5: $siteEntity->setUser($siteUser); goto A31dd; A2620: $siteEntity->setRootDirectory($rootDirectory); goto bb784; ee0b0: E6c69: goto E1ac8; Cf364: F35a0: goto a80ea; Ca20b: } catch (\Exception $e) { goto d17f2; f2a28: $output->writeln(sprintf("\x3c\145\162\x72\157\162\x3e\45\x73\x3c\x2f\145\x72\x72\157\162\76", $errorMessage)); goto cbd62; cbd62: return SiteCommand::FAILURE; goto B2e9d; d17f2: $errorMessage = $e->getMessage(); goto f2a28; B2e9d: } } }
