<?php
 namespace App\Command; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use Doctrine\Common\Collections\ArrayCollection; use App\Command\Command as BaseCommand; use App\Entity\Site as SiteEntity; use App\Site\Site; use App\Site\NodejsSite; use App\Site\StaticSite; use App\Site\PhpSite; use App\Site\PythonSite; use App\Site\ReverseProxySite; use App\Site\Deleter as SiteDeleter; use App\Site\Updater as SiteUpdater; use App\Site\Updater\NodejsSite as NodejsSiteUpdater; use App\Site\Updater\StaticSite as StaticSiteUpdater; use App\Site\Updater\PhpSite as PhpSiteUpdater; use App\Site\Updater\PythonSite as PythonSiteUpdater; use App\Site\Updater\ReverseProxySite as ReverseProxySiteUpdater; use App\Site\Deleter\NodejsSite as NodejsSiteDeleter; use App\Site\Deleter\StaticSite as StaticSiteDeleter; use App\Site\Deleter\PhpSite as PhpSiteDeleter; use App\Site\Deleter\PythonSite as PythonSiteDeleter; use App\Site\Deleter\ReverseProxySite as ReverseProxySiteDeleter; use App\Site\Parser\DomainName as DomainNameParser; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\CertificateManager as CertificateEntityManager; use App\Entity\Manager\VhostTemplateManager as VhostTemplateEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; class SiteCommand extends BaseCommand { protected DomainNameParser $domainNameParser; protected SiteEntityManager $siteEntityManager; protected CertificateEntityManager $certificateEntityManager; protected DatabaseServerEntityManager $databaseServerEntityManager; protected VhostTemplateEntityManager $vhostTemplateEntityManager; protected ValidatorInterface $validator; public function __construct(DomainNameParser $domainNameParser, SiteEntityManager $siteEntityManager, CertificateEntityManager $certificateEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, VhostTemplateEntityManager $vhostTemplateEntityManager, ValidatorInterface $validator) { goto bfd05; cf261: $this->vhostTemplateEntityManager = $vhostTemplateEntityManager; goto Fa396; a8733: $this->siteEntityManager = $siteEntityManager; goto A041b; E4ffc: parent::__construct(); goto dba88; e6414: $this->databaseServerEntityManager = $databaseServerEntityManager; goto cf261; A041b: $this->certificateEntityManager = $certificateEntityManager; goto e6414; bfd05: $this->domainNameParser = $domainNameParser; goto a8733; Fa396: $this->validator = $validator; goto E4ffc; dba88: } protected function configure() : void { $this->setName("\x73\151\x74\145\72\x74\155\160"); } protected function getSite(string $domainName) : ?Site { goto B8432; fcf37: $site->setSubdomain($subdomain); goto B71f1; B71f1: $site->setRootDirectory($siteEntity->getRootDirectory()); goto b3dac; f9e26: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto B12d5; D2e3c: $site->setUser($siteEntity->getUser()); goto cb253; B8432: $site = null; goto Bc8c0; c001a: $subdomain = $resolvedDomainName->subDomain()->toString(); goto a9622; D3fe3: $siteType = $siteEntity->getType(); goto F3ed7; C2c6b: $site->setSshUsers($siteEntity->getSshUsers()); goto F8e8d; cb253: $site->setDomainName($siteEntity->getDomainName()); goto Fd620; b176c: if (!(false === is_null($site))) { goto e096c; } goto f9e26; Ad146: return $site; goto Bac46; a9622: $subdomain = false === empty($subdomain) ? $subdomain : null; goto dfbfc; dfbfc: $siteDatabases = $this->getSiteDatabases($siteEntity); goto D2e3c; d28a9: $site->setAllowTrafficFromCloudflareOnly($siteEntity->allowTrafficFromCloudflareOnly()); goto ccdda; Ebf95: eb18f: goto Ad146; bc556: $site->setCronJobs($siteEntity->getCronJobs()); goto Eafa7; Bf3ae: $site->setCertificates($siteEntity->getCertificates()); goto bc556; F3ed7: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto a1540; becf5: $site->setNodejsSettings($siteEntity->getNodejsSettings()); goto dce0e; dce0e: goto A6d6d; goto Ade46; a1540: $site = new NodejsSite(); goto becf5; Ade46: case SiteEntity::TYPE_STATIC: $site = new StaticSite(); goto A6d6d; case SiteEntity::TYPE_PHP: goto D93c0; c669a: $site->setPhpSettings($siteEntity->getPhpSettings()); goto E5d99; D93c0: $site = new PhpSite(); goto c669a; C7173: goto A6d6d; goto eaf3e; E5d99: $site->setVarnishCache($siteEntity->getVarnishCache()); goto C7173; eaf3e: case SiteEntity::TYPE_PYTHON: goto B99f6; B99f6: $site = new PythonSite(); goto E83de; E83de: $site->setPythonSettings($siteEntity->getPythonSettings()); goto f1d26; f1d26: goto A6d6d; goto b2130; b2130: case SiteEntity::TYPE_REVERSE_PROXY: goto F5237; d431a: goto A6d6d; goto F2360; D8f9d: $site->setReverseProxyUrl($siteEntity->getReverseProxyUrl()); goto d431a; F5237: $site = new ReverseProxySite(); goto D8f9d; F2360: } goto Dbd71; Dbd71: f7c57: goto dabca; e608b: goto eb18f; goto Bef91; Eafa7: $site->setFtpUsers($siteEntity->getFtpUsers()); goto C2c6b; B86be: $site->setPageSpeedSettings($siteEntity->getPageSpeedSettings()); goto F359e; b3dac: $site->setDatabases($siteDatabases); goto E1020; Bef91: c72e3: goto D3fe3; ccdda: $site->setPageSpeedEnabled($siteEntity->getPageSpeedEnabled()); goto B86be; E83bd: $site->setBlockedIps($siteEntity->getBlockedIps()); goto de6c0; F8e8d: $site->setVhostTemplate($siteEntity->getVhostTemplate()); goto d28a9; B12d5: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto c001a; c06e2: if (false === is_null($siteEntity)) { goto c72e3; } goto d8f53; Fd620: $site->setRegistrableDomain($registrableDomain); goto fcf37; dabca: A6d6d: goto b176c; A38fb: $site->setBlockedBots($siteEntity->getBlockedBots()); goto E83bd; d8f53: throw new \Exception(sprintf("\x53\151\x74\x65\x20\42\x25\x73\x22\40\144\x6f\145\163\x20\156\x6f\164\x20\145\170\x69\x73\x74\56", $domainName)); goto e608b; Bc8c0: $siteEntity = $this->getSiteEntity($domainName); goto c06e2; de6c0: $site->setCertificate($siteEntity->getCertificate()); goto Bf3ae; F359e: e096c: goto Ebf95; E1020: $site->setBasicAuth($siteEntity->getBasicAuth()); goto A38fb; Bac46: } private function getSiteDatabases(SiteEntity $siteEntity) : ?ArrayCollection { goto cf47a; c6d8f: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto C642c; B3912: foreach ($databaseEntities as $databaseEntity) { goto A1996; ba762: $siteDatabases->add($databaseEntity); goto b61d3; A1996: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto Db4ff; Db4ff: if (!($databaseServerEntity->getId() == $activeDatabaseServerEntity->getId())) { goto F3cdf; } goto ba762; cf7b1: fd0a2: goto b2c10; b61d3: F3cdf: goto cf7b1; b2c10: } goto A1189; A1189: D7e0b: goto a22bb; cf47a: $siteDatabases = new ArrayCollection(); goto c6d8f; a22bb: return $siteDatabases; goto Bcac0; C642c: $databaseEntities = $siteEntity->getDatabases(); goto B3912; Bcac0: } protected function getSiteDeleter(Site $site) : ?SiteDeleter { goto Eedf5; f05b4: $siteType = $site->getType(); goto e50d1; e50d1: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteDeleter = new NodejsSiteDeleter($site); goto a04cf; case SiteEntity::TYPE_STATIC: $siteDeleter = new StaticSiteDeleter($site); goto a04cf; case SiteEntity::TYPE_PHP: $siteDeleter = new PhpSiteDeleter($site); goto a04cf; case SiteEntity::TYPE_PYTHON: $siteDeleter = new PythonSiteDeleter($site); goto a04cf; case SiteEntity::TYPE_REVERSE_PROXY: $siteDeleter = new ReverseProxySiteDeleter($site); goto a04cf; } goto b11eb; E6f99: a04cf: goto Ef32a; b11eb: a5064: goto E6f99; Eedf5: $siteDeleter = null; goto f05b4; Ef32a: return $siteDeleter; goto a7f59; a7f59: } protected function getSiteUpdater(Site $site) : ?SiteUpdater { goto e03da; d30fc: $siteType = $site->getType(); goto d7127; Adc07: A6aac: goto Ef055; Ef055: return $siteUpdater; goto C63ee; e03da: $siteUpdater = null; goto d30fc; d7127: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteUpdater = new NodejsSiteUpdater($site); goto A6aac; case SiteEntity::TYPE_STATIC: $siteUpdater = new StaticSiteUpdater($site); goto A6aac; case SiteEntity::TYPE_PHP: $siteUpdater = new PhpSiteUpdater($site); goto A6aac; case SiteEntity::TYPE_PYTHON: $siteUpdater = new PythonSiteUpdater($site); goto A6aac; case SiteEntity::TYPE_REVERSE_PROXY: $siteUpdater = new ReverseProxySiteUpdater($site); goto A6aac; } goto A989e; A989e: a97ab: goto Adc07; C63ee: } protected function getSiteEntity(string $domainName) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); return $siteEntity; } protected function getSiteEntityBySiteUser(string $siteUser) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByUser($siteUser); return $siteEntity; } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\165\x73\145\162", "\163\x69\164\145\125\163\145\162", $constraints); $this->changePropertyPath("\x75\163\145\162\x50\x61\x73\x73\167\x6f\162\x64", "\163\151\164\x65\x55\163\x65\162\x50\141\163\163\167\157\162\144", $constraints); } }
