<?php
 namespace App\Controller\Admin; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Component\Form\Form; use App\Controller\Controller; use Symfony\Contracts\Translation\TranslatorInterface; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\UserManager as UserEntityManager; use App\Entity\Manager\TimezoneManager as TimezoneEntityManager; use App\Entity\User as UserEntity; use App\Event\EventQueue; use App\Service\Logger; class UserController extends Controller { private UserEntityManager $userEntityManager; private SiteEntityManager $siteEntityManager; private TimezoneEntityManager $timezoneEntityManager; public function __construct(UserEntityManager $userEntityManager, SiteEntityManager $siteEntityManager, TimezoneEntityManager $timezoneEntityManager, TranslatorInterface $translator, Logger $logger) { goto e1256; db123: $this->siteEntityManager = $siteEntityManager; goto aefdf; aefdf: $this->timezoneEntityManager = $timezoneEntityManager; goto d187f; e1256: $this->userEntityManager = $userEntityManager; goto db123; d187f: parent::__construct($translator, $logger); goto D36ce; D36ce: } public function index(Request $request) : Response { goto B1b25; Fa885: $users = array_filter($users, function ($user) use($currentUser) { return $currentUser->getId() != $user->getId(); }); goto d07c6; Abcb6: $users = $this->userEntityManager->findAll([], ["\x75\163\145\162\116\141\x6d\145" => "\141\x73\143"]); goto Fa885; B1b25: $currentUser = $this->getUser(); goto Abcb6; d07c6: $response = $this->render("\x41\x64\155\x69\156\57\125\163\145\x72\x2f\151\x6e\x64\x65\x78\x2e\150\164\x6d\x6c\x2e\x74\167\x69\147", ["\165\163\x65\162\163" => $users]); goto C5434; C5434: return $response; goto bc0ad; bc0ad: } public function new(Request $request) : Response { goto B97d2; Cc640: if (!(true === $form->isSubmitted())) { goto C3564; } goto Db771; Cfd1c: return $response; goto D84f5; d6693: if (!(false === is_null($response))) { goto Be5a9; } goto Fab7d; c2858: $defaultTimezone = $this->timezoneEntityManager->findOneByName(UserEntity::DEFAULT_TIMEZONE); goto e59c3; e59c3: $sites = $this->siteEntityManager->findAll([], ["\x64\157\x6d\141\x69\x6e\116\141\155\145" => "\101\123\x43"]); goto c1dad; B2962: $form = $this->createUserForm($userEntity); goto c32c2; E80c1: Be5a9: goto ba169; B97d2: $userEntity = $this->userEntityManager->createEntity(); goto c2858; ba169: C3564: goto cd726; Db771: $response = $this->handleUserForm($request, $form); goto d6693; c32c2: if (!(true === $request->isMethod("\120\x4f\x53\x54"))) { goto F4a71; } goto Fc66b; b9aa7: $response = $this->render("\101\x64\x6d\x69\156\57\125\x73\145\x72\x2f\x6e\x65\x77\x2e\150\x74\x6d\154\56\164\x77\x69\147", ["\x75\x73\145\162" => $userEntity, "\163\151\x74\x65\163" => $sites, "\146\x6f\162\x6d" => $form->createView(), "\146\x6f\162\x6d\105\162\162\x6f\162\163" => $this->formErrors]); goto Cfd1c; Fab7d: return $response; goto E80c1; c1dad: $userEntity->setTimezone($defaultTimezone); goto B2962; cd726: F4a71: goto b9aa7; Fc66b: $form->handleRequest($request); goto Cc640; D84f5: } private function createUserForm(UserEntity $userEntity) : Form { goto aaf34; D6419: $form->add("\x73\x75\x62\x6d\x69\x74", SubmitType::class, ["\141\x74\164\162" => ["\143\x6c\141\x73\163" => "\x62\x74\156\40\x62\x74\x6e\55\142\x6c\165\x65\x20\142\164\x6e\x2d\x6c\147"], "\154\x61\142\145\154" => "\x41\144\144\40\125\x73\x65\162"]); goto c0a40; c0a40: return $form; goto Eb070; aaf34: $form = $this->createForm("\101\x70\x70\134\106\157\162\x6d\134\101\x64\x6d\x69\156\x55\x73\145\162\124\171\160\x65", $userEntity, ["\x61\x63\164\x69\157\156" => $this->generateUrl("\x63\x6c\x70\137\141\144\155\x69\x6e\137\x75\x73\145\162\x5f\156\145\x77"), "\x6d\x65\x74\150\157\x64" => "\120\x4f\x53\124", "\x61\164\164\x72" => []]); goto D6419; Eb070: } private function handleUserForm(Request $request, Form $form) { goto C461b; f9e6d: $this->formErrors = $this->getErrorMessages($form); goto A1683; A66d9: f9bdd: goto c3bf2; E7152: try { goto Ee54e; D2fa7: $session = $request->getSession(); goto A6108; de19b: return $response; goto fe0cc; fa287: $sites = $userEntity->getSites(); goto Cf40d; B6556: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_ADD, $currentUser, $eventData, $request); goto ce3a3; A6108: $userEntity = $form->getData(); goto fa287; e74be: a7e44: goto A7c23; D2bde: ccee5: goto e74be; A7c23: sort($domainNames); goto C1f4d; C1f4d: $this->userEntityManager->updateUser($userEntity); goto a56c9; a56c9: $eventData = ["\165\163\145\x72\116\x61\x6d\145" => $userEntity->getUserName(), "\146\151\x72\163\164\116\x61\155\145" => $userEntity->getFirstName(), "\x6c\x61\x73\x74\116\141\155\x65" => $userEntity->getLastName(), "\145\x6d\x61\151\154" => $userEntity->getEMail(), "\x72\x6f\x6c\145" => $userEntity->getRole(), "\x73\151\x74\x65\163" => implode("\54\x20", $domainNames)]; goto B6556; Cf40d: $domainNames = []; goto b73be; b73be: if (!(count($sites) && UserEntity::ROLE_USER == $userEntity->getRole())) { goto a7e44; } goto b4f93; b4f93: foreach ($sites as $site) { $domainNames[] = $site->getDomainName(); b0b7a: } goto D2bde; f8a04: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x61\144\155\151\156\x5f\x75\163\145\162\163")); goto de19b; ce3a3: $session->getFlashBag()->set("\163\165\143\143\145\163\x73", $this->translator->trans("\x55\x73\x65\162\40\x68\x61\x73\x20\142\x65\x65\x6e\40\141\x64\x64\145\144\56")); goto f8a04; Ee54e: $currentUser = $this->getUser(); goto D2fa7; fe0cc: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\x65\162", $this->translator->trans("\101\x6e\40\145\x72\162\x6f\162\40\x68\141\163\40\157\x63\x63\x75\162\x72\145\144\54\40\145\x72\x72\157\162\40\x6d\x65\x73\163\141\x67\145\72\x20\45\145\x72\x72\157\x72\115\x65\x73\163\141\147\145\45", ["\45\x65\x72\x72\157\162\115\x65\x73\163\x61\147\x65\x25" => $e->getMessage()])); } goto A66d9; A1683: goto f9bdd; goto Edfae; C461b: if (true === $form->isValid()) { goto abb58; } goto f9e6d; Edfae: abb58: goto E7152; c3bf2: } public function edit(Request $request) : Response { goto Fd0fc; Ccd81: d244e: goto Bced3; Fd0fc: $id = (int) $request->get("\151\x64"); goto bbb82; D8ec3: $response = $this->render("\x41\x64\x6d\x69\156\x2f\125\163\x65\162\57\x65\x64\151\x74\x2e\x68\x74\x6d\x6c\x2e\x74\167\151\147", ["\165\163\x65\x72" => $userEntity, "\x73\x69\164\145\163" => $sites, "\146\157\x72\x6d" => $form->createView(), "\x66\x6f\x72\x6d\105\162\162\157\x72\x73" => $this->formErrors]); goto a338e; D931b: $response = $this->handleUserEditForm($request, $form); goto b3600; c9337: $sites = $this->siteEntityManager->findAll([], ["\x64\x6f\x6d\x61\x69\x6e\116\141\155\145" => "\101\123\103"]); goto D0759; da818: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\141\144\x6d\x69\x6e\x5f\165\x73\x65\162\163")); goto C944b; ac70c: return $response; goto A4d7e; b52a6: E0a25: goto Ccd81; A4bb3: if (false === is_null($userEntity)) { goto ad401; } goto da818; D0759: $form = $this->createUserEditForm($userEntity); goto aec48; Dffb7: return $response; goto b52a6; B2842: $form->handleRequest($request); goto a2c56; a338e: ccfb1: goto ac70c; a2c56: if (!(true === $form->isSubmitted())) { goto d244e; } goto D931b; f6142: ad401: goto c9337; b3600: if (!(false === is_null($response))) { goto E0a25; } goto Dffb7; Bced3: cb750: goto D8ec3; aec48: if (!(true === $request->isMethod("\120\117\x53\124"))) { goto cb750; } goto B2842; C944b: goto ccfb1; goto f6142; bbb82: $userEntity = $this->userEntityManager->findOneById($id); goto A4bb3; A4d7e: } private function createUserEditForm(UserEntity $userEntity) : Form { goto f3872; f3872: $form = $this->createForm("\x41\160\x70\x5c\106\157\162\x6d\x5c\x41\x64\x6d\151\156\125\163\x65\x72\x45\144\151\164\x54\x79\160\145", $userEntity, ["\x61\143\x74\151\157\156" => $this->generateUrl("\x63\x6c\160\137\141\144\x6d\x69\x6e\137\x75\x73\145\162\x5f\145\x64\x69\x74", ["\151\144" => $userEntity->getId()]), "\x6d\145\x74\x68\x6f\144" => "\x50\117\x53\x54", "\141\x74\164\x72" => []]); goto E3e53; cd266: return $form; goto f63ea; E3e53: $form->add("\163\165\142\155\x69\x74", SubmitType::class, ["\x61\164\x74\162" => ["\x63\154\x61\x73\163" => "\142\164\x6e\40\142\164\156\x2d\142\154\x75\145\x20\142\164\156\x2d\154\x67"], "\x6c\x61\142\145\x6c" => "\123\x61\166\x65"]); goto cd266; f63ea: } private function handleUserEditForm(Request $request, Form $form) { goto f2ff3; c3c55: $this->formErrors = $this->getErrorMessages($form); goto Dcc81; Fbaf8: try { goto Ad591; a5afe: if (!(count($sites) && UserEntity::ROLE_USER == $userEntity->getRole())) { goto ec37d; } goto f4bdb; D208f: $this->userEntityManager->updateUser($userEntity, true, true); goto C4977; f5b66: ec37d: goto B3e17; c0546: $plainPassword = $userEntity->getPlainPassword(); goto E6a12; Bf002: $eventData = ["\x75\x73\145\162\116\141\155\145" => $userEntity->getUserName(), "\146\x69\x72\163\x74\x4e\141\x6d\x65" => $userEntity->getFirstName(), "\154\141\163\164\116\x61\155\145" => $userEntity->getLastName(), "\145\x6d\x61\x69\154" => $userEntity->getEMail(), "\162\x6f\x6c\x65" => $userEntity->getRole(), "\x73\x74\x61\164\165\163" => (int) $userEntity->getStatus(), "\x73\x69\x74\x65\x73" => implode("\54\40", $domainNames)]; goto Da8b6; f67c9: $session->getFlashBag()->set("\x73\165\143\x63\x65\x73\163", $this->translator->trans("\x55\x73\145\x72\40\x68\x61\163\x20\142\x65\x65\x6e\x20\x75\160\x64\141\164\145\x64\56")); goto f6d53; B3e17: sort($domainNames); goto fc17b; E6a12: $sites = $userEntity->getSites(); goto a9927; D5740: $userEntity = $form->getData(); goto c0546; f9a65: C3e33: goto D208f; D2c23: $this->userEntityManager->updateUser($userEntity); goto eda90; f4bdb: foreach ($sites as $site) { $domainNames[] = $site->getDomainName(); F3be6: } goto dc46c; Ab5ca: $session = $request->getSession(); goto D5740; f6d53: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x61\x64\155\x69\x6e\137\x75\163\x65\162\x5f\x65\x64\151\x74", ["\151\144" => $userEntity->getId()])); goto E5319; E5319: return $response; goto f8414; fc17b: if (false === empty($plainPassword)) { goto C3e33; } goto D2c23; eda90: goto a0967; goto f9a65; a9927: $domainNames = []; goto a5afe; Da8b6: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_UPDATE, $currentUser, $eventData, $request); goto f67c9; Ad591: $currentUser = $this->getUser(); goto Ab5ca; C4977: a0967: goto Bf002; dc46c: fb857: goto f5b66; f8414: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\147\145\162", $this->translator->trans("\x41\156\x20\145\x72\162\x6f\x72\40\x68\141\163\x20\157\143\143\x75\x72\x72\145\x64\x2c\x20\x65\x72\x72\157\162\40\155\x65\163\x73\141\x67\x65\x3a\40\45\145\162\x72\157\x72\x4d\145\x73\163\141\147\145\x25", ["\x25\x65\162\x72\157\x72\x4d\145\x73\x73\141\x67\145\45" => $e->getMessage()])); } goto f5b34; Dcc81: goto B0320; goto D1e1f; D1e1f: B2193: goto Fbaf8; f5b34: B0320: goto e03ac; f2ff3: if (true === $form->isValid()) { goto B2193; } goto c3c55; e03ac: } public function delete(Request $request) : Response { goto a4e8f; E6efd: if (!(true === isset($id) && $id != $currentUser->getId())) { goto ce04b; } goto Ec01b; A7c41: ce04b: goto D0269; a4e8f: $currentUser = $this->getUser(); goto ffee4; Eb85b: if (!(false === is_null($userEntity))) { goto Dd571; } goto Dd7a0; dd7e6: return $response; goto fdd2a; Cb652: $eventData = ["\x75\163\x65\x72\116\141\155\x65" => $userEntity->getUserName(), "\146\x69\162\163\x74\x4e\x61\x6d\x65" => $userEntity->getFirstName(), "\x6c\141\163\164\116\141\155\145" => $userEntity->getLastName(), "\x65\x6d\141\151\154" => $userEntity->getEMail(), "\x72\157\154\145" => $userEntity->getRole()]; goto C0e37; ffee4: $id = (int) $request->get("\151\144"); goto be442; Caea9: $session->getFlashBag()->set("\163\165\143\x63\x65\163\163", $this->translator->trans("\125\x73\x65\162\x20\x68\141\x73\x20\x62\145\x65\156\x20\x64\x65\x6c\x65\164\x65\144\56")); goto d6004; Ec01b: $userEntity = $this->userEntityManager->findOneById($id); goto Eb85b; be442: $this->checkCsrfToken($request, "\144\x65\x6c\x65\x74\145\x2d\165\x73\145\x72"); goto E6efd; d6004: Dd571: goto A7c41; C0e37: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_DELETE, $currentUser, $eventData, $request); goto b0995; Dd7a0: $session = $request->getSession(); goto Cb652; b0995: $this->userEntityManager->deleteUser($userEntity); goto Caea9; D0269: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\141\144\x6d\151\x6e\x5f\165\163\145\x72\163")); goto dd7e6; fdd2a: } }
