<?php
 namespace App\Controller\Frontend; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Contracts\Translation\TranslatorInterface; use App\Controller\Controller; use App\Entity\Manager\InstanceCpuManager as InstanceCpuEntityManager; use App\Entity\Manager\InstanceMemoryManager as InstanceMemoryEntityManager; use App\Entity\Manager\InstanceDiskUsageManager as InstanceDiskUsageEntityManager; use App\Entity\Manager\InstanceLoadAverageManager as InstanceLoadAverageEntityManager; use App\System\CommandExecutor; use App\System\Command\MemoryInformationCommand; use App\System\Command\ProcessorCoresCommand; use App\Entity\InstanceDiskUsage as InstanceDiskUsageEntity; use App\Entity\InstanceLoadAverage as InstanceLoadAverageEntity; use App\Monitoring\Chart; use App\Monitoring\LoadAverageChart; use App\Util\HumanFileSize as HumanFileSizeUtil; use App\Util\Time as TimeUtil; use App\Service\Logger; use App\Entity\User; class DashboardController extends Controller { public const TIME_RANGE_LAST_THIRTY_MINUTES = 1; public const TIME_RANGE_LAST_HOUR = 2; public const TIME_RANGE_LAST_THREE_HOURS = 3; public const TIME_RANGE_LAST_SIX_HOURS = 4; public const TIME_RANGE_LAST_TWELVE_HOURS = 5; private static array $timeRanges = [self::TIME_RANGE_LAST_THIRTY_MINUTES, self::TIME_RANGE_LAST_HOUR, self::TIME_RANGE_LAST_THREE_HOURS, self::TIME_RANGE_LAST_SIX_HOURS, self::TIME_RANGE_LAST_TWELVE_HOURS]; private InstanceCpuEntityManager $instanceCpuEntityManager; private InstanceMemoryEntityManager $instanceMemoryEntityManager; private InstanceDiskUsageEntityManager $instanceDiskUsageEntityManager; private InstanceLoadAverageEntityManager $instanceLoadAverageEntityManager; public function __construct(InstanceCpuEntityManager $instanceCpuEntityManager, InstanceMemoryEntityManager $instanceMemoryEntityManager, InstanceDiskUsageEntityManager $instanceDiskUsageEntityManager, InstanceLoadAverageEntityManager $instanceLoadAverageEntityManager, TranslatorInterface $translator, Logger $logger) { goto Af9b1; e07bd: $this->instanceDiskUsageEntityManager = $instanceDiskUsageEntityManager; goto c0513; fe371: $this->instanceMemoryEntityManager = $instanceMemoryEntityManager; goto e07bd; c773b: parent::__construct($translator, $logger); goto Ed941; c0513: $this->instanceLoadAverageEntityManager = $instanceLoadAverageEntityManager; goto c773b; Af9b1: $this->instanceCpuEntityManager = $instanceCpuEntityManager; goto fe371; Ed941: } public function index(Request $request) : Response { goto c2b1b; Ee619: $rootDiskSize = HumanFileSizeUtil::convert($rootDiskSizeInBytes, "\107\102", 0); goto f0c18; e8ceb: $timeRange = $request->get("\164\151\155\x65\122\141\156\147\145"); goto c9522; c8fc0: $cpuInformation = sprintf("\x25\163\40\45\163", $numberOfProcessorCores, $this->translator->trans("\103\120\125")); goto fe91d; D8487: $totalMemory = ''; goto Ae2da; F68bf: $memoryChart->setData($memoryData); goto A517f; ba843: $loadAverageChart = new LoadAverageChart("\x4c\157\x61\x64\40\101\166\145\x72\141\x67\x65"); goto B938b; Ae2da: $numberOfProcessorCores = 0; goto c096b; Ad570: $diskData = [["\x6e\141\155\x65" => sprintf("\57\40\x28\45\x73\x29", $rootDiskSize), "\x63\x6f\154\157\x72" => "\x23\67\63\x62\x66\64\143", "\144\141\164\141" => $diskData["\x72\157\x6f\x74"] ?: []]]; goto E7f71; B938b: $loadAverageChart->setInformation($loadAverageChartInformation); goto f1739; E6d5d: $memoryChart->setInformation($totalMemory); goto F68bf; F8dcf: $cpuChart->setCategories($categories); goto C5095; A517f: $memoryChart->setCategories($categories); goto A8aeb; fe1ff: $homeDiskSize = HumanFileSizeUtil::convert($homeDiskSizeInBytes, "\107\x42", 0); goto Bf6dc; b714d: $categories = $this->getCategoriesForTimeRange($user, $startTime, $endTime, $minuteInterval); goto E7665; E7665: $cpuData = $this->getCpuDataForTimeRange($startTime, $endTime, $minuteInterval); goto b8f0c; a57c8: $diskChart->setCategories($categories); goto f1d33; c9522: $timeRange = true === is_null($timeRange) ? self::TIME_RANGE_LAST_THIRTY_MINUTES : (true === in_array($timeRange, self::$timeRanges) ? $timeRange : self::TIME_RANGE_LAST_THIRTY_MINUTES); goto D8487; f1d33: $loadAverageChartInformation = sprintf("\x25\163\x20\x25\x73", $numberOfProcessorCores, $this->translator->trans("\103\120\125")); goto ba843; E03fc: $diskData = $this->getDiskDataForTimeRange($startTime, $endTime, $minuteInterval); goto b0d03; F276d: $instance = $request->attributes->get("\151\156\163\x74\141\156\143\x65"); goto d1b8a; ed73f: $diskData = [["\x6e\141\155\x65" => sprintf("\x2f\x20\50\45\x73\x29", $rootDiskSize), "\143\x6f\154\157\x72" => "\43\x37\63\x62\146\64\x63", "\x64\141\164\x61" => $diskData["\162\157\x6f\164"] ?: []], ["\x6e\x61\155\x65" => sprintf("\57\x68\157\155\145\x20\x28\45\x73\51", $homeDiskSize), "\143\x6f\x6c\x6f\x72" => "\43\x66\63\x62\x66\60\x30", "\x64\x61\164\x61" => $diskData["\150\x6f\155\145"] ?: []]]; goto dbb72; e6f57: $cloud = $environment->getCloudProvider(); goto e8ceb; fe91d: $cpuChart = new Chart("\103\120\125\x20\125\x73\x61\147\x65"); goto f17b4; Fa977: a015f: goto b714d; B6f8a: $cpuChart->setData($cpuData); goto F8dcf; b0d03: if ($homeDiskSize != $rootDiskSize) { goto eb72a; } goto Ad570; C5095: $memoryChart = new Chart("\115\145\155\x6f\x72\x79\40\125\163\141\x67\145"); goto E6d5d; fc7ee: $loadAverageRawData = $this->getLoadAverageDataForTimeRange($startTime, $endTime, $minuteInterval); goto Aab1d; b8f0c: $memoryData = $this->getMemoryDataForTimeRange($startTime, $endTime, $minuteInterval); goto E03fc; A8aeb: $diskChart = new Chart("\x44\x69\x73\x6b\x20\125\163\141\147\x65"); goto ee8bd; dbb72: Abcf5: goto fc7ee; ee8bd: $diskChart->setData($diskData); goto a57c8; f0c18: $homeDiskSizeInBytes = disk_total_space(InstanceDiskUsageEntity::DISK_HOME); goto fe1ff; efbd9: $response = $this->render("\x46\162\x6f\x6e\x74\x65\x6e\x64\x2f\x44\x61\163\150\x62\x6f\x61\x72\x64\x2f\x69\x6e\x64\145\170\56\x68\164\155\154\x2e\x74\x77\x69\147", ["\143\x6c\x6f\165\144" => $cloud, "\x69\156\x73\164\x61\x6e\x63\x65" => $instance, "\x75\163\x65\x72" => $user, "\164\x69\155\145\122\x61\x6e\x67\145" => $timeRange, "\143\160\x75\103\x68\x61\162\164" => $cpuChart, "\x6d\x65\x6d\157\162\171\x43\150\x61\162\164" => $memoryChart, "\x64\x69\x73\x6b\103\150\141\162\164" => $diskChart, "\x6c\x6f\x61\x64\x41\x76\145\x72\141\147\x65\x43\x68\141\162\x74" => $loadAverageChart]); goto c7828; f17b4: $cpuChart->setInformation($cpuInformation); goto B6f8a; F0292: switch ($timeRange) { case self::TIME_RANGE_LAST_THIRTY_MINUTES: goto e8e3a; e8e3a: $minuteInterval = 5; goto Fbce1; Fbce1: $startTime = (clone $endTime)->modify("\55\x33\x30\x20\x6d\x69\156\x75\x74\145\163"); goto E7834; E7834: goto a015f; goto e7798; e7798: case self::TIME_RANGE_LAST_HOUR: goto e903c; e903c: $minuteInterval = 10; goto b985d; B8ed6: goto a015f; goto d0c13; b985d: $startTime = (clone $endTime)->modify("\55\61\x20\x68\x6f\x75\162"); goto B8ed6; d0c13: case self::TIME_RANGE_LAST_THREE_HOURS: goto F594a; af5ff: $startTime = (clone $dateTime)->modify("\55\x33\x20\x68\157\x75\x72\163"); goto b480e; b480e: goto a015f; goto d0046; F594a: $minuteInterval = 30; goto af5ff; d0046: case self::TIME_RANGE_LAST_SIX_HOURS: goto af883; e5882: goto a015f; goto df702; De4cb: $startTime = (clone $dateTime)->modify("\55\x36\x20\x68\157\165\162\163"); goto e5882; af883: $minuteInterval = 60; goto De4cb; df702: case self::TIME_RANGE_LAST_TWELVE_HOURS: goto Ec32c; Dfdf0: $startTime = (clone $dateTime)->modify("\55\61\x32\40\x68\x6f\165\x72\163"); goto e3b60; Ec32c: $minuteInterval = 120; goto Dfdf0; e3b60: goto a015f; goto b3033; b3033: } goto Ba04f; c7828: return $response; goto e97a8; c2b1b: $user = $this->getUser(); goto F276d; Ba04f: B8e60: goto Fa977; Bf6dc: $dateTime = new \DateTime(); goto Bf144; E7f71: goto Abcf5; goto e9352; B32e7: $loadAverageChart->setCategories($categories); goto efbd9; f1739: $loadAverageChart->setData($loadAverageData); goto B32e7; Bf144: $endTime = TimeUtil::roundToNearestMinuteInterval($dateTime, 5); goto F0292; Aab1d: $loadAverageData = [["\x6e\141\x6d\x65" => $this->translator->trans("\x31\40\x4d\x69\x6e\165\x74\145"), "\x63\x6f\154\x6f\x72" => "\x23\x37\x37\64\141\141\64", "\x64\x61\164\x61" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_ONE_MINUTE] ?? []], ["\156\141\x6d\x65" => $this->translator->trans("\x35\40\115\151\x6e\x75\164\x65\x73"), "\x63\x6f\154\157\162" => "\43\x65\142\65\70\x36\143", "\144\x61\x74\141" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_FIVE_MINUTES] ?? []], ["\156\141\155\145" => $this->translator->trans("\x31\65\x20\x4d\x69\156\x75\164\x65\x73"), "\143\157\x6c\157\162" => "\43\60\x30\x37\70\x64\64", "\144\x61\164\141" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_FIVETEEN_MINUTES] ?? []]]; goto c8fc0; d1b8a: $environment = $instance->getEnvironment(); goto e6f57; e9352: eb72a: goto ed73f; c096b: try { goto E79f7; B3d29: $totalMemoryInBytes = $memoryInformationCommand->getTotalMemoryInBytes(); goto ae0ad; E79f7: $commandExecutor = new CommandExecutor(); goto d4d8a; eb0eb: $commandExecutor->execute($processorCoresCommand); goto f3f1e; d4d8a: $memoryInformationCommand = new MemoryInformationCommand(); goto db02c; F06f2: $processorCoresCommand = new ProcessorCoresCommand(); goto eb0eb; ae0ad: $totalMemory = HumanFileSizeUtil::convert($totalMemoryInBytes, "\x47\102", 0); goto F06f2; db02c: $commandExecutor->execute($memoryInformationCommand); goto B3d29; f3f1e: $numberOfProcessorCores = $processorCoresCommand->getNumberOfProcessorCores(); goto db61f; db61f: } catch (\Exception $e) { $this->logger->exception($e); } goto d2f66; d2f66: $rootDiskSizeInBytes = disk_total_space(InstanceDiskUsageEntity::DISK_ROOT); goto Ee619; e97a8: } private function getCategoriesForTimeRange(User $user, \DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto a8b82; d585a: $endDataDate->modify(sprintf("\x2b\45\60\65\144\40\x6d\151\x6e\165\164\145\163", $minuteInterval)); goto F4fac; A2888: cc341: goto d97af; F4f78: $categoryDateTime->setTimezone(new \DateTimeZone($user->getTimezone())); goto F9737; fb6c7: $startDataDate = (clone $startTime)->modify(sprintf("\55\45\60\65\144\x20\x6d\151\x6e\x75\164\145\163", $minuteInterval)); goto A7b7d; d2ccc: $categoryDateTime = clone $endDataDate; goto F4f78; d97af: return $categories; goto d0694; F9737: $categories[] = $categoryDateTime->format("\110\72\151"); goto c8c55; b479e: if (!($endDataDate <= $endTime)) { goto cc341; } goto d2ccc; A7b7d: $endDataDate = clone $startTime; goto a3406; a3406: a5980: goto b479e; c8c55: $startDataDate->modify(sprintf("\53\x25\x30\65\144\40\155\151\x6e\165\x74\145\x73", $minuteInterval)); goto d585a; F4fac: goto a5980; goto A2888; a8b82: $categories = []; goto fb6c7; d0694: } private function getCpuDataForTimeRange(\DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto Feec1; f9293: $cpuData[] = $averageCpuValue; goto Bb797; B0e4c: B8420: goto ded2d; c875b: $averageCpuValue = $this->instanceCpuEntityManager->getAverageCpuValue($startDataDate, $endDataDate); goto f9293; E2eb9: $endDataDate->modify(sprintf("\53\45\60\x35\144\x20\x6d\151\x6e\x75\x74\145\163", $minuteInterval)); goto ea46c; ded2d: return $cpuData; goto Dcc6f; c3405: e82d7: goto a8d73; E487a: $endDataDate = clone $startTime; goto c3405; Bb797: $startDataDate->modify(sprintf("\x2b\45\60\x35\x64\40\x6d\151\156\165\x74\x65\x73", $minuteInterval)); goto E2eb9; Feec1: $cpuData = []; goto C30b2; ea46c: goto e82d7; goto B0e4c; a8d73: if (!($endDataDate <= $endTime)) { goto B8420; } goto c875b; C30b2: $startDataDate = (clone $startTime)->modify(sprintf("\55\x25\60\x35\144\x20\155\x69\156\165\x74\x65\x73", $minuteInterval)); goto E487a; Dcc6f: } private function getMemoryDataForTimeRange(\DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto Aa11b; A0ec9: $endDataDate->modify(sprintf("\x2b\45\x30\65\144\x20\155\x69\156\x75\164\x65\x73", $minuteInterval)); goto B41b4; dcf0b: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\45\60\x35\x64\40\155\x69\156\165\164\x65\x73", $minuteInterval)); goto Bf194; e6948: cdd50: goto Aa570; Bf194: $endDataDate = clone $startTime; goto adabe; b2bed: $memoryData[] = (int) $averageMemoryValue; goto c4372; Aa570: return $memoryData; goto ecb7f; df6ac: if (!($endDataDate <= $endTime)) { goto cdd50; } goto E9852; Aa11b: $memoryData = []; goto dcf0b; E9852: $averageMemoryValue = $this->instanceMemoryEntityManager->getAverageMemoryValue($startDataDate, $endDataDate); goto b2bed; adabe: Ad6f8: goto df6ac; B41b4: goto Ad6f8; goto e6948; c4372: $startDataDate->modify(sprintf("\53\x25\x30\65\144\x20\x6d\x69\156\x75\x74\145\x73", $minuteInterval)); goto A0ec9; ecb7f: } private function getDiskDataForTimeRange($startTime, $endTime, $minuteInterval) : array { goto ea012; B35fb: goto B95d6; goto Ac311; bb3e1: return $diskData; goto B28eb; Ac311: A8740: goto bb3e1; ea012: $diskData = []; goto ed977; ed977: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\45\60\x35\x64\x20\x6d\151\156\x75\x74\145\x73", $minuteInterval)); goto e0d21; E1732: B95d6: goto ce633; Bebbf: $endDataDate->modify(sprintf("\53\45\x30\x35\x64\40\155\151\156\165\164\x65\163", $minuteInterval)); goto B35fb; fc77e: foreach (["\x2f", "\x2f\150\x6f\155\145"] as $disk) { goto C5752; d1fe3: goto F82d7; goto a5449; C5752: $averageDiskSizeValue = (int) $this->instanceDiskUsageEntityManager->getAverageDiskSizeValue($disk, $startDataDate, $endDataDate); goto cd2ab; a5449: c711d: goto C3a01; Bcb71: bda54: goto Df294; f7403: $diskData["\150\157\x6d\x65"][] = (int) $averageDiskSizeValue; goto d1fe3; cd2ab: if ("\x2f" == $disk) { goto c711d; } goto f7403; C3a01: $diskData["\162\157\157\164"][] = (int) $averageDiskSizeValue; goto be732; be732: F82d7: goto Bcb71; Df294: } goto aa63d; e0d21: $endDataDate = clone $startTime; goto E1732; ce633: if (!($endDataDate <= $endTime)) { goto A8740; } goto fc77e; C3439: $startDataDate->modify(sprintf("\53\x25\60\65\x64\40\x6d\151\156\165\x74\x65\163", $minuteInterval)); goto Bebbf; aa63d: D66d7: goto C3439; B28eb: } private function getLoadAverageDataForTimeRange($startTime, $endTime, $minuteInterval) : array { goto Ebc56; e414d: $endDataDate = clone $startTime; goto A4d13; A4d13: F9fa7: goto eb031; dca3a: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\45\60\x35\x64\40\x6d\151\x6e\165\164\145\163", $minuteInterval)); goto e414d; eb031: if (!($endDataDate <= $endTime)) { goto de58e; } goto C0abd; Ebc56: $loadAverageData = []; goto dca3a; ddb35: $endDataDate->modify(sprintf("\53\45\x30\x35\144\40\x6d\x69\x6e\x75\164\145\163", $minuteInterval)); goto a7475; F6615: b3485: goto e02a4; Ac531: return $loadAverageData; goto E1408; a7475: goto F9fa7; goto a2752; C0abd: foreach ([InstanceLoadAverageEntity::PERIOD_ONE_MINUTE, InstanceLoadAverageEntity::PERIOD_FIVE_MINUTES, InstanceLoadAverageEntity::PERIOD_FIVETEEN_MINUTES] as $period) { goto Be42d; C6aee: $loadAverageData[$period][] = round($loadAverageValue, 2); goto d6323; Be42d: $loadAverageValue = $this->instanceLoadAverageEntityManager->getLoadAverageValue($period, $startDataDate, $endDataDate); goto C6aee; d6323: Ee318: goto A3d6a; A3d6a: } goto F6615; a2752: de58e: goto Ac531; e02a4: $startDataDate->modify(sprintf("\53\x25\60\65\144\x20\x6d\x69\x6e\x75\164\145\x73", $minuteInterval)); goto ddb35; E1408: } }
