<?php
 namespace App\Controller\Frontend; use Symfony\Component\Form\FormError; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\HttpFoundation\RedirectResponse; use Symfony\Component\Form\Extension\Core\Type\ButtonType; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Component\Security\Core\Exception\InvalidCsrfTokenException; use Symfony\Contracts\Translation\TranslatorInterface; use Symfony\Component\HttpFoundation\Cookie; use Symfony\Component\Form\Form; use Twig\Environment as Twig; use Doctrine\Common\Collections\ArrayCollection; use App\Controller\Controller; use App\Event\EventQueue; use App\Service\Crypto; use App\Service\Logger; use App\Site\Site; use App\Site\NodejsSite; use App\Site\StaticSite; use App\Site\PhpSite; use App\Site\PythonSite; use App\Site\ReverseProxySite; use App\Entity\Site as SiteEntity; use App\Entity\NodejsSettings; use App\Entity\PhpSettings; use App\Entity\PythonSettings; use App\Entity\BasicAuth as BasicAuthEntity; use App\Entity\BlockedBot as BlockedBotEntity; use App\Entity\BlockedIp as BlockedIpEntity; use App\Entity\Database as DatabaseEntity; use App\Entity\DatabaseUser as DatabaseUserEntity; use App\Entity\User as UserEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\CronJob as CronJobEntity; use App\Entity\FtpUser as FtpUserEntity; use App\Entity\SshUser as SshUserEntity; use App\Site\Updater as SiteUpdater; use App\Site\Updater\NodejsSite as NodejsSiteUpdater; use App\Site\Updater\StaticSite as StaticSiteUpdater; use App\Site\Updater\PhpSite as PhpSiteUpdater; use App\Site\Updater\PythonSite as PythonSiteUpdater; use App\Site\Updater\ReverseProxySite as ReverseProxySiteUpdater; use App\Site\Deleter as SiteDeleter; use App\Site\Deleter\NodejsSite as NodejsSiteDeleter; use App\Site\Deleter\StaticSite as StaticSiteDeleter; use App\Site\Deleter\PhpSite as PhpSiteDeleter; use App\Site\Deleter\PythonSite as PythonSiteDeleter; use App\Site\Deleter\ReverseProxySite as ReverseProxySiteDeleter; use App\Database\Manager as DatabaseManager; use App\Entity\Manager\ConfigManager; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\BasicAuthManager as BasicAuthEntityManager; use App\Entity\Manager\BlockedIpManager as BlockedIpEntityManager; use App\Entity\Manager\BlockedBotManager as BlockedBotEntityManager; use App\Entity\Manager\CertificateManager as CertificateEntityManager; use App\Entity\Manager\CronJobManager as CronJobEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\Manager\NodejsSettingsManager as NodejsSettingsEntityManager; use App\Entity\Manager\FtpUserManager as FtpUserEntityManager; use App\Entity\Manager\SshUserManager as SshUserEntityManager; use App\Log\LogfileReader; use App\Log\LogsFinder; use App\Log\Parser\NginxAccessLogParser; use App\Log\Parser\NginxErrorLogParser; use App\Log\Parser\PhpFpmErrorLogParser; use App\Site\Parser\DomainName as DomainNameParser; use App\Site\Nginx\Exception\InvalidVhostException; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\PrivateKey; use App\Site\Ssl\LetsEncryptClient; use App\Site\VarnishCache\Client as VarnishCacheClient; class SitesController extends Controller { private const FILE_MANAGER_COOKIE_EXPIRATION = 3; private ConfigManager $configManager; private SiteEntityManager $siteEntityManager; private BasicAuthEntityManager $basicAuthEntityManager; private BlockedIpEntityManager $blockedIpEntityManager; private BlockedBotEntityManager $blockedBotEntityManager; private CertificateEntityManager $certificateEntityManager; private CronJobEntityManager $cronJobEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private NodejsSettingsEntityManager $nodejsSettingsEntityManager; private FtpUserEntityManager $ftpUserEntityManager; private SshUserEntityManager $sshUserEntityManager; private DomainNameParser $domainNameParser; public function __construct(ConfigManager $configManager, SiteEntityManager $siteEntityManager, BasicAuthEntityManager $basicAuthEntityManager, BlockedIpEntityManager $blockedIpEntityManager, BlockedBotEntityManager $blockedBotEntityManager, CertificateEntityManager $certificateEntityManager, CronJobEntityManager $cronJobEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, NodejsSettingsEntityManager $nodejsSettingsEntityManager, FtpUserEntityManager $ftpUserEntityManager, SshUserEntityManager $sshUserEntityManager, DomainNameParser $domainNameParser, TranslatorInterface $translator, Logger $logger) { goto b73c5; D72a1: $this->cronJobEntityManager = $cronJobEntityManager; goto dda80; B48c8: $this->ftpUserEntityManager = $ftpUserEntityManager; goto ce6ca; B61e8: $this->blockedIpEntityManager = $blockedIpEntityManager; goto E9162; ab191: $this->domainNameParser = $domainNameParser; goto f3a11; f3a11: parent::__construct($translator, $logger); goto Cbf42; Fbc7b: $this->siteEntityManager = $siteEntityManager; goto E9927; b73c5: $this->configManager = $configManager; goto Fbc7b; E9927: $this->basicAuthEntityManager = $basicAuthEntityManager; goto B61e8; abda9: $this->nodejsSettingsEntityManager = $nodejsSettingsEntityManager; goto B48c8; E9162: $this->blockedBotEntityManager = $blockedBotEntityManager; goto Eedf2; Eedf2: $this->certificateEntityManager = $certificateEntityManager; goto D72a1; d2877: $this->databaseUserEntityManager = $databaseUserEntityManager; goto E0163; ce6ca: $this->sshUserEntityManager = $sshUserEntityManager; goto ab191; dda80: $this->databaseEntityManager = $databaseEntityManager; goto d2877; E0163: $this->databaseServerEntityManager = $databaseServerEntityManager; goto abda9; Cbf42: } public function index(Request $request) : Response { goto B5334; B5334: $user = $this->getUser(); goto daf6c; daf6c: $sites = $this->siteEntityManager->getUserSites($user, ["\144\x6f\x6d\141\x69\x6e\x4e\141\x6d\x65" => "\141\x73\143"]); goto Ce4a0; bfd0c: return $response; goto D9ad4; Ce4a0: $response = $this->render("\x46\x72\157\156\164\145\x6e\x64\57\x53\151\164\x65\x2f\x69\156\x64\145\x78\56\150\164\x6d\154\56\164\x77\151\147", ["\165\163\145\x72" => $user, "\163\151\x74\145\x73" => $sites]); goto bfd0c; D9ad4: } public function fileManager(Request $request) : Response { goto Ddaa8; Ddaa8: $site = $this->getSite($request); goto db249; Aad08: goto B389b; goto b490e; b829d: $locale = $request->getLocale(); goto a45f8; Bfb96: $data = ["\x75\163\145\x72" => $siteUser, "\154\x6f\143\141\154\145" => $locale]; goto E291f; A1c10: $siteUser = $site->getUser(); goto a4144; B5656: return $response; goto cd46e; A072f: B389b: goto B5656; E291f: $session->set("\143\x6c\x70\x2d\146\151\154\x65\55\x6d\141\156\x61\147\x65\162", $data); goto D1135; e0efd: $response = $this->render("\x46\162\x6f\156\164\x65\156\144\x2f\123\x69\x74\145\x2f\x66\151\x6c\x65\x2d\155\141\x6e\141\147\x65\162\x2e\150\x74\x6d\x6c\56\x74\167\x69\x67", ["\x73\x69\164\145" => $site, "\x66\151\154\x65\x4d\141\156\141\x67\x65\162\125\162\154" => $fileManagerUrl, "\x66\x6f\162\155\x45\x72\x72\157\162\163" => $this->formErrors]); goto A072f; D1135: $fileManagerUrl = sprintf("\45\x73\57\146\151\154\145\55\x6d\x61\156\141\147\145\162\57", rtrim($request->getSchemeAndHttpHost(), "\57")); goto e0efd; a45f8: $cookieExpirationDate = new \DateTime("\156\x6f\x77"); goto db20b; a4144: $session = $request->getSession(); goto b829d; F0527: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\x69\164\145\x73")); goto Aad08; db249: if (false === is_null($site)) { goto d4193; } goto F0527; db20b: $cookieExpirationDate->modify(sprintf("\x2b\x25\x73\x20\150\x6f\165\x72\163", self::FILE_MANAGER_COOKIE_EXPIRATION)); goto Bfb96; b490e: d4193: goto A1c10; cd46e: } public function view(Request $request) : Response { goto F9eb3; F60ff: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\x69\164\145\137\163\x65\164\164\151\156\x67\163", ["\144\157\x6d\141\151\x6e\116\x61\155\145" => $domainName])); goto ec43d; ec43d: return $response; goto E9692; F9eb3: $domainName = $request->get("\144\x6f\155\x61\151\156\116\x61\x6d\x65"); goto F60ff; E9692: } public function logs(Request $request) : Response { goto c255b; a93fa: Ebf38: goto d7011; c255b: $site = $this->getSite($request); goto e2b69; a9900: $form = $this->createLogsForm($siteEntity); goto feabe; e2b69: if (false === is_null($site)) { goto a38a7; } goto ec95e; D99bc: goto Ebf38; goto B35ad; B3b92: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto a9900; B35ad: a38a7: goto B3b92; d7011: return $response; goto C8a34; ec95e: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\x69\x74\x65\163")); goto D99bc; feabe: $response = $this->render("\106\x72\157\156\x74\x65\x6e\144\x2f\x53\x69\164\145\57\x6c\x6f\147\x73\56\150\x74\x6d\x6c\x2e\x74\167\x69\147", ["\163\x69\x74\145" => $site, "\x66\157\162\x6d\x45\x72\x72\157\162\x73" => $this->formErrors, "\x66\x6f\x72\155" => $form->createView()]); goto a93fa; C8a34: } private function createLogsForm(SiteEntity $siteEntity) : Form { goto A4f8d; d28f5: $form->add("\165\x70\x64\x61\x74\x65", ButtonType::class, ["\x61\x74\164\162" => ["\x63\x6c\x61\x73\x73" => "\142\x74\x6e\40\142\164\x6e\55\x6c\147\40\142\164\156\55\x62\x6c\165\145\x20\x62\x74\156\55\x75\160\x64\141\x74\x65"], "\x6c\x61\142\145\154" => "\x55\x70\x64\x61\164\145"]); goto Ec519; Ec519: return $form; goto dd5a0; A4f8d: $form = $this->createForm("\101\160\x70\134\x46\157\162\x6d\x5c\123\x69\164\x65\x4c\157\x67\163\124\x79\x70\x65", [], ["\141\x63\x74\151\x6f\x6e" => $this->generateUrl("\x63\x6c\160\x5f\x73\x69\164\145\137\x6c\x6f\147\163", ["\x64\157\155\x61\x69\156\116\x61\x6d\145" => $siteEntity->getDomainName()]), "\155\x65\164\150\x6f\144" => "\x50\x4f\123\124", "\141\164\x74\x72" => []]); goto d28f5; dd5a0: } public function logFileContent(Request $request, Twig $twig) : Response { goto f681d; be09a: if (!(false === is_null($site))) { goto afde8; } goto D702e; e491b: if (!(false === empty($service) && false === empty($logfileName))) { goto A9513; } goto F0531; fa8c3: $logfileName = trim($request->get("\x6c\x6f\x67\106\151\x6c\145")); goto A9c6b; D702e: $service = trim($request->get("\x73\145\162\166\x69\x63\x65")); goto fa8c3; A9c6b: $numberOfLines = (int) $request->get("\156\x75\155\142\x65\162\117\146\x4c\151\156\145\163"); goto e491b; F0531: try { goto f6d54; f6ae6: a05e2: goto deee2; f6d54: $service = basename($service); goto A23b9; Ab372: $logMessages = $nginxErrorLogParser->parse(); goto c40dd; cb8a8: $logLines = $logfileReader->getLines($numberOfLines); goto A7049; E4278: $logfileReader = new LogfileReader($logfile); goto cb8a8; f30df: $logMessagesHtml = $twig->render("\106\162\157\156\x74\x65\x6e\x64\x2f\x53\151\164\x65\x2f\114\157\147\x73\x2f\x70\150\160\55\x66\x70\155\x2d\x65\x72\162\157\x72\55\x6c\157\147\55\155\145\163\163\141\x67\x65\x73\56\x68\164\155\154\x2e\164\x77\151\x67", ["\x6c\157\147\x4d\x65\x73\x73\141\x67\x65\163" => $logMessages]); goto f6ae6; c40dd: $logMessagesHtml = $twig->render("\106\162\x6f\x6e\164\145\x6e\x64\57\123\151\x74\145\57\114\157\147\163\57\x6e\147\x69\x6e\170\x2d\x65\x72\x72\x6f\x72\x2d\154\x6f\147\55\x6d\x65\x73\163\x61\x67\145\163\x2e\150\164\x6d\154\x2e\164\x77\x69\x67", ["\154\x6f\x67\x4d\145\163\x73\x61\147\x65\163" => $logMessages]); goto e5ab2; a0350: if (!("\x6e\147\151\156\x78" == $service)) { goto C4f4b; } goto e316d; Aa76e: $phpFpmErrorLogParser = new PhpFpmErrorLogParser($logLines); goto De0c3; F3acc: Dcd01: goto e83c0; A23b9: $logfile = sprintf("\x2f\x68\x6f\x6d\x65\x2f\x25\x73\57\154\157\x67\163\57\45\163\57\x25\163", $site->getUser(), $service, $logfileName); goto E4278; Cf3e7: $nginxAccessLogParser = new NginxAccessLogParser($logLines); goto cc6db; e83c0: C4f4b: goto d3b19; ec413: $user = $this->getUser(); goto a0350; A7049: $logMessagesHtml = ''; goto ec413; e316d: $userTimezone = $user->getTimezone(); goto c7683; b9602: $logMessages = $nginxAccessLogParser->parse(); goto a79cf; e5ab2: goto Dcd01; goto A6baa; A6baa: Adf9b: goto Cf3e7; De0c3: $logMessages = $phpFpmErrorLogParser->parse(); goto f30df; c78f8: $nginxErrorLogParser = new NginxErrorLogParser($logLines); goto Ab372; d3b19: if (!("\160\x68\160" == $service)) { goto a05e2; } goto Aa76e; c7683: if ("\x61\x63\x63\145\x73\163\56\154\157\147" == substr($logfileName, 0, 10)) { goto Adf9b; } goto c78f8; cc6db: $nginxAccessLogParser->setTimezone($userTimezone->getName()); goto b9602; deee2: $data["\x6c\157\147\115\145\163\x73\141\x67\145\x73\110\x74\x6d\x6c"] = $logMessagesHtml; goto c2ceb; a79cf: $logMessagesHtml = $twig->render("\106\162\157\x6e\164\x65\156\x64\x2f\x53\x69\x74\x65\x2f\114\x6f\x67\x73\x2f\156\x67\151\x6e\170\x2d\141\143\x63\x65\163\x73\55\x6c\157\x67\55\155\x65\x73\x73\x61\x67\145\x73\x2e\x68\x74\x6d\154\56\x74\167\x69\x67", ["\x6c\x6f\147\115\x65\x73\163\x61\147\x65\x73" => $logMessages]); goto F3acc; c2ceb: } catch (\Exception $e) { $this->logger->exception($e); } goto f0ade; E2946: return $response; goto bf6fc; F9fac: $site = $this->getSite($request); goto be09a; f681d: $data = []; goto F9fac; D3b54: $response = $this->json($data); goto E2946; d4379: afde8: goto D3b54; f0ade: A9513: goto d4379; bf6fc: } public function loadLogfilesForService(Request $request) : Response { goto D3f14; D3f14: $data = []; goto Cb697; f887b: $service = trim($request->get("\x73\x65\x72\166\x69\x63\145")); goto cc554; f7c5f: if (!(false === is_null($site))) { goto A0b7d; } goto f887b; Cb697: $site = $this->getSite($request); goto f7c5f; b8499: try { goto E36f4; E36f4: $service = basename($service); goto Ba55f; b710e: $logsFinder = new LogsFinder($logfilesDirectory); goto b3e0e; b3e0e: $logfiles = $logsFinder->getLogfiles(); goto fd432; Acafb: ac9fd: goto fd385; A3e67: $data["\154\x6f\147\146\x69\154\145\x73"] = $logfiles; goto Acafb; fd432: if (!(false === empty($logfiles))) { goto ac9fd; } goto A3e67; Ba55f: $logfilesDirectory = sprintf("\57\150\157\155\145\x2f\45\163\57\154\x6f\x67\x73\57\x25\x73\x2f", $site->getUser(), $service); goto b710e; fd385: } catch (\Exception $e) { $this->logger->exception($e); } goto f11b7; F7f5a: A0b7d: goto cd28c; cd28c: $response = $this->json($data); goto A7e69; f11b7: bee5e: goto F7f5a; A7e69: return $response; goto d6440; cc554: if (!(false === empty($service))) { goto bee5e; } goto b8499; d6440: } public function cronJobs(Request $request) : Response { goto Ee945; Ee945: $site = $this->getSite($request); goto ad261; bd293: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\151\x74\145\x73")); goto F2ee8; ad261: if (false === is_null($site)) { goto Ab5a1; } goto bd293; e2637: A7260: goto c27f5; F2ee8: goto A7260; goto a2221; Ad572: $response = $this->render("\x46\162\157\156\x74\145\156\x64\x2f\123\x69\164\x65\x2f\x63\x72\x6f\x6e\x2d\x6a\157\x62\163\56\150\164\x6d\x6c\x2e\x74\x77\x69\x67", ["\163\151\164\x65" => $site, "\x66\x6f\x72\155\105\162\162\157\x72\x73" => $this->formErrors]); goto e2637; c27f5: return $response; goto D2059; a2221: Ab5a1: goto Ad572; D2059: } public function newCronJob(Request $request) : Response { goto b15b6; Eb4c8: $response = $this->render("\106\162\x6f\156\164\x65\156\144\57\x53\151\164\x65\x2f\156\x65\167\55\143\162\x6f\x6e\55\x6a\x6f\142\x2e\x68\164\x6d\154\56\x74\x77\x69\147", ["\x73\x69\164\145" => $site, "\x66\x6f\162\x6d" => $form->createView(), "\x66\x6f\162\155\x45\x72\162\x6f\x72\163" => $this->formErrors]); goto F97bf; ec3ed: $form->handleRequest($request); goto e697d; Fc9fc: A6f9d: goto B75d1; b15b6: $site = $this->getSite($request); goto Bfce3; bf656: if (!(true === $request->isMethod("\x50\x4f\123\x54"))) { goto C130a; } goto ec3ed; B75d1: C130a: goto Eb4c8; cac19: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\151\x74\145\163")); goto Fb98b; ce947: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Ecfc3; F97bf: acdfe: goto d7618; E55e9: $cronJobEntity->setSite($siteEntity); goto fbe1c; D30a6: $response = $this->handleCronJobForm($request, $form, $site); goto de5f8; b3696: return $response; goto Db422; de5f8: if (!(false === is_null($response))) { goto Ef412; } goto b3696; d7618: return $response; goto A72bd; D733c: dbba1: goto ce947; Fb98b: goto acdfe; goto D733c; Ecfc3: $cronJobEntity = $this->cronJobEntityManager->createEntity(); goto E55e9; fbe1c: $form = $this->createCronJobForm($cronJobEntity); goto bf656; Bfce3: if (false === is_null($site)) { goto dbba1; } goto cac19; e697d: if (!(true === $form->isSubmitted())) { goto A6f9d; } goto D30a6; Db422: Ef412: goto Fc9fc; A72bd: } private function createCronJobForm(CronJobEntity $cronJobEntity) : Form { goto f650b; f650b: $siteEntity = $cronJobEntity->getSite(); goto Dd303; C25e5: $form->add("\163\165\x62\155\151\x74", SubmitType::class, ["\141\164\164\162" => ["\143\x6c\141\163\x73" => "\x62\x74\x6e\40\142\164\156\55\x62\154\x75\145\x20\x62\164\156\55\x6c\x67"], "\154\141\142\x65\154" => "\x41\x64\144\x20\103\162\x6f\x6e\40\112\x6f\142"]); goto F575d; Dd303: $form = $this->createForm("\x41\x70\160\x5c\x46\157\162\x6d\134\x53\x69\x74\x65\x43\x72\157\156\x4a\157\x62\x54\x79\x70\x65", $cronJobEntity, ["\x61\143\164\151\157\x6e" => $this->generateUrl("\x63\x6c\x70\x5f\163\151\x74\x65\x5f\x63\162\157\x6e\137\x6a\157\142\137\x6e\x65\167", ["\144\x6f\155\x61\x69\156\116\141\x6d\x65" => $siteEntity->getDomainName()]), "\x6d\x65\164\150\x6f\x64" => "\x50\x4f\123\124", "\x61\x74\164\162" => []]); goto C25e5; F575d: return $form; goto cbe1f; cbe1f: } private function handleCronJobForm(Request $request, Form $form, Site $site) { goto a163f; e4301: $this->formErrors = $this->getErrorMessages($form); goto Bda04; a163f: if (true === $form->isValid()) { goto feef7; } goto e4301; b0247: ffb11: goto fd7ff; ef856: try { goto Bdeaa; aa7a5: $site->setCronJobs($siteEntity->getCronJobs()); goto e6c59; e2b7c: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\151\164\145\137\143\162\157\156\x5f\x6a\157\x62\163", ["\144\157\x6d\141\151\x6e\x4e\x61\x6d\x65" => $site->getDomainName()])); goto Bab8b; Bc45b: if (false === is_null($siteEntity)) { goto D76b5; } goto Efd69; acb0b: goto c79b3; goto A7817; f4277: $siteEntity = $this->getSiteEntity($domainName); goto Bc45b; Efd69: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\151\164\x65\x73")); goto acb0b; Bab8b: c79b3: goto a445c; b4b25: $siteUpdater = $this->getSiteUpdater($site); goto e036b; db7cc: $eventData = ["\163\x69\x74\145" => $domainName, "\x63\162\x6f\156\164\141\x62\105\170\x70\162\x65\x73\x73\151\157\156" => $cronJobEntity->getCrontabExpression()]; goto ec2fa; A7817: D76b5: goto da855; ec2fa: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_ADD, $user, $eventData, $request); goto Ad163; e036b: $siteUpdater->updateUserCrontab(); goto db7cc; Bdeaa: $session = $request->getSession(); goto b92b6; da855: $user = $this->getUser(); goto C5e77; Ad163: $session->getFlashBag()->set("\163\165\x63\x63\x65\x73\x73", $this->translator->trans("\103\162\x6f\156\x20\112\x6f\142\x20\x68\x61\163\x20\142\x65\x65\x6e\40\x61\x64\x64\145\144\56")); goto e2b7c; b92b6: $domainName = $site->getDomainName(); goto f4277; a445c: return $response; goto E2cde; C5e77: $cronJobEntity = $form->getData(); goto Ddb77; Ddb77: $siteEntity->addCronJob($cronJobEntity); goto aa7a5; e6c59: $this->siteEntityManager->updateEntity($siteEntity); goto b4b25; E2cde: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\145\162", $this->translator->trans("\x41\x6e\40\x65\162\x72\157\x72\40\150\141\163\x20\157\x63\143\165\x72\162\x65\144\54\x20\x65\162\162\x6f\162\x20\x6d\x65\163\163\x61\147\145\72\x20\45\x65\x72\x72\157\162\x4d\145\x73\163\141\x67\145\45", ["\45\145\162\162\157\x72\x4d\x65\x73\x73\141\147\145\45" => $e->getMessage()])); } goto b0247; F06ff: feef7: goto ef856; Bda04: goto ffb11; goto F06ff; fd7ff: } public function deleteCronJob(Request $request) : Response { goto d1b7a; b0f88: d7514: goto c76c5; C4297: if (!(false === is_null($site))) { goto d7514; } goto Ab4d6; c76c5: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\x69\x74\x65\x73")); goto Aa332; Aa332: return $response; goto bdbe0; d1b7a: $site = $this->getSite($request); goto c23b5; Ab4d6: try { goto a6277; e60a8: ee8c6: goto F688e; D54b8: $evenData = ["\x73\151\164\145" => $domainName, "\x63\x6f\x6d\x6d\x61\156\x64" => $cronJobEntity->getCommand()]; goto c9a1d; Eee8e: $domainName = $site->getDomainName(); goto Fd3b5; Ae7cd: $session->getFlashBag()->set("\163\x75\x63\x63\x65\163\163", $this->translator->trans("\x43\x72\x6f\x6e\40\112\157\x62\x20\x68\141\163\x20\x62\x65\x65\156\40\x64\145\154\x65\164\145\144\56")); goto D3566; Df1bf: $cronJobSiteEntity = $cronJobEntity->getSite(); goto B2104; a6277: $session = $request->getSession(); goto ad697; Fd3b5: $siteEntity = $this->getSiteEntity($domainName); goto B8d31; Ccc36: $siteUpdater->updateUserCrontab(); goto D54b8; c9a1d: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_DELETE, $user, $evenData, $request); goto Ae7cd; B8d31: $cronJobEntity = $this->cronJobEntityManager->findOneById($id); goto f6ff1; ad697: $id = (int) $request->get("\x69\144"); goto Eee8e; Effee: $siteEntity->removeCronJob($cronJobEntity); goto C7149; D13f5: $user = $this->getUser(); goto Effee; F688e: f5d2a: goto Eebbd; b3b88: $siteUpdater = $this->getSiteUpdater($site); goto Ccc36; B2104: if (!($siteEntity->getDomainName() == $cronJobSiteEntity->getDomainName())) { goto ee8c6; } goto D13f5; D3566: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\x69\x74\145\137\x63\x72\x6f\x6e\x5f\152\x6f\x62\163", ["\x64\x6f\155\141\151\x6e\116\141\155\145" => $site->getDomainName()])); goto f46ec; C7149: $site->setCronJobs($siteEntity->getCronJobs()); goto eab66; f6ff1: if (!(false === is_null($siteEntity) && false === is_null($cronJobEntity))) { goto f5d2a; } goto Df1bf; f46ec: return $response; goto e60a8; eab66: $this->siteEntityManager->updateEntity($siteEntity); goto b3b88; Eebbd: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\145\162", $this->translator->trans("\x41\x6e\40\145\162\162\157\x72\40\x68\x61\x73\x20\157\143\x63\x75\x72\x72\x65\x64\x2c\x20\x65\x72\x72\157\162\40\155\145\x73\x73\141\147\x65\x3a\x20\45\x65\x72\162\157\x72\115\145\x73\163\x61\x67\x65\45", ["\45\x65\162\x72\157\162\115\145\163\163\x61\147\x65\x25" => $e->getMessage()])); } goto b0f88; c23b5: $this->checkCsrfToken($request, "\143\162\x6f\x6e\152\157\x62\55\x64\x65\154\145\x74\145"); goto C4297; bdbe0: } public function editCronJob(Request $request) : Response { goto be7b0; c0102: goto d2ba5; goto D2a5b; e534d: if (!(false === is_null($response))) { goto D705a; } goto Da733; ad15c: A2875: goto Bf2ac; C9761: $form = $this->createCronJobEditForm($cronJobEntity); goto Daf46; aead6: d2ba5: goto C125b; D2a5b: edbd9: goto C9761; be5a5: $response = $this->handleCronJobEditForm($request, $form, $site); goto e534d; Da733: return $response; goto C5e4f; be7b0: $id = (int) $request->get("\x69\x64"); goto F649d; Dc63c: if (!(true === $form->isSubmitted())) { goto d16c7; } goto be5a5; C125b: return $response; goto F7899; Daf46: if (!(true === $request->isMethod("\x50\x4f\x53\x54"))) { goto A2875; } goto cced8; ce7dc: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\151\x74\145\163")); goto c0102; F649d: $site = $this->getSite($request); goto a7db8; D0d80: d16c7: goto ad15c; a7db8: $cronJobEntity = $this->cronJobEntityManager->findOneById($id); goto Caf0c; Bf2ac: $response = $this->render("\x46\162\157\x6e\164\145\x6e\144\x2f\x53\151\x74\x65\57\x65\x64\151\x74\55\143\162\157\156\55\152\157\x62\x2e\150\164\x6d\154\56\164\x77\151\x67", ["\163\151\164\145" => $site, "\x66\x6f\162\x6d" => $form->createView(), "\146\157\x72\155\105\x72\x72\x6f\162\x73" => $this->formErrors]); goto aead6; Caf0c: if (false === is_null($cronJobEntity) && false === is_null($site) && $cronJobEntity->getSite()->getDomainName() == $site->getDomainName()) { goto edbd9; } goto ce7dc; C5e4f: D705a: goto D0d80; cced8: $form->handleRequest($request); goto Dc63c; F7899: } private function createCronJobEditForm(CronJobEntity $cronJobEntity) : Form { goto C52c2; C52c2: $siteEntity = $cronJobEntity->getSite(); goto cde81; cde81: $form = $this->createForm("\x41\x70\x70\134\106\x6f\x72\x6d\134\x53\151\x74\145\x43\162\157\x6e\112\157\142\105\144\x69\x74\x54\171\x70\145", $cronJobEntity, ["\x61\x63\x74\151\x6f\156" => $this->generateUrl("\x63\154\x70\x5f\x73\x69\164\145\x5f\x63\162\157\156\137\152\x6f\142\x5f\x65\144\151\x74", ["\144\x6f\155\x61\151\x6e\116\141\155\145" => $siteEntity->getDomainName(), "\151\144" => $cronJobEntity->getId()]), "\155\145\164\150\157\x64" => "\x50\117\123\x54", "\141\x74\164\x72" => []]); goto Af653; Bc81b: return $form; goto ed2b6; Af653: $form->add("\163\165\x62\x6d\151\x74", SubmitType::class, ["\141\x74\x74\x72" => ["\143\154\x61\163\163" => "\x62\164\x6e\x20\x62\164\156\55\x62\154\x75\145\x20\142\x74\x6e\55\154\147"], "\x6c\141\x62\145\154" => "\123\x61\166\145"]); goto Bc81b; ed2b6: } private function handleCronJobEditForm(Request $request, Form $form, Site $site) { goto A6c8f; Afd49: try { goto Ba371; cee78: $this->siteEntityManager->updateEntity($siteEntity); goto De996; E3683: a5929: goto Ea3ec; ab29f: if (false === is_null($siteEntity)) { goto Cce71; } goto C2ed6; ace18: $siteEntity->addCronJob($cronJobEntity); goto fbab2; F9111: $siteEntity = $this->getSiteEntity($domainName); goto ab29f; C2ed6: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\x69\164\x65\163")); goto D395a; c01df: Cce71: goto e5c00; A0c61: $eventData = ["\x73\151\x74\x65" => $domainName, "\143\x72\157\x6e\164\141\x62\105\170\x70\x72\x65\x73\163\x69\x6f\156" => $cronJobEntity->getCrontabExpression()]; goto f66d5; Bf7ea: $domainName = $site->getDomainName(); goto F9111; f66d5: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_EDIT, $user, $eventData, $request); goto A1be8; fbab2: $site->setCronJobs($siteEntity->getCronJobs()); goto cee78; Ce875: $siteUpdater->updateUserCrontab(); goto A0c61; e5c00: $user = $this->getUser(); goto dee65; Ea3ec: return $response; goto B1276; dee65: $cronJobEntity = $form->getData(); goto ace18; Ab96d: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\151\x74\145\x5f\x63\x72\157\x6e\x5f\x6a\157\142\163", ["\144\x6f\x6d\141\151\x6e\116\141\155\x65" => $site->getDomainName()])); goto E3683; De996: $siteUpdater = $this->getSiteUpdater($site); goto Ce875; D395a: goto a5929; goto c01df; Ba371: $session = $request->getSession(); goto Bf7ea; A1be8: $session->getFlashBag()->set("\x73\165\x63\143\x65\x73\x73", $this->translator->trans("\103\x72\x6f\156\40\x4a\x6f\x62\x20\x68\141\163\x20\142\x65\145\156\40\x73\141\x76\145\144\56")); goto Ab96d; B1276: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\x65\162", $this->translator->trans("\x41\156\40\145\x72\162\157\162\40\150\141\163\40\157\x63\x63\165\x72\x72\x65\x64\x2c\x20\x65\x72\162\x6f\162\40\155\x65\163\x73\141\147\145\x3a\x20\x25\145\162\162\157\162\115\x65\x73\163\141\x67\145\x25", ["\x25\145\162\x72\157\162\115\145\163\163\141\147\x65\x25" => $e->getMessage()])); } goto caa64; B84d8: F6026: goto Afd49; caa64: Dd1fc: goto Cd1ee; c0f13: $this->formErrors = $this->getErrorMessages($form); goto D42da; D42da: goto Dd1fc; goto B84d8; A6c8f: if (true === $form->isValid()) { goto F6026; } goto c0f13; Cd1ee: } public function users(Request $request) : Response { goto E47cb; Fdd79: return $response; goto da1ed; cd71f: $response = $this->render("\x46\162\x6f\x6e\164\x65\156\144\57\x53\x69\164\145\x2f\165\x73\x65\162\x73\56\x68\164\x6d\154\56\164\167\x69\147", ["\x73\151\164\145" => $site, "\x66\157\x72\155\x45\x72\162\x6f\x72\163" => $this->formErrors]); goto F6248; a25ab: if (false === is_null($site)) { goto E1aa5; } goto Cc143; Ef338: goto Fba62; goto F27e4; F27e4: E1aa5: goto cd71f; E47cb: $site = $this->getSite($request); goto a25ab; F6248: Fba62: goto Fdd79; Cc143: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\x69\164\145\163")); goto Ef338; da1ed: } public function newFtpUser(Request $request) : Response { goto d40b5; C7910: $response = $this->render("\106\162\x6f\x6e\x74\145\156\x64\x2f\123\151\x74\145\x2f\156\145\167\55\146\164\x70\55\x75\x73\145\162\x2e\150\x74\x6d\x6c\56\164\x77\151\x67", ["\163\x69\164\x65" => $site, "\146\x6f\162\155" => $form->createView(), "\x66\157\x72\155\105\x72\162\x6f\162\163" => $this->formErrors]); goto e7ebf; fa526: $ftpUserEntity->setSite($siteEntity); goto c19a8; D1cc6: $ftpUserEntity = $this->ftpUserEntityManager->createEntity(); goto fa526; d40b5: $site = $this->getSite($request); goto B7795; b0ece: return $response; goto F9270; e7ebf: F6e98: goto b0ece; A95a3: e743d: goto d1f8d; D428c: if (!(false === is_null($response))) { goto d0919; } goto Fef09; c19a8: $form = $this->createFtpUserForm($ftpUserEntity); goto dbf50; d1f8d: Cd503: goto C7910; Fef09: return $response; goto Eb04c; B7795: if (false === is_null($site)) { goto B1600; } goto cadcf; Ddf4a: $response = $this->handleFtpUserForm($request, $form, $site); goto D428c; dbf50: if (!(true === $request->isMethod("\x50\x4f\123\124"))) { goto Cd503; } goto Bb901; cadcf: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\151\x74\x65\x73")); goto c5b27; c5b27: goto F6e98; goto f8bff; A078c: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto D1cc6; Eb04c: d0919: goto A95a3; Bbb2a: if (!(true === $form->isSubmitted())) { goto e743d; } goto Ddf4a; f8bff: B1600: goto A078c; Bb901: $form->handleRequest($request); goto Bbb2a; F9270: } private function createFtpUserForm(FtpUserEntity $ftpUserEntity) : Form { goto F5ede; d685d: $form->add("\163\165\142\x6d\151\164", SubmitType::class, ["\x61\164\x74\162" => ["\143\x6c\141\163\x73" => "\142\x74\156\x20\x62\x74\156\x2d\x62\154\165\x65\x20\x62\164\x6e\55\x6c\x67"], "\154\141\142\145\154" => "\101\x64\x64\40\125\163\x65\x72"]); goto c12d1; F5ede: $siteEntity = $ftpUserEntity->getSite(); goto eb427; eb427: $form = $this->createForm("\101\160\x70\x5c\106\157\x72\155\134\123\151\x74\145\106\164\160\125\x73\x65\x72\124\171\x70\x65", $ftpUserEntity, ["\141\x63\164\x69\157\x6e" => $this->generateUrl("\143\154\160\137\163\151\164\x65\137\146\x74\160\x5f\165\x73\145\x72\137\156\145\x77", ["\x64\x6f\155\x61\151\x6e\x4e\x61\x6d\145" => $siteEntity->getDomainName()]), "\155\x65\x74\x68\157\144" => "\120\x4f\123\124", "\141\164\164\162" => []]); goto d685d; c12d1: return $form; goto db908; db908: } private function handleFtpUserForm(Request $request, Form $form, Site $site) { goto b670c; A57af: goto bc5e2; goto dff83; dff83: cc544: goto ed17e; ed17e: try { goto Eb501; Fa6b5: $user = $this->getUser(); goto ac424; Fa4c8: $siteUpdater->createFtpUser($ftpUserEntity); goto d9398; d2d6a: $session->getFlashBag()->set("\163\x75\x63\x63\x65\x73\x73", $this->translator->trans("\125\163\x65\x72\x20\150\141\x73\40\142\145\x65\156\40\141\x64\144\x65\x64\x2e")); goto B2030; d9398: $eventData = ["\163\151\x74\145" => $domainName, "\x75\163\x65\162\116\x61\x6d\x65" => $ftpUserName, "\x68\x6f\x6d\145\104\x69\x72\x65\143\x74\x6f\x72\x79" => $ftpUserEntity->getHomeDirectory()]; goto b2299; b2299: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_ADD, $user, $eventData, $request); goto d2d6a; Ade62: goto ba9e2; goto ca7cd; ca7cd: A3bf2: goto Fa6b5; F682d: $this->siteEntityManager->updateEntity($siteEntity); goto aac52; e17ad: $siteEntity->addFtpUser($ftpUserEntity); goto F682d; caa60: $domainName = $site->getDomainName(); goto bff6c; B6fe8: return $response; goto eddb9; ffd5f: $ftpUserPassword = $form->get("\160\x61\163\163\167\157\x72\x64")->getData(); goto B8c86; A053c: $ftpUserName = $ftpUserEntity->getUserName(); goto ffd5f; Eb501: $session = $request->getSession(); goto caa60; E2d9c: ba9e2: goto B6fe8; D30a1: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\151\164\x65\163")); goto Ade62; D6cbf: if (false === is_null($siteEntity)) { goto A3bf2; } goto D30a1; bff6c: $siteEntity = $this->getSiteEntity($domainName); goto D6cbf; B8c86: $ftpUserEntity->setPassword($ftpUserPassword); goto e17ad; B2030: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\163\x69\164\145\x5f\x75\x73\x65\162\163", ["\144\157\x6d\141\151\156\116\141\x6d\x65" => $site->getDomainName()])); goto E2d9c; aac52: $siteUpdater = $this->getSiteUpdater($site); goto Fa4c8; ac424: $ftpUserEntity = $form->getData(); goto A053c; eddb9: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\x65\x72", $this->translator->trans("\x41\x6e\x20\x65\x72\x72\x6f\162\40\x68\141\163\x20\157\143\x63\165\162\162\x65\x64\x2c\x20\x65\x72\x72\x6f\162\40\155\x65\x73\x73\141\147\x65\x3a\x20\45\x65\162\162\157\x72\x4d\x65\x73\x73\x61\147\x65\45", ["\45\x65\x72\x72\x6f\162\x4d\x65\x73\163\141\x67\x65\x25" => $e->getMessage()])); } goto fdf79; e7adc: $this->formErrors = $this->getErrorMessages($form); goto A57af; b670c: if (true === $form->isValid()) { goto cc544; } goto e7adc; fdf79: bc5e2: goto c31bf; c31bf: } public function editFtpUser(Request $request) : Response { goto d9621; b9c8f: if (!(true === $request->isMethod("\120\117\123\124"))) { goto D456e; } goto d9ded; d9ded: $form->handleRequest($request); goto Eb858; Eb858: if (!(true === $form->isSubmitted())) { goto E7cff; } goto D1367; bc4cf: $site = $this->getSite($request); goto Cafe5; e6a33: ff34a: goto ae4ef; E6d10: return $response; goto e6a33; F4b62: D456e: goto E1bb0; be1e1: if (false === is_null($ftpUserEntity) && false === is_null($site) && $ftpUserEntity->getSite()->getDomainName() == $site->getDomainName()) { goto ff04d; } goto Eec8c; E1bb0: $response = $this->render("\x46\162\157\x6e\164\x65\x6e\144\57\123\151\164\145\x2f\x65\x64\151\164\x2d\146\164\160\55\165\x73\145\162\56\x68\x74\x6d\154\x2e\x74\167\x69\147", ["\163\x69\164\145" => $site, "\146\157\x72\155" => $form->createView(), "\146\157\162\x6d\x45\162\162\157\x72\x73" => $this->formErrors]); goto C3536; D1367: $response = $this->handleFtpUserEditForm($request, $form, $site); goto Aaa34; e85b0: goto cbed8; goto dbda9; ae4ef: E7cff: goto F4b62; d9621: $userName = $request->get("\x75\x73\x65\162\116\141\155\145"); goto bc4cf; f56ef: $form = $this->createFtpUserEditForm($ftpUserEntity); goto b9c8f; C3536: cbed8: goto Fc433; Cafe5: $ftpUserEntity = $this->ftpUserEntityManager->findOneByUserName($userName); goto be1e1; Eec8c: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\x69\x74\145\x73")); goto e85b0; dbda9: ff04d: goto f56ef; Aaa34: if (!(false === is_null($response))) { goto ff34a; } goto E6d10; Fc433: return $response; goto D3fb9; D3fb9: } private function createFtpUserEditForm(FtpUserEntity $ftpUserEntity) : Form { goto Ddf80; D66d0: $form->add("\163\165\x62\155\x69\x74", SubmitType::class, ["\141\164\x74\x72" => ["\143\154\x61\163\163" => "\142\164\156\x20\142\164\156\55\142\154\x75\145\40\x62\164\156\x2d\x6c\147"], "\x6c\141\x62\145\x6c" => "\123\x61\166\x65"]); goto C623d; Ddf80: $siteEntity = $ftpUserEntity->getSite(); goto C57e7; C623d: return $form; goto aa0cf; C57e7: $form = $this->createForm("\x41\160\160\x5c\106\x6f\x72\x6d\x5c\x53\x69\164\x65\x46\164\160\125\x73\145\162\105\x64\151\164\124\x79\160\x65", $ftpUserEntity, ["\141\x63\x74\151\157\156" => $this->generateUrl("\143\154\x70\x5f\x73\x69\x74\x65\x5f\146\x74\x70\x5f\x75\x73\145\x72\x5f\x65\x64\x69\164", ["\144\x6f\x6d\x61\x69\x6e\x4e\141\x6d\145" => $siteEntity->getDomainName(), "\x75\x73\145\162\116\x61\x6d\145" => $ftpUserEntity->getUserName()]), "\x6d\145\x74\150\x6f\144" => "\x50\x4f\123\124", "\x61\164\x74\162" => []]); goto D66d0; aa0cf: } private function handleFtpUserEditForm(Request $request, Form $form, Site $site) { goto Ed005; D05b8: C0df8: goto B939b; ba5b3: goto e6826; goto D05b8; Ed005: if (true === $form->isValid()) { goto C0df8; } goto C2a2d; B939b: try { goto B36ef; Fdbc7: B8933: goto Ef873; D0868: if (false === is_null($siteEntity)) { goto B8933; } goto e1b5b; cb0ff: $ftpUserName = $ftpUserEntity->getUserName(); goto bb182; f4310: $siteUpdater = $this->getSiteUpdater($site); goto df908; Ef873: $user = $this->getUser(); goto A966f; F8704: F91a6: goto Afb27; Ca7dd: $this->siteEntityManager->updateEntity($siteEntity); goto f4310; bb182: $ftpUserPassword = $form->get("\x70\141\163\x73\x77\157\x72\x64")->getData(); goto Eb010; B3072: $siteEntity = $this->getSiteEntity($domainName); goto D0868; Afb27: $eventData = ["\163\x69\x74\x65" => $domainName, "\x75\x73\145\162\116\x61\x6d\x65" => $ftpUserName, "\x68\x6f\x6d\145\104\x69\162\145\143\x74\x6f\162\171" => $ftpUserHomeDirectory]; goto f572e; B36ef: $session = $request->getSession(); goto d956a; E7f9a: return $response; goto Cc06b; d956a: $domainName = $site->getDomainName(); goto B3072; Fc041: $siteUpdater->changeUserPassword($ftpUserName, $ftpUserPassword); goto F8704; A966f: $ftpUserEntity = $form->getData(); goto cb0ff; B3446: if (!(false === empty($ftpUserPassword))) { goto F91a6; } goto Fc041; E5307: B7088: goto E7f9a; f572e: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_EDIT, $user, $eventData, $request); goto e17ba; df908: $siteUpdater->changeUserHomeDirectory($ftpUserName, $ftpUserHomeDirectory); goto B3446; e17ba: $session->getFlashBag()->set("\x73\x75\143\143\x65\x73\x73", $this->translator->trans("\x55\163\145\162\x20\x68\x61\x73\x20\x62\145\145\156\40\x73\x61\x76\145\144\56")); goto B8acd; Eb010: $ftpUserHomeDirectory = $ftpUserEntity->getHomeDirectory(); goto Ca7dd; ab5b0: goto B7088; goto Fdbc7; e1b5b: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\151\x74\x65\163")); goto ab5b0; B8acd: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\151\164\145\x5f\x75\x73\145\162\x73", ["\x64\x6f\x6d\x61\x69\156\x4e\x61\155\x65" => $site->getDomainName()])); goto E5307; Cc06b: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\145\162", $this->translator->trans("\101\156\40\x65\x72\162\157\162\x20\x68\141\163\x20\x6f\143\143\165\x72\x72\145\144\54\x20\145\162\162\157\162\40\x6d\x65\x73\163\141\147\x65\72\x20\x25\145\162\162\157\162\x4d\x65\163\x73\141\x67\x65\x25", ["\x25\x65\x72\162\x6f\162\115\145\x73\x73\x61\147\145\x25" => $e->getMessage()])); } goto e4cd8; e4cd8: e6826: goto fece2; C2a2d: $this->formErrors = $this->getErrorMessages($form); goto ba5b3; fece2: } public function deleteFtpUser(Request $request) : Response { goto bff8e; df893: try { goto f5c3f; c18ca: $siteUpdater = $this->getSiteUpdater($site); goto bd7e8; d4dc6: $userName = $ftpUserEntity->getUserName(); goto E699b; E699b: $siteEntity->removeFtpUser($ftpUserEntity); goto B7e63; a552d: if (!(false === is_null($siteEntity) && false === empty($userName) && false === is_null($ftpUserEntity))) { goto De905; } goto a0c4b; C3ea5: $ftpUserEntity = $this->ftpUserEntityManager->findOneByUserName($userName); goto a552d; b890a: if (!($siteEntity->getDomainName() == $ftpUserSiteEntity->getDomainName())) { goto E6a68; } goto Ccfe8; Ccfe8: $user = $this->getUser(); goto d4dc6; C7de9: $session->getFlashBag()->set("\x73\165\x63\143\x65\x73\x73", $this->translator->trans("\x55\x73\145\162\40\150\141\x73\40\142\x65\145\x6e\40\144\145\x6c\x65\164\x65\144\x2e")); goto C7ec9; e500b: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_DELETE, $user, $evenData, $request); goto C7de9; B7e63: $this->siteEntityManager->updateEntity($siteEntity); goto c18ca; af203: $evenData = ["\x73\151\164\145" => $domainName, "\165\x73\145\162\x4e\141\x6d\x65" => $userName]; goto e500b; E0fbb: $domainName = $site->getDomainName(); goto aee19; a0c4b: $ftpUserSiteEntity = $ftpUserEntity->getSite(); goto b890a; b4f4f: return $response; goto D12ff; aee19: $siteEntity = $this->getSiteEntity($domainName); goto C3ea5; C7ec9: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\x69\164\x65\137\165\x73\x65\162\x73", ["\x64\x6f\155\x61\151\156\x4e\141\x6d\145" => $site->getDomainName()])); goto b4f4f; D12ff: E6a68: goto E93af; B32de: $userName = $request->get("\165\163\145\162\116\x61\155\x65"); goto E0fbb; f5c3f: $session = $request->getSession(); goto B32de; E93af: De905: goto fd4c0; bd7e8: $siteUpdater->deleteUser($userName, false); goto af203; fd4c0: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\x65\162", $this->translator->trans("\x41\156\x20\145\162\162\157\162\x20\x68\141\x73\x20\157\143\143\x75\162\162\145\144\54\40\145\x72\162\x6f\x72\40\155\x65\x73\163\141\x67\145\x3a\40\45\145\x72\162\157\x72\115\x65\x73\163\141\147\x65\45", ["\x25\145\162\x72\x6f\162\x4d\x65\x73\x73\141\147\x65\45" => $e->getMessage()])); } goto a85cd; bc4a0: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\x69\164\145\163")); goto d7c99; C9616: $this->checkCsrfToken($request, "\165\x73\x65\x72\x2d\144\x65\154\x65\x74\145"); goto f9c29; f9c29: if (!(false === is_null($site))) { goto Cd920; } goto df893; bff8e: $site = $this->getSite($request); goto C9616; d7c99: return $response; goto e4e90; a85cd: Cd920: goto bc4a0; e4e90: } public function newSshUser(Request $request) : Response { goto Aeb18; Df890: A81cf: goto Fd05e; Aeb18: $site = $this->getSite($request); goto b7d17; e7024: c0149: goto B0548; B673f: $sshUserEntity = $this->sshUserEntityManager->createEntity(); goto A0e01; C8129: if (!(true === $form->isSubmitted())) { goto d0e48; } goto Cff96; C6478: b61db: goto b3407; a214e: if (!(true === $request->isMethod("\120\117\x53\x54"))) { goto c27b7; } goto C17bd; Efb7a: c27b7: goto Bb4fc; C17bd: $form->handleRequest($request); goto C8129; Cff96: $response = $this->handleSshUserForm($request, $form, $site); goto F9f7a; E9de4: goto A81cf; goto C6478; A0e01: $sshUserEntity->setSite($siteEntity); goto c3615; c3615: $form = $this->createSshUserForm($sshUserEntity); goto a214e; b3407: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto B673f; F9f7a: if (!(false === is_null($response))) { goto c0149; } goto d75b1; B0548: d0e48: goto Efb7a; Bb4fc: $response = $this->render("\x46\x72\x6f\156\164\x65\x6e\x64\x2f\x53\x69\164\145\57\x6e\x65\x77\55\x73\x73\x68\55\165\x73\x65\162\56\x68\x74\x6d\154\x2e\164\x77\151\147", ["\x73\x69\x74\x65" => $site, "\x66\157\162\155" => $form->createView(), "\x66\x6f\162\155\105\x72\x72\157\162\x73" => $this->formErrors]); goto Df890; Fd05e: return $response; goto E7651; f40d7: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\x69\164\x65\163")); goto E9de4; d75b1: return $response; goto e7024; b7d17: if (false === is_null($site)) { goto b61db; } goto f40d7; E7651: } private function createSshUserForm(SshUserEntity $sshUserEntity) : Form { goto Ff1a1; d2ed0: $form = $this->createForm("\x41\x70\160\x5c\x46\157\162\x6d\x5c\123\x69\x74\x65\x53\x73\150\x55\x73\145\x72\124\x79\160\145", $sshUserEntity, ["\141\143\x74\151\157\156" => $this->generateUrl("\143\x6c\160\137\x73\x69\x74\x65\x5f\163\163\x68\x5f\x75\x73\x65\162\137\x6e\145\x77", ["\x64\x6f\155\x61\151\x6e\x4e\x61\155\145" => $siteEntity->getDomainName()]), "\155\145\x74\150\157\x64" => "\x50\117\x53\x54", "\x61\164\164\x72" => []]); goto e6218; e6218: $form->add("\x73\x75\x62\x6d\151\164", SubmitType::class, ["\x61\164\164\x72" => ["\143\x6c\x61\x73\163" => "\142\164\x6e\40\x62\164\x6e\55\x62\154\165\145\x20\x62\x74\x6e\55\x6c\147"], "\x6c\x61\x62\145\x6c" => "\x41\x64\144\40\125\163\x65\162"]); goto f974a; Ff1a1: $siteEntity = $sshUserEntity->getSite(); goto d2ed0; f974a: return $form; goto bcf14; bcf14: } private function handleSshUserForm(Request $request, Form $form, Site $site) { goto e8b1f; edd20: Fda38: goto C1f3c; d6c7b: goto Fda38; goto E3d07; f0010: $this->formErrors = $this->getErrorMessages($form); goto d6c7b; e8b1f: if (true === $form->isValid()) { goto dd2b3; } goto f0010; E3d07: dd2b3: goto Fc0e4; Fc0e4: try { goto Ae1eb; ae5f0: $sshKeys = $sshUserEntity->getSshKeys(); goto E950c; Bb365: e97d7: goto fa0dc; Dd2e6: $user = $this->getUser(); goto ba891; D3e75: $sshUserEntity->setPassword($sshUserPassword); goto ae5f0; Ae1eb: $session = $request->getSession(); goto F230a; Cc594: $siteUpdater->createSshUser($sshUserEntity); goto Dd3c8; c01a6: E127b: goto Dd2e6; Bbba6: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\x69\x74\x65\x5f\165\x73\x65\162\163", ["\x64\157\x6d\x61\x69\x6e\x4e\x61\x6d\145" => $site->getDomainName()])); goto Bb365; fa3cb: E7ca2: goto a9940; ba891: $sshUserEntity = $form->getData(); goto Cbd94; Ea978: if (false === is_null($siteEntity)) { goto E127b; } goto A1104; aadb8: $siteUpdater = $this->getSiteUpdater($site); goto Cc594; A1104: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\x69\x74\145\x73")); goto Ddb2b; c5ede: $session->getFlashBag()->set("\163\165\x63\143\145\163\x73", $this->translator->trans("\x55\163\x65\x72\40\x68\141\x73\x20\x62\145\145\156\x20\141\x64\x64\x65\x64\56")); goto Bbba6; F9645: $siteEntity = $this->getSiteEntity($domainName); goto Ea978; Dd3c8: if (!(false === empty($sshKeys))) { goto E7ca2; } goto F71a5; E0b08: $this->siteEntityManager->updateEntity($siteEntity); goto aadb8; Ddb2b: goto e97d7; goto c01a6; a9940: $eventData = ["\163\151\x74\x65" => $domainName, "\165\163\x65\162\116\x61\155\x65" => $sshUserName, "\163\163\150\x4b\x65\x79\163" => $sshKeys]; goto a6ce0; F71a5: $siteUpdater->updateUserSShKeys($sshUserName, $sshKeys); goto fa3cb; F230a: $domainName = $site->getDomainName(); goto F9645; d055b: $sshUserPassword = $form->get("\160\141\163\x73\167\x6f\162\144")->getData(); goto D3e75; a6ce0: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_ADD, $user, $eventData, $request); goto c5ede; E950c: $siteEntity->addSshUser($sshUserEntity); goto E0b08; fa0dc: return $response; goto eba9c; Cbd94: $sshUserName = $sshUserEntity->getUserName(); goto d055b; eba9c: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\x65\x72", $this->translator->trans("\101\156\40\x65\162\x72\157\x72\40\x68\141\163\40\157\143\143\165\x72\162\x65\144\54\40\145\x72\162\x6f\x72\x20\155\145\x73\x73\x61\147\x65\72\x20\x25\x65\162\162\157\x72\x4d\145\x73\163\x61\x67\x65\x25", ["\45\x65\162\162\157\x72\115\145\x73\x73\141\x67\x65\x25" => $e->getMessage()])); } goto edd20; C1f3c: } public function editSshUser(Request $request) : Response { goto ce333; ff9ba: $response = $this->render("\x46\162\x6f\156\x74\145\x6e\x64\57\123\151\164\x65\57\x65\144\x69\x74\x2d\x73\163\x68\x2d\x75\x73\x65\162\x2e\x68\x74\x6d\154\x2e\x74\x77\x69\x67", ["\163\151\164\145" => $site, "\x66\157\162\x6d" => $form->createView(), "\x66\x6f\162\x6d\x45\x72\x72\157\x72\163" => $this->formErrors]); goto E6c8a; c278f: Ca898: goto C3e24; D673e: f5a24: goto c278f; b1459: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($userName); goto f69f2; ac366: $site = $this->getSite($request); goto b1459; C3e24: f236c: goto ff9ba; de1a4: if (!(true === $form->isSubmitted())) { goto Ca898; } goto B11ab; ca3c4: if (!(false === is_null($response))) { goto f5a24; } goto C6f88; F494a: $form = $this->createSshUserEditForm($sshUserEntity); goto Cf6c9; Cf6c9: if (!(true === $request->isMethod("\120\117\x53\124"))) { goto f236c; } goto c7230; c7230: $form->handleRequest($request); goto de1a4; ba075: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\151\164\145\x73")); goto Ed512; bd363: c2e6f: goto F494a; C60ad: return $response; goto B7dca; E6c8a: B6fa7: goto C60ad; ce333: $userName = $request->get("\x75\163\145\162\x4e\x61\155\x65"); goto ac366; f69f2: if (false === is_null($sshUserEntity) && false === is_null($site) && $sshUserEntity->getSite()->getDomainName() == $site->getDomainName()) { goto c2e6f; } goto ba075; C6f88: return $response; goto D673e; B11ab: $response = $this->handleSshUserEditForm($request, $form, $site); goto ca3c4; Ed512: goto B6fa7; goto bd363; B7dca: } private function createSshUserEditForm(SshUserEntity $sshUserEntity) : Form { goto D273e; e20ef: $form->add("\x73\165\142\x6d\x69\x74", SubmitType::class, ["\141\x74\x74\x72" => ["\x63\154\x61\163\163" => "\x62\164\156\40\x62\164\156\x2d\142\x6c\165\x65\40\142\164\156\x2d\154\x67"], "\154\x61\142\145\154" => "\123\141\166\145"]); goto f7f0f; D273e: $siteEntity = $sshUserEntity->getSite(); goto A930f; A930f: $form = $this->createForm("\101\x70\160\x5c\106\x6f\162\155\134\123\x69\x74\145\x53\x73\x68\x55\163\145\162\105\x64\x69\164\x54\x79\x70\145", $sshUserEntity, ["\141\143\x74\151\157\x6e" => $this->generateUrl("\143\x6c\x70\x5f\x73\151\164\145\137\x73\163\x68\x5f\165\x73\x65\x72\137\145\x64\x69\x74", ["\x64\157\155\141\x69\x6e\x4e\141\x6d\145" => $siteEntity->getDomainName(), "\x75\163\x65\x72\x4e\141\155\145" => $sshUserEntity->getUserName()]), "\x6d\145\164\150\157\144" => "\x50\117\123\124", "\x61\164\164\162" => []]); goto e20ef; f7f0f: return $form; goto f4baa; f4baa: } private function handleSshUserEditForm(Request $request, Form $form, Site $site) { goto Fc116; F6f69: B2934: goto c41e7; c35d8: $this->formErrors = $this->getErrorMessages($form); goto Ce222; Cadf4: fd6bd: goto B7a3c; Ce222: goto B2934; goto Cadf4; B7a3c: try { goto Bb8d8; fb34a: if (!(false === empty($sshUserPassword))) { goto eb688; } goto ad691; f108e: Ba4ac: goto Cd7ba; e45b0: $sshUserName = $sshUserEntity->getUserName(); goto fbef8; Cd7ba: return $response; goto fae75; Ada8b: $user = $this->getUser(); goto E5ab5; E5ab5: $sshUserEntity = $form->getData(); goto e45b0; D75a8: $eventData = ["\163\151\164\x65" => $domainName, "\165\x73\x65\x72\116\141\x6d\x65" => $sshUserName, "\163\x73\x68\x4b\x65\x79\x73" => $sshKeys]; goto Ddfe3; ad691: $siteUpdater->changeUserPassword($sshUserName, $sshUserPassword); goto ea26b; B0f48: goto Ba4ac; goto ec9ac; ac6d7: $siteUpdater = $this->getSiteUpdater($site); goto fb34a; Bb8d8: $session = $request->getSession(); goto ddb94; fbef8: $sshUserPassword = $form->get("\x70\141\163\x73\x77\157\x72\144")->getData(); goto f9ade; Fe953: $siteUpdater->updateUserSShKeys($sshUserName, $sshKeys); goto D75a8; b59a0: $siteEntity = $this->getSiteEntity($domainName); goto Ab822; ea26b: eb688: goto Fe953; F385e: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\151\164\x65\137\165\x73\x65\x72\x73", ["\144\x6f\x6d\x61\x69\156\x4e\141\155\145" => $site->getDomainName()])); goto f108e; Ab822: if (false === is_null($siteEntity)) { goto Edec0; } goto e2f84; e2f84: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\x69\x74\x65\x73")); goto B0f48; ec9ac: Edec0: goto Ada8b; ddb94: $domainName = $site->getDomainName(); goto b59a0; Ddfe3: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_EDIT, $user, $eventData, $request); goto db144; C523c: $this->siteEntityManager->updateEntity($siteEntity); goto ac6d7; f9ade: $sshKeys = false === is_null($sshUserEntity->getSshKeys()) ? $sshUserEntity->getSshKeys() : ''; goto C523c; db144: $session->getFlashBag()->set("\163\x75\143\143\145\163\163", $this->translator->trans("\125\x73\x65\x72\40\x68\x61\163\40\142\x65\x65\156\40\163\x61\166\145\x64\56")); goto F385e; fae75: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\145\x72", $this->translator->trans("\x41\x6e\40\145\x72\162\157\x72\x20\x68\x61\163\x20\157\143\x63\x75\x72\162\x65\144\54\x20\x65\x72\162\157\x72\40\155\x65\x73\x73\141\147\145\72\40\x25\145\162\x72\x6f\x72\115\x65\163\x73\x61\x67\x65\45", ["\x25\x65\162\162\157\162\115\145\163\x73\141\x67\x65\45" => $e->getMessage()])); } goto F6f69; Fc116: if (true === $form->isValid()) { goto fd6bd; } goto c35d8; c41e7: } public function deleteSshUser(Request $request) : Response { goto D79d3; B8168: if (!(false === is_null($site))) { goto F2e77; } goto E37b2; c32ab: $this->checkCsrfToken($request, "\x75\163\145\162\55\x64\145\154\145\x74\145"); goto B8168; D79d3: $site = $this->getSite($request); goto c32ab; a209c: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x73\151\164\x65\163")); goto A4b8b; E37b2: try { goto Cb6a4; B3722: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_DELETE, $user, $evenData, $request); goto B0215; c008d: $siteEntity->removeSshUser($sshUserEntity); goto Adc14; Accac: Da9ca: goto ea342; Ee95b: return $response; goto Accac; Cb6a4: $session = $request->getSession(); goto a7f4c; Cf18c: $siteUpdater = $this->getSiteUpdater($site); goto F0332; bd64f: $evenData = ["\x73\x69\x74\x65" => $domainName, "\x75\x73\145\162\x4e\141\x6d\145" => $userName]; goto B3722; d7ae9: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($userName); goto C09e3; d99b8: $domainName = $site->getDomainName(); goto Dbe63; Dbe63: $siteEntity = $this->getSiteEntity($domainName); goto d7ae9; C09e3: if (!(false === is_null($siteEntity) && false === empty($userName) && false === is_null($sshUserEntity))) { goto aad55; } goto B0c3b; B2683: if (!($siteEntity->getDomainName() == $sshUserSiteEntity->getDomainName())) { goto Da9ca; } goto E3362; F0332: $siteUpdater->deleteUser($userName, true); goto bd64f; caebf: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\x74\x65\137\165\163\x65\x72\163", ["\144\157\x6d\141\151\156\116\141\155\145" => $site->getDomainName()])); goto Ee95b; d88dc: $userName = $sshUserEntity->getUserName(); goto c008d; a7f4c: $userName = $request->get("\165\163\145\162\x4e\141\155\x65"); goto d99b8; B0c3b: $sshUserSiteEntity = $sshUserEntity->getSite(); goto B2683; ea342: aad55: goto E70c3; E3362: $user = $this->getUser(); goto d88dc; B0215: $session->getFlashBag()->set("\163\x75\143\x63\145\x73\x73", $this->translator->trans("\x55\x73\145\x72\x20\150\141\x73\40\142\145\145\156\40\144\x65\154\x65\164\x65\x64\56")); goto caebf; Adc14: $this->siteEntityManager->updateEntity($siteEntity); goto Cf18c; E70c3: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\145\x72", $this->translator->trans("\x41\156\40\x65\162\x72\157\x72\40\x68\141\163\x20\x6f\x63\x63\x75\x72\x72\145\x64\54\x20\x65\162\x72\x6f\x72\x20\x6d\x65\x73\x73\x61\147\x65\x3a\x20\45\145\162\x72\x6f\x72\x4d\x65\163\163\x61\x67\x65\x25", ["\x25\145\x72\x72\x6f\162\x4d\145\163\163\141\147\145\45" => $e->getMessage()])); } goto Ad20d; Ad20d: F2e77: goto a209c; A4b8b: return $response; goto E6849; E6849: } public function security(Request $request) : Response { goto bd144; A0ae6: if (false === is_null($site)) { goto E9f9d; } goto c4d4a; D00f1: $cloudflareForm->handleRequest($request); goto B8826; a0e5c: D2091: goto Db77b; Bef81: $response = $this->handleCloudflareForm($request, $cloudflareForm, $site); goto F9cc6; D224f: Da6a6: goto e54a4; c9bd6: $basicAuthEntity = $site->getBasicAuth(); goto E8b7b; cbb88: return $response; goto D224f; bece5: return $response; goto Dfb2f; F9cc6: if (!(false === is_null($response))) { goto fb1dd; } goto F5700; f1a0b: f2482: goto ea6bc; a2eb2: if (!(true === $request->isMethod("\x50\x4f\x53\124"))) { goto f2482; } goto afba4; ea6bc: $response = $this->render("\x46\x72\157\x6e\164\x65\156\x64\57\x53\x69\x74\145\x2f\163\x65\143\165\x72\151\164\171\56\150\164\155\154\56\164\x77\151\x67", ["\x73\x69\164\145" => $site, "\142\x6c\157\x63\153\x65\144\x49\x70\163" => $blockedIps, "\x62\154\x6f\x63\153\x65\144\102\157\x74\163" => $blockedBots, "\142\141\163\151\143\101\x75\x74\x68\106\x6f\162\155" => $basicAuthForm->createView(), "\143\x6c\x6f\x75\x64\146\x6c\141\x72\x65\x46\x6f\162\x6d" => $cloudflareForm->createView(), "\146\157\x72\x6d\105\x72\162\x6f\x72\x73" => $this->formErrors]); goto F3830; cee8c: $blockedBots = $site->getBlockedBots(); goto fbb0b; B3cf5: fb1dd: goto aa4bc; Bc68f: if (!(true === $cloudflareForm->isSubmitted())) { goto c8a9b; } goto Bef81; aa4bc: c8a9b: goto f1a0b; d0c56: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Ffc98; F3f83: if (!(false === is_null($response))) { goto Da6a6; } goto cbb88; E8b7b: if (!(true === is_null($basicAuthEntity))) { goto D2091; } goto C0bd2; c4d4a: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\x69\x74\x65\163")); goto e4058; fbb0b: $blockedIps = $site->getBlockedIps(); goto c9bd6; c1194: $response = $this->handleBasicAuthForm($request, $basicAuthForm, $site); goto F3f83; C0bd2: $basicAuthEntity = $this->basicAuthEntityManager->createEntity(); goto a0e5c; e4058: goto af5b2; goto Be59b; F3830: af5b2: goto bece5; Db77b: $basicAuthEntity->setSite($siteEntity); goto F0318; bd144: $site = $this->getSite($request); goto A0ae6; e54a4: c6acc: goto Bc68f; fb87c: $cloudflareForm = $this->createCloudflareForm($siteEntity, $cloudflareData); goto a2eb2; F5700: return $response; goto B3cf5; B8826: if (!(true === $basicAuthForm->isSubmitted())) { goto c6acc; } goto c1194; Be59b: E9f9d: goto d0c56; Ffc98: $cloudflareData = ["\x61\154\154\x6f\167\124\162\141\146\146\x69\x63\106\162\x6f\x6d\x43\154\157\x75\144\146\x6c\141\x72\x65\x4f\x6e\x6c\x79" => $siteEntity->allowTrafficFromCloudflareOnly()]; goto cee8c; afba4: $basicAuthForm->handleRequest($request); goto D00f1; F0318: $basicAuthForm = $this->createBasicAuthForm($basicAuthEntity); goto fb87c; Dfb2f: } private function createCloudflareForm(SiteEntity $siteEntity, array $data) : Form { goto Fa76a; Fa76a: $form = $this->createForm("\x41\x70\x70\134\106\x6f\x72\x6d\x5c\123\151\x74\145\x43\x6c\157\x75\x64\146\x6c\x61\x72\x65\124\171\x70\x65", $data, ["\141\x63\164\151\x6f\x6e" => $this->generateUrl("\x63\x6c\x70\x5f\x73\x69\164\x65\x5f\163\x65\x63\x75\x72\151\164\x79", ["\x64\x6f\155\x61\x69\156\x4e\x61\x6d\x65" => $siteEntity->getDomainName()]), "\x6d\145\164\x68\157\144" => "\x50\x4f\x53\x54", "\141\x74\x74\x72" => []]); goto adcdf; adcdf: $form->add("\x73\x75\x62\155\151\x74", SubmitType::class, ["\x61\x74\x74\162" => ["\143\x6c\x61\163\163" => "\142\x74\x6e\x20\142\164\x6e\55\x62\x6c\x75\145\40\x62\x74\x6e\x2d\154\147"], "\154\141\142\x65\154" => "\x53\x61\x76\x65"]); goto C6bf4; C6bf4: return $form; goto A2f69; A2f69: } private function createBasicAuthForm(BasicAuthEntity $basicAuthEntity) : Form { goto bf6f7; fb4db: $form = $this->createForm("\x41\x70\160\134\x46\x6f\162\155\x5c\x53\151\164\x65\102\x61\163\x69\x63\101\165\164\150\x54\x79\160\145", $basicAuthEntity, ["\141\143\164\x69\x6f\x6e" => $this->generateUrl("\143\x6c\160\137\163\x69\x74\145\x5f\163\x65\x63\x75\x72\x69\x74\171", ["\144\157\x6d\x61\x69\x6e\116\x61\155\x65" => $siteEntity->getDomainName()]), "\x6d\x65\x74\x68\157\x64" => "\120\x4f\123\124", "\x61\164\164\162" => []]); goto E69e2; d674b: return $form; goto A44a2; E69e2: $form->add("\163\x75\142\x6d\x69\x74", SubmitType::class, ["\x61\164\164\162" => ["\x63\154\141\163\163" => "\142\x74\156\40\x62\164\156\55\142\x6c\165\145\40\142\164\156\55\154\147"], "\154\x61\x62\x65\154" => "\123\x61\x76\145"]); goto d674b; bf6f7: $siteEntity = $basicAuthEntity->getSite(); goto fb4db; A44a2: } private function handleBasicAuthForm(Request $request, Form $form, Site $site) { goto edce3; D9428: f1186: goto C472f; D146c: try { goto Ebee6; fdedd: $siteUpdater->updateNginxVhost(); goto A5971; C4f1a: E4c4d: goto f99b9; Bb959: $siteEntity->setBasicAuth($basicAuthEntity); goto Aecb2; ef90f: $domainName = $site->getDomainName(); goto De146; A5971: $siteUpdater->reloadNginxService(); goto cc2b6; E5bfe: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\151\x74\145\137\163\x65\x63\165\162\x69\x74\171", ["\x64\x6f\155\x61\x69\156\116\141\155\145" => $site->getDomainName()])); goto d5b6d; d5b6d: D81b9: goto f62c3; ee243: $session->getFlashBag()->set("\163\165\143\143\145\163\163", $this->translator->trans("\102\x61\x73\151\143\x20\x41\165\x74\x68\x65\x6e\x74\151\143\141\x74\151\x6f\156\x20\x73\145\164\x74\x69\x6e\x67\x73\40\x68\141\166\145\x20\142\x65\145\156\40\163\x61\x76\145\144\56")); goto E5bfe; Aecb2: $site->setBasicAuth($basicAuthEntity); goto efe52; efe52: $this->siteEntityManager->updateEntity($siteEntity); goto c514d; Ebee6: $session = $request->getSession(); goto ef90f; a4e7a: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\x69\164\x65\163")); goto a5169; D0a51: $basicAuthEntity = $form->getData(); goto Bb959; De146: $siteEntity = $this->getSiteEntity($domainName); goto Dcc4b; f99b9: $user = $this->getUser(); goto D0a51; C4be0: $siteUpdater->createBasicAuthFile($basicAuthEntity); goto fdedd; c514d: $siteUpdater = $this->getSiteUpdater($site); goto C4be0; cc2b6: $eventData = ["\x73\x69\164\x65" => $domainName, "\141\143\164\151\x76\145" => true === $basicAuthEntity->getIsActive() ? "\x31" : "\x30", "\x75\x73\145\162\116\x61\155\x65" => $basicAuthEntity->getUserName(), "\167\x68\151\164\x65\154\151\x73\x74\145\x64\111\160\163" => $basicAuthEntity->getWhitelistedIps()]; goto e48e6; a5169: goto D81b9; goto C4f1a; Dcc4b: if (false === is_null($siteEntity)) { goto E4c4d; } goto a4e7a; f62c3: return $response; goto A9aa8; e48e6: EventQueue::addEvent(EventQueue::EVENT_SITE_BASIC_AUTHENTIFICATION_SETTINGS, $user, $eventData, $request); goto ee243; A9aa8: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\147\145\x72", $this->translator->trans("\101\156\x20\x65\162\x72\x6f\x72\40\x68\x61\163\x20\157\143\143\165\x72\x72\145\x64\54\40\x65\162\x72\157\x72\x20\x6d\145\x73\163\x61\x67\145\72\40\x25\x65\x72\x72\157\x72\115\145\163\x73\141\x67\x65\45", ["\45\x65\x72\162\157\162\115\145\163\x73\141\147\145\x25" => $e->getMessage()])); } goto D9428; Cd539: f5985: goto D146c; b45c7: $this->formErrors = $this->getErrorMessages($form); goto Effb7; Effb7: goto f1186; goto Cd539; edce3: if (true === $form->isValid()) { goto f5985; } goto b45c7; C472f: } private function handleCloudflareForm(Request $request, Form $form, Site $site) { goto D2846; c3752: $this->formErrors = $this->getErrorMessages($form); goto d3381; E4f72: e7b98: goto Eb401; d3381: goto e7b98; goto e7eef; Ed134: try { goto ae0f5; Fe32f: $siteUpdater->updateNginxVhost(); goto fc240; b254e: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x73\151\164\145\163")); goto cae18; ae0f5: $session = $request->getSession(); goto E2898; d1491: return $response; goto cb505; cc0c6: $siteEntity->setAllowTrafficFromCloudflareOnly($allowTrafficFromCloudflareOnly); goto fdc12; fdc12: $site->setAllowTrafficFromCloudflareOnly($allowTrafficFromCloudflareOnly); goto F6adc; E589f: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\151\164\x65\137\163\145\x63\x75\162\151\164\171", ["\144\x6f\155\141\151\x6e\x4e\x61\x6d\x65" => $site->getDomainName()])); goto Ca238; F6adc: $this->siteEntityManager->updateEntity($siteEntity); goto F871e; fc240: $siteUpdater->reloadNginxService(); goto D72c8; C8a5f: EventQueue::addEvent(EventQueue::EVENT_SITE_CLOUDFLARE_SETTINGS, $user, $eventData, $request); goto e8d07; Dd9f6: A30d3: goto B8c97; B8c97: $user = $this->getUser(); goto ac674; Ca238: a8058: goto d1491; e8d07: $session->getFlashBag()->set("\163\165\x63\143\145\163\163", $this->translator->trans("\x43\154\157\165\144\x66\x6c\141\162\145\x20\x73\x65\x74\x74\x69\x6e\x67\x73\x20\x68\141\166\x65\x20\x62\145\x65\x6e\x20\x73\141\x76\145\x64\x2e")); goto E589f; F871e: $siteUpdater = $this->getSiteUpdater($site); goto Fe32f; E2898: $domainName = $site->getDomainName(); goto ac71c; B8dc6: if (false === is_null($siteEntity)) { goto A30d3; } goto b254e; ac71c: $siteEntity = $this->getSiteEntity($domainName); goto B8dc6; cae18: goto a8058; goto Dd9f6; D72c8: $eventData = ["\x73\151\x74\x65" => $domainName, "\141\x6c\154\x6f\167\124\x72\141\x66\146\x69\x63\x46\x72\157\x6d\x43\x6c\157\165\144\x66\x6c\x61\x72\x65\x4f\156\154\x79" => true === $allowTrafficFromCloudflareOnly ? "\61" : "\60"]; goto C8a5f; ac674: $allowTrafficFromCloudflareOnly = $form->get("\x61\154\x6c\157\x77\x54\162\x61\x66\146\x69\143\x46\x72\157\x6d\x43\154\x6f\165\144\x66\x6c\141\x72\x65\117\x6e\154\x79")->getData(); goto cc0c6; cb505: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\145\162", $this->translator->trans("\101\156\40\x65\x72\162\x6f\162\40\x68\141\163\x20\x6f\x63\x63\165\162\162\145\x64\x2c\40\x65\162\162\x6f\162\x20\x6d\145\163\x73\x61\147\x65\x3a\40\45\145\162\162\157\162\115\145\163\163\141\x67\x65\45", ["\45\145\x72\x72\x6f\x72\115\x65\163\163\x61\147\x65\x25" => $e->getMessage()])); } goto E4f72; e7eef: eb26e: goto Ed134; D2846: if (true === $form->isValid()) { goto eb26e; } goto c3752; Eb401: } public function newBlockedIp(Request $request) : Response { goto ed4e9; c2be5: $response = $this->render("\106\162\x6f\156\x74\x65\x6e\144\x2f\123\x69\164\145\57\156\145\167\55\142\154\x6f\x63\153\145\x64\55\151\x70\x2e\x68\x74\x6d\154\56\164\x77\x69\147", ["\x73\151\x74\145" => $site, "\x66\x6f\x72\x6d" => $form->createView(), "\x66\157\162\155\105\162\x72\x6f\162\163" => $this->formErrors]); goto D284d; Bec37: goto b14b6; goto cc686; cc686: Df017: goto D803d; D803d: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto A763b; ceba6: $form->handleRequest($request); goto fc85c; e7311: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\151\164\x65\163")); goto Bec37; D284d: b14b6: goto eeb43; af59f: if (!(false === is_null($response))) { goto af755; } goto c6ce6; fc85c: if (!(true === $form->isSubmitted())) { goto e2bea; } goto D78d0; A763b: $blockedIpEntity = $this->blockedIpEntityManager->createEntity(); goto D9e26; E6303: af755: goto afa5f; afa5f: e2bea: goto B82b1; c56f0: $form = $this->createBlockedIpForm($blockedIpEntity); goto d398b; eeb43: return $response; goto B5bfd; c6ce6: return $response; goto E6303; C2265: if (false === is_null($site)) { goto Df017; } goto e7311; d398b: if (!(true === $request->isMethod("\x50\x4f\123\124"))) { goto E444d; } goto ceba6; ed4e9: $site = $this->getSite($request); goto C2265; D78d0: $response = $this->handleBlockedIpForm($request, $form, $site); goto af59f; D9e26: $blockedIpEntity->setSite($siteEntity); goto c56f0; B82b1: E444d: goto c2be5; B5bfd: } private function createBlockedIpForm(BlockedIpEntity $blockedIpEntity) : Form { goto A9958; D0c4c: $form = $this->createForm("\x41\x70\x70\134\106\x6f\162\155\134\123\151\164\145\102\154\157\143\153\x65\x64\x49\x50\124\x79\x70\x65", $blockedIpEntity, ["\141\x63\x74\151\157\x6e" => $this->generateUrl("\143\x6c\160\x5f\x73\151\164\145\x5f\163\x65\143\165\162\x69\164\171\137\x62\x6c\x6f\x63\x6b\145\x64\x5f\151\x70\x5f\156\x65\167", ["\x64\157\x6d\x61\x69\156\x4e\141\x6d\x65" => $siteEntity->getDomainName()]), "\x6d\x65\164\150\x6f\144" => "\x50\x4f\x53\x54", "\x61\164\x74\x72" => []]); goto a1ecb; cfd87: return $form; goto f7352; A9958: $siteEntity = $blockedIpEntity->getSite(); goto D0c4c; a1ecb: $form->add("\163\165\x62\155\x69\x74", SubmitType::class, ["\x61\164\x74\x72" => ["\143\154\x61\x73\163" => "\x62\x74\156\x20\x62\x74\156\x2d\x62\154\165\x65\x20\x62\164\156\x2d\x6c\147"], "\x6c\x61\x62\x65\154" => "\x41\144\144\40\x49\x50"]); goto cfd87; f7352: } private function handleBlockedIpForm(Request $request, Form $form, Site $site) { goto d6ab1; d6ab1: if (true === $form->isValid()) { goto Fe339; } goto c5f53; c5f53: $this->formErrors = $this->getErrorMessages($form); goto f617e; f617e: goto b0d67; goto E88be; D5433: b0d67: goto aad45; a51e9: try { goto Dc6ff; Dc6ff: $session = $request->getSession(); goto Fc021; Fc021: $domainName = $site->getDomainName(); goto Bef43; c082c: $user = $this->getUser(); goto df88b; E1332: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_IP_ADD, $user, $eventData, $request); goto ac17d; c5eb0: dfd92: goto e681d; db41b: $eventData = ["\x73\x69\x74\145" => $domainName, "\151\x70" => $blockedIp->getIp()]; goto E1332; ab357: $siteUpdater->reloadNginxService(); goto db41b; Dc74c: $siteUpdater = $this->getSiteUpdater($site); goto ce81c; A1b2d: goto dfd92; goto C530f; ccd10: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\x69\164\x65\x5f\x73\x65\143\165\x72\x69\x74\171", ["\x64\157\155\x61\x69\156\116\x61\x6d\145" => $site->getDomainName()])); goto c5eb0; ce81c: $siteUpdater->updateNginxVhost(); goto ab357; Bef43: $siteEntity = $this->getSiteEntity($domainName); goto cd580; e681d: return $response; goto E0d63; cd580: if (false === is_null($siteEntity)) { goto Dcc53; } goto d2927; d2927: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\x69\x74\145\x73")); goto A1b2d; df88b: $blockedIp = $form->getData(); goto ab27b; ab27b: $siteEntity->addBlockedIp($blockedIp); goto E7be4; E7be4: $this->siteEntityManager->updateEntity($siteEntity); goto Dc74c; C530f: Dcc53: goto c082c; ac17d: $session->getFlashBag()->set("\x73\165\x63\x63\145\163\x73", $this->translator->trans("\111\x50\40\x68\x61\x73\x20\142\x65\145\156\x20\x61\x64\144\x65\x64\x2e")); goto ccd10; E0d63: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\145\162", $this->translator->trans("\101\156\40\x65\162\162\157\x72\40\150\141\x73\40\x6f\x63\x63\165\x72\x72\x65\144\54\40\x65\162\x72\x6f\162\x20\155\x65\x73\163\141\x67\x65\72\x20\x25\x65\x72\x72\157\162\115\145\163\x73\x61\147\145\x25", ["\45\145\162\162\x6f\x72\115\145\x73\163\x61\x67\x65\x25" => $e->getMessage()])); } goto D5433; E88be: Fe339: goto a51e9; aad45: } public function deleteBlockedIp(Request $request) : Response { goto Aeae2; c30b3: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\x69\x74\x65\x73")); goto Ddd7b; Aeae2: $site = $this->getSite($request); goto c984a; b2b0a: if (!(false === is_null($site))) { goto B857e; } goto c864e; c984a: $this->checkCsrfToken($request, "\x69\160\x2d\x64\145\x6c\x65\164\145"); goto b2b0a; Ddd7b: return $response; goto e4928; c457a: B857e: goto c30b3; c864e: try { goto bf2c2; Bad36: $siteEntity->removeBlockedIp($blockedIpEntity); goto bd5cf; Dd130: $domainName = $site->getDomainName(); goto c6711; d7e24: $siteUpdater->reloadNginxService(); goto A609c; bf2c2: $session = $request->getSession(); goto F2ca2; Daa17: $blockedIpEntity = $this->blockedIpEntityManager->findOneById($id); goto Aa61f; e133f: $session->getFlashBag()->set("\x73\165\x63\x63\145\163\x73", $this->translator->trans("\x49\120\40\150\141\163\x20\x62\x65\x65\156\x20\144\x65\154\x65\164\x65\x64\56")); goto e1697; e1fdb: return $response; goto d46cb; c6711: $siteEntity = $this->getSiteEntity($domainName); goto Daa17; d46cb: df37f: goto b059c; F2ca2: $id = (int) $request->get("\151\x64"); goto Dd130; e1697: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\151\x74\x65\137\163\145\143\x75\162\x69\164\x79", ["\x64\x6f\155\141\151\x6e\x4e\141\x6d\x65" => $site->getDomainName()])); goto e1fdb; bd5cf: $this->siteEntityManager->updateEntity($siteEntity); goto Dc428; A609c: $eventData = ["\163\151\164\x65" => $domainName, "\x69\160" => $blockedIpEntity->getIp()]; goto E32a3; Aa61f: if (!(false === is_null($siteEntity) && false === empty($id) && false === is_null($blockedIpEntity) && $siteEntity == $blockedIpEntity->getSite())) { goto df37f; } goto A53ee; ff02f: $siteUpdater->updateNginxVhost(); goto d7e24; E32a3: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_IP_DELETE, $user, $eventData, $request); goto e133f; Dc428: $siteUpdater = $this->getSiteUpdater($site); goto ff02f; A53ee: $user = $this->getUser(); goto Bad36; b059c: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\x65\x72", $this->translator->trans("\x41\156\x20\x65\x72\162\157\162\40\150\x61\x73\40\157\x63\143\x75\162\x72\145\144\x2c\40\x65\162\x72\x6f\162\x20\x6d\145\163\163\x61\x67\x65\x3a\40\45\145\x72\162\x6f\x72\x4d\x65\x73\x73\x61\x67\x65\x25", ["\45\145\162\x72\157\x72\x4d\x65\x73\x73\x61\x67\x65\x25" => $e->getMessage()])); } goto c457a; e4928: } public function newBlockedBot(Request $request) : Response { goto C60df; e7871: bd421: goto F82f3; C60df: $site = $this->getSite($request); goto Aae38; F6ab2: $form = $this->createBlockedBotForm($blockedBotEntity); goto f72ac; b360c: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto C57d7; b077d: return $response; goto e7871; Cb9a2: goto bf1c3; goto Ef8ed; F82f3: Dc1da: goto b119e; A4d7c: $form->handleRequest($request); goto db13a; D60a5: $response = $this->render("\x46\x72\157\156\x74\145\156\144\x2f\x53\151\x74\145\57\x6e\x65\x77\55\x62\x6c\157\143\x6b\x65\144\55\142\157\164\56\150\164\x6d\154\56\x74\167\x69\x67", ["\163\151\164\x65" => $site, "\x66\157\162\x6d" => $form->createView(), "\x66\157\162\155\105\162\x72\157\162\163" => $this->formErrors]); goto B4338; Fe1cb: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\x69\164\145\163")); goto Cb9a2; Ef8ed: F0404: goto b360c; Aae38: if (false === is_null($site)) { goto F0404; } goto Fe1cb; f75d7: if (!(false === is_null($response))) { goto bd421; } goto b077d; f72ac: if (!(true === $request->isMethod("\120\x4f\123\124"))) { goto ee721; } goto A4d7c; B4338: bf1c3: goto e924f; b119e: ee721: goto D60a5; e05c0: $blockedBotEntity->setSite($siteEntity); goto F6ab2; e924f: return $response; goto ba5e3; db13a: if (!(true === $form->isSubmitted())) { goto Dc1da; } goto B5790; B5790: $response = $this->handleBlockedBotForm($request, $form, $site); goto f75d7; C57d7: $blockedBotEntity = $this->blockedBotEntityManager->createEntity(); goto e05c0; ba5e3: } private function createBlockedBotForm(BlockedBotEntity $blockedBotEntity) : Form { goto d0baa; Ff58a: $form = $this->createForm("\101\160\x70\134\x46\157\162\155\134\123\151\164\145\102\x6c\x6f\143\153\145\144\x42\x6f\x74\124\x79\x70\x65", $blockedBotEntity, ["\141\x63\164\151\x6f\x6e" => $this->generateUrl("\x63\154\x70\x5f\163\151\x74\x65\x5f\x73\x65\x63\x75\162\151\x74\171\137\x62\x6c\x6f\x63\153\145\x64\137\x62\x6f\164\x5f\x6e\x65\167", ["\144\157\155\x61\x69\x6e\116\x61\155\x65" => $siteEntity->getDomainName()]), "\155\145\164\x68\157\144" => "\120\x4f\x53\x54", "\x61\164\x74\162" => []]); goto ad660; ad660: $form->add("\x73\x75\142\x6d\x69\164", SubmitType::class, ["\x61\x74\164\x72" => ["\x63\x6c\x61\163\x73" => "\x62\164\156\40\x62\x74\x6e\x2d\142\154\165\145\40\142\x74\156\55\154\x67"], "\154\141\142\145\154" => "\101\x64\144\x20\102\157\x74"]); goto a24f6; d0baa: $siteEntity = $blockedBotEntity->getSite(); goto Ff58a; a24f6: return $form; goto aec16; aec16: } private function handleBlockedBotForm(Request $request, Form $form, Site $site) { goto e0668; c9fa9: try { goto Dd0f6; Aec21: if (false === is_null($siteEntity)) { goto Eaa1f; } goto e0a72; B2348: $session->getFlashBag()->set("\163\x75\x63\143\x65\x73\x73", $this->translator->trans("\x42\x6f\164\x20\150\x61\x73\40\142\145\x65\x6e\40\x61\x64\144\x65\144\56")); goto E76de; a531b: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_BOT_ADD, $user, $eventData, $request); goto B2348; e0a72: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\x69\164\x65\163")); goto C0a94; Af5dd: Eaa1f: goto e3ac3; D2086: $siteUpdater->updateNginxVhost(); goto Bf6bb; C0a94: goto F0964; goto Af5dd; e3ac3: $user = $this->getUser(); goto B29cd; ba36f: $domainName = $site->getDomainName(); goto Eb374; Aff4a: $siteEntity->addBlockedBot($blockedBot); goto Dbd41; aa3cd: F0964: goto C2c14; a9a4d: $siteUpdater = $this->getSiteUpdater($site); goto D2086; Dd0f6: $session = $request->getSession(); goto ba36f; Dbd41: $this->siteEntityManager->updateEntity($siteEntity); goto a9a4d; c4c79: $eventData = ["\x73\x69\x74\x65" => $domainName, "\156\141\x6d\145" => $blockedBot->getName()]; goto a531b; Eb374: $siteEntity = $this->getSiteEntity($domainName); goto Aec21; Bf6bb: $siteUpdater->reloadNginxService(); goto c4c79; C2c14: return $response; goto a356b; E76de: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\x69\164\145\x5f\163\x65\143\x75\x72\x69\164\171", ["\x64\157\155\141\x69\156\116\x61\155\x65" => $site->getDomainName()])); goto aa3cd; B29cd: $blockedBot = $form->getData(); goto Aff4a; a356b: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\145\x72", $this->translator->trans("\101\156\40\x65\162\x72\x6f\162\x20\x68\x61\x73\40\157\x63\143\x75\162\x72\145\144\x2c\40\x65\162\x72\x6f\162\x20\x6d\145\x73\x73\141\147\145\x3a\x20\45\x65\x72\162\157\x72\x4d\x65\163\163\x61\147\145\x25", ["\45\x65\162\162\157\162\x4d\x65\x73\x73\x61\x67\145\45" => $e->getMessage()])); } goto Fe084; Faf0a: D90a9: goto c9fa9; e0668: if (true === $form->isValid()) { goto D90a9; } goto c33d1; C1447: goto Af89a; goto Faf0a; c33d1: $this->formErrors = $this->getErrorMessages($form); goto C1447; Fe084: Af89a: goto bb732; bb732: } public function deleteBlockedBot(Request $request) : Response { goto a454f; ddd06: return $response; goto a472b; d6424: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\151\x74\145\x73")); goto ddd06; a454f: $site = $this->getSite($request); goto Ab37a; Cb004: try { goto a2343; ca9d0: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\151\x74\145\137\163\x65\x63\x75\x72\151\164\171", ["\x64\157\155\141\x69\x6e\116\141\155\145" => $site->getDomainName()])); goto D576b; A2bd1: $siteEntity->removeBlockedBot($blockedBotEntity); goto F206f; B0455: C2876: goto dcd65; daff5: $siteUpdater->reloadNginxService(); goto d2467; F206f: $this->siteEntityManager->updateEntity($siteEntity); goto D6718; D576b: return $response; goto B0455; d2467: $eventData = ["\163\x69\x74\x65" => $domainName, "\156\x61\155\145" => $blockedBotEntity->getName()]; goto Cbaa0; F11db: if (!(false === is_null($siteEntity) && false === empty($id) && false === is_null($blockedBotEntity) && $siteEntity == $blockedBotEntity->getSite())) { goto C2876; } goto B760e; D91c0: $domainName = $site->getDomainName(); goto Ea3f2; Cbaa0: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_BOT_DELETE, $user, $eventData, $request); goto c2f97; Ea3f2: $siteEntity = $this->getSiteEntity($domainName); goto deaa4; Af442: $siteUpdater->updateNginxVhost(); goto daff5; deaa4: $blockedBotEntity = $this->blockedBotEntityManager->findOneById($id); goto F11db; e72a6: $id = (int) $request->get("\x69\144"); goto D91c0; a2343: $session = $request->getSession(); goto e72a6; D6718: $siteUpdater = $this->getSiteUpdater($site); goto Af442; c2f97: $session->getFlashBag()->set("\163\x75\143\x63\x65\x73\x73", $this->translator->trans("\102\157\x74\40\150\141\163\40\142\145\145\156\40\144\145\x6c\145\x74\145\144\x2e")); goto ca9d0; B760e: $user = $this->getUser(); goto A2bd1; dcd65: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\x65\x72", $this->translator->trans("\x41\x6e\40\145\x72\162\157\162\x20\150\141\x73\40\x6f\x63\143\x75\162\162\x65\144\x2c\40\145\162\162\x6f\162\40\155\x65\x73\x73\141\147\145\72\40\x25\145\x72\162\157\x72\x4d\x65\163\163\x61\147\x65\x25", ["\45\x65\162\162\x6f\162\115\x65\x73\163\x61\147\145\45" => $e->getMessage()])); } goto f5865; d39ff: if (!(false === is_null($site))) { goto bc1d2; } goto Cb004; Ab37a: $this->checkCsrfToken($request, "\142\x6f\x74\55\x64\x65\154\x65\164\145"); goto d39ff; f5865: bc1d2: goto d6424; a472b: } public function certificates(Request $request) : Response { goto D0557; C2b62: goto Daefd; goto C9661; de7be: return $response; goto Fc8d1; Ad979: $installedCertificate = $site->getCertificate(); goto Cda25; b55de: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\x69\164\x65\x73")); goto C2b62; D0557: $site = $this->getSite($request); goto F55f9; C9661: f8aa7: goto Ad979; F55f9: if (false === is_null($site)) { goto f8aa7; } goto b55de; Cda25: $certificates = $site->getCertificates(); goto b02b5; b02b5: $response = $this->render("\106\x72\x6f\x6e\x74\x65\156\x64\57\123\x69\164\145\57\143\x65\162\x74\x69\146\151\143\x61\x74\145\x73\56\150\x74\155\x6c\x2e\x74\x77\x69\147", ["\x73\151\164\145" => $site, "\x69\x6e\x73\x74\141\x6c\154\x65\x64\x43\x65\x72\x74\x69\146\x69\x63\141\164\145" => $installedCertificate, "\143\145\x72\x74\x69\146\x69\143\141\164\145\x73" => $certificates]); goto B2cc9; B2cc9: Daefd: goto de7be; Fc8d1: } public function importCertificate(Request $request) : Response { goto D39b3; b1736: if (!(false === is_null($response))) { goto f3a8c; } goto e3304; c6c79: goto A4c2b; goto d9aba; f8462: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\151\x74\x65\163")); goto c6c79; dacbd: $response = $this->render("\106\x72\157\x6e\164\x65\156\144\57\x53\151\164\145\57\x69\x6d\x70\157\x72\164\55\143\145\162\164\151\146\151\143\x61\x74\x65\x2e\x68\164\x6d\x6c\x2e\x74\x77\151\147", ["\163\151\x74\x65" => $site, "\146\157\162\x6d" => $form->createView(), "\x66\x6f\x72\x6d\x45\162\x72\x6f\x72\x73" => $this->formErrors]); goto Ec7f6; Ea55e: c3e3f: goto dacbd; B53b5: return $response; goto ba141; A235e: if (false === is_null($site)) { goto d1d14; } goto f8462; D39b3: $site = $this->getSite($request); goto A235e; d9aba: d1d14: goto B1437; Ec7f6: A4c2b: goto B53b5; ad98f: f3a8c: goto C2819; Bb226: $response = $this->handleImportCertificateForm($request, $form, $site); goto b1736; C2819: Bdf60: goto Ea55e; e3304: return $response; goto ad98f; c826a: if (!(true === $form->isSubmitted())) { goto Bdf60; } goto Bb226; a7e22: $certificateEntity->setType(CertificateEntity::TYPE_IMPORTED); goto f7fcf; B1437: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto e2f3b; F86e5: $form = $this->createImportCertificateForm($certificateEntity); goto Ad1e6; f7fcf: $certificateEntity->setSite($siteEntity); goto F86e5; c0053: $form->handleRequest($request); goto c826a; e2f3b: $certificateEntity = $this->certificateEntityManager->createEntity(); goto a7e22; Ad1e6: if (!(true === $request->isMethod("\120\x4f\123\124"))) { goto c3e3f; } goto c0053; ba141: } private function createImportCertificateForm(CertificateEntity $certificateEntity) : Form { goto fb6c8; F2285: $form = $this->createForm("\101\160\160\134\106\157\x72\155\134\123\151\x74\145\x49\x6d\160\157\x72\x74\103\145\x72\164\x69\146\x69\x63\141\164\x65\x54\x79\x70\145", $certificateEntity, ["\x61\143\164\151\x6f\156" => $this->generateUrl("\143\154\160\137\x73\x69\x74\145\x5f\x63\145\x72\x74\151\146\151\x63\141\164\145\137\x69\155\x70\x6f\162\x74", ["\144\x6f\x6d\x61\151\x6e\116\141\155\x65" => $siteEntity->getDomainName()]), "\155\145\164\150\x6f\144" => "\x50\x4f\123\x54", "\141\164\x74\x72" => []]); goto de368; de368: $form->add("\163\165\x62\155\x69\164", SubmitType::class, ["\x61\x74\164\162" => ["\143\x6c\141\163\163" => "\x62\164\x6e\x20\142\x74\156\x2d\x62\154\165\x65\40\142\164\156\55\154\x67"], "\154\x61\142\145\x6c" => "\111\155\160\x6f\162\164\x20\x61\156\x64\40\111\x6e\163\164\x61\x6c\x6c"]); goto Ac7b4; fb6c8: $siteEntity = $certificateEntity->getSite(); goto F2285; Ac7b4: return $form; goto D1fd3; D1fd3: } private function handleImportCertificateForm(Request $request, Form $form, Site $site) { goto b7c65; aa5cf: try { goto Fe3c9; abe6f: return $response; goto A6d55; E372b: $siteEntity->addCertificate($certificateEntity); goto f2b14; C8bc1: $siteEntity->setCertificate($certificateEntity); goto E372b; Fb76e: $evenData = ["\163\x69\164\145" => $domainName]; goto b300a; f2b14: $this->siteEntityManager->updateEntity($siteEntity); goto Fb76e; cd466: b4d3c: goto abe6f; A1c4e: $siteUpdater->installCertificate($certificateEntity); goto C8bc1; B5d88: $siteEntity = $this->getSiteEntity($domainName); goto ab7d9; d5574: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\x69\164\x65\137\x63\x65\162\164\151\146\151\x63\x61\164\x65\163", ["\x64\x6f\155\141\151\156\x4e\141\155\145" => $site->getDomainName()])); goto cd466; A6ff8: $user = $this->getUser(); goto d8dbd; A7769: goto b4d3c; goto c6cb1; d8dbd: $certificateEntity = $form->getData(); goto Ef3d3; B1dfb: $domainName = $site->getDomainName(); goto B5d88; d8a37: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\151\x74\x65\163")); goto A7769; b300a: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto Fc130; Ef3d3: $siteUpdater = $this->getSiteUpdater($site); goto A1c4e; ab7d9: if (false === is_null($siteEntity)) { goto Ea5d3; } goto d8a37; Fc130: $session->getFlashBag()->set("\x73\165\143\x63\145\163\163", $this->translator->trans("\103\x65\x72\x74\151\146\x69\143\141\164\x65\40\150\x61\163\x20\142\145\145\x6e\40\151\156\163\164\x61\154\x6c\x65\x64\x2e")); goto d5574; c6cb1: Ea5d3: goto A6ff8; Fe3c9: $session = $request->getSession(); goto B1dfb; A6d55: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\145\162", $this->translator->trans("\x41\x6e\40\145\x72\162\157\x72\x20\150\141\x73\x20\x6f\143\x63\x75\162\x72\x65\144\54\x20\145\x72\162\x6f\x72\x20\155\x65\x73\163\x61\x67\145\72\40\x25\x65\162\162\x6f\162\115\x65\163\163\x61\x67\145\x25", ["\45\x65\162\x72\157\162\115\145\x73\x73\141\147\145\45" => $e->getMessage()])); } goto e3c0c; f59b3: goto d378d; goto ee202; ee202: D46d3: goto aa5cf; e3c0c: d378d: goto A3c3d; b7c65: if (true === $form->isValid()) { goto D46d3; } goto e256c; e256c: $this->formErrors = $this->getErrorMessages($form); goto f59b3; A3c3d: } public function newLetsEncryptCertificate(Request $request) : Response { goto D1cef; C9821: return $response; goto Ce27f; b2839: goto e325e; goto b35e3; f342d: $domains = [$registrableDomain, sprintf("\167\x77\x77\x2e\45\163", $registrableDomain)]; goto A5b95; e2ae8: if (!(true === $form->isSubmitted())) { goto F9d4b; } goto Cf427; A5b95: Ab048: goto b2839; c9740: goto D3712; goto a6443; D1cef: $site = $this->getSite($request); goto F58d9; b9d0e: $subdomain = false === empty($subdomain) ? $subdomain : null; goto f8158; d3e58: $domains = array_unique($domains); goto C4c00; F58d9: if (false === is_null($site)) { goto A0eae; } goto F49fd; C4c00: $response = $this->handleLetsEncryptCertificateForm($request, $form, $site, $domains); goto F7b9d; a6443: A0eae: goto Ddd52; F49fd: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\x74\145\163")); goto c9740; Dcd4c: F9d4b: goto e797b; f2c15: $response = $this->render("\106\162\157\156\x74\x65\x6e\x64\57\x53\151\x74\145\57\x6e\145\167\x2d\154\145\164\x73\55\145\156\143\x72\171\x70\164\55\143\145\x72\164\151\146\151\143\x61\164\145\56\150\164\x6d\x6c\56\164\x77\151\x67", ["\163\151\x74\x65" => $site, "\144\157\155\141\151\156\163" => $domains, "\146\x6f\162\x6d" => $form->createView(), "\146\x6f\x72\155\105\x72\x72\157\x72\x73" => $this->formErrors]); goto d61e2; d61e2: D3712: goto eb29f; b35e3: af2fe: goto B8404; B8404: $form->handleRequest($request); goto e2ae8; e797b: e325e: goto f2c15; Ce27f: f9116: goto Dcd4c; a1d80: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto Ff80a; Ff80a: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto b20a4; eb29f: return $response; goto cf52a; Cf427: $domains = (array) $request->get("\144\157\155\141\151\156\x73"); goto Cebaf; F7b9d: if (!(false === is_null($response))) { goto f9116; } goto C9821; be48d: goto Ab048; goto f09f6; f8158: if (true === is_null($subdomain) || "\x77\167\x77" == $subdomain) { goto ae3df; } goto F646e; Cebaf: $domains = array_filter($domains, function ($value) { return false === empty(trim($value)); }); goto E94b8; Ddd52: $domainName = $site->getDomainName(); goto Dbe0c; D749e: $domains = []; goto Be4c5; E94b8: $domains = array_map("\164\162\x69\155", $domains); goto d3e58; Dbe0c: $form = $this->createLetsEncryptCertificateForm($domainName); goto D749e; b20a4: $subdomain = $resolvedDomainName->subDomain()->toString(); goto b9d0e; Be4c5: if (true === $request->isMethod("\120\x4f\x53\x54")) { goto af2fe; } goto a1d80; F646e: $domains = [$domainName]; goto be48d; f09f6: ae3df: goto f342d; cf52a: } private function createLetsEncryptCertificateForm(string $domainName) : Form { goto fc9d3; bc155: return $form; goto Fc176; b7e25: $form->add("\163\x75\x62\x6d\x69\164", SubmitType::class, ["\141\164\x74\x72" => ["\x63\154\x61\163\x73" => "\142\164\156\x20\142\164\156\x2d\x62\x6c\x75\145\x20\x62\164\x6e\x2d\154\x67"], "\154\141\142\x65\154" => "\103\162\145\141\164\x65\x20\141\156\x64\40\x49\x6e\163\x74\141\x6c\154"]); goto bc155; fc9d3: $form = $this->createForm("\x41\x70\x70\134\106\157\x72\x6d\x5c\x53\151\164\145\x4c\145\x74\x73\105\156\x63\x72\x79\160\x74\103\x65\162\164\x69\146\151\x63\x61\164\145\x54\171\x70\x65", [], ["\x61\143\x74\x69\x6f\156" => $this->generateUrl("\x63\154\x70\x5f\163\x69\x74\x65\137\154\145\164\163\x5f\x65\x6e\143\162\171\x70\x74\137\143\x65\x72\x74\151\x66\x69\x63\141\x74\145\x5f\x6e\145\167", ["\144\157\x6d\141\x69\x6e\x4e\141\x6d\x65" => $domainName]), "\x6d\145\164\x68\157\144" => "\120\117\123\x54", "\x61\164\164\162" => ["\151\x64" => "\x63\162\x65\x61\x74\145\55\154\145\164\x73\x2d\x65\156\x63\x72\171\x70\x74\x2d\x63\x65\162\x74\x69\x66\x69\143\x61\x74\145\55\x66\157\x72\x6d"]]); goto b7e25; Fc176: } private function handleLetsEncryptCertificateForm(Request $request, Form $form, Site $site, array $domains) { goto E3fb8; D4225: B9b45: goto Fa64f; e4962: try { goto a0acc; F0d87: if (true === empty($validationErrors)) { goto e6ee7; } goto c2f26; F1d77: $letsEncryptClient = new LetsEncryptClient($privateKey); goto Ba970; edfa4: C1c7c: goto E2d33; Ba214: $certificateEntity->setCertificateChain($certificate->getCertificateChain()); goto df9b2; c2f26: foreach ($validationErrors as $domain => $validationErrorMessage) { $form->addError(new FormError(sprintf("\45\163\72\40\45\x73", $domain, $validationErrorMessage))); Eb1a3: } goto a6bc0; Afff1: $siteEntity->addCertificate($certificateEntity); goto C545d; e8eb5: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto b3604; E15b6: $csr = $csrGenerator->generate(); goto ee413; Fd971: $certificateEntity->setSite($siteEntity); goto a6c54; A21c5: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto Ea80d; A2f21: $siteEntity->setCertificate($certificateEntity); goto Afff1; f0ab2: $certificateEntity->setCertificate($certificate->getCertificate()); goto Ba214; ee413: $certificate = $letsEncryptClient->finalizeOrder($certificateOrder, $privateKey, $csr); goto Fbe15; Ea80d: $session->getFlashBag()->set("\163\165\x63\143\x65\x73\x73", $this->translator->trans("\103\145\x72\164\151\x66\x69\x63\141\x74\145\40\x68\x61\163\x20\142\145\145\x6e\x20\151\x6e\163\164\141\x6c\x6c\x65\144\x2e")); goto B6661; B9f9b: $privateKey = new PrivateKey($letsEncryptPrivateKey); goto E02ad; D7ce7: $siteUpdater->deleteLetsEncryptChallengeDirectory(); goto c0155; D5288: $certificateEntity->setType(CertificateEntity::TYPE_LETS_ENCRYPT); goto Fd971; eaae7: $letsEncryptPrivateKey = $this->configManager->get("\x6c\145\x5f\160\x72\151\166\141\x74\145\x5f\153\x65\171"); goto B9f9b; C9aaf: $letsEncryptClient->registerAccount(); goto e8eb5; C510b: if (!(true === empty($validationErrors))) { goto b0505; } goto F1d77; F6de1: $distinguishedNameDomains = $domains; goto a1428; c2931: goto B3a12; goto fb3bf; B6661: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\x69\x74\145\137\x63\145\162\164\x69\x66\x69\x63\x61\164\145\x73", ["\x64\x6f\x6d\141\151\156\x4e\x61\x6d\145" => $site->getDomainName()])); goto F1ccc; A398f: $siteUpdater->deleteLetsEncryptChallengeDirectory(); goto Ec3de; cbb6d: $evenData = ["\x73\151\x74\x65" => $domainName]; goto A21c5; F1ccc: return $response; goto edfa4; bb9ab: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto c448c; cf993: if (false === is_null($siteEntity)) { goto a4176; } goto Cc649; fb3bf: a4176: goto C45bb; A8d03: return $response; goto c2931; C2ca7: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto acf0e; E02ad: $letsEncryptClient = new LetsEncryptClient($privateKey); goto c7bec; Ebf5d: $rsaKeyGenerator = new RsaKeyGenerator(); goto F05d2; Ebbd1: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto C510b; Ec3de: $siteUpdater->createLetsEncryptChallengeFiles($certificateOrder); goto Ebbd1; b3604: $siteUpdater = $this->getSiteUpdater($site); goto A398f; a1428: $commonName = array_shift($distinguishedNameDomains); goto b1950; F05d2: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto F83e3; Ba970: $letsEncryptClient->registerAccount(); goto C2ca7; Cc649: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\x69\164\145\x73")); goto A8d03; Fbe15: $certificateEntity = $this->certificateEntityManager->createEntity(); goto D5288; c0155: $siteUpdater->createLetsEncryptChallengeFiles($certificateOrder); goto bb9ab; cf67c: $siteUpdater->installCertificate($certificateEntity); goto A2f21; fc2ab: $certificateEntity->setPrivateKey($certificate->getPrivateKey()); goto f0ab2; E2d33: B3a12: goto Afdef; F83e3: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto E15b6; acf0e: $siteUpdater = $this->getSiteUpdater($site); goto D7ce7; df9b2: $siteUpdater = $this->getSiteUpdater($site); goto cf67c; c7bec: $letsEncryptClient->setDryRun(true); goto C9aaf; f657d: goto C1c7c; goto ab329; a6c54: $certificateEntity->setCsr($certificate->getCsr()); goto fc2ab; e3477: $domainName = $site->getDomainName(); goto F18d4; a6bc0: Ba57f: goto f657d; c448c: b0505: goto F0d87; b1950: $distinguishedName = new DistinguishedName($commonName, $distinguishedNameDomains); goto Ebf5d; ab329: e6ee7: goto F6de1; C545d: $this->siteEntityManager->updateEntity($siteEntity); goto cbb6d; F18d4: $siteEntity = $this->getSiteEntity($domainName); goto cf993; C45bb: $user = $this->getUser(); goto eaae7; a0acc: $session = $request->getSession(); goto e3477; Afdef: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\147\x65\x72", $this->translator->trans("\101\156\x20\145\x72\x72\157\x72\x20\150\141\x73\40\157\143\143\165\x72\162\145\144\x2c\40\x65\x72\x72\157\x72\40\155\145\x73\x73\x61\147\x65\x3a\x20\x25\x65\x72\162\157\162\115\145\x73\163\x61\x67\145\45", ["\45\x65\x72\162\157\162\115\145\x73\x73\141\x67\145\45" => $e->getMessage()])); } finally { if (!(true === isset($siteUpdater))) { goto B0b57; } $siteUpdater->deleteLetsEncryptChallengeDirectory(); B0b57: } goto D4225; Fa64f: $this->formErrors = $this->getErrorMessages($form); goto b7475; E3fb8: if (!(true === $form->isValid())) { goto B9b45; } goto e4962; b7475: } public function installCertificate(Request $request) : Response { goto df067; A80e2: try { goto e9994; F9f3d: B0b1f: goto b745b; E9c95: $siteEntity = $this->getSiteEntity($domainName); goto B609d; Affd7: $session->getFlashBag()->set("\163\x75\x63\143\x65\x73\163", $this->translator->trans("\x43\145\x72\164\151\146\151\143\141\164\145\40\x68\x61\163\x20\142\145\x65\156\40\151\x6e\163\164\x61\154\154\145\x64\56")); goto Dab35; A8655: $siteUpdater->installCertificate($certificateEntity); goto E2c09; B49e2: $evenData = ["\163\x69\164\x65" => $domainName]; goto fd54f; B609d: $certificateEntity = $this->certificateEntityManager->findOneByUid($uid); goto b42de; b42de: if (!(false === is_null($siteEntity) && false === empty($uid) && false === is_null($certificateEntity))) { goto Fc707; } goto b741e; e9994: $session = $request->getSession(); goto a9f01; b741e: $certificateSiteEntity = $certificateEntity->getSite(); goto b8746; a9f01: $uid = $request->get("\165\x69\x64"); goto Dfa15; b745b: Fc707: goto bf63b; d7e66: $this->siteEntityManager->updateEntity($siteEntity); goto B49e2; Dab35: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\x69\164\145\x5f\143\x65\x72\164\x69\x66\151\x63\x61\164\x65\163", ["\x64\157\155\141\x69\x6e\116\x61\x6d\145" => $site->getDomainName()])); goto Fa55e; A2a39: $user = $this->getUser(); goto a3ff2; Dfa15: $domainName = $site->getDomainName(); goto E9c95; E2c09: $siteEntity->setCertificate($certificateEntity); goto d7e66; Fa55e: return $response; goto F9f3d; a3ff2: $siteUpdater = $this->getSiteUpdater($site); goto A8655; fd54f: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto Affd7; b8746: if (!($siteEntity->getDomainName() == $certificateSiteEntity->getDomainName() && $siteEntity->getCertificate() != $certificateSiteEntity)) { goto B0b1f; } goto A2a39; bf63b: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\x65\x72", $this->translator->trans("\x41\156\40\x65\x72\x72\x6f\162\x20\150\141\x73\x20\x6f\x63\143\165\x72\x72\145\x64\x2c\x20\145\x72\162\x6f\162\x20\155\x65\x73\163\x61\147\145\72\40\x25\x65\x72\x72\x6f\162\115\145\x73\163\141\x67\145\45", ["\45\145\162\162\157\x72\115\x65\163\163\141\147\145\45" => $e->getMessage()])); } goto Cc263; Cc263: a6440: goto B19c3; af781: return $response; goto a900a; d6d62: if (!(false === is_null($site))) { goto a6440; } goto A80e2; df067: $site = $this->getSite($request); goto d6d62; B19c3: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\x69\164\145\163")); goto af781; a900a: } public function deleteCertificate(Request $request) : Response { goto D5881; C1e02: try { goto E2c20; Db1be: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\x69\x74\x65\137\x63\145\162\164\151\x66\151\143\x61\x74\145\x73", ["\144\157\x6d\x61\x69\156\x4e\141\x6d\x65" => $site->getDomainName()])); goto d8275; E2c20: $session = $request->getSession(); goto b4272; Ad60c: if (!(false === is_null($siteEntity) && false === empty($uid) && false === is_null($certificateEntity) && false === $certificateEntity->getDefaultCertificate())) { goto fedb5; } goto F8e2d; d8275: return $response; goto C36b7; c1933: $user = $this->getUser(); goto F634d; Bdf26: $domainName = $site->getDomainName(); goto d214c; c6645: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_DELETE, $user, $evenData, $request); goto F9243; C8ff5: $this->siteEntityManager->updateEntity($siteEntity); goto a0668; F9243: $session->getFlashBag()->set("\x73\x75\x63\143\145\163\163", $this->translator->trans("\103\145\162\x74\x69\x66\151\143\x61\x74\x65\40\x68\x61\x73\40\142\x65\x65\156\40\x64\145\154\x65\x74\x65\x64\56")); goto Db1be; F8e2d: $certificateSiteEntity = $certificateEntity->getSite(); goto a1f04; F634d: $siteEntity->removeCertificate($certificateEntity); goto C8ff5; d214c: $siteEntity = $this->getSiteEntity($domainName); goto f96d2; a0668: $evenData = ["\163\151\x74\x65" => $domainName]; goto c6645; f45db: fedb5: goto Ae71c; b4272: $uid = $request->get("\x75\x69\144"); goto Bdf26; a1f04: if (!($siteEntity->getDomainName() == $certificateSiteEntity->getDomainName() && $siteEntity->getCertificate() != $certificateSiteEntity)) { goto A266c; } goto c1933; C36b7: A266c: goto f45db; f96d2: $certificateEntity = $this->certificateEntityManager->findOneByUid($uid); goto Ad60c; Ae71c: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\147\x65\162", $this->translator->trans("\x41\x6e\x20\x65\x72\162\x6f\x72\x20\x68\141\x73\40\157\143\x63\x75\x72\x72\x65\144\54\40\145\x72\162\x6f\x72\40\155\145\x73\x73\x61\x67\145\x3a\40\x25\x65\162\162\x6f\162\115\145\x73\x73\x61\x67\145\45", ["\x25\x65\x72\162\157\x72\115\145\163\x73\141\147\145\x25" => $e->getMessage()])); } goto c2f90; c2fba: $this->checkCsrfToken($request, "\143\x65\x72\164\151\146\x69\x63\x61\x74\145\x2d\x64\145\154\x65\164\x65"); goto Fb9a8; Fb9a8: if (!(false === is_null($site))) { goto Ca53a; } goto C1e02; Ca770: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\151\164\145\x73")); goto c7bd5; D5881: $site = $this->getSite($request); goto c2fba; c2f90: Ca53a: goto Ca770; c7bd5: return $response; goto f53b3; f53b3: } public function databases(Request $request) : Response { goto a3b8c; ee8e7: return $response; goto e4dd7; Dd8d3: $response = $this->render("\106\x72\157\x6e\x74\x65\x6e\144\57\x53\151\x74\x65\57\x64\x61\x74\141\142\x61\x73\145\163\56\150\164\x6d\154\x2e\x74\167\151\x67", ["\x73\x69\164\x65" => $site, "\144\x61\164\x61\x62\x61\163\145\x73" => $databases, "\x6e\165\155\x62\x65\162\117\x66\x44\141\x74\x61\x62\141\x73\145\125\163\x65\162\x73" => $numberOfDatabaseUsers, "\144\141\x74\x61\x62\x61\x73\145\123\145\x72\166\145\162" => $databaseServerEntity]); goto bbcf1; dd430: E60ee: goto Dd8d3; aa596: foreach ($databases as $database) { $numberOfDatabaseUsers += count($database->getUsers()); dfdc2: } goto dd430; c6418: $databases = $site->getDatabases(); goto b9ec8; Ba9af: d2c51: goto c6418; dd00d: goto Fa408; goto Ba9af; b9ec8: $databaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto Bdda0; f314c: if (false === is_null($site)) { goto d2c51; } goto Dcb1c; a3b8c: $site = $this->getSite($request); goto f314c; Dcb1c: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\x69\164\145\163")); goto dd00d; bbcf1: Fa408: goto ee8e7; Bdda0: $numberOfDatabaseUsers = 0; goto aa596; e4dd7: } public function newDatabase(Request $request) : Response { goto E2b6f; b3164: $response = $this->handleDatabaseForm($request, $form, $site); goto b1e93; E2b6f: $site = $this->getSite($request); goto fdaf6; cd7d7: $databaseEntity->setSite($siteEntity); goto e7c1a; dd440: return $response; goto e6c52; Eba57: Bc50f: goto f506e; E196e: goto a3d1b; goto A4dca; e6c52: F59b2: goto eba47; fdaf6: if (false === is_null($site)) { goto Cd280; } goto b3149; b3149: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\x69\164\x65\x73")); goto E196e; eba47: Dd46f: goto Eba57; E623d: $form->handleRequest($request); goto b9928; ab5fb: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Dcdf8; f506e: $response = $this->render("\x46\x72\157\156\x74\145\156\x64\x2f\123\x69\164\145\57\156\145\167\x2d\144\141\x74\141\142\x61\x73\x65\56\150\164\x6d\154\x2e\x74\167\151\147", ["\163\151\164\x65" => $site, "\146\x6f\x72\x6d" => $form->createView(), "\x66\157\x72\155\105\x72\162\x6f\162\x73" => $this->formErrors]); goto bce71; e7c1a: $form = $this->createDatabaseForm($site, $databaseEntity); goto E1064; b9928: if (!(true === $form->isSubmitted())) { goto Dd46f; } goto b3164; A4dca: Cd280: goto ab5fb; E1064: if (!(true === $request->isMethod("\120\117\x53\124"))) { goto Bc50f; } goto E623d; bce71: a3d1b: goto Bed28; b1e93: if (!(false === is_null($response))) { goto F59b2; } goto dd440; Dcdf8: $databaseEntity = $this->databaseEntityManager->createEntity(); goto cd7d7; Bed28: return $response; goto Cb600; Cb600: } private function createDatabaseForm(Site $site, DatabaseEntity $databaseEntity) : Form { goto Eee41; D7b13: $form->add("\x73\x75\x62\x6d\x69\x74", SubmitType::class, ["\x61\x74\x74\162" => ["\x63\154\141\163\163" => "\142\x74\x6e\x20\142\164\156\55\142\154\165\x65\x20\142\x74\156\x2d\x6c\x67"], "\x6c\x61\x62\x65\154" => "\x41\144\x64\x20\x44\141\164\141\x62\x61\x73\145"]); goto ec860; ec860: return $form; goto D7fcd; Eee41: $form = $this->createForm("\101\160\x70\134\x46\157\x72\155\134\x53\151\164\145\104\x61\x74\141\142\x61\x73\x65\124\171\x70\145", $databaseEntity, ["\x61\143\x74\x69\x6f\x6e" => $this->generateUrl("\143\x6c\160\137\163\151\164\145\137\x64\141\x74\x61\142\141\x73\x65\137\x6e\145\x77", ["\x64\157\155\x61\x69\156\116\141\x6d\145" => $site->getDomainName()]), "\x6d\145\x74\x68\x6f\x64" => "\x50\117\123\124", "\x61\164\x74\x72" => []]); goto D7b13; D7fcd: } private function handleDatabaseForm(Request $request, Form $form, Site $site) { goto A6f58; Cbdce: try { goto C4545; b51fe: $databaseUserEntity->setDatabase($databaseEntity); goto A7cd0; ff267: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_ADD, $user, $eventData, $request); goto d9001; cbbf2: F0df2: goto b3204; eb3fc: $databaseManager->createDatabase($databaseEntity); goto b5e20; b5e20: $databaseManager->createUser($databaseUserEntity); goto ce475; C4545: $user = $this->getUser(); goto d36b9; A7cd0: $databaseEntity->addUser($databaseUserEntity); goto D62f3; C6713: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto c329b; Cf0a1: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto fce90; Bfdd4: goto F0df2; goto D1f4f; c216d: $databaseEntity = $form->getData(); goto E8897; ce475: $this->siteEntityManager->updateEntity($siteEntity); goto A64b4; fce90: $databaseEntity->setDatabaseServer($activeDatabaseServerEntity); goto a56d4; Fee9d: $domainName = $site->getDomainName(); goto ae14c; b3204: return $response; goto cbdbd; e4e04: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\151\164\x65\137\x64\x61\164\x61\142\x61\x73\x65\x73", ["\x64\157\155\141\x69\x6e\x4e\141\x6d\145" => $site->getDomainName()])); goto cbbf2; E2212: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\x69\x74\145\x5f\144\141\164\x61\x62\x61\x73\x65\137\x6e\x65\167", ["\x64\157\x6d\x61\x69\x6e\116\x61\x6d\x65" => $site->getDomainName()])); goto Bfdd4; f8796: $databaseUserPassword = $form->get("\x75\163\x65\x72\x50\141\x73\x73\167\x6f\x72\144")->getData(); goto C6713; f24c0: $databaseUserName = $form->get("\x75\x73\145\162\x4e\141\155\x65")->getData(); goto f8796; ae14c: $siteEntity = $this->getSiteEntity($domainName); goto B6b5f; A64b4: $eventData = ["\163\x69\x74\145" => $domainName, "\144\x61\x74\x61\x62\x61\163\145" => $databaseEntity->getName(), "\144\141\x74\141\x62\141\x73\x65\x55\163\145\162\116\141\x6d\145" => $databaseUserEntity->getUserName()]; goto ff267; De5fd: $databaseUserEntity->setPassword(Crypto::encrypt($databaseUserPassword)); goto a4986; d36b9: $session = $request->getSession(); goto Fee9d; D1f4f: Aaaaf: goto c216d; a56d4: $databaseEntity->setSite($siteEntity); goto f24c0; D62f3: $siteEntity->addDatabase($databaseEntity); goto eb3fc; E8897: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto Cf0a1; c329b: $databaseUserEntity->setUserName($databaseUserName); goto De5fd; B6b5f: if (false === is_null($siteEntity)) { goto Aaaaf; } goto E2212; a4986: $databaseUserEntity->setPermissions(DatabaseUserEntity::PERMISSIONS_READ_WRITE); goto b51fe; d9001: $session->getFlashBag()->set("\163\x75\143\143\x65\x73\x73", $this->translator->trans("\x44\x61\164\x61\142\141\x73\145\x20\150\141\163\x20\142\x65\x65\x6e\x20\x61\144\x64\145\x64\x2e")); goto e4e04; cbdbd: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\x65\162", $this->translator->trans("\x41\x6e\40\145\162\x72\x6f\x72\40\150\x61\163\x20\x6f\x63\143\x75\162\x72\x65\144\54\x20\x65\x72\x72\157\x72\40\155\x65\163\163\141\x67\145\x3a\x20\45\145\x72\x72\x6f\162\115\145\x73\163\x61\147\145\x25", ["\45\145\x72\x72\x6f\162\115\x65\x73\x73\141\147\145\x25" => $e->getMessage()])); } goto A748e; A6f58: if (true === $form->isValid()) { goto b16f6; } goto fd075; A748e: aef4c: goto fce01; a9b14: goto aef4c; goto ef34f; fd075: $this->formErrors = $this->getErrorMessages($form); goto a9b14; ef34f: b16f6: goto Cbdce; fce01: } public function deleteDatabase(Request $request) : Response { goto Dce2a; e7a35: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto c40e5; C1d92: $this->checkCsrfToken($request, "\144\x61\164\x61\142\141\x73\145\x2d\x64\x65\154\145\x74\x65"); goto Db109; Db109: if (!(false === is_null($site))) { goto a8b0d; } goto B0109; B0ade: d9b50: goto a39bd; F3f47: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\151\x74\145\137\144\x61\x74\141\142\141\163\x65\x73", ["\144\157\x6d\x61\x69\156\x4e\141\155\x65" => $site->getDomainName()])); goto F914f; e0dc0: try { goto Fb637; Ea0b2: $eventData = ["\x73\151\x74\x65" => $domainName, "\x64\x61\x74\x61\x62\141\x73\145" => $databaseEntity->getName()]; goto Eb819; F4daa: $session->getFlashBag()->set("\163\165\x63\143\145\163\x73", $this->translator->trans("\x44\x61\164\x61\x62\x61\x73\145\40\150\x61\x73\40\x62\x65\x65\x6e\x20\144\x65\154\x65\164\x65\144\x2e")); goto C86cc; Fb637: $user = $this->getUser(); goto A6974; A6974: $session = $request->getSession(); goto F9493; Ca18b: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto A8fb6; F9493: $domainName = $site->getDomainName(); goto Ca18b; F62e2: $databaseManager->deleteDatabase($databaseEntity, true); goto b8c15; Eb819: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_DELETE, $user, $eventData, $request); goto F4daa; b8c15: $siteEntity->removeDatabase($databaseEntity); goto C2791; A8fb6: $databaseManager = new DatabaseManager($databaseServerEntity); goto F62e2; C2791: $this->siteEntityManager->updateEntity($siteEntity); goto Ea0b2; C86cc: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\145\162", $this->translator->trans("\101\156\x20\x65\x72\x72\x6f\162\40\x68\x61\163\x20\157\x63\x63\x75\162\162\145\x64\x2c\40\x65\162\x72\157\162\x20\x6d\145\163\163\141\x67\145\72\40\45\x65\x72\x72\157\162\115\145\163\x73\141\147\x65\x25", ["\45\x65\162\162\157\162\x4d\145\x73\163\141\147\x65\x25" => $e->getMessage()])); } goto F3f47; acad3: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName() && false === is_null($siteEntity))) { goto d9b50; } goto e0dc0; B0109: $databaseName = $request->get("\x64\x61\164\x61\142\141\x73\x65\116\x61\x6d\x65"); goto e7a35; a39bd: a8b0d: goto F88b2; c40e5: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto acad3; Dce2a: $site = $this->getSite($request); goto C1d92; F88b2: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\164\x65\x73")); goto fd887; F914f: return $response; goto B0ade; fd887: return $response; goto Cae56; Cae56: } public function phpMyAdmin(Request $request) : Response { goto Ab063; F5225: $response = new RedirectResponse($phpMyAdminUrl); goto a56a2; D43b7: $databaseUserName = $request->get("\x64\141\x74\x61\142\x61\x73\145\125\x73\145\x72\116\141\x6d\145"); goto aa225; Ad4b2: if (false === is_null($domainName)) { goto F08e6; } goto a8b53; E41fc: return $response; goto ac307; Eb35b: $response->headers->clearCookie("\x53\x69\x67\156\x6f\x6e\x53\x65\x73\163\x69\157\x6e"); goto E41fc; c3d21: goto Ab051; goto ab5b7; Cecb4: $databaseEntity = $databaseUserEntity->getDatabase(); goto f95c4; Ce85c: c3902: goto bc9bf; b7ab7: $response->headers->clearCookie("\160\x68\x70\115\171\x41\x64\x6d\151\156\x5f\150\164\164\x70\163"); goto f731a; d40eb: $site = $this->getSite($request); goto Fc36c; e2322: if (!(false === is_null($activeDatabaseServerEntity))) { goto A836f; } goto C7930; a8b53: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto e2322; aa225: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto F6433; bc9bf: Ab051: goto f6da5; Be5df: if (!(false === is_null($activeDatabaseServerEntity) && false === is_null($activeDatabaseServerEntity))) { goto F6b55; } goto Cecb4; Fc36c: if (!(false === is_null($site))) { goto c3902; } goto D43b7; Ae1cc: return $response; goto c71e4; Abfbc: F6b55: goto Ce85c; b00b9: $session = $request->getSession(); goto Ad4b2; a56a2: $response->headers->clearCookie("\x63\154\160\x2d\x70\155\141"); goto b7ab7; f5346: fc230: goto Abfbc; bd312: return $response; goto f5346; F12ff: $session->set("\143\154\x70\x2d\x70\155\141", $data); goto F5225; E4651: $phpMyAdminUrl = sprintf("\x68\x74\164\x70\x73\72\57\57\45\163\x3a\x25\x73\x2f\x70\150\160\155\171\x61\144\155\x69\156\x2f\x6c\157\147\x69\156\56\160\150\x70", $request->getHost(), $request->getPort()); goto Cb92f; f95c4: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName())) { goto fc230; } goto E4651; Ab063: $domainName = $request->get("\144\157\x6d\x61\x69\x6e\116\141\155\x65"); goto b00b9; F6433: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto Be5df; f19ae: $response = new RedirectResponse($phpMyAdminUrl); goto bd312; C7930: $phpMyAdminUrl = sprintf("\150\164\x74\x70\x73\x3a\x2f\57\x25\x73\72\x25\x73\x2f\x70\150\x70\x6d\x79\141\144\x6d\x69\x6e\57\x6c\x6f\147\151\156\x2e\x70\150\160", $request->getHost(), $request->getPort()); goto E08bb; E08bb: $data = ["\150\157\x73\x74" => $activeDatabaseServerEntity->getHost(), "\160\157\x72\x74" => $activeDatabaseServerEntity->getPort()]; goto F12ff; Bc5eb: $session->set("\x63\x6c\160\x2d\160\x6d\x61", $data); goto f19ae; ac307: A836f: goto c3d21; ab5b7: F08e6: goto d40eb; f6da5: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\x69\x74\145\163")); goto Ae1cc; Cb92f: $data = ["\150\157\163\164" => $activeDatabaseServerEntity->getHost(), "\x75\x73\145\x72\x4e\141\x6d\145" => $databaseUserEntity->getUserName(), "\160\x61\163\163\167\157\162\x64" => $databaseUserEntity->getDecryptedPassword(), "\160\x6f\x72\164" => $activeDatabaseServerEntity->getPort()]; goto Bc5eb; f731a: $response->headers->clearCookie("\x70\x6d\141\101\165\x74\x68\x2d\61\x5f\150\164\164\160\163"); goto Eb35b; c71e4: } public function phpMyAdminLogout(Request $request) { goto Acb13; Fe3b5: return $response; goto E8f1c; B6436: $response->headers->clearCookie("\123\x69\x67\156\157\x6e\123\145\x73\x73\x69\157\x6e"); goto Fe3b5; c2c7c: $response->headers->clearCookie("\x70\x6d\x61\x41\x75\x74\x68\x2d\61\137\150\x74\164\x70\x73"); goto B6436; ab63d: $response->headers->clearCookie("\x70\150\160\x4d\x79\x41\x64\155\151\156\137\150\x74\x74\160\163"); goto c2c7c; C70c5: $response->headers->clearCookie("\x63\154\x70\55\160\x6d\141"); goto ab63d; Acb13: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\x74\x65\163")); goto C70c5; E8f1c: } public function newDatabaseUser(Request $request) : Response { goto b029c; d0872: Fe2fa: goto E796f; Ffe61: ffc88: goto D1b9a; e0550: if (count($databases) && false === is_null($siteEntity)) { goto F6b60; } goto Ca727; b8102: if (!(true === $request->isMethod("\120\117\123\x54"))) { goto c2da6; } goto B01c6; F4a6e: $response = $this->handleDatabaseUserForm($request, $form, $site); goto Dd2e7; E796f: return $response; goto B9b46; b029c: $site = $this->getSite($request); goto E8e7e; C487f: F6b60: goto C8055; aa82b: goto Aae1f; goto C487f; fcb7f: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\x74\x65\x73")); goto f4122; C8055: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto fb605; bcfaa: return $response; goto c4919; Dd2e7: if (!(false === is_null($response))) { goto Bac66; } goto bcfaa; D1b9a: c2da6: goto Af85a; f4122: goto Fe2fa; goto c6de1; Ad80a: $databases = $site->getDatabases(); goto da862; ca1a3: $form = $this->createDatabaseUserForm($site, $databaseUserEntity); goto b8102; c7132: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\151\x74\x65\x5f\x64\141\x74\141\142\x61\x73\x65\x73", ["\144\157\x6d\x61\151\x6e\116\141\x6d\145" => $site->getDomainName()])); goto aa82b; Ca727: $session = $request->getSession(); goto Def73; D99aa: if (!(true === $form->isSubmitted())) { goto ffc88; } goto F4a6e; E8e7e: if (false === is_null($site)) { goto ab15b; } goto fcb7f; edc61: Aae1f: goto d0872; Def73: $session->getFlashBag()->set("\144\141\x6e\x67\x65\x72", $this->translator->trans("\116\157\40\144\141\x74\141\142\x61\x73\145\40\x66\x6f\x75\x6e\144\73\x20\x63\162\x65\141\164\145\40\141\x20\144\x61\164\141\142\141\x73\145\x20\x66\151\x72\x73\x74\x2e")); goto c7132; B01c6: $form->handleRequest($request); goto D99aa; da862: $domainName = $site->getDomainName(); goto Ad13e; Ad13e: $siteEntity = $this->getSiteEntity($domainName); goto e0550; c4919: Bac66: goto Ffe61; fb605: $databaseUserEntity->setSite($siteEntity); goto ca1a3; Af85a: $response = $this->render("\x46\162\157\x6e\164\x65\156\x64\57\x53\x69\164\145\x2f\156\x65\167\x2d\144\x61\164\x61\142\141\x73\145\x2d\x75\x73\x65\162\56\150\x74\x6d\154\56\x74\167\151\x67", ["\163\151\164\145" => $site, "\144\141\164\141\x62\141\x73\145\x55\x73\145\162" => $databaseUserEntity, "\144\141\x74\x61\142\x61\x73\x65\163" => $databases, "\x66\x6f\x72\x6d" => $form->createView(), "\146\x6f\x72\x6d\x45\x72\162\x6f\x72\x73" => $this->formErrors]); goto edc61; c6de1: ab15b: goto Ad80a; B9b46: } private function createDatabaseUserForm(Site $site, DatabaseUserEntity $databaseUserEntity) : Form { goto baf93; Cc042: $form->add("\163\165\142\155\151\x74", SubmitType::class, ["\141\x74\164\162" => ["\143\154\x61\163\x73" => "\142\164\156\x20\x62\x74\156\55\142\x6c\165\x65\x20\x62\x74\x6e\x2d\154\x67"], "\x6c\141\x62\145\154" => "\101\x64\x64\40\104\141\164\141\x62\x61\x73\145\x20\125\163\145\x72"]); goto B9e00; B9e00: return $form; goto f4b67; baf93: $form = $this->createForm("\101\x70\160\134\106\157\162\x6d\134\x53\151\164\x65\104\x61\x74\x61\142\141\x73\145\125\163\145\162\124\x79\160\145", $databaseUserEntity, ["\141\x63\x74\151\157\x6e" => $this->generateUrl("\x63\154\x70\x5f\x73\151\164\x65\x5f\x64\141\x74\x61\142\141\x73\x65\137\165\163\145\162\x5f\156\x65\167", ["\x64\x6f\x6d\x61\x69\x6e\116\x61\155\145" => $site->getDomainName()]), "\155\145\x74\x68\157\144" => "\120\x4f\123\124", "\x61\164\x74\162" => []]); goto Cc042; f4b67: } private function handleDatabaseUserForm(Request $request, Form $form, Site $site) { goto F8eef; F8eef: if (true === $form->isValid()) { goto A6256; } goto D4e5f; Fd6c2: try { goto e4b63; Dcb2f: $databaseUserEntity = $form->getData(); goto Bb2a5; Bb2a5: $encryptedPassword = Crypto::encrypt($databaseUserEntity->getPassword()); goto E3d7d; c4288: $this->databaseUserEntityManager->updateEntity($databaseUserEntity); goto F198a; f3c70: $databaseManager->createUser($databaseUserEntity); goto c4288; c9f03: cf2ab: goto D5af3; F198a: $databaseEntity = $databaseUserEntity->getDatabase(); goto E85eb; Efe24: $siteEntity = $this->getSiteEntity($domainName); goto Fe368; d34f5: e98b0: goto Dcb2f; c8051: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\151\164\145\137\x64\x61\x74\141\x62\141\163\x65\163", ["\x64\157\x6d\141\151\x6e\116\141\x6d\145" => $site->getDomainName()])); goto c9f03; E6a4d: goto cf2ab; goto d34f5; E3d7d: $databaseUserEntity->setPassword($encryptedPassword); goto Ba85e; cf117: $session = $request->getSession(); goto c235a; Ba85e: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto A69cd; Fe368: if (false === is_null($siteEntity)) { goto e98b0; } goto cf92f; cf92f: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x73\151\x74\x65\x5f\144\x61\164\141\142\141\163\x65\137\x75\x73\145\x72\137\x6e\145\167", ["\144\157\x6d\141\151\156\x4e\141\155\x65" => $site->getDomainName()])); goto E6a4d; c235a: $domainName = $site->getDomainName(); goto Efe24; e4b63: $user = $this->getUser(); goto cf117; D5af3: return $response; goto D8af4; B29d4: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_ADD, $user, $eventData, $request); goto Fe48d; d4ae9: $eventData = ["\x73\151\164\x65" => $domainName, "\x64\141\x74\x61\142\141\163\x65\x55\163\x65\162\116\x61\155\145" => $databaseUserEntity->getUserName(), "\160\x65\x72\155\151\x73\163\151\157\x6e\x73" => $databaseUserEntity->getPermissions(), "\x64\x61\164\x61\142\x61\x73\145" => $databaseName]; goto B29d4; Fe48d: $session->getFlashBag()->set("\x73\x75\143\x63\145\x73\163", $this->translator->trans("\x44\141\x74\141\x62\x61\x73\145\x20\x55\x73\145\x72\x20\x68\141\163\x20\x62\x65\x65\156\40\141\144\x64\x65\144\56")); goto c8051; E85eb: $databaseName = $databaseEntity->getName(); goto d4ae9; A69cd: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto f3c70; D8af4: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\145\162", $this->translator->trans("\101\156\x20\x65\x72\162\157\162\40\x68\x61\x73\x20\157\143\x63\165\162\162\x65\x64\x2c\x20\145\x72\162\157\162\40\x6d\x65\x73\163\141\147\x65\x3a\40\45\x65\x72\162\157\162\x4d\x65\163\163\x61\x67\x65\45", ["\x25\145\x72\162\x6f\162\x4d\x65\x73\163\141\x67\x65\45" => $e->getMessage()])); } goto Bb321; C2298: A6256: goto Fd6c2; Bb321: C5dc8: goto dd06c; f380e: goto C5dc8; goto C2298; D4e5f: $this->formErrors = $this->getErrorMessages($form); goto f380e; dd06c: } public function editDatabaseUser(Request $request) : Response { goto ca64d; F7378: d7239: goto F10fc; E795a: $response = $this->handleDatabaseUserEditForm($request, $form, $site); goto d333b; ad3df: if (false === is_null($site)) { goto E9a83; } goto f4885; a478d: return $response; goto F7378; D64ac: $response = $this->render("\x46\x72\157\x6e\x74\x65\x6e\x64\57\x53\151\x74\145\x2f\145\144\x69\x74\x2d\x64\x61\x74\141\142\x61\163\x65\55\165\x73\x65\x72\x2e\x68\x74\x6d\x6c\x2e\164\167\151\147", ["\163\x69\164\x65" => $site, "\x64\141\164\x61\142\141\x73\x65\x55\x73\x65\162" => $databaseUserEntity, "\146\157\x72\x6d" => $form->createView(), "\x66\157\162\155\105\162\x72\157\x72\163" => $this->formErrors]); goto e9bcf; d333b: if (!(false === is_null($response))) { goto d7239; } goto a478d; Ada17: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\163\151\x74\145\x5f\x64\x61\x74\141\x62\141\x73\x65\x73", ["\144\x6f\x6d\141\x69\156\116\x61\x6d\x65" => $site->getDomainName()])); goto D1d7c; A5381: if (!(true === $form->isSubmitted())) { goto Dcda3; } goto E795a; ca64d: $site = $this->getSite($request); goto ad3df; E6929: if (!(true === $request->isMethod("\x50\x4f\x53\x54"))) { goto Fcec4; } goto f0983; b342a: $siteEntity = $this->getSiteEntity($domainName); goto Ae825; e9bcf: D7b5a: goto f3b10; aa681: return $response; goto ac005; bc8fc: $session->getFlashBag()->set("\144\x61\x6e\x67\145\x72", $this->translator->trans("\x4e\x6f\40\144\x61\164\x61\x62\x61\163\x65\x20\x66\x6f\x75\156\144\73\x20\x63\162\145\x61\x74\145\x20\141\x20\x64\141\164\141\x62\141\x73\x65\40\x66\151\162\x73\164\x2e")); goto Ada17; Cbc3f: $form = $this->createDatabaseUserEditForm($site, $databaseUserEntity); goto E6929; D1d7c: goto f844f; goto Ddc80; A7da6: goto a7985; goto bfb4b; bfb4b: E9a83: goto fb40a; de66a: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto Cf0d0; be3fb: $databaseUserName = $request->get("\x64\141\x74\141\142\x61\163\145\125\163\145\162\116\x61\155\x65"); goto de66a; Cf0d0: if (!(false === is_null($databaseUserEntity))) { goto D7b5a; } goto c978a; Ae825: if (count($databases) && false === is_null($siteEntity)) { goto def34; } goto F3c1f; E95a2: Fcec4: goto D64ac; f3b10: f844f: goto F9c55; Ddc80: def34: goto be3fb; f4885: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\x69\x74\x65\x73")); goto A7da6; c978a: $databaseUserEntity->setPassword(''); goto Cbc3f; F10fc: Dcda3: goto E95a2; D717b: $domainName = $site->getDomainName(); goto b342a; f0983: $form->handleRequest($request); goto A5381; fb40a: $databases = $site->getDatabases(); goto D717b; F3c1f: $session = $request->getSession(); goto bc8fc; F9c55: a7985: goto aa681; ac005: } private function createDatabaseUserEditForm(Site $site, DatabaseUserEntity $databaseUserEntity) : Form { goto Aba61; B2ab2: return $form; goto Fd5ca; Fd4fe: $form->add("\x73\x75\x62\155\x69\164", SubmitType::class, ["\141\x74\164\162" => ["\x63\154\x61\x73\163" => "\x62\164\x6e\40\142\164\x6e\55\142\154\x75\145\40\142\164\x6e\55\x6c\x67"], "\154\x61\142\145\154" => "\x53\x61\x76\x65"]); goto B2ab2; Aba61: $form = $this->createForm("\x41\x70\x70\134\106\x6f\162\x6d\x5c\123\151\164\x65\104\x61\164\x61\142\141\163\145\x55\x73\145\162\105\144\151\x74\124\x79\160\145", $databaseUserEntity, ["\141\143\x74\x69\157\156" => $this->generateUrl("\x63\154\160\137\163\151\164\145\137\x64\x61\164\x61\x62\141\163\x65\137\x75\163\145\162\x5f\145\144\x69\164", ["\x64\x6f\155\x61\x69\x6e\116\x61\155\145" => $site->getDomainName(), "\x64\x61\164\x61\142\x61\163\x65\x55\163\x65\x72\x4e\x61\155\145" => $databaseUserEntity->getUserName()]), "\155\x65\x74\150\157\144" => "\120\117\123\124", "\141\164\x74\162" => []]); goto Fd4fe; Fd5ca: } private function handleDatabaseUserEditForm(Request $request, Form $form, Site $site) { goto dbe98; fe2d7: $this->formErrors = $this->getErrorMessages($form); goto cbf83; be114: f7a52: goto e81f9; Cc9ac: a9859: goto d98e0; e81f9: try { goto Cfbf9; B77e2: $domainName = $site->getDomainName(); goto e5af2; Ba056: goto Bd1cd; goto Aaa03; fd998: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\151\164\145\x5f\x64\141\164\x61\142\x61\x73\x65\x5f\165\x73\x65\162\x5f\x6e\145\x77", ["\144\x6f\x6d\141\x69\156\x4e\141\155\x65" => $site->getDomainName()])); goto Ba056; a35ff: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_EDIT, $user, $eventData, $request); goto a93a7; Cfbf9: $user = $this->getUser(); goto C6d93; A663d: $databaseName = $databaseEntity->getName(); goto ce6ee; b17d9: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto d6961; a93a7: $session->getFlashBag()->set("\x73\x75\x63\x63\145\163\163", $this->translator->trans("\104\x61\164\141\x62\x61\x73\145\40\125\x73\145\x72\x20\x68\141\x73\x20\x62\145\x65\156\40\165\x70\x64\x61\164\145\144\56")); goto e388f; e28bc: $databaseUserEntity = $form->getData(); goto D15f6; b5c27: $this->databaseUserEntityManager->updateEntity($databaseUserEntity); goto a2f1e; fd987: $databaseUserEntity->setPassword($encryptedPassword); goto be610; Aaa03: C136b: goto e28bc; e388f: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\151\164\x65\x5f\x64\141\x74\141\x62\x61\x73\x65\163", ["\144\x6f\x6d\141\151\156\x4e\141\155\145" => $site->getDomainName()])); goto dec83; a2f1e: $databaseEntity = $databaseUserEntity->getDatabase(); goto A663d; D485f: return $response; goto fd533; d6961: $databaseManager->createUser($databaseUserEntity); goto b5c27; be610: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto b17d9; D15f6: $encryptedPassword = Crypto::encrypt($databaseUserEntity->getPassword()); goto fd987; dec83: Bd1cd: goto D485f; F1519: if (false === is_null($siteEntity)) { goto C136b; } goto fd998; C6d93: $session = $request->getSession(); goto B77e2; e5af2: $siteEntity = $this->getSiteEntity($domainName); goto F1519; ce6ee: $eventData = ["\163\151\164\145" => $domainName, "\144\141\x74\141\142\x61\x73\x65\125\x73\x65\x72\116\141\x6d\x65" => $databaseUserEntity->getUserName(), "\160\x65\162\155\151\x73\163\x69\157\156\x73" => $databaseUserEntity->getPermissions(), "\x64\x61\x74\141\x62\141\163\x65" => $databaseName]; goto a35ff; fd533: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\147\145\162", $this->translator->trans("\x41\156\x20\145\x72\x72\157\162\x20\x68\141\163\x20\157\x63\143\165\162\x72\145\144\54\40\x65\162\162\157\x72\40\155\x65\x73\x73\x61\147\145\72\x20\45\x65\162\162\157\x72\115\x65\163\163\x61\147\145\x25", ["\45\x65\x72\162\157\162\x4d\145\x73\163\141\x67\x65\45" => $e->getMessage()])); } goto Cc9ac; cbf83: goto a9859; goto be114; dbe98: if (true === $form->isValid()) { goto f7a52; } goto fe2d7; d98e0: } public function deleteDatabaseUser(Request $request) : Response { goto Cd705; Cd705: $site = $this->getSite($request); goto Edf67; b1d84: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\151\164\x65\x73")); goto E12a9; Da412: da403: goto b1d84; E6c30: try { goto ce190; Ee9e4: $domainName = $site->getDomainName(); goto c02c1; ce190: $databaseEntity = $databaseUserEntity->getDatabase(); goto aeb84; Ecb3a: $session->getFlashBag()->set("\163\x75\143\x63\145\163\163", $this->translator->trans("\x44\141\x74\141\142\x61\x73\145\40\125\163\145\162\x20\150\141\x73\40\x62\145\145\x6e\x20\x64\145\x6c\x65\x74\x65\x64\x2e")); goto c2dfd; C643d: $databaseManager->deleteUser($databaseUserEntity); goto Cac65; a6710: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto fcb6d; aeb84: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName())) { goto b8b79; } goto Ce1dd; Cac65: $this->databaseUserEntityManager->deleteEntity($databaseUserEntity); goto Ecb3a; fcb6d: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto C643d; b16c8: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_DELETE, $user, $eventData, $request); goto f9a09; f9a09: b8b79: goto e2d4e; Ce1dd: $user = $this->getUser(); goto Ee9e4; c02c1: $session = $request->getSession(); goto a6710; c2dfd: $eventData = ["\x73\151\164\x65" => $domainName, "\144\141\x74\141\142\141\163\145\125\163\145\162\x4e\x61\x6d\145" => $databaseUserName]; goto b16c8; e2d4e: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\145\x72", $this->translator->trans("\x41\156\40\145\x72\x72\157\162\x20\x68\141\163\40\157\143\x63\x75\x72\162\x65\x64\54\40\x65\x72\x72\157\x72\x20\155\x65\163\163\x61\147\145\x3a\40\45\145\x72\x72\157\x72\x4d\x65\163\x73\x61\147\145\x25", ["\x25\145\x72\162\x6f\162\x4d\145\x73\163\141\147\145\45" => $e->getMessage()])); } goto bfd1c; Da8c0: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto D3792; cf1fb: c323d: goto Da412; A6559: $databaseUserName = $request->get("\x64\x61\x74\141\x62\141\x73\x65\x55\x73\145\x72\116\x61\x6d\145"); goto Da8c0; A33af: return $response; goto cf1fb; D3792: if (!(false === is_null($databaseUserEntity))) { goto c323d; } goto E6c30; E12a9: return $response; goto B47f4; bfd1c: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\x69\164\145\x5f\144\141\x74\x61\142\x61\163\145\163", ["\x64\x6f\155\x61\151\156\x4e\141\155\145" => $site->getDomainName()])); goto A33af; Edf67: $this->checkCsrfToken($request, "\x64\141\164\x61\x62\x61\x73\x65\55\x75\x73\145\162\55\144\145\154\145\164\x65"); goto d2ec3; d2ec3: if (!(false === is_null($site))) { goto da403; } goto A6559; B47f4: } public function varnishCache(Request $request) : Response { goto Cbef3; Fe2fb: e048b: goto d1d64; e4f04: $settingsForm = $this->createVarnishCacheSettingsForm($site, $varnishCacheSettingsData); goto bb227; fc441: $settingsForm->handleRequest($request); goto c9edf; c9edf: $purgeCacheForm->handleRequest($request); goto b21f3; C0abf: Fe2b7: goto a1c37; b1e71: if (!(true === $request->isMethod("\x50\x4f\x53\124"))) { goto Becc7; } goto fc441; cc628: if (false === is_null($site) && true === $site->getVarnishCache()) { goto Fe2b7; } goto Ae808; a2358: $response = $this->handleVarnishCacheSettingsForm($request, $settingsForm, $site); goto E5a1a; d1d64: B34a3: goto ba238; A8468: if (!(false === is_null($response))) { goto d7b5b; } goto A0e42; Ae808: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\163\151\164\145\x73")); goto e6a3b; B316f: return $response; goto Fe2fb; c1f20: $response = $this->render("\106\162\157\x6e\x74\145\x6e\x64\x2f\123\x69\164\145\x2f\x76\x61\162\x6e\151\163\150\x2d\143\141\x63\150\x65\56\x68\164\155\x6c\x2e\164\x77\151\x67", ["\163\151\164\145" => $site, "\163\145\x74\x74\x69\x6e\147\x73\x46\157\x72\x6d" => $settingsForm->createView(), "\x70\x75\162\147\145\x43\141\x63\150\145\106\157\162\155" => $purgeCacheForm->createView(), "\146\x6f\x72\155\105\162\162\157\162\163" => $this->formErrors]); goto a9ca2; ce9ab: d7b5b: goto ebba6; a1c37: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto A1106; b21f3: if (!(true === $settingsForm->isSubmitted())) { goto B34a3; } goto a2358; e6a3b: goto b386f; goto C0abf; d90ae: $response = $this->handleVarnishCachePurgeCacheForm($request, $purgeCacheForm, $site); goto A8468; ba238: if (!(true === $purgeCacheForm->isSubmitted())) { goto B0962; } goto d90ae; A0e42: return $response; goto ce9ab; bb227: $purgeCacheForm = $this->createVarnishCachePurgeCacheForm($site); goto b1e71; Db60e: return $response; goto Fdac5; E5a1a: if (!(false === is_null($response))) { goto e048b; } goto B316f; Cbef3: $site = $this->getSite($request); goto cc628; a9ca2: b386f: goto Db60e; bfc3f: Becc7: goto c1f20; ebba6: B0962: goto bfc3f; A1106: $varnishCacheSettingsData = ["\151\x73\105\x6e\x61\x62\154\145\x64" => true === isset($varnishCacheSettings["\145\x6e\141\142\154\x65\144"]) && true === $varnishCacheSettings["\145\156\141\142\154\x65\x64"] ? true : false, "\x73\x65\x72\166\145\x72" => true === isset($varnishCacheSettings["\163\x65\x72\166\145\x72"]) ? $varnishCacheSettings["\163\145\x72\x76\x65\162"] : "\61\x32\67\56\60\x2e\60\x2e\61\x3a\66\60\x38\x31", "\143\141\143\150\x65\124\x61\x67\x50\162\145\x66\151\x78" => true === isset($varnishCacheSettings["\143\141\x63\x68\145\x54\141\x67\x50\162\145\x66\151\170"]) ? $varnishCacheSettings["\143\141\143\150\x65\x54\141\147\120\162\145\x66\151\170"] : substr(md5(time()), 0, 4), "\x63\141\x63\x68\145\x4c\151\146\x65\x74\151\155\145" => true === isset($varnishCacheSettings["\143\x61\x63\x68\145\x4c\x69\146\x65\164\x69\155\145"]) ? $varnishCacheSettings["\x63\x61\143\x68\145\114\x69\146\145\164\151\155\x65"] : "\66\60\64\x38\60\x30", "\145\x78\143\154\x75\x64\x65\144\120\141\162\141\x6d\163" => true === isset($varnishCacheSettings["\x65\170\143\154\x75\144\x65\x64\x50\141\162\x61\155\x73"]) ? implode("\54", $varnishCacheSettings["\145\x78\x63\x6c\x75\x64\x65\x64\120\x61\162\x61\x6d\163"]) : "\x5f\x5f\x53\111\x44\x2c\x6e\x6f\103\x61\143\x68\x65\x2c", "\x65\x78\143\x6c\165\x64\145\163" => true === isset($varnishCacheSettings["\x65\170\x63\x6c\165\x64\x65\163"]) ? implode(PHP_EOL, $varnishCacheSettings["\x65\x78\x63\x6c\165\x64\145\163"]) : '']; goto e4f04; Fdac5: } private function createVarnishCacheSettingsForm(Site $site, array $data) : Form { goto fc27c; fac0b: return $form; goto e86cd; c55c8: $form->add("\163\x75\142\x6d\151\x74", SubmitType::class, ["\x61\164\164\x72" => ["\143\x6c\141\163\x73" => "\x62\x74\x6e\x20\x62\164\x6e\55\x62\154\x75\x65\x20\x62\164\x6e\55\154\147"], "\x6c\141\142\x65\x6c" => "\x53\x61\x76\x65"]); goto fac0b; fc27c: $form = $this->createForm("\101\160\x70\x5c\106\x6f\162\x6d\x5c\x53\151\164\145\x56\x61\162\156\151\x73\150\x43\x61\143\x68\x65\123\145\x74\x74\151\156\147\x73\x54\x79\x70\x65", $data, ["\141\143\x74\x69\157\x6e" => $this->generateUrl("\x63\x6c\x70\137\163\x69\164\145\x5f\166\x61\162\156\151\163\150\x5f\x63\141\143\x68\x65", ["\144\x6f\x6d\x61\x69\156\116\x61\155\x65" => $site->getDomainName()]), "\x6d\145\164\150\157\144" => "\120\x4f\x53\x54", "\x61\x74\164\162" => []]); goto c55c8; e86cd: } private function createVarnishCachePurgeCacheForm(Site $site) : Form { goto e90ef; f4108: return $form; goto Dd483; e90ef: $form = $this->createForm("\x41\x70\x70\134\x46\157\162\x6d\134\x53\x69\164\145\126\141\162\156\151\x73\x68\103\141\x63\x68\x65\120\x75\162\147\145\x43\x61\x63\150\145\124\x79\x70\145", ["\x73\x69\164\145" => $site], ["\141\x63\x74\151\157\x6e" => $this->generateUrl("\143\154\160\137\x73\x69\164\145\x5f\166\x61\x72\x6e\x69\163\150\x5f\143\x61\143\x68\145", ["\x64\157\x6d\x61\151\156\116\141\x6d\x65" => $site->getDomainName()]), "\155\x65\x74\150\x6f\x64" => "\x50\x4f\x53\124", "\141\x74\164\162" => []]); goto C7578; C7578: $form->add("\163\165\142\x6d\x69\164", SubmitType::class, ["\x61\164\x74\x72" => ["\143\x6c\141\163\163" => "\142\164\156\40\x62\164\156\55\142\154\x75\145\40\x62\x74\156\55\x6c\x67"], "\154\x61\142\145\154" => "\x50\x75\162\x67\x65\x20\x43\x61\x63\x68\x65"]); goto f4108; Dd483: } private function handleVarnishCacheSettingsForm(Request $request, Form $form, Site $site) { goto f970f; bf1f1: try { goto a81a9; Dd354: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\x69\164\x65\x5f\166\x61\x72\x6e\x69\163\150\137\143\141\x63\150\145", ["\144\x6f\x6d\x61\151\156\116\141\x6d\x65" => $site->getDomainName()])); goto c55da; Aa786: $siteEntity = $this->getSiteEntity($domainName); goto eadaa; ff0fa: $user = $this->getUser(); goto e6531; ef1bd: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_SETTINGS_UPDATE, $user, $eventData, $request); goto c1fd0; Af202: $excludes = array_map("\x74\x72\x69\155", array_filter(explode(PHP_EOL, trim($form->get("\145\x78\x63\154\x75\x64\145\x73")->getData())))); goto acd07; e3fff: $siteUpdater = $this->getSiteUpdater($site); goto fe0b7; c55da: a545c: goto c77a9; eadaa: if (false === is_null($siteEntity)) { goto F70cd; } goto bbb30; D50fa: $siteUpdater->phpSettings(); goto f448c; Dcf6f: $domainName = $site->getDomainName(); goto Aa786; e6531: $isEnabled = $form->get("\151\x73\105\156\x61\x62\x6c\x65\144")->getData(); goto C178b; Fc0b4: $cacheTagPrefix = $form->get("\143\x61\143\x68\x65\x54\141\147\120\x72\x65\146\151\170")->getData(); goto C3ee5; f448c: $eventData = ["\163\151\164\145" => $domainName, "\x76\141\162\x6e\x69\x73\150\103\141\x63\x68\x65\x45\x6e\x61\x62\154\145\144" => $isEnabled, "\x73\145\162\166\145\162" => $server, "\x63\141\143\x68\145\124\141\x67\120\x72\145\146\x69\170" => $cacheTagPrefix, "\x63\141\x63\150\x65\x4c\151\146\x65\x74\151\x6d\x65" => $cacheLifetime, "\x65\x78\143\x6c\x75\144\145\163" => $excludes, "\145\x78\143\x6c\165\x64\145\144\x50\141\x72\141\155\x73" => $excludedParams]; goto ef1bd; acd07: $varnishCacheSettings = ["\x65\156\141\x62\154\x65\144" => $isEnabled, "\163\145\x72\x76\145\162" => $server, "\143\141\x63\x68\145\124\x61\147\x50\x72\x65\x66\x69\170" => $cacheTagPrefix, "\x63\x61\143\x68\145\x4c\x69\146\145\164\151\155\x65" => $cacheLifetime, "\145\170\x63\154\x75\x64\145\163" => $excludes, "\x65\x78\143\x6c\165\144\x65\x64\x50\x61\x72\x61\x6d\x73" => $excludedParams]; goto b35d2; Db779: $cacheLifetime = $form->get("\143\x61\x63\150\145\x4c\151\146\145\164\x69\155\x65")->getData(); goto Fc0b4; b35d2: $site->setVarnishCacheSettings($varnishCacheSettings); goto e3fff; fe0b7: $siteUpdater->writeVarnishCacheSettingsFile($varnishCacheSettings); goto D50fa; c77a9: return $response; goto C81c9; C178b: $server = $form->get("\x73\145\162\x76\x65\x72")->getData(); goto Db779; a81a9: $session = $request->getSession(); goto Dcf6f; Ce910: F70cd: goto ff0fa; c1fd0: $session->getFlashBag()->set("\x73\x75\x63\x63\x65\163\x73", $this->translator->trans("\126\141\162\156\x69\x73\150\40\103\141\143\150\x65\x20\123\x65\x74\164\151\x6e\x67\163\40\150\141\166\145\x20\142\x65\x65\x6e\x20\x73\x61\x76\145\144\56")); goto Dd354; bbb30: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\151\x74\145\x73")); goto e0461; e0461: goto a545c; goto Ce910; C3ee5: $excludedParams = array_map("\x74\162\x69\155", array_filter(explode("\x2c", trim($form->get("\x65\170\143\x6c\165\144\145\x64\x50\141\162\x61\155\163")->getData())))); goto Af202; C81c9: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\145\x72", $this->translator->trans("\101\x6e\x20\145\x72\x72\x6f\x72\x20\150\x61\x73\x20\157\143\x63\x75\162\x72\x65\144\x2c\x20\145\162\162\157\x72\x20\x6d\145\x73\163\141\x67\x65\72\40\45\x65\162\162\x6f\x72\x4d\x65\x73\163\141\147\x65\x25", ["\x25\x65\x72\x72\157\162\115\x65\x73\163\141\147\145\x25" => $e->getMessage()])); } goto A3b75; Adcb2: $this->formErrors = $this->getErrorMessages($form); goto Fec25; B8064: b0e28: goto bf1f1; f970f: if (true === $form->isValid()) { goto b0e28; } goto Adcb2; Fec25: goto E634e; goto B8064; A3b75: E634e: goto a7ff0; a7ff0: } private function handleVarnishCachePurgeCacheForm(Request $request, Form $form, Site $site) { goto a4265; c9fa7: D73d2: goto E23d5; E23d5: try { goto cca5b; F591a: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto fad51; Edbea: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\x69\x74\x65\137\x76\x61\162\156\x69\x73\x68\137\143\141\x63\150\145", ["\x64\157\x6d\141\x69\156\x4e\141\x6d\145" => $site->getDomainName()])); goto D5902; fad51: $purgeValues = array_map("\x74\162\151\x6d", array_filter(explode("\54", trim($form->get("\x76\141\154\x75\145")->getData())))); goto a0eb2; a0eb2: if (false === empty($purgeValues) && true === isset($varnishCacheSettings["\x73\145\162\x76\x65\162"]) && false === empty($varnishCacheSettings["\163\145\x72\166\x65\x72"])) { goto ec798; } goto F4953; A3df8: if (false === is_null($siteEntity)) { goto A6348; } goto c08b5; ea8d8: $varnishCacheClient->setServer($varnishCacheSettings["\163\145\x72\x76\145\x72"]); goto B74c5; Cb86a: ec798: goto Bcc67; f7332: goto Ae2ef; goto Cb86a; F4953: throw new \Exception("\x56\141\162\156\151\x73\150\40\103\x61\x63\x68\x65\x20\123\x65\164\x74\x69\156\147\x73\x20\143\x61\156\x6e\157\164\x20\x62\145\40\x65\155\x70\x74\171\56"); goto f7332; cca5b: $session = $request->getSession(); goto B4ae7; B74c5: foreach ($purgeValues as $purgeValue) { goto Bbf90; aac41: $varnishCacheClient->purgeUrl($purgeValue); goto fc8fc; fc8fc: b1a9a: goto F602c; Bbf90: $purgeValue = trim($purgeValue); goto e4238; e6258: d05b9: goto aac41; C42cd: goto b1a9a; goto e6258; e4238: if (!(false === empty($purgeValue))) { goto A5a33; } goto ac53e; ac53e: if (true === str_starts_with($purgeValue, "\150\x74\164\160")) { goto d05b9; } goto Caca7; abdab: f3265: goto ae967; F602c: A5a33: goto abdab; Caca7: $varnishCacheClient->purgeTag($purgeValue); goto C42cd; ae967: } goto ffe9f; Cdeda: $eventData = ["\x73\151\164\145" => $domainName, "\166\x61\154\165\145\163" => implode("\x2c", $purgeValues)]; goto Fe7bf; Fe7bf: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_PURGE, $user, $eventData, $request); goto F9522; D5902: ca7e6: goto b9e68; c08b5: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\x69\x74\x65\163")); goto F7d22; bf6d9: $siteEntity = $this->getSiteEntity($domainName); goto A3df8; Bcc67: $varnishCacheClient = new VarnishCacheClient(); goto ea8d8; B4ae7: $domainName = $site->getDomainName(); goto bf6d9; D1c7b: A6348: goto c5abb; b9e68: return $response; goto b5ba0; c5abb: $user = $this->getUser(); goto F591a; F0da7: Ae2ef: goto Cdeda; F9522: $session->getFlashBag()->set("\163\165\x63\143\x65\x73\x73", $this->translator->trans("\x56\141\x72\156\x69\163\150\40\x43\141\143\x68\145\x20\x68\x61\163\x20\142\x65\x65\156\x20\160\165\162\x67\x65\144\56")); goto Edbea; F7d22: goto ca7e6; goto D1c7b; ffe9f: Cd813: goto F0da7; b5ba0: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\145\162", $this->translator->trans("\x41\x6e\x20\145\x72\x72\x6f\162\x20\x68\141\x73\40\157\143\143\165\x72\x72\x65\x64\x2c\x20\x65\x72\x72\x6f\x72\40\155\x65\163\163\141\147\145\x3a\x20\45\145\x72\x72\x6f\162\115\x65\163\x73\141\147\145\x25", ["\x25\x65\x72\162\x6f\x72\x4d\145\163\x73\141\x67\145\45" => $e->getMessage()])); } goto bc2c5; bc2c5: A5b45: goto D7104; d2f50: $this->formErrors = $this->getErrorMessages($form); goto f6528; a4265: if (true === $form->isValid()) { goto D73d2; } goto d2f50; f6528: goto A5b45; goto c9fa7; D7104: } public function purgeVarnishCache(Request $request) : Response { goto B4e03; b9ccd: try { goto d4347; F9665: if (!(true === isset($varnishCacheSettings["\x73\x65\x72\166\145\x72"]) && true === isset($varnishCacheSettings["\143\x61\143\x68\145\124\141\147\x50\162\x65\146\151\170"]) && false === empty($varnishCacheSettings["\x63\141\143\150\x65\x54\x61\147\x50\162\x65\146\151\x78"]))) { goto f3f39; } goto e89da; D87e8: f3f39: goto F3003; d4347: $user = $this->getUser(); goto a7ad2; a7ad2: $session = $request->getSession(); goto Cdc59; Ad950: $varnishCacheClient = new VarnishCacheClient(); goto dd7b9; C1d26: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto F9665; F3003: $eventData = ["\163\151\164\x65" => $domainName, "\x70\x75\x72\x67\145" => "\146\x75\x6c\x6c"]; goto Fe0ff; Fe0ff: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_PURGE, $user, $eventData, $request); goto e6994; e89da: $cacheTagPrefix = $varnishCacheSettings["\x63\x61\x63\150\145\124\x61\x67\x50\x72\145\x66\151\x78"]; goto Ad950; e6994: $session->getFlashBag()->set("\x73\165\143\143\x65\x73\x73", $this->translator->trans("\126\x61\x72\156\x69\x73\x68\x20\x43\x61\x63\150\145\40\150\x61\x73\x20\x62\x65\x65\x6e\x20\160\165\x72\147\x65\x64\x2e")); goto cb5b6; da203: $varnishCacheClient->purgeHost($domainName); goto D87e8; fbc20: $varnishCacheClient->purgeTag($cacheTagPrefix); goto da203; dd7b9: $varnishCacheClient->setServer($varnishCacheSettings["\163\x65\162\x76\x65\x72"]); goto fbc20; Cdc59: $domainName = $site->getDomainName(); goto C1d26; cb5b6: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\x65\162", $this->translator->trans("\x41\x6e\40\x65\162\x72\157\162\40\x68\141\163\x20\157\143\143\x75\x72\162\x65\x64\x2c\40\x65\x72\162\x6f\162\40\155\x65\163\163\141\x67\145\72\40\45\145\x72\x72\157\162\115\145\x73\163\x61\x67\x65\45", ["\x25\145\x72\x72\x6f\x72\x4d\145\163\163\x61\147\145\45" => $e->getMessage()])); } goto E7ce1; Cdb70: C4339: goto C71f1; ecc8e: return $response; goto Cdb70; df85a: Bf29a: goto b9ccd; B894b: goto C4339; goto df85a; C71f1: return $response; goto De66f; E7ce1: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\151\x74\145\x5f\x76\141\x72\156\151\163\x68\137\143\x61\143\x68\145", ["\144\x6f\155\141\x69\x6e\116\x61\x6d\145" => $site->getDomainName()])); goto ecc8e; C3f45: if (false === is_null($site)) { goto Bf29a; } goto B792d; B792d: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\x69\164\145\163")); goto B894b; B4e03: $site = $this->getSite($request); goto C3f45; De66f: } public function vhost(Request $request) : Response { goto f3dd2; Cc18f: throw new InvalidCsrfTokenException("\x54\150\145\40\x43\123\122\x46\40\164\x6f\153\145\156\x20\151\x73\x20\x69\156\166\141\x6c\151\144\x2e"); goto Dccef; Dccef: E98ae: goto D3b46; eed6c: $isCsrfTokenValid = $this->isCsrfTokenValid("\166\150\x6f\x73\x74\55\165\x70\144\x61\164\x65", (string) $request->get("\x74\157\153\x65\156")); goto f53da; E00a6: $domainName = $site->getDomainName(); goto dd8c9; f3dd2: $site = $this->getSite($request); goto c8d44; E99cc: F1c00: goto B36f9; D3b46: $vhostTemplate = trim($request->get("\166\x68\x6f\x73\x74\55\164\x65\x6d\160\x6c\141\x74\x65")); goto Efeae; B36f9: $response = $this->render("\x46\x72\x6f\156\164\145\x6e\144\x2f\123\151\x74\145\x2f\x76\150\x6f\x73\164\x2e\x68\x74\x6d\x6c\x2e\x74\x77\x69\147", ["\x73\x69\x74\145" => $site]); goto c8a05; b687b: return $response; goto Bda5b; c8d44: if (false === is_null($site)) { goto a6861; } goto f9154; f9154: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\x69\x74\x65\163")); goto c6c14; c8a05: ce9ce: goto b687b; Efeae: if (!(false === empty($vhostTemplate))) { goto c261e; } goto E00a6; A00b1: return $response; goto c168c; B20f7: $site->setVhostTemplate($vhostTemplate); goto afc68; afc68: $response = $this->handleVhostUpdate($request, $site, $siteEntity, $oldVhostTemplate); goto c3d97; Bb0f2: if (!(true === $request->isMethod("\x50\117\123\x54"))) { goto F1c00; } goto eed6c; C1a9f: $oldVhostTemplate = $siteEntity->getVhostTemplate(); goto B20f7; c168c: A5e44: goto ead87; ead87: c261e: goto E99cc; c3d97: if (!(false === is_null($response))) { goto A5e44; } goto A00b1; f53da: if (!(false === $isCsrfTokenValid)) { goto E98ae; } goto Cc18f; dd8c9: $siteEntity = $this->getSiteEntity($domainName); goto C1a9f; E545a: a6861: goto Bb0f2; c6c14: goto ce9ce; goto E545a; Bda5b: } private function handleVhostUpdate(Request $request, Site $site, SiteEntity $siteEntity, string $oldVhostTemplate) { try { goto C46cb; bfa4e: $siteUpdater->updateNginxVhostWithRollback(); goto ae1c1; ae98b: $this->siteEntityManager->updateEntity($siteEntity); goto fbf38; Fcbb2: $domainName = $site->getDomainName(); goto D4465; D4465: $vhostTemplate = $site->getVhostTemplate(); goto Bf8df; ad3d7: E856f: goto Fcbb2; da2ef: throw new InvalidVhostException("\144\x69\163\x61\x62\x6c\x65\x5f\x73\171\155\x6c\151\x6e\x6b\163\x20\151\x73\40\156\x6f\x74\40\x61\x6c\x6c\x6f\167\x65\144\x2e"); goto ad3d7; fbf38: $session->getFlashBag()->set("\x73\165\x63\143\x65\163\x73", $this->translator->trans("\126\150\x6f\163\164\x20\x68\x61\x73\40\x62\145\x65\x6e\x20\163\x61\166\145\144\56")); goto B8855; Db0e3: if (!(true === str_contains($site->getVhostTemplate(), "\144\x69\163\x61\142\x6c\145\137\163\171\155\x6c\151\156\153\x73"))) { goto E856f; } goto da2ef; ae1c1: $siteEntity->setVhostTemplate($vhostTemplate); goto ae98b; B8855: $eventData = ["\163\x69\x74\145" => $domainName, "\166\x68\x6f\163\164" => $vhostTemplate, "\157\154\144\126\x68\x6f\163\164" => $oldVhostTemplate]; goto f7edb; aa331: $session = $request->getSession(); goto Db0e3; f7edb: EventQueue::addEvent(EventQueue::EVENT_SITE_VHOST_UPDATE, $user, $eventData, $request); goto d9d2d; d9d2d: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\x74\145\137\166\150\157\x73\164", ["\x64\x6f\x6d\x61\151\156\x4e\x61\x6d\145" => $domainName])); goto a2c0b; C46cb: $user = $this->getUser(); goto aa331; Bf8df: $siteUpdater = $this->getSiteUpdater($site); goto bfa4e; a2c0b: return $response; goto ae4f0; ae4f0: } catch (InvalidVhostException $e) { $session->getFlashBag()->set("\x64\x61\x6e\147\x65\162", $this->translator->trans("\x56\150\157\163\164\x20\151\163\x20\x6e\157\x74\x20\166\141\x6c\x69\x64\x2c\x20\145\x72\x72\x6f\162\x20\155\145\x73\x73\141\x67\145\72\40\x25\x65\162\x72\x6f\162\x4d\x65\x73\x73\x61\x67\x65\x25", ["\x25\145\x72\162\x6f\162\x4d\x65\x73\163\141\x67\x65\45" => $e->getMessage()])); } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\147\x65\x72", $this->translator->trans("\x41\156\x20\x65\x72\x72\157\162\40\x68\x61\x73\40\157\x63\143\x75\162\162\145\144\x2c\x20\145\x72\x72\x6f\162\40\155\145\163\163\141\147\145\x3a\x20\x25\145\x72\x72\157\162\115\145\x73\x73\141\147\145\45", ["\x25\x65\162\162\157\162\x4d\x65\x73\x73\141\147\x65\45" => $e->getMessage()])); } } public function settings(Request $request) : Response { goto A984d; C631a: $currentNodeSettings = clone $nodejsSettings; goto c8784; cd0b1: unset($parameters["\x70\x61\147\x65\123\x70\145\x65\144\x53\x65\x74\x74\151\x6e\147\x73\x46\x6f\x72\155"]); goto c623d; ede48: d3bc5: goto E72e3; B68e6: $siteUserSettingsData = ["\163\151\164\145\125\163\145\162" => $site->getUser(), "\163\163\150\113\x65\x79\163" => $site->getSshKeys()]; goto E9dc5; A5d7b: E6685: goto ede48; B5ba2: $phpSettings = $site->getPhpSettings(); goto Facef; Cc720: return $response; goto A99a5; ce20f: $response = $this->handleSiteUserSettingsForm($request, $siteUserSettingsForm, $site); goto e1989; Ccc20: $pythonSettings = $site->getPythonSettings(); goto Aeef3; E9dc5: $siteDeleteData = ["\144\x6f\155\x61\x69\156\x4e\x61\x6d\x65" => $site->getDomainName()]; goto a11e2; f85a7: C945e: goto ac92f; F3e93: return $response; goto A5d7b; cdcc9: return $response; goto c4dda; e402a: if (!(true === $siteUserSettingsForm->isSubmitted())) { goto fda0d; } goto ce20f; a5258: if (!(false === is_null($response))) { goto a456b; } goto Cc720; d083f: goto d344d; goto A119a; a4a57: $parameters["\160\x79\164\150\x6f\x6e\x53\145\164\164\151\x6e\x67\x73\x46\x6f\162\155"] = $pythonSettingsForm->createView(); goto e2710; e13f5: c6cc4: goto e402a; dd138: $siteDeleteForm->handleRequest($request); goto E7b09; dcc9c: if (!(SiteEntity::TYPE_NODEJS == $site->getType())) { goto B5b04; } goto Cdac3; A119a: F35eb: goto D13b7; aba26: E5e37: goto D6b2b; c8784: $nodejsSettingsForm->handleRequest($request); goto dc30d; Cc61a: if (false === is_null($site)) { goto F35eb; } goto f6302; A984d: $site = $this->getSite($request); goto Cc61a; A53e2: $parameters["\x6e\157\144\x65\152\x73\123\x65\x74\164\x69\156\x67\163\x46\x6f\162\x6d"] = $nodejsSettingsForm->createView(); goto c51eb; bab4a: $response = $this->handlePythonSettingsForm($request, $pythonSettingsForm, $site); goto ab336; E9599: $siteDeleteForm = $this->createSiteDeleteForm($site, $siteDeleteData); goto c88b6; Aeef3: $pythonSettingsForm = $this->createPythonSettingsForm($site, $pythonSettings); goto e558b; e2fe4: $domainSettingsForm = $this->createDomainSettingsForm($site, $domainSettingsData); goto b08dc; f813f: $phpSettingsForm->handleRequest($request); goto c443b; b08dc: $siteUserSettingsForm = $this->createSiteUserSettingsForm($site, $siteUserSettingsData); goto d7c9a; E72e3: a4b43: goto C9d4c; Dd6e5: $reverseProxySettingsForm->handleRequest($request); goto Fb63e; ac74e: if (!(false === is_null($response))) { goto f2368; } goto cdcc9; B124e: $response = $this->handlePhpSettingsForm($request, $phpSettingsForm, $currentPhpSettings, $site); goto Ac074; caf83: e2889: goto B8b6a; e659b: return $response; goto caf83; afdc5: if (!(SiteEntity::TYPE_PHP == $site->getType())) { goto E5e37; } goto B5ba2; Ed0e0: $reverseProxySettingsForm = $this->createReverseProxySettingsForm($site); goto fb29e; A1b22: if (!(true === $pageSpeedSettingsForm->isSubmitted())) { goto A35fc; } goto ba995; D6b2b: if (!(SiteEntity::TYPE_PYTHON == $site->getType())) { goto D9bad; } goto Ccc20; d7c9a: $pageSpeedSettingsForm = $this->createPageSpeedSettingsForm($site, $pageSpeedSettingsData); goto E9599; aa45b: return $response; goto fa232; B8b6a: c2f86: goto e82e5; a4dab: Ffb88: goto f85a7; a11e2: $pageSpeedSettingsData = ["\151\x73\105\156\x61\142\x6c\145\144" => $site->getPageSpeedEnabled(), "\163\x65\x74\x74\x69\x6e\x67\163" => $site->getPageSpeedSettings()]; goto e2fe4; A99a5: a456b: goto ba8d3; fb29e: if (!(true === $request->isMethod("\x50\117\123\124"))) { goto a4b43; } goto Dd6e5; e82e5: ce8d7: goto a4a57; Dd9e1: if (!(false === is_null($response))) { goto E6685; } goto F3e93; Ef388: if (!(true === $siteDeleteForm->isSubmitted())) { goto ca347; } goto B108e; c17a7: $nodejsSettingsForm = $this->createNodejsSettingsForm($site, $nodejsSettings); goto Ac83c; afd2c: B71a5: goto F0ef2; E7b09: $pageSpeedSettingsForm->handleRequest($request); goto E7f73; Ac074: if (!(false === is_null($response))) { goto cac48; } goto d7e7a; a1200: cac48: goto a4dab; dc30d: if (!(true === $nodejsSettingsForm->isSubmitted())) { goto B71a5; } goto Edfbf; Ac83c: if (!(true === $request->isMethod("\x50\x4f\x53\124"))) { goto cdc0f; } goto C631a; e20e9: B5b04: goto afdc5; e63ef: $pythonSettingsForm->handleRequest($request); goto A2ea9; Fb6a0: $response = $this->handleReverseProxySettingsForm($request, $reverseProxySettingsForm, $site); goto Dd9e1; ab336: if (!(false === is_null($response))) { goto e2889; } goto e659b; e558b: if (!(true === $request->isMethod("\120\x4f\123\x54"))) { goto ce8d7; } goto e63ef; B108e: $response = $this->handleSiteDeleteForm($request, $siteDeleteForm, $site); goto B9a1b; d7e7a: return $response; goto a1200; E57ed: A35fc: goto Ef388; Edfbf: $response = $this->handleNodejsSettingsForm($request, $nodejsSettingsForm, $currentNodeSettings, $site); goto ac74e; Fb63e: if (!(true === $reverseProxySettingsForm->isSubmitted())) { goto d3bc5; } goto Fb6a0; A89c2: $currentPhpSettings = clone $phpSettings; goto f813f; a8e26: $parameters["\146\x6f\162\155\x45\162\162\x6f\162\x73"] = $this->formErrors; goto fc18a; c623d: A8a83: goto a8e26; bd67d: if (!(SiteEntity::TYPE_REVERSE_PROXY == $site->getType())) { goto A8a83; } goto Ed0e0; e1989: fda0d: goto A1b22; D13b7: $domainSettingsData = ["\144\x6f\155\x61\x69\x6e\116\x61\155\x65" => $site->getDomainName(), "\x72\x6f\157\164\x44\x69\162\x65\x63\x74\157\162\171" => $site->getRootDirectory()]; goto B68e6; c443b: if (!(true === $phpSettingsForm->isSubmitted())) { goto Ffb88; } goto B124e; c88b6: if (!(true === $request->isMethod("\120\x4f\x53\x54"))) { goto ae2f4; } goto F6b6b; C9d4c: $parameters["\162\145\x76\145\x72\163\x65\x50\162\157\x78\x79\123\145\164\164\x69\x6e\x67\163\x46\x6f\162\x6d"] = $reverseProxySettingsForm->createView(); goto cd0b1; Facef: $phpSettingsForm = $this->createPhpSettingsForm($site, $phpSettings); goto b5005; ac92f: $parameters["\160\x68\x70\x53\145\164\164\151\x6e\147\x73\106\x6f\162\x6d"] = $phpSettingsForm->createView(); goto aba26; F6b6b: $domainSettingsForm->handleRequest($request); goto D1412; b5005: if (!(true === $request->isMethod("\120\117\123\x54"))) { goto C945e; } goto A89c2; Bc105: $parameters = ["\x73\151\x74\x65" => $site, "\144\157\155\x61\x69\x6e\123\x65\164\x74\x69\x6e\x67\x73\106\157\x72\155" => $domainSettingsForm->createView(), "\x73\x69\164\145\125\x73\x65\162\123\145\x74\x74\x69\x6e\147\x73\x46\157\x72\155" => $siteUserSettingsForm->createView(), "\x70\141\147\145\123\x70\145\145\x64\x53\x65\x74\x74\x69\x6e\147\x73\x46\157\x72\x6d" => $pageSpeedSettingsForm->createView(), "\x73\151\164\x65\104\145\154\145\x74\145\x46\x6f\x72\155" => $siteDeleteForm->createView()]; goto dcc9c; c4dda: f2368: goto afd2c; D1412: $siteUserSettingsForm->handleRequest($request); goto dd138; F0ef2: cdc0f: goto A53e2; c51eb: unset($parameters["\x70\x61\x67\x65\x53\x70\x65\x65\x64\123\x65\x74\164\151\x6e\x67\163\x46\157\x72\155"]); goto e20e9; E7f73: $response = null; goto f785d; f2e07: d344d: goto aa45b; c64d9: $response = $this->handleDomainSettingsForm($request, $domainSettingsForm, $site); goto e13f5; ba995: $response = $this->handlePageSpeedSettingsForm($request, $pageSpeedSettingsForm, $site); goto E57ed; f6302: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\151\x74\x65\x73")); goto d083f; A2ea9: if (!(true === $pythonSettingsForm->isSubmitted())) { goto c2f86; } goto bab4a; Cdac3: $nodejsSettings = $site->getNodejsSettings(); goto c17a7; B9a1b: ca347: goto a5258; e2710: D9bad: goto bd67d; fc18a: $response = $this->render("\106\x72\x6f\156\164\145\156\x64\x2f\123\x69\x74\x65\x2f\163\145\x74\164\x69\x6e\147\163\56\x68\164\155\x6c\56\164\167\151\147", $parameters); goto f2e07; ba8d3: ae2f4: goto Bc105; f785d: if (!(true === $domainSettingsForm->isSubmitted())) { goto c6cc4; } goto c64d9; fa232: } public function purgePageSpeedCache(Request $request) : Response { goto F80b8; df6e6: Fcc38: goto D6747; D6747: try { goto Eeb13; Dcc1b: $siteUpdater->purgePageSpeedCache(); goto B0398; Ac651: $siteUpdater = $this->getSiteUpdater($site); goto Dcc1b; B0398: $eventData = ["\163\x69\164\x65" => $site->getDomainName()]; goto Ca1fc; F53a3: $session->getFlashBag()->set("\x73\x75\x63\x63\x65\163\x73", $this->translator->trans("\x50\141\147\x65\40\123\x70\x65\145\144\x20\x43\x61\143\150\145\x20\150\141\163\40\x62\145\145\x6e\40\x70\x75\162\x67\x65\x64\56")); goto De8ad; Eeb13: $user = $this->getUser(); goto Cdd84; Cdd84: $session = $request->getSession(); goto Ac651; Ca1fc: EventQueue::addEvent(EventQueue::EVENT_SITE_PAGE_SPEED_CACHE_PURGE, $user, $eventData, $request); goto F53a3; De8ad: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\x65\162", $this->translator->trans("\101\156\x20\x65\x72\x72\x6f\x72\40\x68\141\163\x20\x6f\143\143\x75\x72\162\x65\x64\x2c\40\145\x72\x72\157\x72\40\155\145\x73\x73\x61\x67\x65\x3a\x20\x25\x65\162\x72\157\162\x4d\145\x73\163\141\147\145\x25", ["\45\x65\162\x72\x6f\x72\115\145\163\163\141\x67\145\45" => $e->getMessage()])); } goto ab175; ab175: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\x69\x74\145\x5f\x73\145\x74\164\151\156\x67\x73", ["\x64\157\155\x61\151\x6e\116\x61\x6d\145" => $site->getDomainName()])); goto Bb7ef; F80b8: $site = $this->getSite($request); goto d00fa; d00fa: if (false === is_null($site)) { goto Fcc38; } goto D2279; Bb7ef: return $response; goto f32cc; f32cc: B9eb4: goto dd263; dd263: return $response; goto C37fb; A1a4c: goto B9eb4; goto df6e6; D2279: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\x69\x74\145\163")); goto A1a4c; C37fb: } private function createDomainSettingsForm(Site $site, array $data) : Form { goto cb3dd; d7b81: return $form; goto Ced0d; D05c9: $form->add("\163\165\x62\x6d\x69\164", SubmitType::class, ["\141\x74\x74\x72" => ["\143\x6c\x61\x73\x73" => "\x62\164\156\40\142\x74\x6e\x2d\x62\154\165\x65\40\x62\x74\156\x2d\x6c\147"], "\154\x61\x62\145\154" => "\x53\x61\166\x65"]); goto d7b81; cb3dd: $form = $this->createForm("\101\x70\x70\x5c\x46\157\162\x6d\x5c\123\151\x74\x65\104\x6f\x6d\x61\x69\x6e\x53\x65\164\164\151\x6e\147\163\124\x79\x70\145", $data, ["\141\x63\164\x69\x6f\156" => $this->generateUrl("\143\154\160\x5f\x73\151\164\145\x5f\x73\x65\x74\x74\151\156\147\x73", ["\x64\157\155\x61\151\156\x4e\x61\x6d\145" => $site->getDomainName()]), "\x6d\145\164\x68\157\x64" => "\x50\117\123\x54", "\x61\164\x74\162" => []]); goto D05c9; Ced0d: } private function createSiteUserSettingsForm(Site $site, array $data) : Form { goto E3e4a; e4245: $form->add("\163\165\142\155\151\164", SubmitType::class, ["\x61\x74\x74\x72" => ["\143\x6c\141\163\163" => "\142\x74\x6e\x20\x62\164\156\55\x62\x6c\x75\145\40\x62\164\x6e\55\154\x67"], "\154\141\x62\145\x6c" => "\123\x61\166\x65"]); goto e6ec3; E3e4a: $form = $this->createForm("\101\x70\160\x5c\106\x6f\162\x6d\134\x53\151\164\x65\125\x73\x65\x72\123\x65\164\164\151\x6e\147\163\124\171\160\145", $data, ["\x61\x63\164\151\x6f\156" => $this->generateUrl("\x63\154\x70\x5f\163\151\x74\x65\x5f\x73\x65\x74\x74\x69\156\147\163", ["\144\157\x6d\141\151\x6e\x4e\141\x6d\145" => $site->getDomainName()]), "\155\145\x74\x68\157\144" => "\120\x4f\x53\124", "\x61\x74\164\162" => []]); goto e4245; e6ec3: return $form; goto ff701; ff701: } private function createPageSpeedSettingsForm(Site $site, array $data) : Form { goto Ead63; ad920: $form->add("\163\165\x62\x6d\x69\x74", SubmitType::class, ["\x61\164\164\162" => ["\x63\154\x61\163\163" => "\142\164\156\40\142\x74\156\55\142\154\165\x65\40\x62\164\156\55\154\147"], "\x6c\x61\142\145\x6c" => "\x53\x61\x76\145"]); goto c7468; Ead63: $form = $this->createForm("\x41\160\160\x5c\x46\x6f\162\x6d\134\x53\151\x74\x65\120\141\x67\x65\123\x70\145\x65\x64\123\145\164\x74\x69\156\x67\163\x54\171\x70\145", $data, ["\x61\143\x74\x69\x6f\156" => $this->generateUrl("\x63\x6c\160\137\x73\151\164\145\137\x73\145\x74\x74\x69\x6e\x67\163", ["\x64\x6f\x6d\x61\x69\156\x4e\141\x6d\145" => $site->getDomainName()]), "\155\x65\x74\150\157\144" => "\120\117\x53\124", "\x61\164\164\162" => []]); goto ad920; c7468: return $form; goto b724a; b724a: } private function createReverseProxySettingsForm(Site $site) : Form { goto Ec210; A3cc8: $form = $this->createForm("\x41\160\x70\134\106\157\x72\x6d\x5c\123\151\x74\145\122\145\166\145\162\x73\145\x50\162\x6f\170\x79\x53\x65\x74\x74\x69\x6e\147\x73\x54\x79\x70\x65", $data, ["\141\x63\164\x69\x6f\156" => $this->generateUrl("\x63\154\160\137\x73\151\x74\x65\137\x73\x65\x74\164\x69\156\147\x73", ["\x64\x6f\x6d\141\151\x6e\116\141\x6d\x65" => $site->getDomainName()]), "\155\145\164\x68\157\144" => "\x50\x4f\123\x54", "\x61\x74\x74\162" => ["\x69\x64" => "\x72\145\166\x65\162\x73\x65\x2d\160\162\157\x78\x79\55\x73\x65\164\x74\x69\x6e\x67\x73\x2d\x66\157\x72\155"]]); goto C8689; C8689: $form->add("\163\165\x62\155\x69\x74", SubmitType::class, ["\x61\164\x74\x72" => ["\143\154\x61\163\163" => "\x62\164\156\x20\x62\164\156\55\142\154\165\x65\x20\142\x74\156\x2d\x6c\147"], "\x6c\141\142\145\x6c" => "\x53\x61\166\x65"]); goto b8982; Ec210: $data = ["\x72\145\x76\x65\162\x73\x65\x50\x72\x6f\x78\x79\x55\x72\x6c" => $site->getReverseProxyUrl()]; goto A3cc8; b8982: return $form; goto ba69b; ba69b: } private function createNodejsSettingsForm(Site $site, NodejsSettings $nodejsSettings) : Form { goto C5c57; d7e63: $form->add("\x73\x75\x62\x6d\x69\164", SubmitType::class, ["\141\164\164\x72" => ["\143\154\141\163\163" => "\142\x74\x6e\40\x62\164\x6e\55\x62\x6c\x75\x65\40\142\x74\x6e\55\154\147"], "\154\141\x62\145\154" => "\123\x61\166\145"]); goto fa6b2; C5c57: $form = $this->createForm("\x41\x70\160\134\x46\x6f\162\x6d\134\x53\x69\x74\145\116\x6f\x64\x65\x6a\163\x53\x65\x74\x74\151\x6e\x67\163\124\x79\x70\145", $nodejsSettings, ["\x61\143\164\151\157\156" => $this->generateUrl("\143\154\160\x5f\x73\x69\x74\x65\137\163\145\x74\x74\151\156\147\x73", ["\144\x6f\155\141\x69\x6e\x4e\141\x6d\145" => $site->getDomainName()]), "\x6d\x65\x74\150\x6f\x64" => "\x50\117\x53\124", "\x61\164\x74\x72" => ["\x69\144" => "\x6e\x6f\144\145\x6a\x73\55\x73\x65\x74\x74\151\x6e\x67\x73\55\x66\x6f\x72\x6d"]]); goto d7e63; fa6b2: return $form; goto Ae315; Ae315: } private function createPhpSettingsForm(Site $site, PhpSettings $phpSettings) : Form { goto f0512; f0512: $form = $this->createForm("\x41\x70\160\x5c\106\157\162\x6d\x5c\x53\x69\164\x65\120\x68\x70\123\145\164\x74\x69\156\x67\x73\124\171\160\145", $phpSettings, ["\x61\x63\x74\x69\x6f\156" => $this->generateUrl("\143\x6c\160\137\163\x69\x74\145\137\x73\145\164\164\151\156\147\x73", ["\144\157\155\141\151\x6e\x4e\x61\x6d\x65" => $site->getDomainName()]), "\x6d\x65\164\150\157\144" => "\x50\117\x53\x54", "\x61\x74\164\x72" => []]); goto Fbba4; Fbba4: $form->add("\163\165\142\155\151\x74", SubmitType::class, ["\141\x74\164\162" => ["\x63\154\x61\x73\163" => "\x62\x74\156\x20\x62\x74\x6e\x2d\x62\154\165\145\40\x62\x74\156\x2d\x6c\x67"], "\x6c\x61\142\145\154" => "\x53\141\x76\x65"]); goto a7911; a7911: return $form; goto b6312; b6312: } private function createPythonSettingsForm(Site $site, PythonSettings $pythonSettings) : Form { goto ea60d; df26a: return $form; goto ffbf1; ea60d: $form = $this->createForm("\x41\160\x70\134\x46\x6f\x72\x6d\x5c\x53\x69\x74\x65\x50\171\164\150\157\156\x53\x65\164\x74\x69\156\147\163\x54\x79\160\x65", $pythonSettings, ["\x61\143\164\151\157\156" => $this->generateUrl("\143\x6c\x70\137\163\151\x74\x65\x5f\x73\x65\x74\x74\x69\156\x67\163", ["\x64\157\155\141\151\156\x4e\141\155\x65" => $site->getDomainName()]), "\155\145\164\x68\x6f\144" => "\x50\117\x53\124", "\x61\164\x74\162" => []]); goto D1c87; D1c87: $form->add("\163\x75\x62\155\x69\x74", SubmitType::class, ["\x61\x74\x74\162" => ["\x63\x6c\x61\163\163" => "\x62\x74\x6e\x20\142\164\x6e\55\x62\x6c\x75\x65\x20\x62\164\x6e\55\x6c\x67"], "\x6c\x61\142\x65\154" => "\x53\x61\166\x65"]); goto df26a; ffbf1: } private function createSiteDeleteForm(Site $site, array $data) : Form { goto Ea9a1; Ea9a1: $form = $this->createForm("\101\x70\160\134\106\157\162\155\134\x53\151\x74\x65\104\145\x6c\x65\164\145\124\171\160\145", $data, ["\141\143\164\x69\157\x6e" => $this->generateUrl("\x63\x6c\x70\137\x73\x69\164\x65\x5f\x73\x65\x74\x74\x69\x6e\147\x73", ["\144\157\155\x61\151\x6e\116\141\155\x65" => $site->getDomainName()]), "\155\x65\164\x68\x6f\144" => "\120\117\123\124", "\x61\x74\164\162" => []]); goto D5fd0; d0930: return $form; goto E3a0f; D5fd0: $form->add("\x73\165\142\x6d\151\164", SubmitType::class, ["\141\x74\x74\162" => ["\x63\x6c\141\x73\x73" => "\x62\x74\x6e\x20\x62\x74\156\x2d\x62\x6c\x75\145\x20\142\x74\x6e\55\154\147", "\144\x69\163\141\142\x6c\x65\144" => "\144\151\x73\141\x62\x6c\x65\x64"], "\x6c\141\x62\x65\154" => "\104\x65\154\x65\x74\x65\40\123\x69\164\x65"]); goto d0930; E3a0f: } private function handleDomainSettingsForm(Request $request, Form $form, Site $site) { goto a1443; Eb78b: B286a: goto e5a35; ef627: Eede4: goto A6677; A6677: try { goto Ef826; e17f0: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\151\164\x65\x5f\x73\145\164\164\x69\x6e\147\163", ["\x64\x6f\155\x61\151\x6e\116\x61\155\145" => $site->getDomainName()])); goto ac08d; Be724: $siteUpdater = $this->getSiteUpdater($site); goto d7541; d5a51: EventQueue::addEvent(EventQueue::EVENT_SITE_ROOT_DIRECTORY_UPDATE, $user, $eventData, $request); goto d1870; e9c5f: $domainName = $site->getDomainName(); goto Bc905; ebd5e: $site->setRootDirectory($rootDirectory); goto Dbe35; Ef826: $user = $this->getUser(); goto Aab99; c8477: Fa832: goto e17f0; Aab99: $session = $request->getSession(); goto e9c5f; d7541: $siteUpdater->domainSettings(); goto fff1b; d1870: $session->getFlashBag()->set("\x73\x75\x63\143\145\163\x73", $this->translator->trans("\x52\157\x6f\x74\x20\104\151\x72\145\x63\x74\x6f\x72\171\40\150\141\163\x20\x62\x65\x65\x6e\x20\x73\141\166\x65\x64\x2e")); goto c8477; Dbe35: $siteEntity->setRootDirectory($rootDirectory); goto B1430; Bc905: $siteEntity = $this->getSiteEntity($domainName); goto fb0e6; fff1b: $eventData = ["\x73\x69\164\x65" => $domainName, "\x72\x6f\157\164\104\x69\x72\145\x63\x74\x6f\x72\171" => $rootDirectory]; goto d5a51; ac08d: return $response; goto a8399; B1430: $this->siteEntityManager->updateEntity($siteEntity); goto Be724; Bddf3: $rootDirectory = rtrim($form->get("\x72\157\157\x74\104\x69\x72\x65\x63\164\x6f\x72\171")->getData(), "\57"); goto ebd5e; fb0e6: if (!(false === is_null($siteEntity))) { goto Fa832; } goto Bddf3; a8399: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\145\x72", $this->translator->trans("\101\156\x20\x65\x72\x72\x6f\162\40\150\141\x73\40\157\143\143\165\162\x72\145\144\x2c\40\145\162\x72\157\x72\40\x6d\145\163\x73\141\x67\x65\72\x20\45\145\x72\162\x6f\162\115\x65\x73\163\x61\x67\145\x25", ["\45\x65\x72\x72\x6f\162\115\x65\x73\x73\141\x67\145\x25" => $e->getMessage()])); } goto Eb78b; a1443: if (true === $form->isValid()) { goto Eede4; } goto a4007; a4007: $this->formErrors = $this->getErrorMessages($form); goto E3f11; E3f11: goto B286a; goto ef627; e5a35: } private function handleSiteUserSettingsForm(Request $request, Form $form, Site $site) { goto B693a; c08dc: try { goto C144d; E19e6: $sshKeys = trim($form->get("\163\163\x68\x4b\145\171\163")->getData()); goto B5aa2; b1047: $siteUpdater->changeUserPassword($siteUser, $password); goto Ed855; f78c5: $siteUpdater = $this->getSiteUpdater($site); goto a63ba; E9e7c: if (!(false === empty($password))) { goto f54f8; } goto b1047; a63ba: $siteUpdater->updateUserSShKeys($siteUser, $sshKeys); goto E9e7c; B5aa2: $password = trim($form->get("\160\x61\163\x73\167\157\162\x64")->getData()); goto Ca0df; D5694: $domainName = $site->getDomainName(); goto B91ec; Ff485: EventQueue::addEvent(EventQueue::EVENT_SITE_USER_SETTINGS_UPDATE, $user, $eventData, $request); goto A9488; Ca0df: $siteEntity->setSshKeys($sshKeys); goto Bf99b; bcd81: if (!(false === is_null($siteEntity))) { goto B647b; } goto D1c02; fe750: $session = $request->getSession(); goto D5694; d3b55: return $response; goto ca81a; D1c02: $siteUser = $site->getUser(); goto E19e6; A9488: $session->getFlashBag()->set("\x73\165\x63\143\145\x73\x73", $this->translator->trans("\123\x69\x74\145\40\x55\163\x65\162\x20\x53\x65\x74\x74\x69\x6e\147\x73\x20\150\141\166\x65\40\x62\x65\x65\156\40\x73\x61\166\145\x64\56")); goto B2984; Ed855: f54f8: goto Df28f; Bf99b: $this->siteEntityManager->updateEntity($siteEntity); goto f78c5; B2984: B647b: goto a0308; C144d: $user = $this->getUser(); goto fe750; a0308: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\151\x74\x65\137\x73\145\x74\x74\x69\156\147\x73", ["\x64\157\155\x61\x69\x6e\116\141\x6d\145" => $site->getDomainName()])); goto d3b55; B91ec: $siteEntity = $this->getSiteEntity($domainName); goto bcd81; Df28f: $eventData = ["\163\x69\x74\x65" => $domainName, "\x73\x73\150\x4b\x65\171\163" => $sshKeys]; goto Ff485; ca81a: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\x65\x72", $this->translator->trans("\x41\156\40\145\x72\162\x6f\162\40\x68\141\163\x20\157\x63\x63\x75\x72\x72\145\x64\54\x20\145\x72\162\x6f\162\x20\x6d\145\163\x73\141\147\x65\x3a\x20\x25\145\x72\x72\x6f\162\x4d\145\x73\163\141\147\145\45", ["\45\x65\x72\162\x6f\x72\115\x65\163\x73\x61\147\145\x25" => $e->getMessage()])); } goto b50ae; B693a: if (true === $form->isValid()) { goto a0af8; } goto Bfc61; abf33: a0af8: goto c08dc; b50ae: b1731: goto E74fc; Bd82a: goto b1731; goto abf33; Bfc61: $this->formErrors = $this->getErrorMessages($form); goto Bd82a; E74fc: } private function handlePageSpeedSettingsForm(Request $request, Form $form, Site $site) { goto F13b6; d8478: $this->formErrors = $this->getErrorMessages($form); goto Bc051; Bc051: goto F80be; goto b376e; B3e75: F80be: goto c1f68; b376e: A23c9: goto Bbce2; Bbce2: try { goto F14bd; F14bd: $user = $this->getUser(); goto d510d; aebc9: $siteUpdater = $this->getSiteUpdater($site); goto Cfb19; d510d: $session = $request->getSession(); goto B04e6; B04e6: $domainName = $site->getDomainName(); goto F083a; a52c5: $session->getFlashBag()->set("\163\165\143\143\145\x73\x73", $this->translator->trans("\x50\141\147\145\x20\123\x70\x65\x65\x64\40\123\145\x74\164\151\x6e\147\x73\40\150\x61\166\x65\40\142\145\x65\x6e\x20\163\x61\166\145\x64\56")); goto d4778; F647f: $site->setPageSpeedEnabled($isEnabled); goto E3493; F083a: $siteEntity = $this->getSiteEntity($domainName); goto B65c8; be301: $siteEntity->setPageSpeedSettings($settings); goto E3d5d; d6c7e: $siteUpdater->purgePageSpeedCache(); goto C21a2; d4778: C9df8: goto fca23; a5cd8: $isEnabled = $form->get("\x69\163\x45\156\141\x62\x6c\x65\x64")->getData(); goto D7c00; fca23: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\x69\164\x65\137\x73\145\164\x74\x69\156\147\x73", ["\x64\x6f\x6d\x61\151\x6e\116\x61\x6d\x65" => $site->getDomainName()])); goto D5307; bd207: EventQueue::addEvent(EventQueue::EVENT_SITE_PAGE_SPEED_SETTINGS_UPDATE, $user, $eventData, $request); goto a52c5; C21a2: $siteEntity->setPageSpeedEnabled($isEnabled); goto be301; E3493: $site->setPageSpeedSettings($settings); goto aebc9; c94aa: $eventData = ["\163\x69\164\145" => $domainName, "\x70\141\x67\145\123\160\x65\145\144\x45\x6e\141\142\x6c\x65\x64" => $isEnabled, "\x70\x61\147\x65\123\x70\x65\145\144\123\x65\x74\164\151\156\147\163" => $settings]; goto bd207; Cfb19: $siteUpdater->updateNginxVhostWithRollback(); goto d6c7e; D7c00: $settings = trim($form->get("\163\145\x74\x74\151\156\x67\x73")->getData()); goto F647f; E3d5d: $this->siteEntityManager->updateEntity($siteEntity); goto c94aa; D5307: return $response; goto Bb289; B65c8: if (!(false === is_null($siteEntity))) { goto C9df8; } goto a5cd8; Bb289: } catch (InvalidVhostException $e) { $session->getFlashBag()->set("\144\x61\156\x67\x65\162", $this->translator->trans("\x50\141\147\145\x53\x70\145\x65\144\x20\123\x65\164\164\151\x6e\x67\x20\x61\x72\145\40\x6e\x6f\164\40\166\141\154\x69\x64\54\x20\x65\162\x72\x6f\x72\x20\155\x65\163\x73\x61\x67\145\x3a\x20\x25\145\162\162\157\162\x4d\x65\163\163\141\x67\x65\45", ["\45\x65\162\162\157\162\115\x65\163\x73\x61\x67\x65\45" => $e->getMessage()])); } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\147\145\x72", $this->translator->trans("\101\x6e\40\145\162\162\x6f\162\x20\x68\x61\163\40\157\143\143\165\x72\x72\145\x64\x2c\40\x65\162\162\157\x72\40\155\x65\163\163\141\x67\145\72\40\x25\145\162\162\x6f\x72\115\145\163\163\x61\147\145\x25", ["\45\x65\x72\162\x6f\162\115\x65\163\x73\x61\147\145\45" => $e->getMessage()])); } goto B3e75; F13b6: if (true === $form->isValid()) { goto A23c9; } goto d8478; c1f68: } private function handleSiteDeleteForm(Request $request, Form $form, Site $site) { goto E1312; abb0e: bb4c4: goto a7d8c; a7d8c: try { goto c4fc5; cf54a: $session->getFlashBag()->set("\163\x75\x63\x63\145\163\163", $this->translator->trans("\x53\151\x74\x65\40\x68\141\x73\x20\142\145\145\156\x20\144\x65\x6c\145\164\x65\x64\x2e")); goto B5012; Af6fe: EventQueue::addEvent(EventQueue::EVENT_SITE_DELETE, $user, $eventData, $request); goto cf54a; abed5: return $response; goto a969a; B5012: bd261: goto A9123; f6df9: $this->siteEntityManager->deleteEntity($siteEntity); goto Bb0ad; dfbad: $siteDeleter = $this->getSiteDeleter($site); goto cd926; B53ed: $domainName = $site->getDomainName(); goto bdcb9; A9123: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\x69\164\145\x73")); goto abed5; c4fc5: $user = $this->getUser(); goto ccfad; Bb0ad: $eventData = ["\163\151\164\145" => $domainName, "\x74\171\x70\145" => $site->getType()]; goto Af6fe; cd926: $siteDeleter->delete(); goto f6df9; bdcb9: $siteEntity = $this->getSiteEntity($domainName); goto c6169; c6169: if (!(false === is_null($siteEntity))) { goto bd261; } goto dfbad; ccfad: $session = $request->getSession(); goto B53ed; a969a: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\x65\x72", $this->translator->trans("\x41\x6e\40\x65\x72\162\x6f\x72\x20\150\x61\163\40\157\143\x63\x75\x72\162\x65\x64\x2c\x20\145\162\162\157\x72\x20\155\145\163\x73\x61\x67\145\x3a\x20\45\145\162\162\157\x72\115\145\x73\x73\141\147\x65\x25", ["\45\145\x72\162\x6f\162\x4d\x65\163\163\x61\x67\x65\45" => $e->getMessage()])); } goto E669d; E1312: if (true === $form->isValid()) { goto bb4c4; } goto F3494; E669d: a9a55: goto bd206; F3494: $this->formErrors = $this->getErrorMessages($form); goto A0b61; A0b61: goto a9a55; goto abb0e; bd206: } private function handleNodejsSettingsForm(Request $request, Form $form, NodejsSettings $currentNodejsSettings, Site $site) { goto d21eb; d21eb: if (true === $form->isValid()) { goto d600b; } goto b017f; b017f: $this->formErrors = $this->getErrorMessages($form); goto f960e; f1927: d600b: goto Fbe52; Df179: b8f0f: goto bf0a9; f960e: goto b8f0f; goto f1927; Fbe52: try { goto Db392; e8a8b: return $response; goto ff4ae; f4473: $this->siteEntityManager->updateEntity($siteEntity); goto ee8da; C62e6: if (!(true === $hasNodejsVersionChanged)) { goto a7ffe; } goto B32e3; ee8da: $eventData = ["\163\x69\164\145" => $domainName, "\156\x6f\144\145\152\x73\x56\x65\162\163\x69\157\x6e" => $nodejsVersion, "\x70\x6f\x72\x74" => $nodejsSettings->getPort()]; goto Ad020; Db392: $user = $this->getUser(); goto dda3e; e1331: $nodejsSettings = $form->getData(); goto c3790; dda3e: $session = $request->getSession(); goto Deac9; cc0fc: $session->getFlashBag()->set("\163\165\143\x63\x65\163\163", $this->translator->trans("\x4e\157\144\x65\56\x6a\x73\x20\x53\x65\164\x74\151\x6e\147\x73\x20\x68\141\166\145\40\x62\145\x65\x6e\x20\x73\x61\166\x65\x64\x2e")); goto Dbc0f; a84db: $siteEntity = $this->getSiteEntity($domainName); goto bbc87; D701f: $siteUpdater = $this->getSiteUpdater($site); goto C62e6; Dbc0f: A1f41: goto A776f; B32e3: $siteUpdater->installNodejsVersion(); goto D02a3; Deac9: $domainName = $site->getDomainName(); goto a84db; f85d6: $hasNodejsVersionChanged = $currentNodejsSettings->getNodejsVersion() != $nodejsVersion; goto D701f; Ad020: EventQueue::addEvent(EventQueue::EVENT_SITE_NODEJS_SETTINGS_UPDATE, $user, $eventData, $request); goto cc0fc; A776f: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\x69\164\x65\x5f\163\145\x74\x74\x69\x6e\x67\163", ["\144\x6f\155\141\151\156\x4e\x61\155\145" => $site->getDomainName()])); goto e8a8b; D02a3: a7ffe: goto Acc06; c3790: $nodejsVersion = $nodejsSettings->getNodejsVersion(); goto f85d6; Acc06: $siteUpdater->nodejsSettings(); goto f4473; bbc87: if (!(false === is_null($siteEntity))) { goto A1f41; } goto e1331; ff4ae: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\x65\x72", $this->translator->trans("\101\156\40\145\x72\x72\157\162\x20\150\x61\163\40\157\x63\143\x75\x72\162\145\144\x2c\x20\145\162\x72\157\162\40\155\145\163\x73\x61\x67\x65\x3a\40\x25\x65\162\162\x6f\162\x4d\145\163\163\141\x67\x65\x25", ["\x25\145\x72\x72\157\162\x4d\x65\x73\x73\x61\x67\145\45" => $e->getMessage()])); } goto Df179; bf0a9: } private function handlePythonSettingsForm(Request $request, Form $form, Site $site) { goto B5c9d; ac806: try { goto a048a; d2497: EventQueue::addEvent(EventQueue::EVENT_SITE_PYTHON_SETTINGS_UPDATE, $user, $eventData, $request); goto Bfe2e; b4d7a: return $response; goto Ceb4d; c3e57: if (!(false === is_null($siteEntity))) { goto ae5fd; } goto C22ec; Bfe2e: $session->getFlashBag()->set("\x73\165\x63\x63\x65\163\163", $this->translator->trans("\120\171\x74\x68\157\156\x20\x53\145\164\x74\151\x6e\x67\x73\x20\150\141\x76\x65\40\x62\145\145\156\x20\x73\x61\166\x65\144\56")); goto E10e8; E10e8: ae5fd: goto f8264; Ed7e1: $pythonVersion = $pythonSettings->getPythonVersion(); goto C839a; C839a: $siteUpdater = $this->getSiteUpdater($site); goto e7027; fac09: $siteUpdater->pythonSettings(); goto b5f4d; f3dc2: $session = $request->getSession(); goto fb5e8; b03d9: $eventData = ["\x73\151\x74\x65" => $domainName, "\160\x79\x74\150\x6f\156\126\x65\162\163\151\157\x6e" => $pythonVersion, "\x70\157\162\x74" => $pythonSettings->getPort()]; goto d2497; C22ec: $pythonSettings = $form->getData(); goto Ed7e1; A9e14: $siteEntity = $this->getSiteEntity($domainName); goto c3e57; a048a: $user = $this->getUser(); goto f3dc2; e7027: $siteUpdater->writePythonVersionFile(); goto fac09; f8264: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\x69\x74\145\x5f\x73\145\164\x74\151\x6e\x67\x73", ["\144\x6f\x6d\x61\x69\x6e\116\x61\x6d\x65" => $site->getDomainName()])); goto b4d7a; b5f4d: $this->siteEntityManager->updateEntity($siteEntity); goto b03d9; fb5e8: $domainName = $site->getDomainName(); goto A9e14; Ceb4d: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\145\x72", $this->translator->trans("\x41\x6e\40\x65\162\162\x6f\162\40\150\141\x73\x20\x6f\143\x63\165\162\162\x65\x64\54\x20\x65\162\162\x6f\x72\x20\155\145\x73\x73\x61\147\x65\x3a\x20\45\x65\x72\x72\157\162\x4d\145\x73\163\141\x67\145\45", ["\45\145\x72\x72\x6f\162\115\x65\163\x73\x61\x67\x65\x25" => $e->getMessage()])); } goto ece9d; e21e5: e3ff4: goto ac806; ece9d: Bac6f: goto b8fb2; D3812: $this->formErrors = $this->getErrorMessages($form); goto e6a89; e6a89: goto Bac6f; goto e21e5; B5c9d: if (true === $form->isValid()) { goto e3ff4; } goto D3812; b8fb2: } private function handleReverseProxySettingsForm(Request $request, Form $form, Site $site) { goto d4cc6; a39db: F8026: goto E31a0; B6104: try { goto D2fa5; D8df3: EventQueue::addEvent(EventQueue::EVENT_SITE_REVERSE_PROXY_SETTINGS_UPDATE, $user, $eventData, $request); goto bedad; eb087: Fa47b: goto da970; Be26b: $eventData = ["\x73\x69\x74\x65" => $domainName, "\x72\x65\x76\x65\162\163\145\120\162\x6f\170\171\x55\162\154" => $reverseProxyUrl]; goto D8df3; F27bf: $siteUpdater->updateNginxVhostWithRollback(); goto B0496; bedad: $session->getFlashBag()->set("\163\x75\x63\x63\145\163\x73", $this->translator->trans("\x52\145\166\145\x72\163\145\40\x50\162\157\x78\x79\x20\123\x65\x74\x74\151\x6e\147\x73\x20\x68\141\166\145\40\142\145\x65\156\40\163\141\166\x65\144\56")); goto eb087; b6c3d: return $response; goto E2634; Ba6b4: $siteEntity->setReverseProxyUrl($reverseProxyUrl); goto Def3a; Eeddd: $siteEntity = $this->getSiteEntity($domainName); goto f0149; D2fa5: $user = $this->getUser(); goto Ed209; da970: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\151\164\x65\137\x73\145\164\164\151\x6e\x67\163", ["\144\x6f\x6d\141\151\156\x4e\141\x6d\145" => $site->getDomainName()])); goto b6c3d; ea666: $site->setReverseProxyUrl($reverseProxyUrl); goto Ba6b4; B0496: $this->siteEntityManager->updateEntity($siteEntity); goto Be26b; f0149: if (!(false === is_null($siteEntity))) { goto Fa47b; } goto B854b; Ed209: $session = $request->getSession(); goto B3552; B854b: $reverseProxyUrl = $form->get("\x72\x65\x76\145\162\163\x65\120\162\157\x78\x79\125\162\x6c")->getData(); goto ea666; Def3a: $siteUpdater = $this->getSiteUpdater($site); goto F27bf; B3552: $domainName = $site->getDomainName(); goto Eeddd; E2634: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\145\x72", $this->translator->trans("\x41\x6e\x20\x65\162\162\157\162\x20\x68\x61\x73\x20\x6f\143\143\x75\x72\162\x65\x64\x2c\40\x65\162\x72\157\162\40\155\x65\x73\163\141\x67\x65\72\40\x25\145\x72\x72\x6f\x72\x4d\145\x73\163\141\x67\x65\x25", ["\45\145\x72\162\157\162\115\x65\x73\163\141\147\145\x25" => $e->getMessage()])); } goto a39db; d283d: $this->formErrors = $this->getErrorMessages($form); goto b87f9; Ac67b: Dc498: goto B6104; b87f9: goto F8026; goto Ac67b; d4cc6: if (true === $form->isValid()) { goto Dc498; } goto d283d; E31a0: } private function handlePhpSettingsForm(Request $request, Form $form, PhpSettings $currentPhpSettings, Site $site) { goto E03b5; df077: e9659: goto b1fc5; F6659: $this->formErrors = $this->getErrorMessages($form); goto da677; da677: goto ee4d1; goto df077; E03b5: if (true === $form->isValid()) { goto e9659; } goto F6659; b1fc5: try { goto df2c7; F8dc7: if (!(false === is_null($siteEntity))) { goto d103b; } goto Fef75; F15c2: $eventData = ["\x73\x69\164\145" => $domainName, "\160\150\x70\x56\145\162\163\x69\157\156" => $phpSettings->getPhpVersion(), "\x6d\x65\x6d\157\162\171\137\x6c\151\x6d\x69\x74" => $phpSettings->getMemoryLimit(), "\x6d\141\x78\x5f\145\170\145\x63\x75\164\151\157\x6e\x5f\164\151\x6d\145" => $phpSettings->getMaxExecutionTime(), "\x6d\x61\x78\x5f\151\156\x70\165\x74\x5f\x74\x69\x6d\x65" => $phpSettings->getMaxInputTime(), "\155\141\170\x5f\151\156\160\165\164\x5f\166\141\x72\x73" => $phpSettings->getMaxInputVars(), "\160\x6f\x73\164\x5f\x6d\141\x78\137\163\151\x7a\x65" => $phpSettings->getPostMaxSize(), "\165\160\x6c\x6f\x61\x64\137\155\x61\170\137\x66\x69\x6c\x65\163\151\x7a\145" => $phpSettings->getUploadMaxFileSize()]; goto c9cd6; df2c7: $user = $this->getUser(); goto e9ba9; A83c6: $siteUpdater = $this->getSiteUpdater($site); goto b9c36; C1949: d103b: goto a18df; fc8c7: $domainName = $site->getDomainName(); goto Cf76e; c9cd6: EventQueue::addEvent(EventQueue::EVENT_SITE_PHP_SETTINGS_UPDATE, $user, $eventData, $request); goto Dc5ef; A2eef: $siteUpdater->phpSettings(); goto E7550; Cf76e: $siteEntity = $this->getSiteEntity($domainName); goto F8dc7; a18df: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\164\145\137\163\x65\x74\164\x69\156\147\x73", ["\x64\x6f\155\x61\x69\x6e\116\141\155\145" => $site->getDomainName()])); goto ba1e3; ba1e3: return $response; goto b8400; Dc5ef: $session->getFlashBag()->set("\163\165\143\143\x65\x73\x73", $this->translator->trans("\x50\x48\120\40\x53\x65\164\x74\x69\x6e\147\163\x20\x68\x61\166\145\40\x62\x65\x65\x6e\x20\x73\x61\x76\x65\144\x2e")); goto C1949; Ffcef: B5629: goto A2eef; b9c36: if (!(true === $hasPhpVersionChanged)) { goto B5629; } goto ab2ee; ab2ee: $siteUpdater->changePhpVersion($currentPhpSettings->getPhpVersion(), $phpSettings->getPhpVersion()); goto Ffcef; Bb66c: $hasPhpVersionChanged = $currentPhpSettings->getPhpVersion() != $phpSettings->getPhpVersion(); goto A83c6; Fef75: $phpSettings = $form->getData(); goto Bb66c; E7550: $this->siteEntityManager->updateEntity($siteEntity); goto F15c2; e9ba9: $session = $request->getSession(); goto fc8c7; b8400: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\145\162", $this->translator->trans("\101\x6e\x20\145\162\162\x6f\x72\x20\150\x61\x73\x20\x6f\x63\x63\x75\x72\x72\x65\144\54\x20\145\x72\x72\x6f\x72\x20\155\145\163\x73\141\147\x65\72\40\45\x65\162\x72\157\162\x4d\145\x73\163\x61\x67\145\45", ["\45\x65\162\x72\157\x72\115\145\x73\x73\141\147\145\x25" => $e->getMessage()])); } goto Cbbf5; Cbbf5: ee4d1: goto b0312; b0312: } private function getSite(Request $request) : ?Site { goto D6dd5; ed656: $site = null; goto d0a1a; E7fc2: $site->setRootDirectory($siteEntity->getRootDirectory()); goto Fa62e; C57ef: $subdomain = false === empty($subdomain) ? $subdomain : null; goto A74d8; A74d8: $siteDatabases = $this->getSiteDatabases($siteEntity); goto eb084; C364e: return $site; goto c75a9; bf8cf: B9585: goto a5c3a; Dbc23: $site->setSshUsers($siteEntity->getSshUsers()); goto A0f9f; C4746: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto D55f9; C60c3: $site->setAllowTrafficFromCloudflareOnly($siteEntity->allowTrafficFromCloudflareOnly()); goto ce2d6; ce2d6: $site->setPageSpeedEnabled($siteEntity->getPageSpeedEnabled()); goto Fcbf0; A0f9f: $site->setSshKeys($siteEntity->getSshKeys()); goto D13fb; c8bc4: $site->setRegistrableDomain($registrableDomain); goto d08a8; eb084: $site->setUser($siteEntity->getUser()); goto Ae5b7; Fa62e: $site->setBasicAuth($siteEntity->getBasicAuth()); goto Be0c9; fb6bf: e6f41: goto b1d48; B3ea5: De494: goto bf8cf; d0a1a: if (!(false === is_null($siteEntity))) { goto E064a; } goto Aaba7; A6c83: $site->setDatabases($siteDatabases); goto D53c3; b1d48: E064a: goto C364e; e1909: $site->setFtpUsers($siteEntity->getFtpUsers()); goto Dbc23; Cec13: return null; goto C7963; D6dd5: $user = $this->getUser(); goto Fee1e; Fcbf0: $site->setPageSpeedSettings($siteEntity->getPageSpeedSettings()); goto fb6bf; e85b1: $siteType = $siteEntity->getType(); goto aca15; aca15: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto e9809; A0acd: goto B9585; goto Ff78a; e9809: $site = new NodejsSite(); goto F433c; F433c: $site->setNodejsSettings($siteEntity->getNodejsSettings()); goto A0acd; Ff78a: case SiteEntity::TYPE_STATIC: $site = new StaticSite(); goto B9585; case SiteEntity::TYPE_PHP: goto A071e; B8f9d: goto B9585; goto d95e3; A071e: $site = new PhpSite(); goto C62f7; fe773: $site->setVarnishCache($siteEntity->getVarnishCache()); goto B8f9d; C62f7: $site->setPhpSettings($siteEntity->getPhpSettings()); goto fe773; d95e3: case SiteEntity::TYPE_PYTHON: goto b8a9e; Dbc96: goto B9585; goto cb02b; b8a9e: $site = new PythonSite(); goto e1c68; e1c68: $site->setPythonSettings($siteEntity->getPythonSettings()); goto Dbc96; cb02b: case SiteEntity::TYPE_REVERSE_PROXY: goto F1e5a; c4bae: $site->setReverseProxyUrl($siteEntity->getReverseProxyUrl()); goto ae77f; ae77f: goto B9585; goto A8568; F1e5a: $site = new ReverseProxySite(); goto c4bae; A8568: } goto B3ea5; a5c3a: if (!(false === is_null($site))) { goto e6f41; } goto C4746; d08a8: $site->setSubdomain($subdomain); goto E7fc2; E94d4: $siteEntity = $this->getSiteEntity($domainName); goto ed656; Be0c9: $site->setBlockedBots($siteEntity->getBlockedBots()); goto a559e; d492b: $site->setCronJobs($siteEntity->getCronJobs()); goto e1909; D13fb: $site->setVhostTemplate($siteEntity->getVhostTemplate()); goto C60c3; Fee1e: $domainName = $request->get("\144\x6f\155\x61\151\156\x4e\141\155\x65"); goto E94d4; D53c3: $site->setCertificate($siteEntity->getCertificate()); goto A7b1e; D55f9: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto F0612; Aaba7: if (!(UserEntity::ROLE_USER == $user->getRole() && false === $user->hasSite($siteEntity))) { goto Df853; } goto Cec13; A7b1e: $site->setCertificates($siteEntity->getCertificates()); goto d492b; C7963: Df853: goto e85b1; Ae5b7: $site->setDomainName($siteEntity->getDomainName()); goto c8bc4; a559e: $site->setBlockedIps($siteEntity->getBlockedIps()); goto A6c83; F0612: $subdomain = $resolvedDomainName->subDomain()->toString(); goto C57ef; c75a9: } private function getSiteDatabases(SiteEntity $siteEntity) : ?ArrayCollection { goto Bbdf8; c80d7: D334a: goto B1cdd; a5467: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto b6a25; F4850: foreach ($databaseEntities as $databaseEntity) { goto e8604; D49f9: C70c3: goto D57e7; ad3b3: $siteDatabases->add($databaseEntity); goto D49f9; e8604: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto C6a6d; D57e7: A2988: goto e3179; C6a6d: if (!($databaseServerEntity->getId() == $activeDatabaseServerEntity->getId())) { goto C70c3; } goto ad3b3; e3179: } goto c80d7; b6a25: $databaseEntities = $siteEntity->getDatabases(); goto F4850; Bbdf8: $siteDatabases = new ArrayCollection(); goto a5467; B1cdd: return $siteDatabases; goto B0156; B0156: } private function getSiteUpdater(Site $site) : ?SiteUpdater { goto adfd3; Aa05f: return $siteUpdater; goto e00a0; adfd3: $siteUpdater = null; goto E28da; Aed1e: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteUpdater = new NodejsSiteUpdater($site); goto D3e66; case SiteEntity::TYPE_STATIC: $siteUpdater = new StaticSiteUpdater($site); goto D3e66; case SiteEntity::TYPE_PHP: $siteUpdater = new PhpSiteUpdater($site); goto D3e66; case SiteEntity::TYPE_PYTHON: $siteUpdater = new PythonSiteUpdater($site); goto D3e66; case SiteEntity::TYPE_REVERSE_PROXY: $siteUpdater = new ReverseProxySiteUpdater($site); goto D3e66; } goto F99f3; Cf568: D3e66: goto Aa05f; F99f3: efa59: goto Cf568; E28da: $siteType = $site->getType(); goto Aed1e; e00a0: } protected function getSiteDeleter(Site $site) : ?SiteDeleter { goto af188; A9de4: A9612: goto ad76a; Ef6e1: $siteType = $site->getType(); goto Ba17a; Ba17a: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteDeleter = new NodejsSiteDeleter($site); goto A9612; case SiteEntity::TYPE_STATIC: $siteDeleter = new StaticSiteDeleter($site); goto A9612; case SiteEntity::TYPE_PHP: $siteDeleter = new PhpSiteDeleter($site); goto A9612; case SiteEntity::TYPE_PYTHON: $siteDeleter = new PythonSiteDeleter($site); goto A9612; case SiteEntity::TYPE_REVERSE_PROXY: $siteDeleter = new ReverseProxySiteDeleter($site); goto A9612; } goto F88f6; af188: $siteDeleter = null; goto Ef6e1; ad76a: return $siteDeleter; goto Cce8d; F88f6: Ab33b: goto A9de4; Cce8d: } private function getSiteEntity(string $domainName) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); return $siteEntity; } }
