<?php
 namespace App\EventListener; use Symfony\Component\HttpKernel\Event\RequestEvent; use Symfony\Component\EventDispatcher\EventSubscriberInterface; use Symfony\Component\Console\Event\ConsoleCommandEvent; use Symfony\Component\HttpKernel\KernelEvents; use Symfony\Component\Console\ConsoleEvents; use Symfony\Contracts\Cache\ItemInterface; use Psr\Cache\CacheItemPoolInterface as CachePool; use GuzzleHttp\Client as HttpClient; use GuzzleHttp\Psr7\Request; use Twig\Environment as TwigEnvironment; use App\Entity\Manager\ConfigManager; use App\Entity\Manager\UserManager; use App\Entity\Manager\DatabaseServerManager; use App\Command\Command; use App\Util\PasswordGenerator; use App\CloudPanel\Environment as CloudPanelEnvironment; use App\CloudPanel\Aws\Instance as AwsInstance; use App\CloudPanel\Do\Instance as DoInstance; use App\CloudPanel\Gce\Instance as GceInstance; use App\CloudPanel\Hetzner\Instance as HetznerInstance; use App\CloudPanel\Vultr\Instance as VultrInstance; use App\CloudPanel\Instance; use App\Do\Client as DoClient; use App\Gce\Client as GceClient; use App\Hetzner\Client as HetznerClient; use App\Vultr\Client as VultrClient; use App\System\CommandExecutor; use App\System\Command\ChangeDatabaseUserPasswordCommand; use App\Entity\DatabaseServer; use App\Service\Crypto; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Database\Connection as DatabaseConnection; use App\Util\Retry; class InitializeListener implements EventSubscriberInterface { private const IP_REQUEST_URL = "\x68\x74\x74\160\163\x3a\x2f\x2f\144\x33\161\x6e\x64\65\x34\x71\x38\147\142\x33\152\x65\x2e\143\x6c\157\165\x64\x66\x72\157\x6e\x74\56\x6e\145\164\x2f"; private ConfigManager $configManager; private DatabaseServerManager $databaseServerManager; private UserManager $userManager; private CachePool $cachePool; private TwigEnvironment $twig; public function __construct(ConfigManager $configManager, DatabaseServerManager $databaseServerManager, UserManager $userManager, CachePool $cachePool, TwigEnvironment $twig) { goto cb2d4; E20f3: $this->userManager = $userManager; goto E6e96; cb2d4: $this->configManager = $configManager; goto cad25; cad25: $this->databaseServerManager = $databaseServerManager; goto E20f3; d7795: $this->twig = $twig; goto Db1b7; E6e96: $this->cachePool = $cachePool; goto d7795; Db1b7: } public function onKernelRequest(RequestEvent $event) : void { goto Ca744; D2f9a: b9bc1: goto d69e9; d69e9: $this->initialize($event); goto D7a2f; fabe6: return; goto D2f9a; Ca744: if (!(false === $event->isMainRequest())) { goto b9bc1; } goto fabe6; D7a2f: } public function onConsoleCommand(ConsoleCommandEvent $event) : void { goto ed72e; ed72e: $command = $event->getCommand(); goto abca6; abca6: if (!$command instanceof Command) { goto c4b4a; } goto B62d4; d3cce: c4b4a: goto aaff2; B62d4: $this->initialize($event); goto d3cce; aaff2: } private function initialize(RequestEvent|ConsoleCommandEvent $event) : void { goto C18ca; A3799: $this->setEnvironment($event); goto Cf7c8; B4b27: $this->setCloudPanelVersion(); goto E1f64; B6694: $this->setDatabaseServer($event); goto A3799; D8e77: $this->setInstanceUid(); goto B4b27; E1f64: $this->setCloudPanelReleaseChannel(); goto f4f8b; f4f8b: $this->setLetsEncryptPrivateKey(); goto B6694; C18ca: $this->setTimezone(); goto D8e77; Cf7c8: } private function setTimezone() : void { goto Af102; Af102: $timezone = $this->configManager->get("\164\x69\x6d\x65\172\x6f\156\x65"); goto d81e3; Cc711: $this->configManager->set("\x74\x69\155\x65\x7a\157\x6e\145", "\125\x54\x43"); goto D8499; d81e3: if (!(true === is_null($timezone))) { goto cc8f5; } goto Cc711; D8499: cc8f5: goto bfb67; bfb67: } private function setInstanceUid() : void { goto e09b8; ebffb: $instanceUid = substr(sha1(uniqid(mt_rand(), true)), 0, 16); goto A1cd6; edcb4: if (!(true === is_null($instanceUid))) { goto E516b; } goto ebffb; e09b8: $instanceUid = $this->configManager->get("\151\x6e\163\x74\141\x6e\x63\x65\x5f\x75\x69\x64"); goto edcb4; A1cd6: $this->configManager->set("\x69\x6e\x73\164\x61\156\x63\145\x5f\165\151\144", $instanceUid); goto ea78b; ea78b: E516b: goto d2a4e; d2a4e: } private function setCloudPanelVersion() : void { goto a9dfe; Da97a: $this->configManager->set("\x61\x70\160\137\166\x65\162\x73\151\157\x6e", trim($appVersion)); goto a62a2; a62a2: A4f49: goto bbc74; a9dfe: $appVersion = $_ENV["\101\120\120\x5f\126\x45\122\x53\x49\x4f\116"] ?? null; goto Fb51e; Fb51e: if (!(false === is_null($appVersion))) { goto A4f49; } goto Da97a; bbc74: } private function setCloudPanelReleaseChannel() : void { goto abec1; f528b: if (!(true === is_null($releaseChannel))) { goto F7e72; } goto Be52a; E7d90: F7e72: goto f7af0; abec1: $releaseChannel = $this->configManager->get("\162\145\154\145\x61\163\x65\137\x63\150\141\x6e\156\145\x6c"); goto f528b; Be52a: $this->configManager->set("\162\x65\154\145\x61\x73\145\x5f\x63\150\x61\156\x6e\145\x6c", CloudPanelEnvironment::RELEASE_CHANNEL_STABLE); goto E7d90; f7af0: } private function setLetsEncryptPrivateKey() { goto Dcae6; Dcae6: $numberOfUsers = $this->userManager->countAll(); goto C1f65; Fc7df: if (!(true === is_null($letsEncryptPrivateKey))) { goto f667d; } goto fa0ce; E8bb5: $letsEncryptPrivateKey = $this->configManager->get("\x6c\145\x5f\160\x72\151\166\141\x74\145\137\153\145\x79"); goto Fc7df; fe051: $this->configManager->set("\154\145\x5f\x70\162\151\x76\x61\x74\145\x5f\153\145\x79", $privateKey->getPEM()); goto A3873; Dfdeb: D92e3: goto f007c; C1f65: if (!(0 < $numberOfUsers)) { goto D92e3; } goto E8bb5; A3873: f667d: goto Dfdeb; fa0ce: $rsaKeyGenerator = new RsaKeyGenerator(); goto Db86e; Db86e: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto fe051; f007c: } private function setDatabaseServer(RequestEvent|ConsoleCommandEvent $event) : void { goto E98b3; E0df6: $changeDatabaseUserPasswordCommand->setDatabaseServer($tmpDatabaseServer); goto Afaac; c4c12: c72eb: goto C4110; bc1f9: $databaseServer->setIsDefault(true); goto B62dd; ce869: $passwordGenerator = new PasswordGenerator(); goto d343d; F9870: $databaseServer->setPassword(Crypto::encrypt("\x72\157\157\x74")); goto F1026; e2d84: $databaseServer->setHost("\x31\x32\x37\x2e\x30\56\60\x2e\61"); goto E682a; E98b3: $numberOfUsers = $this->userManager->countAll(); goto B599d; E682a: $databaseServer->setUserName("\x72\x6f\x6f\x74"); goto F9870; f4ad6: $databaseServer = $this->databaseServerManager->createEntity(); goto e2d84; fd25a: $this->databaseServerManager->updateEntity($databaseServer); goto c4c12; B4c53: if ("\144\x65\x76" == $_ENV["\x41\120\120\x5f\105\x4e\126"]) { goto ade7a; } goto ce869; Eaec8: $databaseServer->setIsActive(true); goto bc1f9; E1fb5: $tmpDatabaseServer->setPassword("\x72\157\157\x74"); goto Cac6b; c3439: goto Ba0bd; goto Efad5; E9995: $changeDatabaseUserPasswordCommand->setUserName("\162\x6f\x6f\164"); goto c0718; ba0dd: Ba0bd: goto E0ccd; d343d: $password = $passwordGenerator->generate(); goto c3439; b5ab0: if (!(0 < $numberOfUsers && 0 == count($databaseServers))) { goto c72eb; } goto B4c53; B599d: $databaseServers = $this->databaseServerManager->findAll(); goto b5ab0; Eb016: $tmpDatabaseServer = clone $databaseServer; goto E1fb5; E0ccd: $encryptedPassword = Crypto::encrypt($password); goto f4ad6; B8504: B00ca: goto fd25a; F1026: $databaseServer->setPort(DatabaseServer::DEFAULT_PORT); goto Eaec8; e9064: $databaseServer->setEngine($databaseConnection->getEngine()); goto Bc88d; Be452: $password = "\x72\x6f\x6f\164"; goto ba0dd; Bc88d: $databaseServer->setVersion($databaseConnection->getVersion()); goto cba6b; E69f6: if (!("\144\x65\166" != $_ENV["\101\120\x50\x5f\x45\116\x56"])) { goto B00ca; } goto Eb016; c0718: $changeDatabaseUserPasswordCommand->setNewPassword($password); goto E0df6; Efad5: ade7a: goto Be452; cba6b: $databaseServer->setPassword($encryptedPassword); goto E69f6; Cac6b: $commandExecutor = new CommandExecutor(); goto e236d; B62dd: $databaseConnection = new DatabaseConnection($databaseServer); goto e9064; Afaac: $commandExecutor->execute($changeDatabaseUserPasswordCommand); goto B8504; e236d: $changeDatabaseUserPasswordCommand = new ChangeDatabaseUserPasswordCommand(); goto E9995; C4110: } private function setEnvironment(RequestEvent|ConsoleCommandEvent $event) : void { goto a9fc6; B6d58: $host = $request->getHost(); goto ca5ec; E5843: $this->twig->addGlobal("\151\x6e\x73\164\x61\x6e\143\x65", $instance); goto e225c; e225c: $this->twig->addGlobal("\x69\163\x44\x61\162\x6b\115\157\x64\145", $isDarkMode); goto Ca47a; Ba2c7: $hostname = gethostname(); goto f8a5d; E0faa: $request->attributes->set("\x69\156\x73\164\141\x6e\143\145", $instance); goto D1c24; fedc7: $instance->setIpv4PublicIp($ipv4PublicIp); goto B88fa; Ca04f: goto Af9e0; goto d62bd; Fefd5: $command = $event->getCommand(); goto Ca374; Da37c: A6c3a: goto c0031; Ca374: $command->setInstance($instance); goto Ca04f; Ca47a: Af9e0: goto Fe65b; f8a5d: $instance->setHostname($hostname); goto Ecf80; B6789: $instance->setUid($instanceUid); goto b0f83; cbef9: if (!(true === empty($ipv4PublicIp))) { goto Ac70f; } goto Fe65f; c0031: E8cff: goto C60bc; Ecf80: if ($event instanceof RequestEvent) { goto da871; } goto Fefd5; f4513: $environment = new CloudPanelEnvironment(); goto b7d7c; Fe65f: $ipv4PublicIp = ''; goto dfef2; Eef20: $instance->setEnvironment($environment); goto Ba2c7; d62bd: da871: goto ae877; F6084: $ipv4PublicIp = $instance->getIpv4PublicIp(); goto cbef9; ca5ec: $isDarkMode = false === is_null($request->cookies->get("\x74\150\145\x6d\145")) && "\x64\141\x72\x6b" == $request->cookies->get("\164\150\145\155\x65") ? true : false; goto F6084; C60bc: $instanceUid = $this->configManager->get("\x69\x6e\163\164\141\156\143\145\137\x75\x69\144"); goto B5132; ae877: $request = $event->getRequest(); goto B6d58; b7d7c: switch ($cloud) { case CloudPanelEnvironment::CLOUD_PROVIDER_AWS: goto A3f27; be3aa: $instance->setRegion($region); goto c6bf7; Bfaa3: $instance->setInstanceId($instanceId); goto Ae1e0; A3f27: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_AWS); goto f0db3; De2e5: $instanceId = $_ENV["\104\x45\x56\137\101\x57\x53\x5f\x49\116\x53\x54\x41\116\x43\105\137\x49\x44"] ?? ''; goto De1b2; De1b2: $region = $_ENV["\104\x45\x56\137\101\127\x53\137\x52\x45\107\x49\117\x4e"] ?? ''; goto Bfaa3; c6bf7: fe4e6: goto b6158; f0db3: $instance = new AwsInstance(); goto f2e26; Ae1e0: $instance->setInstanceType("\164\63\x2e\170\x6c\141\162\147\x65"); goto be3aa; f2e26: if (!("\x64\145\x76" == $_ENV["\x41\120\120\137\105\x4e\126"])) { goto fe4e6; } goto De2e5; b6158: goto E8cff; goto C20b0; C20b0: case CloudPanelEnvironment::CLOUD_PROVIDER_DO: goto Fc682; d0af8: $instance->setRegion($region); goto a00cd; C0cb6: Aeef5: goto D7588; Df200: goto E8cff; goto C3672; Fc682: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_DO); goto b4973; de148: c5dc7: goto Df200; A401a: $region = $_ENV["\104\105\x56\x5f\104\x4f\x5f\x52\105\107\111\117\x4e"] ?? ''; goto A814f; F17ab: $dropletId = $_ENV["\x44\x45\x56\137\x44\x4f\x5f\104\122\117\120\x4c\x45\x54\x5f\x49\104"] ?? ''; goto A401a; D40fa: if (!(false === is_null($token))) { goto Aeef5; } goto Cb44c; b4973: $doClient = new DoClient(); goto E4976; E8d2c: $instance->setIpv4PublicIp("\x31\x32\x37\56\x30\x2e\x30\56\x31"); goto de148; E4976: $token = $this->configManager->get("\x64\157\137\141\143\x63\145\x73\x73\137\164\157\x6b\145\156"); goto D40fa; A814f: $instance->setDropletId($dropletId); goto d0af8; E24c4: $doClient->setInstance($instance); goto Bbc23; a00cd: $instance->setFloatingIp("\x31\62\67\x2e\60\56\x30\56\61"); goto E8d2c; Bbc23: if (!("\x64\145\166" == $_ENV["\x41\x50\120\x5f\105\116\x56"])) { goto c5dc7; } goto F17ab; D7588: $instance = new DoInstance($doClient); goto E24c4; Cb44c: $doClient->setToken($token); goto C0cb6; C3672: case CloudPanelEnvironment::CLOUD_PROVIDER_GCE: goto B57a0; F307a: Bc834: goto c0fe6; da863: $machineType = $_ENV["\x44\x45\x56\137\107\x43\105\137\x4d\x41\103\x48\x49\116\105\x5f\124\x59\x50\105"] ?? ''; goto A0301; bcd76: $instance->setMachineType($machineType); goto C31a7; B57a0: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_GCE); goto f433b; c0fe6: goto E8cff; goto d0f49; a2e52: $instanceId = $_ENV["\x44\x45\126\137\107\x43\105\x5f\x49\x4e\123\124\101\116\x43\105\137\x49\x44"] ?? ''; goto Fdd43; df848: $instance = new GceInstance($gceClient); goto ff8a1; aa2c1: if (!("\x64\145\166" == $_ENV["\101\120\120\137\x45\116\x56"])) { goto Bc834; } goto D7263; C31a7: $instance->setZone($zone); goto F307a; D7263: $projectId = $_ENV["\x44\x45\126\x5f\x47\x43\105\137\x50\122\x4f\112\x45\x43\x54\137\111\x44"] ?? ''; goto a2e52; C670a: $instance->setProjectId($projectId); goto Af4c8; f433b: $gceClient = new GceClient(); goto B528d; F216b: $serviceAccountKeys = (array) json_decode($serviceAccountKeys, true); goto E2e98; ff8a1: $gceClient->setGceInstance($instance); goto aa2c1; Af4c8: $instance->setInstanceId($instanceId); goto Dc7f8; B528d: $serviceAccountKeys = $this->configManager->get("\147\x63\145\137\163\145\162\166\x69\x63\145\137\141\143\143\x6f\x75\156\x74\137\153\x65\171\x73"); goto D8a2c; A0301: $zone = $_ENV["\x44\x45\126\x5f\x47\x43\105\x5f\132\x4f\116\105"] ?? ''; goto Cb26e; Cb26e: $instance->setIpv4PublicIp("\61\62\67\x2e\x30\56\x30\56\61"); goto C670a; E2e98: $gceClient->setAuthConfig($serviceAccountKeys); goto Cbf8b; Cbf8b: d7d17: goto df848; Dc7f8: $instance->setInstanceName($instanceName); goto bcd76; Fdd43: $instanceName = $_ENV["\104\x45\126\x5f\107\x43\105\x5f\x49\116\123\x54\x41\116\x43\105\x5f\x4e\x41\115\x45"] ?? ''; goto da863; D8a2c: if (!(false === is_null($serviceAccountKeys))) { goto d7d17; } goto F216b; d0f49: case CloudPanelEnvironment::CLOUD_PROVIDER_HETZNER: goto ee55a; Fe39c: $apiToken = $this->configManager->get("\x68\145\164\x7a\x6e\x65\x72\x5f\x61\x70\151\137\x74\x6f\153\145\x6e"); goto b520c; ee55a: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_HETZNER); goto ff5f5; f3f76: $instance->setIpv4PublicIp("\61\62\67\56\x30\56\60\x2e\x31"); goto C3d1b; c9de4: $instance = new HetznerInstance($hetznerClient); goto D7823; D7823: $hetznerClient->setInstance($instance); goto f92b7; f92b7: if (!("\144\x65\166" == $_ENV["\101\120\120\137\x45\116\x56"])) { goto D2c66; } goto E7ebe; ff5f5: $hetznerClient = new HetznerClient(); goto Fe39c; c7f94: D2c66: goto C06d7; f75e3: Eb9ad: goto c9de4; Dc984: $hetznerClient->setToken($apiToken); goto f75e3; C3d1b: $instance->setInstanceId($instanceId); goto c7f94; E7ebe: $instanceId = $_ENV["\104\105\x56\x5f\110\x45\124\x5a\x4e\105\122\137\111\x4e\x53\124\x41\x4e\103\105\x5f\x49\x44"] ?? ''; goto f3f76; b520c: if (!(false === is_null($apiToken))) { goto Eb9ad; } goto Dc984; C06d7: goto E8cff; goto Bce99; Bce99: case CloudPanelEnvironment::CLOUD_PROVIDER_VULTR: goto b9dc6; ef0b7: $ipv4PublicIp = $_ENV["\x44\105\x56\x5f\126\x55\114\124\122\137\x49\x50\137\126\x34\x5f\x50\x55\102\114\x49\103"] ?? "\x31\62\x37\x2e\x30\x2e\x30\56\x31"; goto e68a3; e7e6d: $instance->setInstanceId($instanceId); goto Fd550; b9dc6: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_VULTR); goto A715d; A715d: $vultrClient = new VultrClient(); goto d2c4e; F48c6: $vultrClient->setApiKey($apiKey); goto eeb89; Fd550: Af351: goto Eec4b; eeb89: fa3d4: goto B8430; e68a3: $instance->setIpv4PublicIp($ipv4PublicIp); goto e7e6d; cfbdd: $vultrClient->setVultrInstance($instance); goto Abb23; Abb23: if (!("\144\145\x76" == $_ENV["\101\120\120\x5f\105\x4e\126"])) { goto Af351; } goto b5fe4; B2769: if (!(false === is_null($apiKey))) { goto fa3d4; } goto F48c6; B8430: $instance = new VultrInstance($vultrClient); goto cfbdd; d2c4e: $apiKey = $this->configManager->get("\166\165\154\164\x72\x5f\x61\160\151\137\x6b\x65\171"); goto B2769; b5fe4: $instanceId = $_ENV["\x44\105\126\x5f\x56\x55\114\124\122\137\x49\116\123\x54\x41\x4e\103\x45\x5f\x49\104"] ?? ''; goto ef0b7; Eec4b: goto E8cff; goto F2c08; F2c08: default: $instance = new Instance(); goto E8cff; } goto Da37c; B5132: if (!(false === is_null($instanceUid))) { goto ce806; } goto B6789; B88fa: Ac70f: goto E0faa; D1c24: $request->attributes->set("\x69\x73\x44\x61\162\153\x4d\x6f\144\145", $isDarkMode); goto E5843; b0f83: ce806: goto Eef20; a9fc6: $cloud = $this->configManager->get("\x63\154\157\x75\144"); goto f4513; dfef2: try { $ipv4PublicIp = $this->cachePool->get("\151\x70\x76\64\x5f\x70\165\142\x6c\151\143\x5f\x69\160", function (ItemInterface $item) { goto C1633; Ab250: $response = $this->retry(function () use($httpClient, $request) { $response = $httpClient->send($request); return $response; }); goto F5f13; ce182: $httpClient = new HttpClient($config); goto B14a8; F17b4: A6e2e: goto A858e; e6e29: $ipv4PublicIp = trim((string) $response->getBody()); goto F17b4; B14a8: $request = new Request("\107\x45\x54", self::IP_REQUEST_URL); goto Ab250; a58a6: $config = ["\164\x69\x6d\145\157\x75\x74" => 5, "\x76\x65\162\151\x66\x79" => false, "\150\x65\141\144\x65\x72\x73" => ["\x55\x73\x65\x72\x2d\x41\x67\x65\x6e\164" => "\103\154\157\x75\x64\x50\141\156\145\154\x20\166\x32"]]; goto ce182; F5f13: $responseStatusCode = $response->getStatusCode(); goto F69fa; ffc95: $ipv4PublicIp = null; goto a58a6; A858e: return $ipv4PublicIp; goto a4564; F69fa: if (!(200 == $responseStatusCode)) { goto A6e2e; } goto e6e29; C1633: $item->expiresAfter(3600); goto ffc95; a4564: }); } catch (\Exception $e) { } goto fedc7; Fe65b: } private function retry(callable $fn, $retries = 1, $delay = 3) { return Retry::retry($fn, $retries, $delay); } public static function getSubscribedEvents() : array { return [KernelEvents::REQUEST => [["\x6f\156\113\x65\162\156\x65\x6c\x52\x65\161\x75\145\163\x74", 25]], ConsoleEvents::COMMAND => [["\157\156\103\x6f\x6e\163\x6f\154\x65\x43\x6f\x6d\x6d\141\156\144", 25]]]; } }
