<?php
 namespace App\Site\Nginx\Vhost; use App\Site\Site; use App\Site\Nginx\Vhost\Processor\Processor; use App\Site\Nginx\Vhost\Processor\RootDirectory as RootDirectoryProcessor; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; use App\Site\Nginx\Vhost\Processor\NginxAccessLog as NginxAccessLogProcessor; use App\Site\Nginx\Vhost\Processor\NginxErrorLog as NginxErrorLogProcessor; use App\Site\Nginx\Vhost\Processor\SslCertificateKey as NginxCertificateKeyProcessor; use App\Site\Nginx\Vhost\Processor\SslCertificate as NginxCertificateProcessor; use App\Site\Nginx\Vhost\Processor\Settings as SettingsProcessor; class Template { protected Site $site; protected ?string $content = null; protected array $placeholders = []; protected array $processors = []; public function __construct(Site $site) { $this->site = $site; $this->init(); } protected function init() : void { goto e08ae; A83b3: $this->addProcessor($settingsProcessor); goto d7b83; e08ae: $rootDirectoryProcessor = new RootDirectoryProcessor(); goto Ac8be; B6fba: $this->addProcessor($rootDirectoryProcessor); goto c0a09; F1c18: $redirectDomainProcessor = new RedirectDomainProcessor(); goto c8b4c; Cb5d9: $certificateProcessor = new NginxCertificateProcessor(); goto e776a; F4908: $certificateKeyProcessor = new NginxCertificateKeyProcessor(); goto Cb5d9; b0360: $this->addProcessor($redirectServerNameProcessor); goto Ad229; e776a: $settingsProcessor = new SettingsProcessor(); goto B6fba; F954d: $this->addProcessor($nginxErrorLogProcessor); goto C0486; C0486: $this->addProcessor($certificateKeyProcessor); goto A9100; A9100: $this->addProcessor($certificateProcessor); goto A83b3; Ad229: $this->addProcessor($redirectDomainProcessor); goto ef347; Ac8be: $serverNameProcessor = new ServerNameProcessor(); goto e6ece; bd2a5: $nginxErrorLogProcessor = new NginxErrorLogProcessor(); goto F4908; c8b4c: $nginxAccessLogProcessor = new NginxAccessLogProcessor(); goto bd2a5; e6ece: $redirectServerNameProcessor = new RedirectServerNameProcessor(); goto F1c18; c0a09: $this->addProcessor($serverNameProcessor); goto b0360; ef347: $this->addProcessor($nginxAccessLogProcessor); goto F954d; d7b83: } public function getSite() : Site { return $this->site; } public function setContent(string $content) : void { $this->content = $content; } public function getContent() : ?string { return $this->content; } public function build() : void { goto b9735; Ae0ac: $placeholders = $this->getPlaceholders(); goto ecad9; ecad9: foreach ($placeholders as $placeholder) { goto Ddd02; A7cc4: $this->removePlaceholder($placeholder); goto C549f; Bd2c0: if (!(true === $hasProcessor)) { goto c6ea3; } goto Cf47e; Cf47e: $processor = $processors[$placeholder]; goto a7637; e6ceb: B605a: goto a9caa; C549f: c6ea3: goto e6ceb; C31e7: $this->content = $processor->process($this->content); goto A7cc4; Ddd02: $hasProcessor = $this->hasProcessor($placeholder); goto Bd2c0; a7637: $processor->setSite($this->site); goto C31e7; a9caa: } goto e632b; b9735: $processors = $this->getProcessors(); goto Ae0ac; e632b: b323d: goto Daea8; Daea8: } public function removeEmptyPlaceholders() : void { goto Ce704; Ab0f3: e4167: goto e9620; Ce704: $placeholders = $this->getPlaceholders(); goto B8c39; B8c39: foreach ($placeholders as $placeholder) { $this->content = str_replace($placeholder, '', $this->content); afac8: } goto Ab0f3; e9620: } protected function hasProcessor(string $placeholder) : bool { return isset($this->processors[$placeholder]); } protected function getProcessors() : array { return $this->processors; } public function addProcessor(Processor $processor) : void { $this->processors[$processor->getPlaceholder()] = $processor; } public function resetProcessors() : void { $this->processors = []; } public function getPlaceholders() : array { goto C667a; b1d32: C3781: goto d355e; Efd38: d0ecd: goto b0a75; A3bb4: $placeholders = $placeholders[0]; goto D9213; F75d4: if (!(true === isset($placeholders[0]) && count($placeholders[0]))) { goto E1d07; } goto A3bb4; D9213: foreach ($placeholders as $placeholder) { goto fb25e; A6b20: if (!(false === empty($placeholder))) { goto ee54d; } goto ff635; ff635: $this->addPlaceholder($placeholder); goto f43d5; d0571: B3be4: goto Edcff; fb25e: $placeholder = trim($placeholder); goto A6b20; f43d5: ee54d: goto d0571; Edcff: } goto Efd38; b0a75: E1d07: goto b1d32; d355e: return $this->placeholders; goto a949c; C667a: if (!(true === empty($this->placeholders))) { goto C3781; } goto b11ea; b11ea: preg_match_all("\57\x5b\x7b\x7b\135\x7b\62\175\x28\x5b\134\x73\x61\55\172\x41\55\x5a\60\x2d\71\137\x5d\53\x29\x5b\x7d\x7d\135\173\62\175\57", $this->content, $placeholders); goto F75d4; a949c: } private function addPlaceholder(string $placeholder) : void { $this->placeholders[$placeholder] = $placeholder; } private function removePlaceholder(string $placeholder) : void { goto A2ae7; ed770: e0507: goto C1138; A2ae7: if (!(true === isset($this->placeholders[$placeholder]))) { goto e0507; } goto e7adb; e7adb: unset($this->placeholders[$placeholder]); goto ed770; C1138: } }
