<?php
 namespace App\Site; use App\System\Command\CopyFileCommand; use App\System\Command\DeleteFileCommand; use App\System\Command\NginxConfigTestCommand; use App\System\CommandExecutor; use App\System\Command\ChownCommand; use App\System\Command\ChmodCommand; use App\System\Command\FindChmodCommand; use App\System\Command\WriteFileCommand; use App\System\Command\CreateDirectoryCommand; use App\System\Command\DeleteDirectoryCommand; use App\System\Command\ChangeUserHomeDirectoryCommand; use App\System\Command\CreateUserCommand; use App\System\Command\DeleteUserCommand; use App\System\Command\ChangeUserPasswordCommand; use App\System\Command\CreateSymlinkCommand; use App\System\Command\ReadLinkCommand; use App\System\Command\ServiceReloadCommand; use App\Entity\BasicAuth as BasicAuthEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\FtpUser as FtpUserEntity; use App\Entity\SshUser as SshUserEntity; use App\Entity\Site as SiteEntity; use App\Site\Ssl\LetsEncrypt\CertificateOrder; use App\Site\Nginx\Exception\InvalidVhostException; use App\Site\Nginx\Vhost\StaticTemplate; use App\Site\Nginx\Vhost\NodejsTemplate; use App\Site\Nginx\Vhost\PhpTemplate; use App\Site\Nginx\Vhost\PythonTemplate; use App\Site\Nginx\Vhost\ReverseProxyTemplate; abstract class Updater { public const NGINX_BASIC_AUTH_DIRECTORY = "\57\x65\x74\x63\x2f\x6e\x67\151\x6e\170\57\x62\141\163\151\143\55\141\x75\x74\150\57"; public const NGINX_VHOST_DIRECTORY = "\57\145\164\143\x2f\x6e\147\x69\x6e\170\x2f\x73\x69\164\x65\163\55\145\156\x61\x62\154\145\144\x2f"; public const NGINX_SSL_CERTIFICATES_DIRECTORY = "\57\145\164\143\57\x6e\147\151\156\x78\x2f\163\x73\x6c\55\x63\x65\x72\x74\151\146\151\143\x61\164\145\163\57"; public const CRON_DIRECTORY = "\x2f\x65\164\x63\57\x63\x72\x6f\156\x2e\x64\57"; protected Site $site; protected CommandExecutor $commandExecutor; public function __construct(Site $site) { $this->site = $site; $this->commandExecutor = new CommandExecutor(); } public function domainSettings() : void { $this->updateNginxVhost(); $this->reloadNginxService(); } public function updateNginxVhost() : void { goto d3891; Be45d: $writeVhostFileCommand->setContent($vhostContent); goto f3543; B7819: $vhostFileContent = $this->site->getVhostTemplate(); goto Fa5be; d3891: $domainName = $this->site->getDomainName(); goto B7819; C9c64: $vhostContent = $vhostTemplate->getContent(); goto ed15a; b6dfc: $writeVhostFileCommand->setFile($vhostFile); goto Be45d; ed15a: $writeVhostFileCommand = new WriteFileCommand(); goto b6dfc; C23c9: $vhostFile = sprintf("\x25\x73\57\x25\163\x2e\143\x6f\x6e\x66", rtrim(self::NGINX_VHOST_DIRECTORY, "\57"), $domainName); goto bba75; f0977: c7300: goto Aad5b; B620d: D2118: goto f0977; bba75: $vhostTemplate->build(); goto dcb5b; Aad5b: $vhostTemplate->setContent($vhostFileContent); goto C23c9; Fa5be: switch ($this->site->getType()) { case SiteEntity::TYPE_PHP: $vhostTemplate = new PhpTemplate($this->site); goto c7300; case SiteEntity::TYPE_NODEJS: $vhostTemplate = new NodejsTemplate($this->site); goto c7300; case SiteEntity::TYPE_STATIC: $vhostTemplate = new StaticTemplate($this->site); goto c7300; case SiteEntity::TYPE_PYTHON: $vhostTemplate = new PythonTemplate($this->site); goto c7300; case SiteEntity::TYPE_REVERSE_PROXY: $vhostTemplate = new ReverseProxyTemplate($this->site); goto c7300; } goto B620d; dcb5b: $vhostTemplate->removeEmptyPlaceholders(); goto C9c64; f3543: $this->commandExecutor->execute($writeVhostFileCommand); goto a8a73; a8a73: } public function updateNginxVhostWithRollback() : void { try { goto c9141; f2194: bc70e: goto C24cc; daef1: $vhostFileContent = $this->site->getVhostTemplate(); goto d88bd; d2879: E8ef5: goto dadd3; D518a: $this->commandExecutor->execute($copyVhostBackupFileCommand); goto Deed1; Bf049: $this->commandExecutor->execute($reloadNginxServiceCommand); goto d2879; C24cc: $vhostTemplate->setContent($vhostFileContent); goto f3a1d; b1fe3: $this->commandExecutor->execute($nginxConfigTestCommand); goto B2342; Deef8: B7ed7: goto f2194; bec64: $writeVhostFileCommand = new WriteFileCommand(); goto e563c; B2342: if (!("\x64\145\x76" != $_ENV["\x41\120\x50\137\x45\x4e\x56"])) { goto E8ef5; } goto f74bc; Df029: $deleteVhostBackupFileCommand->setFile($vhostBackupFile); goto D518a; F520a: $vhostContent = $vhostTemplate->getContent(); goto Aae2c; E48a0: $nginxConfigTestCommand = new NginxConfigTestCommand(); goto B7b99; Fabed: $vhostTemplate->removeEmptyPlaceholders(); goto F520a; f74bc: $reloadNginxServiceCommand = new ServiceReloadCommand(); goto ee9ce; f3a1d: $vhostFile = sprintf("\x25\163\57\45\163\56\143\x6f\x6e\146", rtrim(self::NGINX_VHOST_DIRECTORY, "\57"), $domainName); goto A9557; c9141: $domainName = $this->site->getDomainName(); goto daef1; bea2e: $copyVhostBackupFileCommand->setDestinationFile($vhostBackupFile); goto bec64; e563c: $writeVhostFileCommand->setFile($vhostFile); goto Dacdb; ee9ce: $reloadNginxServiceCommand->setServiceName("\x6e\x67\x69\x6e\170"); goto Bf049; Aae2c: $vhostBackupFile = sprintf("\45\x73\57\x25\x73\56\x63\x6f\156\x66\x2e\x62\141\153", rtrim(self::NGINX_VHOST_DIRECTORY, "\x2f"), $domainName); goto Eb94c; Deed1: $this->commandExecutor->execute($writeVhostFileCommand); goto b1fe3; Eb94c: $copyVhostBackupFileCommand = new CopyFileCommand(); goto B8828; Dacdb: $writeVhostFileCommand->setContent($vhostContent); goto E48a0; B7b99: $deleteVhostBackupFileCommand = new DeleteFileCommand(); goto Df029; A9557: $vhostTemplate->build(); goto Fabed; d88bd: switch ($this->site->getType()) { case SiteEntity::TYPE_PHP: $vhostTemplate = new PhpTemplate($this->site); goto bc70e; case SiteEntity::TYPE_NODEJS: $vhostTemplate = new NodejsTemplate($this->site); goto bc70e; case SiteEntity::TYPE_STATIC: $vhostTemplate = new StaticTemplate($this->site); goto bc70e; case SiteEntity::TYPE_PYTHON: $vhostTemplate = new PythonTemplate($this->site); goto bc70e; case SiteEntity::TYPE_REVERSE_PROXY: $vhostTemplate = new ReverseProxyTemplate($this->site); goto bc70e; } goto Deef8; dadd3: $this->commandExecutor->execute($deleteVhostBackupFileCommand); goto B0e70; B8828: $copyVhostBackupFileCommand->setSourceFile($vhostFile); goto bea2e; B0e70: } catch (\Exception $e) { goto fa2d4; b1b3b: $restoreBackupFileCommand->setDestinationFile($vhostFile); goto Ad831; c7009: $this->commandExecutor->execute($deleteVhostBackupFileCommand); goto d86e9; e8229: $errorMessage = $nginxConfigTestCommand->getOutput(); goto b75bc; d86e9: throw new InvalidVhostException($errorMessage); goto ea03c; e0649: b706b: goto c7009; d1270: $this->commandExecutor->execute($reloadNginxServiceCommand); goto e0649; Aadd9: $restoreBackupFileCommand = new CopyFileCommand(); goto Fb212; Ebc19: if (!(true === isset($reloadNginxServiceCommand))) { goto b706b; } goto d1270; Fb212: $restoreBackupFileCommand->setSourceFile($vhostBackupFile); goto b1b3b; fa2d4: $errorMessage = $e->getMessage(); goto A59b0; Ad831: $this->commandExecutor->execute($restoreBackupFileCommand); goto Ebc19; b75bc: E5600: goto Aadd9; A59b0: if (!(true === isset($nginxConfigTestCommand))) { goto E5600; } goto e8229; ea03c: } } public function createSshUser(SshUserEntity $sshUserEntity) : void { goto e380d; C59dd: $sshDirectoryChmodCommand->setFileChmod(600); goto ac272; c7e92: $sshDirectory = sprintf("\57\150\157\x6d\x65\57\45\x73\57\x2e\163\163\x68", $sshUserName); goto ba1ba; B0b00: $symlinkDirectories = ["\x62\141\x63\153\165\160\163", "\150\164\144\x6f\x63\163", "\154\157\147\163"]; goto Fac95; F29bb: $sshUserName = $sshUserEntity->getUserName(); goto D47fd; ac272: $siteUserHomeDirectory = sprintf("\x2f\150\x6f\x6d\145\x2f\45\x73", $siteUser); goto A85e0; c372f: $changeSiteUserHomeDirectoryPermissionsCommand->setChmod(750); goto b2aac; fdfab: $createUserCommand->createHomeDirectory(true); goto d2f1c; cfdf0: $createUserCommand->setGroup($siteUser); goto c98a0; d70bc: $homeDirectory = sprintf("\57\x68\157\155\x65\57\45\163", $sshUserName); goto a6f5c; Fac95: foreach ($symlinkDirectories as $symlinkDirectory) { goto df74b; Ffcfb: c9287: goto D56d8; B10d7: $symlinkCommand->setSource($source); goto dd2e4; e0b10: $destination = sprintf("\57\x68\x6f\x6d\x65\x2f\x25\x73\x2f\45\x73", $sshUserName, $symlinkDirectory); goto a0efa; b5596: $this->commandExecutor->execute($symlinkCommand); goto Ffcfb; df74b: $source = sprintf("\x2f\150\x6f\155\145\x2f\45\163\57\x25\163", $siteUser, $symlinkDirectory); goto e0b10; a0efa: $symlinkCommand = new CreateSymlinkCommand(); goto a88b3; f9d2c: if (!("\144\x65\x76" != $_ENV["\x41\x50\x50\x5f\105\x4e\x56"])) { goto c9287; } goto b5596; a88b3: $symlinkCommand->setRunAsUser($sshUserName); goto B10d7; dd2e4: $symlinkCommand->setDestination($destination); goto f9d2c; D56d8: E6513: goto aa2b8; aa2b8: } goto E8eef; E1e3c: $changeSiteUserHomeDirectoryPermissionsCommand->setFile($siteUserHomeDirectory); goto d129e; b8367: $createUserCommand->setSkeletonDirectory($skeletonDirectory); goto b305a; b305a: $createUserCommand->setHomeDirectory($homeDirectory); goto fdfab; D47fd: $sshUserPassword = $sshUserEntity->getPassword(); goto d70bc; A85e0: $changeSiteUserHomeDirectoryPermissionsCommand = new ChmodCommand(); goto E1e3c; C9ddc: $createUserCommand = new CreateUserCommand(); goto Cf42b; A555f: $createUserCommand->setPassword($sshUserPassword); goto cfdf0; ac219: $this->commandExecutor->execute($changeSiteUserHomeDirectoryPermissionsCommand); goto E4a79; d129e: $changeSiteUserHomeDirectoryPermissionsCommand->setRecursive(false); goto c372f; c925e: $siteUser = $site->getUser(); goto F29bb; F68e2: $sshDirectoryChmodCommand->setDirectoryChmod(700); goto C59dd; d2f1c: $this->commandExecutor->execute($createUserCommand); goto B0b00; c98a0: $createUserCommand->setShell("\x2f\142\x69\156\57\x62\x61\163\150"); goto b8367; e380d: $site = $sshUserEntity->getSite(); goto c925e; e99b6: $sshDirectoryChmodCommand->setFile($sshDirectory); goto F68e2; a6f5c: $skeletonDirectory = realpath(dirname(__FILE__) . "\x2f\56\56\57\56\56\x2f\x72\x65\x73\157\x75\162\143\145\x73\57\145\164\143\x2f\163\153\145\154\57\163\163\x68\55\x75\x73\145\x72\x2f"); goto C9ddc; Cf42b: $createUserCommand->setUserName($sshUserName); goto A555f; b2aac: $this->commandExecutor->execute($sshDirectoryChmodCommand); goto ac219; E8eef: d3911: goto c7e92; ba1ba: $sshDirectoryChmodCommand = new FindChmodCommand(); goto e99b6; E4a79: } public function createFtpUser(FtpUserEntity $ftpUserEntity) : void { goto acca2; Ceea0: $ftpUserName = $ftpUserEntity->getUserName(); goto bf462; fdee7: $createUserCommand->setPassword($ftpUserPassword); goto C078f; A1721: $changeSiteUserHomeDirectoryPermissionsCommand->setRecursive(false); goto F6939; C5d8c: $createUserCommand->setUserName($ftpUserName); goto fdee7; F6f7b: $siteUserHomeDirectory = sprintf("\57\x68\157\x6d\145\x2f\45\163", $siteUser); goto Df05b; E320d: $homeDirectory = $ftpUserEntity->getHomeDirectory(); goto f88de; C56e0: $createUserCommand->setShell("\57\142\151\156\57\146\x61\x6c\x73\x65"); goto d7f71; acca2: $site = $ftpUserEntity->getSite(); goto B1fd4; e9f33: $this->commandExecutor->execute($changeSiteUserHomeDirectoryPermissionsCommand); goto d7d3a; B1fd4: $siteUser = $site->getUser(); goto Ceea0; bf462: $ftpUserPassword = $ftpUserEntity->getPassword(); goto E320d; b5909: $changeSiteUserHomeDirectoryPermissionsCommand->setFile($siteUserHomeDirectory); goto A1721; Cb7e7: $this->commandExecutor->execute($createUserCommand); goto e9f33; F6939: $changeSiteUserHomeDirectoryPermissionsCommand->setChmod(750); goto Cb7e7; d7f71: $createUserCommand->setHomeDirectory($homeDirectory); goto C88bf; Df05b: $changeSiteUserHomeDirectoryPermissionsCommand = new ChmodCommand(); goto b5909; C88bf: $createUserCommand->createHomeDirectory(false); goto F6f7b; C078f: $createUserCommand->setGroup($siteUser); goto e4fc4; e4fc4: $createUserCommand->setGroups(["\146\x74\x70\55\165\x73\x65\162"]); goto C56e0; f88de: $createUserCommand = new CreateUserCommand(); goto C5d8c; d7d3a: } public function deleteUser(string $userName, $removeHomeDirectory = true) : void { goto D8617; D8617: $deleteUserCommand = new DeleteUserCommand(); goto b85cf; b85cf: $deleteUserCommand->setUserName($userName); goto Dfc96; Dfc96: $deleteUserCommand->setRemoveHomeDirectory($removeHomeDirectory); goto Dc5b6; Dc5b6: $this->commandExecutor->execute($deleteUserCommand); goto de940; de940: } public function installCertificate(CertificateEntity $certificateEntity) : void { goto e0e97; Ffd03: c67da: goto E0541; c27bd: if (!(false === empty($certificateEntity->getCertificateChain()))) { goto c67da; } goto Dffde; c0a22: $privateKeyFile = sprintf("\x25\x73\57\45\163\x2e\153\x65\x79", rtrim(self::NGINX_SSL_CERTIFICATES_DIRECTORY, "\57"), $domainName); goto cbd2e; c159e: $writeCertificateFileCommand = new WriteFileCommand(); goto A9f42; cbd2e: $certificateFile = sprintf("\45\163\57\45\x73\x2e\143\162\x74", rtrim(self::NGINX_SSL_CERTIFICATES_DIRECTORY, "\x2f"), $domainName); goto aedc1; A9f42: $writeCertificateFileCommand->setFile($certificateFile); goto Eb336; Dffde: $certificate .= sprintf("\45\x73\x25\x73", PHP_EOL, trim($certificateEntity->getCertificateChain())); goto Ffd03; cda14: $this->reloadService("\156\x67\151\x6e\x78"); goto Ee2f9; d9b7c: $this->commandExecutor->execute($writeCertificateFileCommand); goto cda14; e0e97: $domainName = $this->site->getDomainName(); goto c0a22; a2f04: $this->commandExecutor->execute($writePrivateKeyFileCommand); goto d9b7c; aedc1: $certificate = $certificateEntity->getCertificate(); goto c27bd; f4314: $writePrivateKeyFileCommand->setContent($certificateEntity->getPrivateKey()); goto c159e; E0541: $writePrivateKeyFileCommand = new WriteFileCommand(); goto B6b7e; B6b7e: $writePrivateKeyFileCommand->setFile($privateKeyFile); goto f4314; Eb336: $writeCertificateFileCommand->setContent($certificate); goto a2f04; Ee2f9: } public function deleteLetsEncryptChallengeDirectory() : void { goto Df64b; F1057: $deleteAcmeChallengeDirectoryCommand->setDirectory($acemeChallengeDirectory); goto a2a26; eb842: $acemeChallengeDirectory = sprintf("\x25\x73\x2f\56\x77\145\x6c\x6c\55\153\156\157\x77\156\57\141\143\x6d\145\x2d\x63\150\x61\154\x6c\x65\156\147\x65\57", rtrim($rootDirectory, "\57")); goto Abfd2; Df64b: $rootDirectory = $this->getRootDirectory(); goto eb842; a2a26: $this->commandExecutor->execute($deleteAcmeChallengeDirectoryCommand); goto A173e; Abfd2: $deleteAcmeChallengeDirectoryCommand = new DeleteDirectoryCommand(); goto F1057; A173e: } public function createBasicAuthFile(BasicAuthEntity $basicAuthEntity) : void { goto Fa291; Fa291: $basicAuthFile = sprintf("\45\163\x2f\45\x73", rtrim(self::NGINX_BASIC_AUTH_DIRECTORY, "\x2f"), $this->site->getDomainName()); goto ef8f1; B764d: $writeBasicAuthFileCommand->setFile($basicAuthFile); goto edf1a; edf1a: $writeBasicAuthFileCommand->setContent($basicAuthFileContent); goto b904d; Bfcf3: $writeBasicAuthFileCommand = new WriteFileCommand(); goto B764d; ef8f1: $basicAuthFileContent = sprintf("\x25\163\x3a\x25\x73", $basicAuthEntity->getUserName(), crypt($basicAuthEntity->getPassword(), base64_encode($basicAuthEntity->getPassword()))); goto Bfcf3; b904d: $this->commandExecutor->execute($writeBasicAuthFileCommand); goto D579c; D579c: } public function createLetsEncryptChallengeFiles(CertificateOrder $certificateOrder) : void { goto ba772; d0cb9: $wellKnownDirectory = sprintf("\45\x73\57\56\167\145\154\x6c\55\x6b\x6e\157\x77\156\x2f", rtrim($rootDirectory, "\57")); goto B281f; e3eb3: $chownWellKnownDirectoryCommandCommand->setFile($wellKnownDirectory); goto b70b4; b70b4: $chownWellKnownDirectoryCommandCommand->setRecursive(true); goto C1852; A5d67: $rootDirectory = $this->getRootDirectory(); goto d0cb9; be07d: $chmodWellKnownDirectoryCommand->setDirectoryChmod(750); goto dd810; C1852: $chownWellKnownDirectoryCommandCommand->setUser($siteUser); goto E2bc7; F3341: foreach ($challenges as $challenge) { goto e6b7e; e3954: Afca2: goto d92a7; F17e9: $challengeWriteFileCommand->setContent($verificationContent); goto Ae234; a94e7: if (!(false === is_null($token) && false === is_null($verificationContent))) { goto C35bd; } goto b183d; Eb7f6: $challengeWriteFileCommand->setFile($challengeFile); goto F17e9; Ae234: $this->commandExecutor->execute($challengeWriteFileCommand); goto C54bd; b183d: $challengeFile = sprintf("\45\x73\x2f\45\163", rtrim($acemeChallengeDirectory, "\57"), $token); goto d3034; e6b7e: $token = $challenge["\x74\157\x6b\x65\156"] ?? null; goto c962a; d3034: $challengeWriteFileCommand = new WriteFileCommand(); goto Eb7f6; c962a: $verificationContent = $challenge["\166\145\162\x69\x66\x69\143\x61\x74\151\x6f\x6e\103\157\x6e\164\x65\x6e\x74"] ?? null; goto a94e7; C54bd: C35bd: goto e3954; d92a7: } goto e8f0e; e8f0e: C1d0c: goto Ce224; b2ea7: $this->commandExecutor->execute($chownWellKnownDirectoryCommandCommand); goto aa10d; Be5a0: $chownWellKnownDirectoryCommandCommand = new ChownCommand(); goto e3eb3; aa10d: $this->commandExecutor->execute($chmodWellKnownDirectoryCommand); goto e05ff; bb3e8: $createAcmeChallengeDirectoryCommand->setDirectory($acemeChallengeDirectory); goto F124b; d3606: $challenges = $certificateOrder->getAuthorizationsChallenges(); goto A534b; dd810: $chmodWellKnownDirectoryCommand->setFileChmod(770); goto b2ea7; A534b: $createAcmeChallengeDirectoryCommand = new CreateDirectoryCommand(); goto bb3e8; F124b: $this->commandExecutor->execute($createAcmeChallengeDirectoryCommand); goto ba36e; B281f: $acemeChallengeDirectory = sprintf("\45\x73\x2f\56\x77\x65\154\154\x2d\153\156\157\x77\x6e\57\x61\143\155\x65\55\143\x68\141\x6c\154\x65\x6e\x67\145\57", rtrim($rootDirectory, "\57")); goto d3606; C95fe: $chmodWellKnownDirectoryCommand = new FindChmodCommand(); goto f703a; Ce224: Be44c: goto Be5a0; f703a: $chmodWellKnownDirectoryCommand->setFile($wellKnownDirectory); goto be07d; E2bc7: $chownWellKnownDirectoryCommandCommand->setGroup($siteUser); goto C95fe; ba36e: if (!count($challenges)) { goto Be44c; } goto F3341; ba772: $siteUser = $this->site->getUser(); goto A5d67; e05ff: } public function updateUserCrontab() : void { goto C82d7; be9a4: $writeCrontabFileCommand->setContent($crontabContent); goto F2fb9; C57ee: $writeCrontabFileCommand = new WriteFileCommand(); goto A138b; fae2d: foreach ($cronJobs as $cronJob) { $crontabEntries[] = $cronJob->getCrontabExpression(); B148e: } goto E744f; C82d7: $siteUser = $this->site->getUser(); goto a74b2; F2fb9: $this->commandExecutor->execute($writeCrontabFileCommand); goto Eca8e; Da8ee: F4024: goto ba302; a74b2: $crontabFile = sprintf("\x25\x73\57\45\x73", rtrim(self::CRON_DIRECTORY, "\x2f"), $siteUser); goto cc1ca; B0750: if (!count($cronJobs)) { goto F4024; } goto fae2d; c47e1: $cronJobs = $this->site->getCronJobs(); goto B0750; ba302: $crontabContent = implode(PHP_EOL, $crontabEntries); goto C57ee; A138b: $writeCrontabFileCommand->setFile($crontabFile); goto be9a4; cc1ca: $crontabEntries = ["\115\x41\111\114\x54\117\75\x22\42"]; goto c47e1; E744f: F408e: goto Da8ee; Eca8e: } public function purgePageSpeedCache() : void { goto C6587; E7176: $this->commandExecutor->execute($purgePageSpeedCacheFilesCommand, 300); goto C7251; D605d: $purgePageSpeedCacheFilesCommand = new DeleteDirectoryCommand(); goto c7852; c7ff5: $cacheDirectory = sprintf("\x2f\150\x6f\155\x65\57\45\x73\57\x74\x6d\160\x2f\160\x61\147\x65\163\160\145\x65\x64\137\x63\141\x63\150\x65", $siteUser); goto D605d; c7852: $purgePageSpeedCacheFilesCommand->setDirectory($cacheDirectory); goto E7176; C6587: $siteUser = $this->site->getUser(); goto c7ff5; C7251: } public function updateUserSShKeys(string $userName, $sshKeys) : void { goto dec5e; D818d: $writeAuthorizedKeysFileCommand->setContent($sshKeys); goto be427; A3874: $writeAuthorizedKeysFileCommand = new WriteFileCommand(); goto a5213; F31ce: $readLinkCommand->setFile($authorizedKeysFile); goto Cbffe; b4f3f: if (!(false === empty($readLinkPath) && $readLinkPath == $authorizedKeysFile)) { goto fd186; } goto A3874; dec5e: $authorizedKeysFile = sprintf("\57\150\157\155\145\x2f\45\x73\x2f\56\x73\163\x68\x2f\141\165\164\150\x6f\162\151\x7a\145\x64\137\x6b\x65\x79\163", $userName); goto E0169; be427: $this->commandExecutor->execute($writeAuthorizedKeysFileCommand); goto e1b26; E0169: $readLinkCommand = new ReadLinkCommand(); goto F31ce; Cbffe: $this->commandExecutor->execute($readLinkCommand); goto ce430; e1b26: fd186: goto E900b; ce430: $readLinkPath = $readLinkCommand->getOutput(); goto b4f3f; a5213: $writeAuthorizedKeysFileCommand->setFile($authorizedKeysFile); goto D818d; E900b: } public function changeUserHomeDirectory(string $userName, string $homeDirectory) : void { goto b20de; b20de: $changeUserHomeDirectoryCommand = new ChangeUserHomeDirectoryCommand(); goto b2bdc; b2bdc: $changeUserHomeDirectoryCommand->setUserName($userName); goto c1ebc; c1ebc: $changeUserHomeDirectoryCommand->setHomeDirectory($homeDirectory); goto Dbe62; Dbe62: $this->commandExecutor->execute($changeUserHomeDirectoryCommand); goto f38e5; f38e5: } public function changeUserPassword(string $userName, string $password) : void { goto ffa56; E59d7: $this->commandExecutor->execute($changeUserPasswordCommand); goto Ce83f; ffa56: $changeUserPasswordCommand = new ChangeUserPasswordCommand(); goto e7e1a; F3b84: $changeUserPasswordCommand->setPassword($password); goto E59d7; e7e1a: $changeUserPasswordCommand->setUserName($userName); goto F3b84; Ce83f: } protected function getRootDirectory() : string { goto C91e3; A1148: return $rootDirectory; goto d9e55; c9348: $rootDirectory = sprintf("\x2f\150\157\155\x65\x2f\45\x73\57\x68\164\144\157\143\x73\x2f\45\x73", $siteUser, $rootDirectory); goto A1148; d7a9d: $rootDirectory = $this->site->getRootDirectory(); goto c9348; C91e3: $siteUser = $this->site->getUser(); goto d7a9d; d9e55: } public function reloadNginxService() : void { $this->reloadService("\x6e\147\151\x6e\170"); } public function reloadService($serviceName) { goto A5d83; e11db: $reloadServiceCommand = new ServiceReloadCommand(); goto E9687; E9687: $reloadServiceCommand->setServiceName($serviceName); goto abd28; A5d83: if (!("\x64\x65\166" != $_ENV["\x41\120\120\137\x45\x4e\x56"])) { goto ba840; } goto e11db; b9bf3: ba840: goto Ce3dd; abd28: $this->commandExecutor->execute($reloadServiceCommand); goto b9bf3; Ce3dd: } }
